import { ModifierTier } from "../modifier/modifier-tier";
import { Moves } from "#enums/moves";
import { Species } from "#enums/species";

interface TmSpecies {
    [key: integer]: Array<Species | Array<Species | string>>
}

export const reverseCompatibleTms: Moves[] = [];/*[
    Moves.TAKE_DOWN,
    Moves.TOXIC,
    Moves.RAGE,
    Moves.MIMIC,
    Moves.DOUBLE_TEAM,
    Moves.BIDE,
    Moves.REST,
    Moves.SUBSTITUTE,
    Moves.SNORE,
    Moves.PROTECT,
    Moves.ENDURE,
    Moves.SWAGGER,
    Moves.ATTRACT,
    Moves.SLEEP_TALK,
    Moves.RETURN,
    Moves.FRUSTRATION,
    Moves.HIDDEN_POWER,
    Moves.FACADE,
    Moves.SECRET_POWER,
    Moves.NATURAL_GIFT,
    Moves.CAPTIVATE,
    Moves.ROUND
];*/

export const tmSpecies: TmSpecies = {
  [Moves.MEGA_PUNCH]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.SLOWBRO,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.AIPOM,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.DELIBIRD,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.TYRANITAR,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SABLEYE,
    Species.MAWILE,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.KECLEON,
    Species.DUSCLOPS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.GROUDON,
    Species.JIRACHI,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.REGIGIGAS,
    Species.VICTINI,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ZOROARK,
    Species.REUNICLUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.HELIOLISK,
    Species.HAWLUCHA,
    Species.GOODRA,
    Species.INCINEROAR,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.TURTONATOR,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_BULU,
    Species.BUZZWOLE,
    Species.GUZZLORD,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.MELMETAL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.COALOSSAL,
    Species.TOXTRICITY,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.MR_RIME,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    [
      Species.DEOXYS,
      "attack",
      "defense",
      "speed",
    ],
    Species.ALOLA_RAICHU,
    Species.ALOLA_GOLEM,
    Species.ALOLA_MAROWAK,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
  ],
  [Moves.PAY_DAY]: [
    Species.PIKACHU,
    Species.RAICHU,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.RHYDON,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.SNORLAX,
    Species.MEWTWO,
    Species.MEW,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.ESPEON,
    Species.UMBREON,
    Species.SLOWKING,
    Species.SKITTY,
    Species.DELCATTY,
    Species.MUNCHLAX,
    Species.RHYPERIOR,
    Species.LEAFEON,
    Species.GLACEON,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SYLVEON,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.ZERAORA,
    Species.PERRSERKER,
    Species.INDEEDEE,
    Species.CALYREX,
    Species.ANNIHILAPE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.GALAR_MEOWTH,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
  ],
  [Moves.FIRE_PUNCH]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TYPHLOSION,
    Species.SENTRET,
    Species.FURRET,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.SUDOWOODO,
    Species.AIPOM,
    Species.SLOWKING,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.TYRANITAR,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.SABLEYE,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.GULPIN,
    Species.SWALOT,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.FLYGON,
    Species.ZANGOOSE,
    Species.KECLEON,
    Species.DUSCLOPS,
    Species.REGIROCK,
    Species.GROUDON,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MUNCHLAX,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.REGIGIGAS,
    Species.VICTINI,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.WATCHOG,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.THROH,
    Species.SAWK,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.REUNICLUS,
    Species.EELEKTROSS,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.HEATMOR,
    Species.MELOETTA,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.HELIOLISK,
    Species.HAWLUCHA,
    Species.GOODRA,
    Species.HOOPA,
    Species.INCINEROAR,
    Species.GUMSHOOS,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.KOMMO_O,
    Species.MARSHADOW,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.CINDERACE,
    Species.COALOSSAL,
    Species.TOXTRICITY,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.KUBFU,
    Species.URSHIFU,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.PAWMOT,
    Species.GARGANACL,
    Species.ANNIHILAPE,
    Species.SCREAM_TAIL,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.IRON_VALIANT,
    Species.OKIDOGI,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.GALAR_SLOWKING,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_GOODRA,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.ICE_PUNCH]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.SLOWBRO,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.AIPOM,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.DELIBIRD,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MILTANK,
    Species.BLISSEY,
    Species.TYRANITAR,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.SABLEYE,
    Species.MAWILE,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.GULPIN,
    Species.SWALOT,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.ZANGOOSE,
    Species.KECLEON,
    Species.DUSCLOPS,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.REGIGIGAS,
    Species.WATCHOG,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.REUNICLUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.GOLETT,
    Species.GOLURK,
    Species.MELOETTA,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.HOOPA,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.KOMMO_O,
    Species.TAPU_FINI,
    Species.BUZZWOLE,
    Species.MARSHADOW,
    Species.MELMETAL,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.MR_RIME,
    Species.EISCUE,
    Species.KUBFU,
    Species.URSHIFU,
    Species.URSALUNA,
    Species.PAWMOT,
    Species.GARGANACL,
    Species.PALAFIN,
    Species.CETITAN,
    Species.ANNIHILAPE,
    Species.SCREAM_TAIL,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.IRON_VALIANT,
    Species.OKIDOGI,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.THUNDER_PUNCH]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.PIKACHU,
    Species.RAICHU,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TYPHLOSION,
    Species.SENTRET,
    Species.FURRET,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.PICHU,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.SUDOWOODO,
    Species.AIPOM,
    Species.SLOWKING,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.TYRANITAR,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.SABLEYE,
    Species.MAWILE,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.GULPIN,
    Species.SWALOT,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.KECLEON,
    Species.DUSCLOPS,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.GROUDON,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.PACHIRISU,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.REGIGIGAS,
    Species.VICTINI,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.WATCHOG,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.THROH,
    Species.SAWK,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.REUNICLUS,
    Species.EELEKTROSS,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.HEATMOR,
    Species.THUNDURUS,
    Species.ZEKROM,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.HELIOLISK,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.GOODRA,
    Species.HOOPA,
    Species.INCINEROAR,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.STUFFUL,
    Species.BEWEAR,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.BUZZWOLE,
    Species.XURKITREE,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.MELMETAL,
    Species.TOXTRICITY,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.MORPEKO,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.KUBFU,
    Species.URSHIFU,
    Species.URSALUNA,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.PAWMO,
    Species.PAWMOT,
    Species.GARGANACL,
    Species.ANNIHILAPE,
    Species.SCREAM_TAIL,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.GHOLDENGO,
    Species.IRON_VALIANT,
    Species.OKIDOGI,
    Species.ALOLA_RAICHU,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.GALAR_SLOWKING,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_GOODRA,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.SWORDS_DANCE]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.BEEDRILL,
    Species.RATICATE,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.RAPIDASH,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.KRABBY,
    Species.KINGLER,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.TANGELA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.SCYTHER,
    Species.PINSIR,
    Species.KABUTOPS,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.ARIADOS,
    Species.BELLOSSOM,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.GLIGAR,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SKARMORY,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.NINJASK,
    Species.MAWILE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.SOLROCK,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.BANETTE,
    Species.TROPIUS,
    Species.ABSOL,
    Species.WALREIN,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.EMPOLEON,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.RIOLU,
    Species.LUCARIO,
    Species.SKORUPI,
    Species.DRAPION,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLISCOR,
    Species.GALLADE,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.LEAVANNY,
    Species.SCOLIPEDE,
    Species.LILLIGANT,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAFTY,
    Species.ZORUA,
    Species.ZOROARK,
    Species.SAWSBUCK,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FERROTHORN,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.LANDORUS,
    Species.KELDEO,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FROGADIER,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.PANCHAM,
    Species.PANGORO,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HAWLUCHA,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.ORICORIO,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.GOLISOPOD,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.KOMALA,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_BULU,
    Species.KARTANA,
    Species.NECROZMA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.RABOOT,
    Species.CINDERACE,
    Species.INTELEON,
    Species.GREEDENT,
    Species.DUBWOOL,
    Species.DREDNAW,
    Species.HATTERENE,
    Species.PERRSERKER,
    Species.SIRFETCHD,
    Species.FALINKS,
    Species.DURALUDON,
    Species.ZACIAN,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.GLASTRIER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.QUAQUAVAL,
    Species.LOKIX,
    Species.CERULEDGE,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.KLAWF,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.FLAMIGO,
    Species.KINGAMBIT,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.CHIEN_PAO,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.IRON_LEAVES,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.ALOLA_RATICATE,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_RAPIDASH,
    Species.GALAR_FARFETCHD,
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZOROARK,
    Species.HISUI_DECIDUEYE,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.CUT]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.BEEDRILL,
    Species.RATTATA,
    Species.RATICATE,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.FARFETCHD,
    Species.KRABBY,
    Species.KINGLER,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.SCYTHER,
    Species.PINSIR,
    Species.KABUTOPS,
    Species.DRAGONITE,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.BELLOSSOM,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.ESPEON,
    Species.UMBREON,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SKARMORY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.TYRANITAR,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.SABLEYE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.ROSELIA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.ANORITH,
    Species.ARMALDO,
    Species.KECLEON,
    Species.TROPIUS,
    Species.ABSOL,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.LATIAS,
    Species.LATIOS,
    Species.GROUDON,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.BUDEW,
    Species.ROSERADE,
    Species.RAMPARDOS,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.SKORUPI,
    Species.DRAPION,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.GLISCOR,
    Species.GALLADE,
    Species.DIALGA,
    Species.PALKIA,
    Species.GIRATINA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.SCOLIPEDE,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROTHORN,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.DRUDDIGON,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.KELDEO,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.VOLCANION,
    Species.KARTANA,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.KINGAMBIT,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.GALAR_MEOWTH,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_BRAVIARY,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.FLY]: [
    Species.CHARIZARD,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.SPEAROW,
    Species.FEAROW,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.AERODACTYL,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRAGONITE,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CROBAT,
    Species.TOGETIC,
    Species.XATU,
    Species.MURKROW,
    Species.DELIBIRD,
    Species.SKARMORY,
    Species.LUGIA,
    Species.HO_OH,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.SWABLU,
    Species.ALTARIA,
    Species.TROPIUS,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.RAYQUAZA,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.HONCHKROW,
    Species.CHATOT,
    Species.TOGEKISS,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SIGILYPH,
    Species.ARCHEOPS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.GOLURK,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HYDREIGON,
    Species.VOLCARONA,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.GENESECT,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.HAWLUCHA,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.VIKAVOLT,
    Species.ORICORIO,
    Species.DRAMPA,
    Species.TAPU_KOKO,
    Species.LUNALA,
    Species.CELESTEELA,
    Species.NAGANADEL,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.FLAPPLE,
    Species.CRAMORANT,
    Species.DRAGAPULT,
    Species.ETERNATUS,
    Species.ENAMORUS,
    Species.SQUAWKABILLY,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.BOMBIRDIER,
    Species.FLAMIGO,
    Species.IRON_JUGULIS,
    Species.ROARING_MOON,
    Species.FEZANDIPITI,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.HISUI_BRAVIARY,
  ],
  [Moves.MEGA_KICK]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GOLEM,
    Species.SLOWBRO,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.KABUTOPS,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.AIPOM,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.DELIBIRD,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.TYRANITAR,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SABLEYE,
    Species.MAWILE,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.FLYGON,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.KECLEON,
    Species.DUSCLOPS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.GROUDON,
    Species.JIRACHI,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.REGIGIGAS,
    Species.VICTINI,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ZOROARK,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.GOLETT,
    Species.GOLURK,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.HELIOLISK,
    Species.HAWLUCHA,
    Species.GOODRA,
    Species.INCINEROAR,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.TSAREENA,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.TURTONATOR,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.GUZZLORD,
    Species.MARSHADOW,
    Species.STAKATAKA,
    Species.ZERAORA,
    Species.MELMETAL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.DUBWOOL,
    Species.COALOSSAL,
    Species.TOXTRICITY,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.MR_RIME,
    Species.STONJOURNER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.QUAQUAVAL,
    Species.FLAMIGO,
    [
      Species.DEOXYS,
      "attack",
      "defense",
      "speed",
    ],
    Species.ALOLA_RAICHU,
    Species.ALOLA_MAROWAK,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_ZAPDOS,
    Species.GALAR_SLOWKING,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_LILLIGANT,
  ],
  [Moves.BODY_SLAM]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.RATTATA,
    Species.RATICATE,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.CLOYSTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.SNORLAX,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.NOCTOWL,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.AIPOM,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.INFERNAPE,
    Species.EMPOLEON,
    Species.LUXRAY,
    Species.ROSERADE,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.PURUGLY,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.LEAFEON,
    Species.GLACEON,
    Species.MAMOSWINE,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.ARCEUS,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.SAMUROTT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.CONKELDURR,
    Species.THROH,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARMANITAN,
    Species.SCRAFTY,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.GARBODOR,
    Species.ZOROARK,
    Species.GOTHITELLE,
    Species.REUNICLUS,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.ALOMOMOLA,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.HEATMOR,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.DIGGERSBY,
    Species.LITLEO,
    Species.PYROAR,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.CLAWITZER,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.VOLCANION,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.ARAQUANID,
    Species.SALAZZLE,
    Species.BEWEAR,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.PALOSSAND,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.SOLGALEO,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.CELESTEELA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.STAKATAKA,
    Species.MELMETAL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.CORVIKNIGHT,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.WYRDEER,
    Species.URSALUNA,
    Species.ENAMORUS,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.KLAWF,
    Species.ESPATHRA,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.WO_CHIEN,
    Species.TING_LU,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.DIPPLIN,
    Species.OKIDOGI,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARMANITAN,
    [
      Species.CALYREX,
      "ice",
      "shadow",
    ],
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SAMUROTT,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.TAKE_DOWN]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.IGGLYBUFF,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PHANPY,
    Species.DONPHAN,
    Species.STANTLER,
    Species.BLISSEY,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.WINGULL,
    Species.PELIPPER,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SABLEYE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.MILOTIC,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.SNORUNT,
    Species.GLALIE,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.BELDUM,
    Species.METANG,
    Species.METAGROSS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.HONCHKROW,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.HAPPINY,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.RHYPERIOR,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.FROSLASS,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.BLITZLE,
    Species.ROGGENROLA,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.ALOMOMOLA,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.LANDORUS,
    Species.KELDEO,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.LITLEO,
    Species.PYROAR,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.FURFROU,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.TREVENANT,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.MAGEARNA,
    Species.STAKATAKA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXTRICITY,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SQUAWKABILLY,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.OKIDOGI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
  ],
  [Moves.DOUBLE_EDGE]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.NOCTOWL,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.IGGLYBUFF,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.HITMONTOP,
    Species.ELEKID,
    Species.MAGBY,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.SWALOT,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.FLYGON,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.HONCHKROW,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BONSLY,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.PROBOPASS,
    Species.MESPRIT,
    Species.AZELF,
    Species.REGIGIGAS,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.CINCCINO,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.BEARTIC,
    Species.MIENSHAO,
    Species.GOLETT,
    Species.GOLURK,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KELDEO,
    Species.CHESNAUGHT,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.LITLEO,
    Species.PYROAR,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.SYLVEON,
    Species.CARBINK,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIVERN,
    Species.VOLCANION,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.PASSIMIAN,
    Species.MINIOR,
    Species.KOMALA,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.SOLGALEO,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.CORVIKNIGHT,
    Species.DREDNAW,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.PERRSERKER,
    Species.EISCUE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DURALUDON,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.GLASTRIER,
    Species.SPECTRIER,
    [
      Species.CALYREX,
      "ice",
      "shadow",
    ],
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.OVERQWIL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.LOKIX,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SQUAWKABILLY,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.ESPATHRA,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.SLITHER_WING,
    Species.IRON_TREADS,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_THORNS,
    Species.BAXCALIBUR,
    Species.TING_LU,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.WALKING_WAKE,
    Species.OKIDOGI,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_EXEGGUTOR,
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_ZAPDOS,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_BRAVIARY,
    Species.HISUI_AVALUGG,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.PIN_MISSILE]: [
    Species.BEEDRILL,
    Species.SANDSLASH,
    Species.CLOYSTER,
    Species.JOLTEON,
    Species.OMASTAR,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.PINECO,
    Species.FORRETRESS,
    Species.QWILFISH,
    Species.HERACROSS,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.ROSELIA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.BUDEW,
    Species.ROSERADE,
    Species.VESPIQUEN,
    Species.SKORUPI,
    Species.DRAPION,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.MARACTUS,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.GOLISOPOD,
    Species.TOGEDEMARU,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.OBSTAGOON,
    Species.CURSOLA,
    Species.PINCURCHIN,
    Species.OVERQWIL,
    Species.IRON_THORNS,
    Species.ALOLA_SANDSLASH,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.HISUI_QWILFISH,
  ],
  [Moves.ROAR]: [
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.BLASTOISE,
    Species.RATICATE,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.VULPIX,
    Species.NINETALES,
    Species.PERSIAN,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.GOLEM,
    Species.ONIX,
    Species.RHYHORN,
    Species.RHYDON,
    Species.KANGASKHAN,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.AERODACTYL,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRAGONITE,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.ESPEON,
    Species.UMBREON,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PHANPY,
    Species.DONPHAN,
    Species.STANTLER,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.SCEPTILE,
    Species.BLAZIKEN,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.LINOONE,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.TROPIUS,
    Species.SEALEO,
    Species.WALREIN,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.INFERNAPE,
    Species.EMPOLEON,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.PURUGLY,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.DRAPION,
    Species.RHYPERIOR,
    Species.LEAFEON,
    Species.GLACEON,
    Species.MAMOSWINE,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.BEARTIC,
    Species.DRUDDIGON,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.KELDEO,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.LITLEO,
    Species.PYROAR,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.AVALUGG,
    Species.XERNEAS,
    Species.VOLCANION,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.GUMSHOOS,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_BULU,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ZAMAZENTA,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.GLASTRIER,
    Species.WYRDEER,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FARIGIRAF,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.IRON_JUGULIS,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.WALKING_WAKE,
    Species.OKIDOGI,
    Species.ARCHALUDON,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.TERAPAGOS,
    Species.ALOLA_RATICATE,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GOLEM,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.FLAMETHROWER]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.GRIMER,
    Species.MUK,
    Species.CUBONE,
    Species.MAROWAK,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MAGMAR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.FLAREON,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.SENTRET,
    Species.FURRET,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.SLOWKING,
    Species.DUNSPARCE,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.MAGBY,
    Species.BLISSEY,
    Species.ENTEI,
    Species.TYRANITAR,
    Species.HO_OH,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAWILE,
    Species.AGGRON,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.FLYGON,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.SOLROCK,
    Species.CASTFORM,
    Species.KECLEON,
    Species.ABSOL,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.HAPPINY,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.WATCHOG,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.AUDINO,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.ZOROARK,
    Species.EELEKTROSS,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.DRUDDIGON,
    Species.HEATMOR,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.RESHIRAM,
    Species.GENESECT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.LITLEO,
    Species.PYROAR,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.GOODRA,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.NOIVERN,
    Species.VOLCANION,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.SILVALLY,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.KOMMO_O,
    Species.SOLGALEO,
    Species.CELESTEELA,
    Species.GUZZLORD,
    Species.NAGANADEL,
    Species.BLACEPHALON,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.CENTISKORCH,
    Species.DRACOZOLT,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ETERNATUS,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.SCOVILLAIN,
    Species.DUDUNSPARCE,
    Species.SCREAM_TAIL,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.WALKING_WAKE,
    Species.GOUGING_FIRE,
    Species.TERAPAGOS,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_SLOWKING,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_ZOROARK,
    Species.HISUI_GOODRA,
    [
      Species.PALDEA_TAUROS,
      "blaze",
    ],
  ],
  [Moves.HYDRO_PUMP]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.KINGLER,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MAGIKARP,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.SNORLAX,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.QWILFISH,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.MANTINE,
    Species.KINGDRA,
    Species.SUICUNE,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.WINGULL,
    Species.PELIPPER,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.EXPLOUD,
    Species.AGGRON,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.WALREIN,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.KYOGRE,
    Species.RAYQUAZA,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.MUNCHLAX,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.PALKIA,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.BASCULIN,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.SWANNA,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.HYDREIGON,
    Species.KELDEO,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.GOODRA,
    Species.AVALUGG,
    Species.VOLCANION,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.TAPU_FINI,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.GRAPPLOCT,
    Species.CURSOLA,
    Species.PINCURCHIN,
    Species.EISCUE,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.BASCULEGION,
    Species.OVERQWIL,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.CLODSIRE,
    Species.IRON_BUNDLE,
    Species.IRON_JUGULIS,
    Species.ROARING_MOON,
    Species.WALKING_WAKE,
    Species.HYDRAPPLE,
    [
      Species.ROTOM,
      "wash",
    ],
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.HISUI_QWILFISH,
    Species.HISUI_SAMUROTT,
    Species.HISUI_GOODRA,
    [
      Species.PALDEA_TAUROS,
      "aqua",
    ],
    Species.PALDEA_WOOPER,
  ],
  [Moves.SURF]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.KRABBY,
    Species.KINGLER,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.SNORLAX,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.QWILFISH,
    Species.SNEASEL,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.MANTINE,
    Species.KINGDRA,
    Species.MILTANK,
    Species.SUICUNE,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.WINGULL,
    Species.PELIPPER,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.AGGRON,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.ZANGOOSE,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.RAYQUAZA,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIBAREL,
    Species.RAMPARDOS,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.PALKIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.AUDINO,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.BASCULIN,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.STUNFISK,
    Species.DRUDDIGON,
    Species.BOUFFALANT,
    Species.HYDREIGON,
    Species.KELDEO,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.GOODRA,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SILVALLY,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.TAPU_FINI,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.GRAPPLOCT,
    Species.OBSTAGOON,
    Species.CURSOLA,
    Species.PINCURCHIN,
    Species.EISCUE,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.BASCULEGION,
    Species.OVERQWIL,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.CLODSIRE,
    Species.WALKING_WAKE,
    Species.TERAPAGOS,
    Species.ALOLA_RAICHU,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_STUNFISK,
    Species.HISUI_QWILFISH,
    Species.HISUI_SAMUROTT,
    Species.HISUI_GOODRA,
    [
      Species.PALDEA_TAUROS,
      "combat",
      "aqua",
    ],
    Species.PALDEA_WOOPER,
  ],
  [Moves.ICE_BEAM]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.RATTATA,
    Species.RATICATE,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.KRABBY,
    Species.KINGLER,
    Species.CUBONE,
    Species.MAROWAK,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.JYNX,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.DUNSPARCE,
    Species.QWILFISH,
    Species.SNEASEL,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.KINGDRA,
    Species.PORYGON2,
    Species.SMOOCHUM,
    Species.MILTANK,
    Species.BLISSEY,
    Species.SUICUNE,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.WINGULL,
    Species.PELIPPER,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.AZURILL,
    Species.SKITTY,
    Species.DELCATTY,
    Species.MAWILE,
    Species.AGGRON,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.LUNATONE,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.REGICE,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.RAYQUAZA,
    Species.DEOXYS,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MUNCHLAX,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.GLACEON,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.MESPRIT,
    Species.DIALGA,
    Species.PALKIA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.AUDINO,
    Species.BASCULIN,
    Species.SIGILYPH,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.GOLETT,
    Species.GOLURK,
    Species.KYUREM,
    Species.GENESECT,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.AMAURA,
    Species.AURORUS,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.CRABOMINABLE,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.GOLISOPOD,
    Species.SILVALLY,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.TAPU_FINI,
    Species.LUNALA,
    Species.PHEROMOSA,
    Species.MAGEARNA,
    Species.MELMETAL,
    Species.INTELEON,
    Species.DREDNAW,
    Species.CRAMORANT,
    Species.BARRASKEWDA,
    Species.OBSTAGOON,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.FROSMOTH,
    Species.EISCUE,
    Species.ARCTOZOLT,
    Species.ARCTOVISH,
    Species.GLASTRIER,
    Species.BASCULEGION,
    Species.OVERQWIL,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DUDUNSPARCE,
    Species.SCREAM_TAIL,
    Species.IRON_BUNDLE,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.TERAPAGOS,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MAROWAK,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_QWILFISH,
    Species.HISUI_SAMUROTT,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
  ],
  [Moves.BLIZZARD]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.RATTATA,
    Species.RATICATE,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.KRABBY,
    Species.KINGLER,
    Species.CUBONE,
    Species.MAROWAK,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.JYNX,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.DUNSPARCE,
    Species.QWILFISH,
    Species.SNEASEL,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.KINGDRA,
    Species.PORYGON2,
    Species.SMOOCHUM,
    Species.MILTANK,
    Species.BLISSEY,
    Species.SUICUNE,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.WINGULL,
    Species.PELIPPER,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.AZURILL,
    Species.SKITTY,
    Species.DELCATTY,
    Species.AGGRON,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.ZANGOOSE,
    Species.LUNATONE,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.REGICE,
    Species.KYOGRE,
    Species.RAYQUAZA,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.LOPUNNY,
    Species.MUNCHLAX,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.GLACEON,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.MESPRIT,
    Species.DIALGA,
    Species.PALKIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.AUDINO,
    Species.BASCULIN,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.KYUREM,
    Species.GENESECT,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.AMAURA,
    Species.AURORUS,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.CRABOMINABLE,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.GOLISOPOD,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.TAPU_FINI,
    Species.LUNALA,
    Species.PHEROMOSA,
    Species.INTELEON,
    Species.DREDNAW,
    Species.CRAMORANT,
    Species.BARRASKEWDA,
    Species.OBSTAGOON,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.FROSMOTH,
    Species.EISCUE,
    Species.ARCTOZOLT,
    Species.ARCTOVISH,
    Species.GLASTRIER,
    Species.BASCULEGION,
    Species.OVERQWIL,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DUDUNSPARCE,
    Species.SCREAM_TAIL,
    Species.IRON_BUNDLE,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.CHIEN_PAO,
    [
      Species.ROTOM,
      "frost",
    ],
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MAROWAK,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_QWILFISH,
    Species.HISUI_SAMUROTT,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
  ],
  [Moves.PSYBEAM]: [
    Species.BUTTERFREE,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.PARAS,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGCUTE,
    Species.KOFFING,
    Species.WEEZING,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.PORYGON,
    Species.MEWTWO,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.SPINARAK,
    Species.CHINCHOU,
    Species.CLEFFA,
    Species.ESPEON,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.MANTINE,
    Species.PORYGON2,
    Species.STANTLER,
    Species.DUSTOX,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.CHIMECHO,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.SPIRITOMB,
    Species.FINNEON,
    Species.LUMINEON,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.CRESSELIA,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.SIGILYPH,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.MELOETTA,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.VIVILLON,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.INKAY,
    Species.MALAMAR,
    Species.HOOPA,
    Species.ORANGURU,
    Species.TAPU_LELE,
    Species.MAGEARNA,
    Species.ORBEETLE,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.MR_RIME,
    Species.INDEEDEE,
    Species.CALYREX,
    Species.WYRDEER,
    Species.ARMAROUGE,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.FARIGIRAF,
    Species.SCREAM_TAIL,
    Species.FLUTTER_MANE,
    Species.IRON_VALIANT,
    Species.MUNKIDORI,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_SLOWKING,
    Species.HISUI_BRAVIARY,
  ],
  [Moves.HYPER_BEAM]: [
    Species.VENUSAUR,
    Species.CHARIZARD,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEOT,
    Species.RATICATE,
    Species.FEAROW,
    Species.ARBOK,
    Species.RAICHU,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFABLE,
    Species.NINETALES,
    Species.WIGGLYTUFF,
    Species.GOLBAT,
    Species.VILEPLUME,
    Species.PARASECT,
    Species.VENOMOTH,
    Species.DUGTRIO,
    Species.PERSIAN,
    Species.GOLDUCK,
    Species.PRIMEAPE,
    Species.ARCANINE,
    Species.POLIWRATH,
    Species.ALAKAZAM,
    Species.MACHAMP,
    Species.VICTREEBEL,
    Species.TENTACRUEL,
    Species.GOLEM,
    Species.RAPIDASH,
    Species.SLOWBRO,
    Species.MAGNETON,
    Species.DODRIO,
    Species.DEWGONG,
    Species.MUK,
    Species.CLOYSTER,
    Species.GENGAR,
    Species.HYPNO,
    Species.KINGLER,
    Species.ELECTRODE,
    Species.EXEGGUTOR,
    Species.MAROWAK,
    Species.LICKITUNG,
    Species.WEEZING,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.SEADRA,
    Species.SEAKING,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMASTAR,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.MEGANIUM,
    Species.TYPHLOSION,
    Species.FERALIGATR,
    Species.FURRET,
    Species.NOCTOWL,
    Species.LEDIAN,
    Species.ARIADOS,
    Species.CROBAT,
    Species.LANTURN,
    Species.TOGETIC,
    Species.XATU,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.JUMPLUFF,
    Species.SUNFLORA,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.STEELIX,
    Species.GRANBULL,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.URSARING,
    Species.MAGCARGO,
    Species.PILOSWINE,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.SCEPTILE,
    Species.BLAZIKEN,
    Species.SWAMPERT,
    Species.MIGHTYENA,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LUDICOLO,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.SWELLOW,
    Species.PELIPPER,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.MASQUERAIN,
    Species.BRELOOM,
    Species.SLAKING,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.EXPLOUD,
    Species.HARIYAMA,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.AGGRON,
    Species.MEDICHAM,
    Species.MANECTRIC,
    Species.SWALOT,
    Species.SHARPEDO,
    Species.WAILORD,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.GRUMPIG,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACTURNE,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.WHISCASH,
    Species.CRAWDAUNT,
    Species.CLAYDOL,
    Species.CRADILY,
    Species.ARMALDO,
    Species.MILOTIC,
    Species.BANETTE,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.ABSOL,
    Species.GLALIE,
    Species.WALREIN,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TORTERRA,
    Species.INFERNAPE,
    Species.EMPOLEON,
    Species.STARAPTOR,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.LUXRAY,
    Species.ROSERADE,
    Species.RAMPARDOS,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.FLOATZEL,
    Species.CHERRIM,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFBLIM,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.PURUGLY,
    Species.SKUNTANK,
    Species.BRONZONG,
    Species.SPIRITOMB,
    Species.GARCHOMP,
    Species.LUCARIO,
    Species.HIPPOWDON,
    Species.DRAPION,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.LUMINEON,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SERPERIOR,
    Species.EMBOAR,
    Species.SAMUROTT,
    Species.WATCHOG,
    Species.STOUTLAND,
    Species.LIEPARD,
    Species.SIMISAGE,
    Species.SIMISEAR,
    Species.SIMIPOUR,
    Species.MUSHARNA,
    Species.UNFEZANT,
    Species.ZEBSTRIKA,
    Species.GIGALITH,
    Species.SWOOBAT,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.LEAVANNY,
    Species.SCOLIPEDE,
    Species.WHIMSICOTT,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.KROOKODILE,
    Species.DARMANITAN,
    Species.CRUSTLE,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.COFAGRIGUS,
    Species.CARRACOSTA,
    Species.ARCHEOPS,
    Species.GARBODOR,
    Species.ZOROARK,
    Species.CINCCINO,
    Species.GOTHITELLE,
    Species.REUNICLUS,
    Species.SWANNA,
    Species.VANILLUXE,
    Species.SAWSBUCK,
    Species.ESCAVALIER,
    Species.AMOONGUSS,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.GALVANTULA,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTROSS,
    Species.BEHEEYEM,
    Species.CHANDELURE,
    Species.HAXORUS,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.ACCELGOR,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLURK,
    Species.BISHARP,
    Species.BRAVIARY,
    Species.MANDIBUZZ,
    Species.HYDREIGON,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESNAUGHT,
    Species.DELPHOX,
    Species.GRENINJA,
    Species.DIGGERSBY,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.PYROAR,
    Species.FLORGES,
    Species.GOGOAT,
    Species.PANGORO,
    Species.MEOWSTIC,
    Species.AEGISLASH,
    Species.AROMATISSE,
    Species.SLURPUFF,
    Species.MALAMAR,
    Species.BARBARACLE,
    Species.DRAGALGE,
    Species.CLAWITZER,
    Species.HELIOLISK,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOODRA,
    Species.KLEFKI,
    Species.TREVENANT,
    Species.GOURGEIST,
    Species.AVALUGG,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.DECIDUEYE,
    Species.INCINEROAR,
    Species.PRIMARINA,
    Species.GUMSHOOS,
    Species.VIKAVOLT,
    Species.CRABOMINABLE,
    Species.RIBOMBEE,
    Species.TOXAPEX,
    Species.MUDSDALE,
    Species.LURANTIS,
    Species.SHIINOTIC,
    Species.SALAZZLE,
    Species.BEWEAR,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.GOLISOPOD,
    Species.PALOSSAND,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.NAGANADEL,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.MELMETAL,
    Species.RILLABOOM,
    Species.CINDERACE,
    Species.INTELEON,
    Species.GREEDENT,
    Species.CORVIKNIGHT,
    Species.ORBEETLE,
    Species.THIEVUL,
    Species.ELDEGOSS,
    Species.DUBWOOL,
    Species.DREDNAW,
    Species.BOLTUND,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.BARRASKEWDA,
    Species.TOXTRICITY,
    Species.CENTISKORCH,
    Species.GRAPPLOCT,
    Species.POLTEAGEIST,
    Species.HATTERENE,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.ALCREMIE,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.MEOWSCARADA,
    Species.SKELEDIRGE,
    Species.QUAQUAVAL,
    Species.OINKOLOGNE,
    Species.PAWMOT,
    Species.MAUSHOLD,
    Species.DACHSBUN,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.BELLIBOLT,
    Species.KILOWATTREL,
    Species.MABOSSTIFF,
    Species.BRAMBLEGHAST,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.SCOVILLAIN,
    Species.RABSCA,
    Species.ESPATHRA,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.PALAFIN,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GLIMMORA,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.BAXCALIBUR,
    Species.GHOLDENGO,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.SINISTCHA,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.ARCHALUDON,
    Species.IRON_CROWN,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_LINOONE,
    Species.GALAR_DARMANITAN,
    Species.HISUI_ARCANINE,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.LOW_KICK]: [
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.DODUO,
    Species.DODRIO,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.KANGASKHAN,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.KABUTOPS,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.AIPOM,
    Species.GIRAFARIG,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.ELEKID,
    Species.MAGBY,
    Species.TYRANITAR,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.BRELOOM,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SABLEYE,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.ARMALDO,
    Species.KECLEON,
    Species.DEOXYS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.BONSLY,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.GALLADE,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.PATRAT,
    Species.WATCHOG,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.LEAVANNY,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.CARRACOSTA,
    Species.ZOROARK,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.HEATMOR,
    Species.KELDEO,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.BARBARACLE,
    Species.HELIOLISK,
    Species.HAWLUCHA,
    Species.DECIDUEYE,
    Species.INCINEROAR,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.BEWEAR,
    Species.TSAREENA,
    Species.PASSIMIAN,
    Species.KOMALA,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.PHEROMOSA,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.STONJOURNER,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.SPIDOPS,
    Species.LOKIX,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.GRAFAIAI,
    Species.ESPATHRA,
    Species.FLAMIGO,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.KINGAMBIT,
    Species.SLITHER_WING,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.GHOLDENGO,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.WALKING_WAKE,
    Species.OKIDOGI,
    Species.OGERPON,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_ZAPDOS,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SNEASEL,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZOROARK,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.COUNTER]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.RATTATA,
    Species.RATICATE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PARAS,
    Species.PARASECT,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.SNORLAX,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.SUDOWOODO,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.WOBBUFFET,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.DELIBIRD,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PHANPY,
    Species.DONPHAN,
    Species.MILTANK,
    Species.TYRANITAR,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SABLEYE,
    Species.MAWILE,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.GULPIN,
    Species.SWALOT,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.KECLEON,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.ABSOL,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.GROUDON,
    Species.DEOXYS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.RIOLU,
    Species.LUCARIO,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SAWK,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ZORUA,
    Species.ZOROARK,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.ACCELGOR,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.LYCANROC,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.PASSIMIAN,
    Species.PYUKUMUKU,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.BUZZWOLE,
    Species.MARSHADOW,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.FALINKS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.QUAQUAVAL,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.TATSUGIRI,
    Species.KORAIDON,
    Species.OKIDOGI,
    Species.OGERPON,
    Species.IRON_BOULDER,
  ],
  [Moves.STRENGTH]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.RATICATE,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.GENGAR,
    Species.ONIX,
    Species.KRABBY,
    Species.KINGLER,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.FURRET,
    Species.LEDIAN,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.AIPOM,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.HOUNDOOM,
    Species.PHANPY,
    Species.DONPHAN,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.MIGHTYENA,
    Species.LINOONE,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.DELCATTY,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.GULPIN,
    Species.SWALOT,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.CLAYDOL,
    Species.CRADILY,
    Species.ARMALDO,
    Species.KECLEON,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.ABSOL,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.LOPUNNY,
    Species.SKUNTANK,
    Species.BRONZONG,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.SAMUROTT,
    Species.WATCHOG,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SCOLIPEDE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.REUNICLUS,
    Species.FERROTHORN,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.LITLEO,
    Species.PYROAR,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.HAWLUCHA,
    Species.GOODRA,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.ZYGARDE,
    Species.VOLCANION,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.OBSTAGOON,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.URSALUNA,
    Species.ANNIHILAPE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SAMUROTT,
    Species.HISUI_BRAVIARY,
    Species.HISUI_AVALUGG,
    Species.PALDEA_TAUROS,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.SOLAR_BEAM]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARIZARD,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.ARCANINE,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.LICKITUNG,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.TAUROS,
    Species.LAPRAS,
    Species.PORYGON,
    Species.SNORLAX,
    Species.MOLTRES,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.TYPHLOSION,
    Species.SENTRET,
    Species.FURRET,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.BELLOSSOM,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.MAGCARGO,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PORYGON2,
    Species.STANTLER,
    Species.MILTANK,
    Species.BLISSEY,
    Species.ENTEI,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.BLAZIKEN,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.SKITTY,
    Species.DELCATTY,
    Species.MAWILE,
    Species.AGGRON,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.CASTFORM,
    Species.KECLEON,
    Species.TROPIUS,
    Species.LATIAS,
    Species.LATIOS,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.INFERNAPE,
    Species.BUDEW,
    Species.ROSERADE,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.MUNCHLAX,
    Species.CARNIVINE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.LICKILICKY,
    Species.TANGROWTH,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.PORYGON_Z,
    Species.UXIE,
    Species.HEATRAN,
    Species.CRESSELIA,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.GIGALITH,
    Species.AUDINO,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SIGILYPH,
    Species.GARBODOR,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.CRYOGONAL,
    Species.GOLURK,
    Species.HEATMOR,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.VIRIZION,
    Species.RESHIRAM,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.HELIOLISK,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.VIKAVOLT,
    Species.RIBOMBEE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.MINIOR,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.TAPU_BULU,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.BLACEPHALON,
    Species.MELMETAL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.CENTISKORCH,
    Species.MR_RIME,
    Species.ALCREMIE,
    Species.DURALUDON,
    Species.DRAGAPULT,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.ZARUDE,
    Species.CALYREX,
    Species.WYRDEER,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.SKELEDIRGE,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.ARMAROUGE,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.GLIMMORA,
    Species.DUDUNSPARCE,
    Species.BRUTE_BONNET,
    Species.IRON_MOTH,
    Species.WO_CHIEN,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.RAGING_BOLT,
    Species.TERAPAGOS,
    Species.ALOLA_NINETALES,
    Species.ALOLA_EXEGGUTOR,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MR_MIME,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.FIRE_SPIN]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.VULPIX,
    Species.NINETALES,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.MAGMAR,
    Species.FLAREON,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.MAGBY,
    Species.ENTEI,
    Species.HO_OH,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.FLYGON,
    Species.ALTARIA,
    Species.SOLROCK,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.SKUNTANK,
    Species.MAGMORTAR,
    Species.HEATRAN,
    Species.VICTINI,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.HEATMOR,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.LITLEO,
    Species.PYROAR,
    Species.VOLCANION,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.TURTONATOR,
    Species.SOLGALEO,
    Species.BLACEPHALON,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.DRACOZOLT,
    Species.ETERNATUS,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.IRON_MOTH,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.GOUGING_FIRE,
    Species.ALOLA_MAROWAK,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    [
      Species.PALDEA_TAUROS,
      "blaze",
    ],
  ],
  [Moves.THUNDERBOLT]: [
    Species.RATTATA,
    Species.RATICATE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.ELECTABUZZ,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.JOLTEON,
    Species.PORYGON,
    Species.SNORLAX,
    Species.ZAPDOS,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.SENTRET,
    Species.FURRET,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.AIPOM,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.PORYGON2,
    Species.STANTLER,
    Species.ELEKID,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.AGGRON,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ZANGOOSE,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.ABSOL,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.PACHIRISU,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.MIME_JR,
    Species.MUNCHLAX,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.VICTINI,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.AUDINO,
    Species.GARBODOR,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.EMOLGA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.STUNFISK,
    Species.GOLURK,
    Species.THUNDURUS,
    Species.ZEKROM,
    Species.MELOETTA,
    Species.GENESECT,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.AMAURA,
    Species.AURORUS,
    Species.DEDENNE,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.XERNEAS,
    Species.HOOPA,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.ORANGURU,
    Species.SILVALLY,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.DRAMPA,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.XURKITREE,
    Species.MAGEARNA,
    Species.NAGANADEL,
    Species.ZERAORA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.YAMPER,
    Species.BOLTUND,
    Species.TOXTRICITY,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.MR_RIME,
    Species.PINCURCHIN,
    Species.MORPEKO,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DURALUDON,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.REGIELEKI,
    Species.WYRDEER,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.CYCLIZAR,
    Species.ANNIHILAPE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.SCREAM_TAIL,
    Species.FLUTTER_MANE,
    Species.SANDY_SHOCKS,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.GHOLDENGO,
    Species.IRON_VALIANT,
    Species.MIRAIDON,
    Species.ARCHALUDON,
    Species.RAGING_BOLT,
    Species.TERAPAGOS,
    Species.ALOLA_RAICHU,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
  ],
  [Moves.THUNDER_WAVE]: [
    Species.RATTATA,
    Species.RATICATE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.CHANSEY,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.ELECTABUZZ,
    Species.GYARADOS,
    Species.JOLTEON,
    Species.PORYGON,
    Species.ZAPDOS,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.AIPOM,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.PORYGON2,
    Species.STANTLER,
    Species.ELEKID,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.AGGRON,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.GULPIN,
    Species.SWALOT,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.ZANGOOSE,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.PACHIRISU,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.CHINGLING,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.MAGNEZONE,
    Species.ELECTIVIRE,
    Species.TOGEKISS,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.VICTINI,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.SIGILYPH,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.TYNAMO,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.STUNFISK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.COBALION,
    Species.THUNDURUS,
    Species.ZEKROM,
    Species.MELOETTA,
    Species.GENESECT,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.AMAURA,
    Species.AURORUS,
    Species.DEDENNE,
    Species.KLEFKI,
    Species.XERNEAS,
    Species.HOOPA,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.DRAMPA,
    Species.TAPU_KOKO,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.XURKITREE,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.ZERAORA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.YAMPER,
    Species.BOLTUND,
    Species.TOXTRICITY,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.MR_RIME,
    Species.PINCURCHIN,
    Species.MORPEKO,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DURALUDON,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.REGIELEKI,
    Species.WYRDEER,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.FARIGIRAF,
    Species.KINGAMBIT,
    Species.SCREAM_TAIL,
    Species.FLUTTER_MANE,
    Species.SANDY_SHOCKS,
    Species.IRON_THORNS,
    Species.GHOLDENGO,
    Species.IRON_VALIANT,
    Species.MIRAIDON,
    Species.ARCHALUDON,
    Species.RAGING_BOLT,
    Species.ALOLA_RAICHU,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_STUNFISK,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
  ],
  [Moves.THUNDER]: [
    Species.RATTATA,
    Species.RATICATE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.ELECTABUZZ,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.JOLTEON,
    Species.PORYGON,
    Species.SNORLAX,
    Species.ZAPDOS,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.SENTRET,
    Species.FURRET,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.AIPOM,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.PORYGON2,
    Species.STANTLER,
    Species.ELEKID,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.AGGRON,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ZANGOOSE,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.ABSOL,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.PACHIRISU,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.MIME_JR,
    Species.MUNCHLAX,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.PORYGON_Z,
    Species.PROBOPASS,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.VICTINI,
    Species.WATCHOG,
    Species.STOUTLAND,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.AUDINO,
    Species.CINCCINO,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.EMOLGA,
    Species.GALVANTULA,
    Species.FERROTHORN,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.STUNFISK,
    Species.THUNDURUS,
    Species.ZEKROM,
    Species.MELOETTA,
    Species.GENESECT,
    Species.AROMATISSE,
    Species.SLURPUFF,
    Species.DRAGALGE,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.AURORUS,
    Species.DEDENNE,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.XERNEAS,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.ORANGURU,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.DRAMPA,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.XURKITREE,
    Species.ZERAORA,
    Species.MELMETAL,
    Species.YAMPER,
    Species.BOLTUND,
    Species.TOXTRICITY,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.MR_RIME,
    Species.PINCURCHIN,
    Species.MORPEKO,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DURALUDON,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.REGIELEKI,
    Species.WYRDEER,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.ANNIHILAPE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.SCREAM_TAIL,
    Species.FLUTTER_MANE,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.GHOLDENGO,
    Species.MIRAIDON,
    Species.ARCHALUDON,
    Species.RAGING_BOLT,
    Species.TERAPAGOS,
    Species.ALOLA_RAICHU,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
  ],
  [Moves.EARTHQUAKE]: [
    Species.VENUSAUR,
    Species.CHARIZARD,
    Species.BLASTOISE,
    Species.EKANS,
    Species.ARBOK,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.ONIX,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.MEGANIUM,
    Species.TYPHLOSION,
    Species.FERALIGATR,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.MANTINE,
    Species.PHANPY,
    Species.DONPHAN,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.MILTANK,
    Species.BLISSEY,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.SCEPTILE,
    Species.BLAZIKEN,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.SWALOT,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.ALTARIA,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.CRADILY,
    Species.ARMALDO,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.RELICANTH,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.TORTERRA,
    Species.INFERNAPE,
    Species.EMPOLEON,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.GASTRODON,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.MANTYKE,
    Species.ABOMASNOW,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.EMBOAR,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SCOLIPEDE,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARMANITAN,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.HAXORUS,
    Species.BEARTIC,
    Species.STUNFISK,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.BOUFFALANT,
    Species.HYDREIGON,
    Species.TERRAKION,
    Species.LANDORUS,
    Species.CHESNAUGHT,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.GOGOAT,
    Species.PANGORO,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AURORUS,
    Species.GOODRA,
    Species.TREVENANT,
    Species.AVALUGG,
    Species.ZYGARDE,
    Species.VOLCANION,
    Species.INCINEROAR,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.WISHIWASHI,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.SOLGALEO,
    Species.BUZZWOLE,
    Species.CELESTEELA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.STAKATAKA,
    Species.MELMETAL,
    Species.RILLABOOM,
    Species.GREEDENT,
    Species.DREDNAW,
    Species.COALOSSAL,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CURSOLA,
    Species.RUNERIGUS,
    Species.STONJOURNER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.DRACOVISH,
    Species.REGIDRAGO,
    Species.WYRDEER,
    Species.URSALUNA,
    Species.SKELEDIRGE,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.ORTHWORM,
    Species.CETODDLE,
    Species.CETITAN,
    Species.DONDOZO,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.GREAT_TUSK,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.BAXCALIBUR,
    Species.TING_LU,
    Species.ROARING_MOON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.TERAPAGOS,
    [
      Species.WORMADAM,
      "sandy",
      "trash",
    ],
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.DIG]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.RATTATA,
    Species.RATICATE,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PARAS,
    Species.PARASECT,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.GRIMER,
    Species.MUK,
    Species.ONIX,
    Species.KRABBY,
    Species.KINGLER,
    Species.CUBONE,
    Species.MAROWAK,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.KANGASKHAN,
    Species.PINSIR,
    Species.TAUROS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.SNORLAX,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.AIPOM,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.SLOWKING,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.STANTLER,
    Species.HITMONTOP,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.BRELOOM,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.KECLEON,
    Species.REGIROCK,
    Species.GROUDON,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BONSLY,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.HEATRAN,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SCOLIPEDE,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.HEATMOR,
    Species.DURANT,
    Species.LANDORUS,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FROAKIE,
    Species.FROGADIER,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.LITLEO,
    Species.PYROAR,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.MEOWSTIC,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.ZYGARDE,
    Species.VOLCANION,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.NICKIT,
    Species.THIEVUL,
    Species.DREDNAW,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.GRAPPLOCT,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.WYRDEER,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.KLAWF,
    Species.RELLOR,
    Species.RABSCA,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.ORTHWORM,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.TING_LU,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.OKIDOGI,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_AVALUGG,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.TOXIC]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.PYUKUMUKU,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MARSHADOW,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.TOXTRICITY,
    Species.ETERNATUS,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.BELLIBOLT,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.CLODSIRE,
    Species.DUDUNSPARCE,
    Species.IRON_MOTH,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.TERAPAGOS,
    Species.PECHARUNT,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_SLOWKING,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.PALDEA_WOOPER,
  ],
  [Moves.PSYCHIC]: [
    Species.BUTTERFREE,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CHANSEY,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.LAPRAS,
    Species.PORYGON,
    Species.SNORLAX,
    Species.MEWTWO,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.POLITOED,
    Species.YANMA,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.PORYGON2,
    Species.STANTLER,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.BLISSEY,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CHIMECHO,
    Species.GOREBYSS,
    Species.METANG,
    Species.METAGROSS,
    Species.LATIAS,
    Species.LATIOS,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.SPIRITOMB,
    Species.MUNCHLAX,
    Species.LUCARIO,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.WHIMSICOTT,
    Species.DARMANITAN,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.GARBODOR,
    Species.ZOROARK,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.GOLETT,
    Species.GOLURK,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.MELOETTA,
    Species.GENESECT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.VIVILLON,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.AURORUS,
    Species.SYLVEON,
    Species.CARBINK,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.DIANCIE,
    Species.HOOPA,
    Species.PRIMARINA,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ORANGURU,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.MINIOR,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.TAPU_LELE,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.BLACEPHALON,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.THIEVUL,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.ALCREMIE,
    Species.INDEEDEE,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.ENAMORUS,
    Species.ARMAROUGE,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.VELUZA,
    Species.FARIGIRAF,
    Species.SCREAM_TAIL,
    Species.IRON_MOTH,
    Species.GHOLDENGO,
    Species.CHI_YU,
    Species.IRON_VALIANT,
    Species.MUNKIDORI,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.ALOLA_RAICHU,
    Species.ALOLA_EXEGGUTOR,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
  ],
  [Moves.AGILITY]: [
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.SPEAROW,
    Species.FEAROW,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.VULPIX,
    Species.NINETALES,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.PARAS,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.HITMONCHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARMIE,
    Species.SCYTHER,
    Species.JOLTEON,
    Species.PORYGON,
    Species.AERODACTYL,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.FERALIGATR,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.AIPOM,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SNEASEL,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.KINGDRA,
    Species.PORYGON2,
    Species.STANTLER,
    Species.HITMONTOP,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.GOREBYSS,
    Species.LUVDISC,
    Species.METANG,
    Species.METAGROSS,
    Species.LATIAS,
    Species.LATIOS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.LUXRAY,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.CHATOT,
    Species.RIOLU,
    Species.LUCARIO,
    Species.SKORUPI,
    Species.DRAPION,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.WEAVILE,
    Species.GLISCOR,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.ARCEUS,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.SEWADDLE,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.BASCULIN,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.ESCAVALIER,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.ACCELGOR,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.DURANT,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.VIKAVOLT,
    Species.ORICORIO,
    Species.RIBOMBEE,
    Species.LYCANROC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.TOGEDEMARU,
    Species.BRUXISH,
    Species.TAPU_KOKO,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.PHEROMOSA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.INTELEON,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.ORBEETLE,
    Species.NICKIT,
    Species.THIEVUL,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.BOLTUND,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.HATTERENE,
    Species.FALINKS,
    Species.EISCUE,
    Species.MORPEKO,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.REGIELEKI,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.QUAQUAVAL,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.CYCLIZAR,
    Species.FLAMIGO,
    Species.VELUZA,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.IRON_BUNDLE,
    Species.IRON_MOTH,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.FEZANDIPITI,
    Species.IRON_BOULDER,
    [
      Species.DEOXYS,
      "speed",
    ],
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
  ],
  [Moves.NIGHT_SHADE]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.NINETALES,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.MEWTWO,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.NATU,
    Species.XATU,
    Species.MURKROW,
    Species.MISDREAVUS,
    Species.GARDEVOIR,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.DEOXYS,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.BRONZONG,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.DARKRAI,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.GOLETT,
    Species.GOLURK,
    Species.DELPHOX,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.MIMIKYU,
    Species.LUNALA,
    Species.BLACEPHALON,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.CURSOLA,
    Species.RUNERIGUS,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.SPECTRIER,
    Species.BASCULEGION,
    Species.SKELEDIRGE,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.ESPATHRA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.ANNIHILAPE,
    Species.FARIGIRAF,
    Species.FLUTTER_MANE,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.MUNKIDORI,
    Species.PECHARUNT,
    Species.GALAR_CORSOLA,
    Species.GALAR_YAMASK,
    [
      Species.CALYREX,
      "shadow",
    ],
    Species.HISUI_TYPHLOSION,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.SCREECH]: [
    Species.RATTATA,
    Species.EKANS,
    Species.ARBOK,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.GOLBAT,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.ONIX,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.CUBONE,
    Species.MAROWAK,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.SNORLAX,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.IGGLYBUFF,
    Species.MAREEP,
    Species.POLITOED,
    Species.AIPOM,
    Species.YANMA,
    Species.UMBREON,
    Species.MURKROW,
    Species.MISDREAVUS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNEASEL,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.ELEKID,
    Species.MAGBY,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.SHIFTRY,
    Species.NINJASK,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.SEVIPER,
    Species.ANORITH,
    Species.ARMALDO,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.HUNTAIL,
    Species.KRICKETUNE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.VESPIQUEN,
    Species.AMBIPOM,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.YANMEGA,
    Species.GLISCOR,
    Species.OSHAWOTT,
    Species.PATRAT,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.BLITZLE,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.MARACTUS,
    Species.GARBODOR,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.GENESECT,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.PYUKUMUKU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.KARTANA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.CORVIKNIGHT,
    Species.NICKIT,
    Species.THIEVUL,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.TOXTRICITY,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.FALINKS,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DURALUDON,
    Species.ETERNATUS,
    Species.REGIELEKI,
    Species.SNEASLER,
    Species.NYMBLE,
    Species.LOKIX,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.ANNIHILAPE,
    Species.DUDUNSPARCE,
    Species.SANDY_SHOCKS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.KORAIDON,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ZAPDOS,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_STUNFISK,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_SNEASEL,
  ],
  [Moves.DOUBLE_TEAM]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.PYUKUMUKU,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.NAGANADEL,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.NICKIT,
    Species.THIEVUL,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.SNOM,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.PECHARUNT,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.CONFUSE_RAY]: [
    Species.VULPIX,
    Species.NINETALES,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.HYPNO,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.MAGMAR,
    Species.LAPRAS,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.MEWTWO,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.CORSOLA,
    Species.MANTINE,
    Species.STANTLER,
    Species.MAGBY,
    Species.SHIFTRY,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SHEDINJA,
    Species.SABLEYE,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.LILEEP,
    Species.CRADILY,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.JIRACHI,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.VESPIQUEN,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.SPIRITOMB,
    Species.SKORUPI,
    Species.DRAPION,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.MAGNEZONE,
    Species.MAGMORTAR,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.WATCHOG,
    Species.ZORUA,
    Species.ZOROARK,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.EELEKTROSS,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.CRYOGONAL,
    Species.GOLETT,
    Species.GOLURK,
    Species.DELPHOX,
    Species.VIVILLON,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.MINIOR,
    Species.MIMIKYU,
    Species.LUNALA,
    Species.MAGEARNA,
    Species.BLACEPHALON,
    Species.ORBEETLE,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ETERNATUS,
    Species.SPECTRIER,
    Species.WYRDEER,
    Species.BASCULEGION,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FARIGIRAF,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.IRON_MOTH,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.CHI_YU,
    Species.IRON_VALIANT,
    Species.MIRAIDON,
    Species.MUNKIDORI,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.GALAR_MR_MIME,
    Species.GALAR_CORSOLA,
    [
      Species.CALYREX,
      "shadow",
    ],
    Species.HISUI_TYPHLOSION,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.LIGHT_SCREEN]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.PIKACHU,
    Species.RAICHU,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PARAS,
    Species.PARASECT,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.CLOYSTER,
    Species.DROWZEE,
    Species.HYPNO,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CHANSEY,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.JOLTEON,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.ESPEON,
    Species.UMBREON,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.SCIZOR,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.STANTLER,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.DUSTOX,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.AZURILL,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CHIMECHO,
    Species.SNORUNT,
    Species.GLALIE,
    Species.METANG,
    Species.METAGROSS,
    Species.LATIAS,
    Species.LATIOS,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.PACHIRISU,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.MAGNEZONE,
    Species.ELECTIVIRE,
    Species.TOGEKISS,
    Species.MAMOSWINE,
    Species.GALLADE,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.CRESSELIA,
    Species.MANAPHY,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.WATCHOG,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.WHIMSICOTT,
    Species.LILLIGANT,
    Species.SIGILYPH,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.CRYOGONAL,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.VIRIZION,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.MELOETTA,
    Species.GENESECT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.VIVILLON,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.DEDENNE,
    Species.CARBINK,
    Species.KLEFKI,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.HOOPA,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.PRIMARINA,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.TOXAPEX,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PYUKUMUKU,
    Species.MINIOR,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.XURKITREE,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.APPLETUN,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.ALCREMIE,
    Species.FROSMOTH,
    Species.DURALUDON,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.ARBOLIVA,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.FARIGIRAF,
    Species.SCREAM_TAIL,
    Species.SANDY_SHOCKS,
    Species.IRON_MOTH,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.WO_CHIEN,
    Species.CHI_YU,
    Species.IRON_VALIANT,
    Species.MIRAIDON,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.ARCHALUDON,
    Species.ALOLA_RAICHU,
    Species.ALOLA_EXEGGUTOR,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    [
      Species.INDEEDEE,
      "female",
    ],
  ],
  [Moves.HAZE]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.EKANS,
    Species.ARBOK,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.KOFFING,
    Species.WEEZING,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.ARTICUNO,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CROBAT,
    Species.NATU,
    Species.XATU,
    Species.POLITOED,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.MURKROW,
    Species.QWILFISH,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SWABLU,
    Species.ALTARIA,
    Species.SEVIPER,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.HONCHKROW,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.MANTYKE,
    Species.GLACEON,
    Species.MAMOSWINE,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.CRYOGONAL,
    Species.ZEKROM,
    Species.GRENINJA,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.AMAURA,
    Species.AURORUS,
    Species.TREVENANT,
    Species.ZYGARDE,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.PRIMARINA,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.TAPU_FINI,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.RUNERIGUS,
    Species.SPECTRIER,
    Species.OVERQWIL,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CLODSIRE,
    Species.CHIEN_PAO,
    Species.ALOLA_MUK,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_CORSOLA,
    Species.GALAR_YAMASK,
    [
      Species.CALYREX,
      "shadow",
    ],
    Species.HISUI_QWILFISH,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_WOOPER,
  ],
  [Moves.REFLECT]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.PIKACHU,
    Species.RAICHU,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.DROWZEE,
    Species.HYPNO,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CHANSEY,
    Species.TANGELA,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.ESPEON,
    Species.UMBREON,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SNEASEL,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.STANTLER,
    Species.SMOOCHUM,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.CHIMECHO,
    Species.METANG,
    Species.METAGROSS,
    Species.LATIAS,
    Species.LATIOS,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.TANGROWTH,
    Species.TOGEKISS,
    Species.MAMOSWINE,
    Species.GALLADE,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.CRESSELIA,
    Species.MANAPHY,
    Species.ARCEUS,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.LEAVANNY,
    Species.SIGILYPH,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.CRYOGONAL,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.HYDREIGON,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.KELDEO,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.DELPHOX,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.INKAY,
    Species.MALAMAR,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.CARBINK,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.HOOPA,
    Species.PRIMARINA,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ARAQUANID,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.ORANGURU,
    Species.PYUKUMUKU,
    Species.MINIOR,
    Species.TOGEDEMARU,
    Species.BRUXISH,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.XURKITREE,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.STAKATAKA,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.APPLETUN,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.FROSMOTH,
    Species.EISCUE,
    Species.DURALUDON,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.CALYREX,
    Species.WYRDEER,
    Species.ARBOLIVA,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.FARIGIRAF,
    Species.SCREAM_TAIL,
    Species.SANDY_SHOCKS,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.WO_CHIEN,
    Species.CHI_YU,
    Species.IRON_VALIANT,
    Species.MIRAIDON,
    Species.DIPPLIN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_EXEGGUTOR,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_CORSOLA,
    [
      Species.INDEEDEE,
      "female",
    ],
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
  ],
  [Moves.FOCUS_ENERGY]: [
    Species.BEEDRILL,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.FARFETCHD,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.SCYTHER,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.MEW,
    Species.SENTRET,
    Species.FURRET,
    Species.ARIADOS,
    Species.ESPEON,
    Species.UMBREON,
    Species.SCIZOR,
    Species.TEDDIURSA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.KINGDRA,
    Species.PHANPY,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.MAGBY,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.ABSOL,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.KRICKETUNE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.LUCARIO,
    Species.MAGMORTAR,
    Species.LEAFEON,
    Species.GLACEON,
    Species.VICTINI,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.THROH,
    Species.SAWK,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.BOUFFALANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.PANGORO,
    Species.SYLVEON,
    Species.VOLCANION,
    Species.PASSIMIAN,
    Species.BUZZWOLE,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.INTELEON,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.BOLTUND,
    Species.FLAPPLE,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.SIRFETCHD,
    Species.FALINKS,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.KUBFU,
    Species.URSHIFU,
    Species.REGIDRAGO,
    Species.KLEAVOR,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.FLAMIGO,
    Species.VELUZA,
    Species.ANNIHILAPE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.ROARING_MOON,
    Species.OGERPON,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.PIKACHU,
    Species.ALOLA_MAROWAK,
    [
      Species.LYCANROC,
      "dusk",
    ],
    Species.GALAR_FARFETCHD,
    Species.GALAR_ZAPDOS,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_SAMUROTT,
  ],
  [Moves.METRONOME]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.SLOWBRO,
    Species.GRIMER,
    Species.MUK,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.CHANSEY,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CLEFFA,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.AIPOM,
    Species.SLOWKING,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SMOOCHUM,
    Species.MILTANK,
    Species.BLISSEY,
    Species.CELEBI,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.SWALOT,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSCLOPS,
    Species.JIRACHI,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.HAPPINY,
    Species.MUNCHLAX,
    Species.LUCARIO,
    Species.WEAVILE,
    Species.TOGEKISS,
    Species.DUSKNOIR,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.TORNADUS,
    Species.MELOETTA,
    Species.DELPHOX,
    Species.FLOETTE,
    Species.FLORGES,
    Species.AROMATISSE,
    Species.SLURPUFF,
    Species.DIANCIE,
    Species.INTELEON,
    Species.TOXTRICITY,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.PERRSERKER,
    Species.MR_RIME,
    Species.ALCREMIE,
    Species.INDEEDEE,
    Species.CALYREX,
    Species.URSALUNA,
    Species.PAWMOT,
    Species.ARBOLIVA,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.ANNIHILAPE,
    Species.SCREAM_TAIL,
    Species.IRON_HANDS,
    Species.IRON_VALIANT,
    Species.MUNKIDORI,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.HISUI_LILLIGANT,
  ],
  [Moves.SELF_DESTRUCT]: [
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.KOFFING,
    Species.WEEZING,
    Species.SNORLAX,
    Species.MEWTWO,
    Species.MEW,
    Species.SUDOWOODO,
    Species.PINECO,
    Species.FORRETRESS,
    Species.STEELIX,
    Species.QWILFISH,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.CORSOLA,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.NOSEPASS,
    Species.GULPIN,
    Species.SWALOT,
    Species.WAILMER,
    Species.WAILORD,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.GLALIE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BONSLY,
    Species.MUNCHLAX,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.AZELF,
    Species.HEATRAN,
    Species.GIGALITH,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.CRYOGONAL,
    Species.GOLETT,
    Species.GOLURK,
    Species.LANDORUS,
    Species.GENESECT,
    Species.VOLCANION,
    Species.SILVALLY,
    Species.MINIOR,
    Species.CELESTEELA,
    Species.MAGEARNA,
    Species.BLACEPHALON,
    Species.MELMETAL,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.POLTEAGEIST,
    Species.CURSOLA,
    Species.PINCURCHIN,
    Species.STONJOURNER,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.VAROOM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.GALAR_WEEZING,
    Species.GALAR_CORSOLA,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_QWILFISH,
  ],
  [Moves.FIRE_BLAST]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.GRIMER,
    Species.MUK,
    Species.CUBONE,
    Species.MAROWAK,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MAGMAR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.FLAREON,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.SLOWKING,
    Species.DUNSPARCE,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.MAGBY,
    Species.BLISSEY,
    Species.ENTEI,
    Species.TYRANITAR,
    Species.HO_OH,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAWILE,
    Species.AGGRON,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.FLYGON,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SOLROCK,
    Species.CASTFORM,
    Species.KECLEON,
    Species.ABSOL,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.HAPPINY,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.AUDINO,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.HEATMOR,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.RESHIRAM,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.LITLEO,
    Species.PYROAR,
    Species.GOODRA,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.VOLCANION,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.SOLGALEO,
    Species.CELESTEELA,
    Species.GUZZLORD,
    Species.NAGANADEL,
    Species.BLACEPHALON,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.CENTISKORCH,
    Species.DRACOZOLT,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ETERNATUS,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.SCOVILLAIN,
    Species.DUDUNSPARCE,
    Species.SCREAM_TAIL,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.GOUGING_FIRE,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_SLOWKING,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_GOODRA,
    [
      Species.PALDEA_TAUROS,
      "blaze",
    ],
  ],
  [Moves.WATERFALL]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.QWILFISH,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.MANTINE,
    Species.KINGDRA,
    Species.SUICUNE,
    Species.LUGIA,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.WINGULL,
    Species.PELIPPER,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.AZURILL,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.RAYQUAZA,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIBAREL,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.PALKIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.BASCULIN,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.WISHIWASHI,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.BRUXISH,
    Species.TAPU_FINI,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.EISCUE,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.BASCULEGION,
    Species.OVERQWIL,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.CLODSIRE,
    Species.WALKING_WAKE,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    [
      Species.URSHIFU,
      "rapid-strike",
    ],
    Species.HISUI_QWILFISH,
    Species.HISUI_SAMUROTT,
    Species.PALDEA_WOOPER,
  ],
  [Moves.SWIFT]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.DROWZEE,
    Species.HYPNO,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.CHANSEY,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.SCYTHER,
    Species.ELECTABUZZ,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.AERODACTYL,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.CROBAT,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.AIPOM,
    Species.YANMA,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.GLIGAR,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.ELEKID,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LUDICOLO,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.NINJASK,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.SKITTY,
    Species.DELCATTY,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CRAWDAUNT,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.LUVDISC,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    [
      Species.DEOXYS,
      "",
      "speed",
    ],
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.MOTHIM,
    Species.COMBEE,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.CHATOT,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.RIOLU,
    Species.LUCARIO,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.ELECTIVIRE,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.BASCULIN,
    Species.SIGILYPH,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.EMOLGA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.ACCELGOR,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.KLEFKI,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.LYCANROC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.ORANGURU,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.TOGEDEMARU,
    Species.DRAMPA,
    Species.TAPU_KOKO,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.PHEROMOSA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.NAGANADEL,
    Species.ZERAORA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.NICKIT,
    Species.THIEVUL,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXTRICITY,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.OBSTAGOON,
    Species.PINCURCHIN,
    Species.FROSMOTH,
    Species.INDEEDEE,
    Species.MORPEKO,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.ANNIHILAPE,
    Species.FARIGIRAF,
    Species.FLUTTER_MANE,
    Species.SANDY_SHOCKS,
    Species.IRON_BUNDLE,
    Species.IRON_MOTH,
    Species.IRON_VALIANT,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.AMNESIA]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.KRABBY,
    Species.KINGLER,
    Species.LICKITUNG,
    Species.TANGELA,
    Species.SNORLAX,
    Species.MEWTWO,
    Species.MEW,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.CLEFFA,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.HOPPIP,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.WOBBUFFET,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.MANTINE,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.GULPIN,
    Species.SWALOT,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.LILEEP,
    Species.CRADILY,
    Species.CASTFORM,
    Species.WYNAUT,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.REGICE,
    Species.REGISTEEL,
    Species.JIRACHI,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MUNCHLAX,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.MANTYKE,
    Species.LICKILICKY,
    Species.TANGROWTH,
    Species.TOGEKISS,
    Species.MAMOSWINE,
    Species.UXIE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.BOUFFALANT,
    Species.HEATMOR,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.DIANCIE,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.COMFEY,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.DRAMPA,
    Species.GUZZLORD,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.APPLETUN,
    Species.CRAMORANT,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.RUNERIGUS,
    Species.EISCUE,
    Species.CETODDLE,
    Species.CETITAN,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.SCREAM_TAIL,
    [
      Species.DEOXYS,
      "defense",
    ],
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.PALDEA_WOOPER,
  ],
  [Moves.DREAM_EATER]: [
    Species.BUTTERFREE,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.VENOMOTH,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.LICKITUNG,
    Species.CHANSEY,
    Species.STARMIE,
    Species.MR_MIME,
    Species.JYNX,
    Species.LAPRAS,
    Species.PORYGON,
    Species.MEWTWO,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.AIPOM,
    Species.YANMA,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.SNEASEL,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PORYGON2,
    Species.STANTLER,
    Species.SMOOCHUM,
    Species.BLISSEY,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SHEDINJA,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.GULPIN,
    Species.SWALOT,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.SWABLU,
    Species.ALTARIA,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.LATIAS,
    Species.LATIOS,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.SPIRITOMB,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.WATCHOG,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.MELOETTA,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.VIVILLON,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.AMAURA,
    Species.AURORUS,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.HOOPA,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.ORANGURU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.LUNALA,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.MAROWAK,
    Species.GALAR_ARTICUNO,
  ],
  [Moves.LEECH_LIFE]: [
    Species.EKANS,
    Species.ARBOK,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.YANMA,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.KRICKETUNE,
    Species.DRAPION,
    Species.YANMEGA,
    Species.DUSKNOIR,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.GENESECT,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.MIMIKYU,
    Species.BUZZWOLE,
    Species.NAGANADEL,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.CURSOLA,
    Species.FROSMOTH,
    Species.DRACOVISH,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.RELLOR,
    Species.RABSCA,
    Species.SLITHER_WING,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
  ],
  [Moves.FLASH]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIKACHU,
    Species.RAICHU,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.DROWZEE,
    Species.HYPNO,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.KOFFING,
    Species.WEEZING,
    Species.CHANSEY,
    Species.TANGELA,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.JOLTEON,
    Species.PORYGON,
    Species.ZAPDOS,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.SHUCKLE,
    Species.SKARMORY,
    Species.PORYGON2,
    Species.STANTLER,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.METANG,
    Species.METAGROSS,
    Species.LATIAS,
    Species.LATIOS,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.GASTRODON,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.SPIRITOMB,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.MAGNEZONE,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.CRESSELIA,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.WATCHOG,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.STUNFISK,
    Species.GOLETT,
    Species.GOLURK,
    Species.VIRIZION,
    Species.ZEKROM,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.VIVILLON,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.DEDENNE,
    Species.CARBINK,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.HOOPA,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.PERRSERKER,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.WYRDEER,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.ALOLA_RAICHU,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_EXEGGUTOR,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_YAMASK,
    Species.HISUI_LILLIGANT,
    Species.HISUI_AVALUGG,
    Species.PALDEA_WOOPER,
  ],
  [Moves.EXPLOSION]: [
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.KOFFING,
    Species.WEEZING,
    Species.MEW,
    Species.SUDOWOODO,
    Species.PINECO,
    Species.FORRETRESS,
    Species.STEELIX,
    Species.QWILFISH,
    Species.MAGCARGO,
    Species.CORSOLA,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.NOSEPASS,
    Species.GULPIN,
    Species.SWALOT,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.GLALIE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.PROBOPASS,
    Species.AZELF,
    Species.HEATRAN,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.CRYOGONAL,
    Species.LANDORUS,
    Species.GENESECT,
    Species.CARBINK,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.DIANCIE,
    Species.VOLCANION,
    Species.SILVALLY,
    Species.MINIOR,
    Species.TURTONATOR,
    Species.CELESTEELA,
    Species.MAGEARNA,
    Species.BLACEPHALON,
    Species.ROLYCOLY,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GARGANACL,
    Species.GLIMMET,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.GALAR_WEEZING,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
  ],
  [Moves.REST]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.PYUKUMUKU,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.NICKIT,
    Species.THIEVUL,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.SNOM,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.PECHARUNT,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.ROCK_SLIDE]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.EKANS,
    Species.ARBOK,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.GRIMER,
    Species.MUK,
    Species.ONIX,
    Species.KRABBY,
    Species.KINGLER,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.PINSIR,
    Species.TAUROS,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SUDOWOODO,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.GRANBULL,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.MANTINE,
    Species.SKARMORY,
    Species.PHANPY,
    Species.DONPHAN,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.MILTANK,
    Species.BLISSEY,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.ZANGOOSE,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.KECLEON,
    Species.DUSCLOPS,
    Species.ABSOL,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.RELICANTH,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.DEOXYS,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.EMPOLEON,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.MANTYKE,
    Species.ABOMASNOW,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.SIMISAGE,
    Species.SIMISEAR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SCOLIPEDE,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.DURANT,
    Species.HYDREIGON,
    Species.TERRAKION,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.HAWLUCHA,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.VOLCANION,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_BULU,
    Species.SOLGALEO,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.CELESTEELA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MARSHADOW,
    Species.STAKATAKA,
    Species.MELMETAL,
    Species.DREDNAW,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CURSOLA,
    Species.RUNERIGUS,
    Species.FALINKS,
    Species.STONJOURNER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.KLAWF,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.BOMBIRDIER,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.DONDOZO,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.DUDUNSPARCE,
    Species.GREAT_TUSK,
    Species.IRON_TREADS,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.TING_LU,
    Species.ROARING_MOON,
    Species.ARCHALUDON,
    Species.TERAPAGOS,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.GALAR_CORSOLA,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.TRI_ATTACK]: [
    Species.SPEAROW,
    Species.FEAROW,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.DUGTRIO,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNETON,
    Species.DODUO,
    Species.DODRIO,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.DROWZEE,
    Species.HYPNO,
    Species.CHANSEY,
    Species.STARYU,
    Species.STARMIE,
    Species.PORYGON,
    Species.MEWTWO,
    Species.MEW,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.SLOWKING,
    Species.PORYGON2,
    Species.BLISSEY,
    Species.LATIAS,
    Species.LATIOS,
    Species.MAGNEZONE,
    Species.TOGEKISS,
    Species.PORYGON_Z,
    Species.PROBOPASS,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.BEHEEYEM,
    Species.HYDREIGON,
    Species.GENESECT,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MAGEARNA,
    Species.ALCREMIE,
    Species.INDEEDEE,
    Species.DRAGAPULT,
    Species.CALYREX,
    Species.SANDY_SHOCKS,
    Species.IRON_JUGULIS,
    Species.ALOLA_DUGTRIO,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
  ],
  [Moves.SUPER_FANG]: [
    Species.RATTATA,
    Species.RATICATE,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.MEW,
    Species.SENTRET,
    Species.FURRET,
    Species.CROBAT,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.MAWILE,
    Species.PLUSLE,
    Species.MINUN,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.HUNTAIL,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.PACHIRISU,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.SKUNTANK,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.PATRAT,
    Species.WATCHOG,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.DEDENNE,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.KOMALA,
    Species.TOGEDEMARU,
    Species.BRUXISH,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.DREDNAW,
    Species.MORPEKO,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
  ],
  [Moves.SUBSTITUTE]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.PYUKUMUKU,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.NICKIT,
    Species.THIEVUL,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.SNOM,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.PECHARUNT,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.THIEF]: [
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.MEW,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.NATU,
    Species.XATU,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.YANMA,
    Species.QUAGSIRE,
    Species.UMBREON,
    Species.MURKROW,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.BLISSEY,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.ABSOL,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BONSLY,
    Species.MIME_JR,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.YANMEGA,
    Species.GLISCOR,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.ROTOM,
    Species.DARKRAI,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.WHIMSICOTT,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.PANGORO,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.HOOPA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.COMFEY,
    Species.PASSIMIAN,
    Species.KOMALA,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.DHELMISE,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MARSHADOW,
    Species.NAGANADEL,
    Species.BLACEPHALON,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.NICKIT,
    Species.THIEVUL,
    Species.CRAMORANT,
    Species.TOXTRICITY,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.MORPEKO,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZARUDE,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.MEOWSCARADA,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.SQUAWKABILLY,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.BOMBIRDIER,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.ANNIHILAPE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.BRUTE_BONNET,
    Species.IRON_BUNDLE,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_MOLTRES,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.PALDEA_TAUROS,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.SNORE]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.CATERPIE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.WURMPLE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETOT,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.BURMY,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.COMBEE,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.NICKIT,
    Species.THIEVUL,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.SNOM,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.URSALUNA,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
  ],
  [Moves.CURSE]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.GULPIN,
    Species.SWALOT,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.WHISCASH,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.CHINGLING,
    Species.BONSLY,
    Species.SPIRITOMB,
    Species.MUNCHLAX,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.GIRATINA,
    Species.DARKRAI,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SAWSBUCK,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.BEARTIC,
    Species.GOLETT,
    Species.GOLURK,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.SYLVEON,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.DECIDUEYE,
    Species.GUMSHOOS,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.PASSIMIAN,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.KOMALA,
    Species.MIMIKYU,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.CORVIKNIGHT,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.APPLETUN,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.PERRSERKER,
    Species.PINCURCHIN,
    Species.STONJOURNER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.GLASTRIER,
    Species.SPECTRIER,
    [
      Species.CALYREX,
      "ice",
      "shadow",
    ],
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.OVERQWIL,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CERULEDGE,
    Species.MABOSSTIFF,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.BOMBIRDIER,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.ORTHWORM,
    Species.CETODDLE,
    Species.CETITAN,
    Species.DONDOZO,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.SLITHER_WING,
    Species.IRON_THORNS,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OKIDOGI,
    Species.HYDRAPPLE,
    Species.PECHARUNT,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_SLOWKING,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
  ],
  [Moves.REVERSAL]: [
    Species.RATTATA,
    Species.RATICATE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.RHYHORN,
    Species.RHYDON,
    Species.KANGASKHAN,
    Species.SCYTHER,
    Species.PINSIR,
    Species.TAUROS,
    Species.MEWTWO,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.SENTRET,
    Species.FURRET,
    Species.PICHU,
    Species.YANMA,
    Species.PINECO,
    Species.FORRETRESS,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.DELIBIRD,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.HITMONTOP,
    Species.MILTANK,
    Species.ENTEI,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.BRELOOM,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.VESPIQUEN,
    Species.LOPUNNY,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.RHYPERIOR,
    Species.YANMEGA,
    Species.MAMOSWINE,
    Species.GALLADE,
    Species.VICTINI,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.THROH,
    Species.SAWK,
    Species.BASCULIN,
    Species.DARMANITAN,
    Species.SCRAFTY,
    Species.ESCAVALIER,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.BEARTIC,
    Species.ACCELGOR,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.BRAVIARY,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.KELDEO,
    Species.MELOETTA,
    Species.CHESNAUGHT,
    Species.PANGORO,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.MALAMAR,
    Species.HAWLUCHA,
    Species.ZYGARDE,
    Species.INCINEROAR,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    [
      Species.LYCANROC,
      "midnight",
      "dusk",
    ],
    Species.BEWEAR,
    Species.PASSIMIAN,
    Species.SILVALLY,
    Species.KOMALA,
    Species.TOGEDEMARU,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.BUZZWOLE,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CRAMORANT,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.OBSTAGOON,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.EISCUE,
    Species.MORPEKO,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.KUBFU,
    Species.URSHIFU,
    Species.REGIDRAGO,
    Species.KLEAVOR,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.QUAQUAVAL,
    Species.SPIDOPS,
    Species.LOKIX,
    Species.SQUAWKABILLY,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.KLAWF,
    Species.PALAFIN,
    Species.FLAMIGO,
    Species.ANNIHILAPE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SLITHER_WING,
    Species.IRON_HANDS,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.IRON_LEAVES,
    Species.OKIDOGI,
    Species.OGERPON,
    Species.GOUGING_FIRE,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    [
      Species.LYCANROC,
      "midnight",
      "dusk",
    ],
    Species.GALAR_ZAPDOS,
    Species.GALAR_DARMANITAN,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
  ],
  [Moves.SPITE]: [
    Species.EKANS,
    Species.ARBOK,
    Species.VULPIX,
    Species.NINETALES,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.KANGASKHAN,
    Species.TAUROS,
    Species.GYARADOS,
    Species.MEWTWO,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.AIPOM,
    Species.UMBREON,
    Species.MURKROW,
    Species.MISDREAVUS,
    Species.DUNSPARCE,
    Species.QWILFISH,
    Species.SNEASEL,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.STANTLER,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.SABLEYE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.CACNEA,
    Species.CACTURNE,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.VESPIQUEN,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.SPIRITOMB,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.RHYPERIOR,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.GIRATINA,
    Species.DARKRAI,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.STUNFISK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.PANCHAM,
    Species.PANGORO,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.INKAY,
    Species.MALAMAR,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.ZYGARDE,
    Species.DECIDUEYE,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.ORANGURU,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.PYUKUMUKU,
    Species.MIMIKYU,
    Species.DHELMISE,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BLACEPHALON,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.MORPEKO,
    Species.WYRDEER,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.LOKIX,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.MABOSSTIFF,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.ANNIHILAPE,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.FLUTTER_MANE,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.PECHARUNT,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_WEEZING,
    Species.GALAR_MOLTRES,
    Species.GALAR_CORSOLA,
    Species.GALAR_STUNFISK,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
  ],
  [Moves.PROTECT]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.BURMY,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.SPEWPA,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.PYUKUMUKU,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.NICKIT,
    Species.THIEVUL,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.SNOM,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.PECHARUNT,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.SCARY_FACE]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.RATICATE,
    Species.SPEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.VICTREEBEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.GRIMER,
    Species.MUK,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.HYPNO,
    Species.ELECTRODE,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.SCYTHER,
    Species.MAGMAR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.FLAREON,
    Species.AERODACTYL,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.NOCTOWL,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.UMBREON,
    Species.MURKROW,
    Species.MISDREAVUS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SNEASEL,
    Species.URSARING,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.DONPHAN,
    Species.STANTLER,
    Species.MAGBY,
    Species.ENTEI,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.MASQUERAIN,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.HARIYAMA,
    Species.AGGRON,
    Species.MANECTRIC,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SEVIPER,
    Species.WHISCASH,
    Species.CRAWDAUNT,
    Species.SHUPPET,
    Species.BANETTE,
    Species.GLALIE,
    Species.HUNTAIL,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.TORTERRA,
    Species.INFERNAPE,
    Species.EMPOLEON,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.VESPIQUEN,
    Species.FLOATZEL,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.LUCARIO,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.RHYPERIOR,
    Species.MAGMORTAR,
    Species.YANMEGA,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.FROSLASS,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.ARCEUS,
    Species.SAMUROTT,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.THROH,
    Species.SAWK,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.COFAGRIGUS,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.AMOONGUSS,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.DRUDDIGON,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.COBALION,
    Species.TERRAKION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.LANDORUS,
    Species.KYUREM,
    Species.CHESNAUGHT,
    Species.PANGORO,
    Species.MALAMAR,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAWITZER,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.AVALUGG,
    Species.NOIVERN,
    Species.HOOPA,
    Species.VOLCANION,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.CRABOMINABLE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.TOXAPEX,
    Species.MUDSDALE,
    Species.LURANTIS,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.BRUXISH,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_BULU,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NECROZMA,
    Species.ZERAORA,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.FLAPPLE,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.BARRASKEWDA,
    Species.TOXTRICITY,
    Species.GRAPPLOCT,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.RUNERIGUS,
    Species.MORPEKO,
    Species.COPPERAJAH,
    Species.DURALUDON,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SKELEDIRGE,
    Species.SPIDOPS,
    Species.LOKIX,
    Species.DACHSBUN,
    Species.SQUAWKABILLY,
    Species.KILOWATTREL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.GRAFAIAI,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.SCOVILLAIN,
    Species.BOMBIRDIER,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.DONDOZO,
    Species.ANNIHILAPE,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.IRON_TREADS,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_THORNS,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.OKIDOGI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.ALOLA_RATICATE,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_ELECTRODE,
    Species.HISUI_QWILFISH,
    Species.HISUI_SAMUROTT,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.SLUDGE_BOMB]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.BEEDRILL,
    Species.RATTATA,
    Species.RATICATE,
    Species.EKANS,
    Species.ARBOK,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.KOFFING,
    Species.WEEZING,
    Species.TANGELA,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.BELLOSSOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.GLIGAR,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SHUCKLE,
    Species.OCTILLERY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.DUSTOX,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.MAWILE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.TORKOAL,
    Species.SEVIPER,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.LILEEP,
    Species.CRADILY,
    Species.METANG,
    Species.METAGROSS,
    Species.BUDEW,
    Species.ROSERADE,
    Species.VESPIQUEN,
    Species.GASTRODON,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.TANGROWTH,
    Species.GLISCOR,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.DRUDDIGON,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.LANDORUS,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.VOLCANION,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.NIHILEGO,
    Species.GUZZLORD,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.TOXTRICITY,
    Species.ETERNATUS,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.RELLOR,
    Species.RABSCA,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.CLODSIRE,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.PECHARUNT,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_SLOWKING,
    Species.GALAR_STUNFISK,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.PALDEA_WOOPER,
  ],
  [Moves.MUD_SLAP]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.GRIMER,
    Species.MUK,
    Species.ONIX,
    Species.KRABBY,
    Species.KINGLER,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.AIPOM,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SHUCKLE,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PHANPY,
    Species.DONPHAN,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.MILOTIC,
    Species.KECLEON,
    Species.BANETTE,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.ABSOL,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETOT,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.MOTHIM,
    Species.COMBEE,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.LILLIPUP,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.TYMPOLE,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.MINCCINO,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.SHELMET,
    Species.STUNFISK,
    Species.GOLETT,
    Species.GOLURK,
    Species.BOUFFALANT,
    Species.LANDORUS,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.LITLEO,
    Species.PYROAR,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ROCKRUFF,
    [
      Species.LYCANROC,
      "midday",
      "midnight",
    ],
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.CINDERACE,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.CLODSIRE,
    Species.DUDUNSPARCE,
    Species.GREAT_TUSK,
    Species.IRON_TREADS,
    Species.WO_CHIEN,
    Species.TING_LU,
    Species.KORAIDON,
    Species.MUNKIDORI,
    [
      Species.WORMADAM,
      "sandy",
    ],
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.GALAR_STUNFISK,
    Species.PALDEA_WOOPER,
  ],
  [Moves.SPIKES]: [
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.MEW,
    Species.SUDOWOODO,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.PINECO,
    Species.FORRETRESS,
    Species.GLIGAR,
    Species.QWILFISH,
    Species.HERACROSS,
    Species.DELIBIRD,
    Species.SKARMORY,
    Species.ROSELIA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.WHISCASH,
    Species.SNORUNT,
    Species.GLALIE,
    Species.GROUDON,
    Species.BUDEW,
    Species.ROSERADE,
    Species.VESPIQUEN,
    Species.GASTRODON,
    Species.BONSLY,
    Species.GARCHOMP,
    Species.GLISCOR,
    Species.FROSLASS,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.CARBINK,
    Species.KLEFKI,
    Species.DIANCIE,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.MAGEARNA,
    Species.NAGANADEL,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.PINCURCHIN,
    Species.OVERQWIL,
    Species.MEOWSCARADA,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.CLODSIRE,
    Species.SANDY_SHOCKS,
    Species.IRON_THORNS,
    Species.TING_LU,
    Species.OGERPON,
    [
      Species.DEOXYS,
      "defense",
    ],
    Species.ALOLA_SANDSLASH,
    Species.HISUI_QWILFISH,
    Species.PALDEA_WOOPER,
  ],
  [Moves.ICY_WIND]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.RATTATA,
    Species.RATICATE,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.KRABBY,
    Species.KINGLER,
    Species.CUBONE,
    Species.MAROWAK,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.JYNX,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.QWILFISH,
    Species.SNEASEL,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.KINGDRA,
    Species.PORYGON2,
    Species.SMOOCHUM,
    Species.MILTANK,
    Species.BLISSEY,
    Species.SUICUNE,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SHIFTRY,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.AZURILL,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.AGGRON,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.ZANGOOSE,
    Species.LUNATONE,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.METANG,
    Species.METAGROSS,
    Species.REGICE,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.RAYQUAZA,
    Species.JIRACHI,
    [
      Species.DEOXYS,
      "",
      "speed",
    ],
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.CHINGLING,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.SPIRITOMB,
    Species.MUNCHLAX,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.GLACEON,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.PALKIA,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.AUDINO,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.BASCULIN,
    Species.SIGILYPH,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.GOLETT,
    Species.GOLURK,
    Species.TORNADUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.AMAURA,
    Species.AURORUS,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.GOLISOPOD,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.TAPU_FINI,
    Species.LUNALA,
    Species.PHEROMOSA,
    Species.INTELEON,
    Species.CRAMORANT,
    Species.OBSTAGOON,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.SNOM,
    Species.FROSMOTH,
    Species.EISCUE,
    Species.ARCTOZOLT,
    Species.ARCTOVISH,
    Species.GLASTRIER,
    Species.BASCULEGION,
    Species.OVERQWIL,
    Species.QUAQUAVAL,
    Species.BOMBIRDIER,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.TATSUGIRI,
    Species.FLUTTER_MANE,
    Species.IRON_BUNDLE,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.CHIEN_PAO,
    Species.IRON_VALIANT,
    Species.FEZANDIPITI,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_MAROWAK,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_QWILFISH,
    Species.HISUI_SAMUROTT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_AVALUGG,
  ],
  [Moves.OUTRAGE]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BEEDRILL,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.MAROWAK,
    Species.RHYDON,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.SNORLAX,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEW,
    Species.MEGANIUM,
    Species.FERALIGATR,
    Species.AMPHAROS,
    Species.GRANBULL,
    Species.KINGDRA,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.SCEPTILE,
    Species.SWAMPERT,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.EXPLOUD,
    Species.AGGRON,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.SWABLU,
    Species.ALTARIA,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.TROPIUS,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.RAYQUAZA,
    Species.TORTERRA,
    Species.RAMPARDOS,
    Species.BASTIODON,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.ABOMASNOW,
    Species.RHYPERIOR,
    Species.DIALGA,
    Species.PALKIA,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.SERPERIOR,
    Species.KROOKODILE,
    Species.SCRAFTY,
    Species.ARCHEOPS,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.DRUDDIGON,
    Species.BOUFFALANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.PANGORO,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.ZYGARDE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.SILVALLY,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.SOLGALEO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MARSHADOW,
    Species.NAGANADEL,
    Species.ZERAORA,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SANDACONDA,
    Species.MORPEKO,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.DRACOVISH,
    Species.DURALUDON,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ETERNATUS,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.BASCULEGION,
    Species.ENAMORUS,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.MABOSSTIFF,
    Species.PALAFIN,
    Species.CYCLIZAR,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.DUDUNSPARCE,
    Species.BRUTE_BONNET,
    Species.IRON_JUGULIS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.DIPPLIN,
    Species.OKIDOGI,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    [
      Species.LYCANROC,
      "midnight",
      "dusk",
    ],
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.PALDEA_TAUROS,
  ],
  [Moves.SANDSTORM]: [
    Species.CHARIZARD,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.GRIMER,
    Species.MUK,
    Species.ONIX,
    Species.CUBONE,
    Species.MAROWAK,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.TAUROS,
    Species.GYARADOS,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.SUDOWOODO,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.SKARMORY,
    Species.PHANPY,
    Species.DONPHAN,
    Species.HITMONTOP,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.NOSEPASS,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.CASTFORM,
    Species.ABSOL,
    Species.RELICANTH,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.TORTERRA,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PROBOPASS,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.ARCEUS,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.MANDIBUZZ,
    Species.DURANT,
    Species.COBALION,
    Species.TERRAKION,
    Species.TORNADUS,
    Species.LANDORUS,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.CARBINK,
    Species.KLEFKI,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.ORICORIO,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.NIHILEGO,
    Species.STAKATAKA,
    Species.DREDNAW,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CURSOLA,
    Species.RUNERIGUS,
    Species.STONJOURNER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.ZAMAZENTA,
    Species.KLEAVOR,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.CLODSIRE,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_THORNS,
    Species.GHOLDENGO,
    Species.TING_LU,
    Species.OGERPON,
    Species.IRON_BOULDER,
    [
      Species.WORMADAM,
      "sandy",
      "trash",
    ],
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.GALAR_SLOWBRO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_CORSOLA,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
  ],
  [Moves.GIGA_DRAIN]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.EKANS,
    Species.ARBOK,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.TANGELA,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.NATU,
    Species.XATU,
    Species.BELLOSSOM,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.PINECO,
    Species.FORRETRESS,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.SABLEYE,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LILEEP,
    Species.CRADILY,
    Species.TROPIUS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.KRICKETUNE,
    Species.BUDEW,
    Species.ROSERADE,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.CARNIVINE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.TANGROWTH,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.UXIE,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.MARACTUS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.HEATMOR,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.VIRIZION,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.VIVILLON,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.MIMIKYU,
    Species.DHELMISE,
    Species.TAPU_BULU,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.ORBEETLE,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.CURSOLA,
    Species.ALCREMIE,
    Species.FROSMOTH,
    Species.ZARUDE,
    Species.CALYREX,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.BRUTE_BONNET,
    Species.SLITHER_WING,
    Species.WO_CHIEN,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OGERPON,
    Species.HYDRAPPLE,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_CORSOLA,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.ENDURE]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.PYUKUMUKU,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.NICKIT,
    Species.THIEVUL,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.SNOM,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.PECHARUNT,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.CHARM]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.PIKACHU,
    Species.RAICHU,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.CHANSEY,
    Species.MR_MIME,
    Species.JYNX,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.SNORLAX,
    Species.MEW,
    Species.SENTRET,
    Species.FURRET,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.ESPEON,
    Species.UMBREON,
    Species.MISDREAVUS,
    Species.WOBBUFFET,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.PHANPY,
    Species.DONPHAN,
    Species.SMOOCHUM,
    Species.MILTANK,
    Species.BLISSEY,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.AZURILL,
    Species.SKITTY,
    Species.DELCATTY,
    Species.PLUSLE,
    Species.MINUN,
    Species.ILLUMISE,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.CHIMECHO,
    Species.WYNAUT,
    Species.LUVDISC,
    Species.LATIAS,
    Species.JIRACHI,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.PACHIRISU,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.MUNCHLAX,
    Species.FINNEON,
    Species.LUMINEON,
    Species.TOGEKISS,
    Species.LEAFEON,
    Species.GLACEON,
    Species.MAMOSWINE,
    Species.GALLADE,
    Species.FROSLASS,
    Species.MESPRIT,
    Species.PHIONE,
    Species.MANAPHY,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.MELOETTA,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.FURFROU,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.SYLVEON,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.DIANCIE,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.KOMALA,
    Species.MIMIKYU,
    Species.TAPU_LELE,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.YAMPER,
    Species.BOLTUND,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.PERRSERKER,
    Species.MR_RIME,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.URSALUNA,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.CETODDLE,
    Species.CETITAN,
    Species.FLUTTER_MANE,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ALOLA_RAICHU,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_MR_MIME,
    [
      Species.INDEEDEE,
      "female",
    ],
    Species.HISUI_LILLIGANT,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
  ],
  [Moves.FALSE_SWIPE]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BEEDRILL,
    Species.SPEAROW,
    Species.FEAROW,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.PARAS,
    Species.PARASECT,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.FARFETCHD,
    Species.KRABBY,
    Species.KINGLER,
    Species.CUBONE,
    Species.MAROWAK,
    Species.SCYTHER,
    Species.PINSIR,
    Species.JOLTEON,
    Species.MEW,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.MAWILE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.ANORITH,
    Species.ARMALDO,
    Species.ABSOL,
    Species.EMPOLEON,
    Species.KRICKETUNE,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.SKORUPI,
    Species.DRAPION,
    Species.WEAVILE,
    Species.GLISCOR,
    Species.GALLADE,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.LEAVANNY,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.KELDEO,
    Species.FROAKIE,
    Species.FROGADIER,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.PANCHAM,
    Species.PANGORO,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.HAWLUCHA,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.GOLISOPOD,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_BULU,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.KARTANA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.PERRSERKER,
    Species.FALINKS,
    Species.ZACIAN,
    Species.URSHIFU,
    Species.KLEAVOR,
    Species.SNEASLER,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.CERULEDGE,
    Species.KINGAMBIT,
    Species.BAXCALIBUR,
    Species.CHIEN_PAO,
    Species.IRON_VALIANT,
    Species.IRON_LEAVES,
    Species.OGERPON,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_MAROWAK,
    Species.GALAR_MEOWTH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.SWAGGER]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.PYUKUMUKU,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.BLACEPHALON,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.WOOLOO,
    Species.TOXTRICITY,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.PERRSERKER,
    Species.MORPEKO,
    Species.CUFANT,
    Species.ZARUDE,
    Species.SQUAWKABILLY,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.ANNIHILAPE,
    Species.CHI_YU,
    Species.FEZANDIPITI,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWKING,
    Species.PALDEA_TAUROS,
  ],
  [Moves.STEEL_WING]: [
    Species.CHARIZARD,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.SPEAROW,
    Species.FEAROW,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SCYTHER,
    Species.AERODACTYL,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRAGONITE,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CROBAT,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.YANMA,
    Species.MURKROW,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.DELIBIRD,
    Species.SKARMORY,
    Species.LUGIA,
    Species.HO_OH,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.SWABLU,
    Species.ALTARIA,
    Species.TROPIUS,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.HONCHKROW,
    Species.CHATOT,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.GLISCOR,
    Species.GIRATINA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.LEAVANNY,
    Species.SIGILYPH,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HYDREIGON,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.HAWLUCHA,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.ORICORIO,
    Species.SILVALLY,
    Species.DRAMPA,
    Species.TAPU_KOKO,
    Species.CORVIKNIGHT,
    Species.CRAMORANT,
    Species.SIRFETCHD,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.GALAR_FARFETCHD,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
  ],
  [Moves.ATTRACT]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINJASK,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.HEATRAN,
    Species.CRESSELIA,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.LANDORUS,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.PYUKUMUKU,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.NICKIT,
    Species.THIEVUL,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.APPLIN,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.PINCURCHIN,
    Species.SNOM,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DURALUDON,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.KUBFU,
    Species.URSHIFU,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.DIPPLIN,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.TERAPAGOS,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.SLEEP_TALK]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.COMBEE,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.PYUKUMUKU,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.NICKIT,
    Species.THIEVUL,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.SNOM,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.PECHARUNT,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.HEAL_BELL]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.LICKITUNG,
    Species.CHANSEY,
    Species.JYNX,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.ARTICUNO,
    Species.DRAGONITE,
    Species.MEW,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.ESPEON,
    Species.UMBREON,
    Species.MISDREAVUS,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SMOOCHUM,
    Species.MILTANK,
    Species.BLISSEY,
    Species.CELEBI,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.GARDEVOIR,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SWABLU,
    Species.ALTARIA,
    Species.CHIMECHO,
    Species.KRICKETUNE,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.CHINGLING,
    Species.HAPPINY,
    Species.LICKILICKY,
    Species.TOGEKISS,
    Species.LEAFEON,
    Species.GLACEON,
    Species.UXIE,
    Species.PHIONE,
    Species.MANAPHY,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.AUDINO,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.MELOETTA,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.SYLVEON,
    Species.DIANCIE,
    Species.COMFEY,
    Species.MAGEARNA,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.HISUI_LILLIGANT,
    Species.ETERNAL_FLOETTE,
  ],
  [Moves.RETURN]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.NICKIT,
    Species.THIEVUL,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.SNOM,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.PECHARUNT,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.FRUSTRATION]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.NICKIT,
    Species.THIEVUL,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.SNOM,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.PECHARUNT,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.SAFEGUARD]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.BUTTERFREE,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.VILEPLUME,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.DROWZEE,
    Species.HYPNO,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.LAPRAS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.WOBBUFFET,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.CORSOLA,
    Species.BLISSEY,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.BEAUTIFLY,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SPINDA,
    Species.SWABLU,
    Species.ALTARIA,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.MILOTIC,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.WYNAUT,
    Species.SNORUNT,
    Species.GLALIE,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.FINNEON,
    Species.LUMINEON,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.TOGEKISS,
    Species.GALLADE,
    Species.FROSLASS,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.MARACTUS,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.GOLETT,
    Species.GOLURK,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.VIVILLON,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.CARBINK,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PYUKUMUKU,
    Species.MINIOR,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.STAKATAKA,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.APPLETUN,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.ALCREMIE,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.ZAMAZENTA,
    Species.CALYREX,
    Species.ARBOLIVA,
    Species.RABSCA,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_YAMASK,
    [
      Species.INDEEDEE,
      "female",
    ],
  ],
  [Moves.PAIN_SPLIT]: [
    Species.ARBOK,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.KOFFING,
    Species.WEEZING,
    Species.TANGELA,
    Species.STARYU,
    Species.STARMIE,
    Species.PORYGON,
    Species.MEW,
    Species.IGGLYBUFF,
    Species.NATU,
    Species.XATU,
    Species.MISDREAVUS,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.QWILFISH,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PORYGON2,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.NOSEPASS,
    Species.SABLEYE,
    Species.MAWILE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.GULPIN,
    Species.SWALOT,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.LILEEP,
    Species.CRADILY,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.DEOXYS,
    Species.RAMPARDOS,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.SPIRITOMB,
    Species.TANGROWTH,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.GIRATINA,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.AUDINO,
    Species.THROH,
    Species.SAWK,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.STUNFISK,
    Species.KELDEO,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.ZYGARDE,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.PYUKUMUKU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DHELMISE,
    Species.NIHILEGO,
    Species.MAGEARNA,
    Species.BLACEPHALON,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.POLTEAGEIST,
    Species.HATTERENE,
    Species.ALCREMIE,
    Species.PINCURCHIN,
    Species.SPECTRIER,
    Species.BASCULEGION,
    Species.OVERQWIL,
    Species.SPIDOPS,
    Species.MABOSSTIFF,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.WUGTRIO,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.VELUZA,
    Species.DUDUNSPARCE,
    Species.FLUTTER_MANE,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.GALAR_WEEZING,
    Species.GALAR_MOLTRES,
    Species.GALAR_STUNFISK,
    Species.HISUI_QWILFISH,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
  ],
  [Moves.MEGAHORN]: [
    Species.NIDOKING,
    Species.RAPIDASH,
    Species.SEEL,
    Species.DEWGONG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.TAUROS,
    Species.LAPRAS,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.HERACROSS,
    Species.STANTLER,
    Species.ABSOL,
    Species.RHYPERIOR,
    Species.SAMUROTT,
    Species.SCOLIPEDE,
    Species.SAWSBUCK,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.BOUFFALANT,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.KELDEO,
    Species.XERNEAS,
    Species.TAPU_BULU,
    Species.CELESTEELA,
    Species.DREDNAW,
    Species.FALINKS,
    Species.GLASTRIER,
    Species.WYRDEER,
    Species.CLODSIRE,
    Species.GREAT_TUSK,
    Species.IRON_TREADS,
    Species.IRON_LEAVES,
    Species.IRON_BOULDER,
    Species.GALAR_RAPIDASH,
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_SAMUROTT,
  ],
  [Moves.BATON_PASS]: [
    Species.BUTTERFREE,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.POLIWRATH,
    Species.RAPIDASH,
    Species.FARFETCHD,
    Species.HYPNO,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.ZAPDOS,
    Species.MEW,
    Species.SENTRET,
    Species.FURRET,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.BELLOSSOM,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.ESPEON,
    Species.UMBREON,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.DELIBIRD,
    Species.CELEBI,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.NINJASK,
    Species.SKITTY,
    Species.MAWILE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.SPINDA,
    Species.ZANGOOSE,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.LATIAS,
    Species.LATIOS,
    Species.JIRACHI,
    Species.KRICKETUNE,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.CHINGLING,
    Species.MIME_JR,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.TOGEKISS,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.VICTINI,
    Species.PATRAT,
    Species.WATCHOG,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.MUNNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.SCOLIPEDE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.ALOMOMOLA,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DURANT,
    Species.MELOETTA,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.INKAY,
    Species.MALAMAR,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DIANCIE,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.PASSIMIAN,
    Species.PYUKUMUKU,
    Species.MAGEARNA,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.ORBEETLE,
    Species.NICKIT,
    Species.THIEVUL,
    Species.DUBWOOL,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.PERRSERKER,
    Species.MR_RIME,
    Species.MORPEKO,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.CALYREX,
    Species.KLEAVOR,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TATSUGIRI,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.SCREAM_TAIL,
    Species.MUNKIDORI,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_RAPIDASH,
    Species.GALAR_MR_MIME,
    [
      Species.INDEEDEE,
      "female",
    ],
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.ENCORE]: [
    Species.PIKACHU,
    Species.RAICHU,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.SEEL,
    Species.DEWGONG,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.HITMONCHAN,
    Species.MR_MIME,
    Species.JYNX,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEW,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.WOBBUFFET,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SHUCKLE,
    Species.PHANPY,
    Species.DONPHAN,
    Species.SMOOCHUM,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.AZURILL,
    Species.SABLEYE,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.GULPIN,
    Species.SWALOT,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SHUPPET,
    Species.BANETTE,
    Species.CHIMECHO,
    Species.WYNAUT,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.JIRACHI,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PACHIRISU,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MIME_JR,
    Species.CHATOT,
    Species.MUNCHLAX,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.LUMINEON,
    Species.TOGEKISS,
    Species.GALLADE,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.VICTINI,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.AUDINO,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.AMAURA,
    Species.AURORUS,
    Species.HAWLUCHA,
    Species.DIANCIE,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.TOUCANNON,
    Species.SALAZZLE,
    Species.COMFEY,
    Species.ORANGURU,
    Species.TOGEDEMARU,
    Species.MAGEARNA,
    Species.BLACEPHALON,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.MR_RIME,
    Species.ALCREMIE,
    [
      Species.INDEEDEE,
      "male",
    ],
    Species.ZARUDE,
    Species.CALYREX,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.ARBOLIVA,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.ANNIHILAPE,
    Species.SCREAM_TAIL,
    Species.IRON_BUNDLE,
    Species.IRON_VALIANT,
    Species.OGERPON,
    Species.ALOLA_RAICHU,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.GALAR_MR_MIME,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
  ],
  [Moves.IRON_TAIL]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.RATTATA,
    Species.RATICATE,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.FARFETCHD,
    Species.SEEL,
    Species.DEWGONG,
    Species.ONIX,
    Species.CUBONE,
    Species.MAROWAK,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.AERODACTYL,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.PICHU,
    Species.CLEFFA,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.AIPOM,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.GRANBULL,
    Species.SNEASEL,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BRELOOM,
    Species.AZURILL,
    Species.SKITTY,
    Species.DELCATTY,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.FLYGON,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.KECLEON,
    Species.ABSOL,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.SALAMENCE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.PORYGON_Z,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.AUDINO,
    Species.SCOLIPEDE,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.EMOLGA,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.DRUDDIGON,
    Species.HYDREIGON,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.LANDORUS,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.LITLEO,
    Species.PYROAR,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.DEDENNE,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.ZYGARDE,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.PASSIMIAN,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.BRUXISH,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.SOLGALEO,
    Species.GUZZLORD,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.ZERAORA,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.DREDNAW,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ZARUDE,
    Species.WYRDEER,
    Species.SNEASLER,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.ANNIHILAPE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
  ],
  [Moves.METAL_CLAW]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.PARAS,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.KRABBY,
    Species.KINGLER,
    Species.MEW,
    Species.TOTODILE,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SKARMORY,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.SABLEYE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.ZANGOOSE,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.ANORITH,
    Species.ARMALDO,
    Species.METANG,
    Species.METAGROSS,
    Species.REGISTEEL,
    Species.GROUDON,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.RIOLU,
    Species.LUCARIO,
    Species.WEAVILE,
    Species.GLISCOR,
    Species.DIALGA,
    Species.HEATRAN,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.GARBODOR,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.DRUDDIGON,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BRAVIARY,
    Species.DURANT,
    Species.COBALION,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.WIMPOD,
    Species.KOMALA,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.SOLGALEO,
    Species.NECROZMA,
    Species.CORVIKNIGHT,
    Species.PERRSERKER,
    Species.DURALUDON,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.KUBFU,
    Species.URSHIFU,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.KLAWF,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.KINGAMBIT,
    Species.IRON_THORNS,
    Species.ROARING_MOON,
    Species.OKIDOGI,
    Species.ARCHALUDON,
    Species.IRON_CROWN,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.GALAR_MEOWTH,
    Species.GALAR_STUNFISK,
    Species.HISUI_SNEASEL,
    Species.HISUI_BRAVIARY,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.SYNTHESIS]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.TANGELA,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.BELLOSSOM,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.ROSELIA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.LILEEP,
    Species.CRADILY,
    Species.TROPIUS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.BUDEW,
    Species.ROSERADE,
    [
      Species.WORMADAM,
      "plant",
    ],
    Species.CHERUBI,
    Species.CHERRIM,
    Species.CARNIVINE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.TANGROWTH,
    Species.LEAFEON,
    Species.SHAYMIN,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.MARACTUS,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.VIRIZION,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.DHELMISE,
    Species.TAPU_BULU,
    Species.KARTANA,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.ZARUDE,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.BRUTE_BONNET,
    Species.OGERPON,
    Species.ALOLA_EXEGGUTOR,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.HIDDEN_POWER]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.BURMY,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.NICKIT,
    Species.THIEVUL,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.SNOM,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.PECHARUNT,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.RAIN_DANCE]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.HOPPIP,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.TOGEKISS,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.BASCULIN,
    Species.MARACTUS,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.VOLCARONA,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.LURANTIS,
    Species.SHIINOTIC,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.PYUKUMUKU,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.KOMALA,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_FINI,
    Species.XURKITREE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.GREEDENT,
    Species.CORVIKNIGHT,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.APPLETUN,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXTRICITY,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.EISCUE,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.REGIELEKI,
    Species.WYRDEER,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.SCREAM_TAIL,
    Species.SLITHER_WING,
    Species.IRON_BUNDLE,
    Species.IRON_JUGULIS,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.WALKING_WAKE,
    Species.OGERPON,
    Species.HYDRAPPLE,
    Species.TERAPAGOS,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    [
      Species.URSHIFU,
      "rapid-strike",
    ],
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.SUNNY_DAY]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.SUDOWOODO,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.EELEKTROSS,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    [
      Species.LYCANROC,
      "midday",
      "midnight",
    ],
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.MIMIKYU,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.XURKITREE,
    Species.MAGEARNA,
    Species.BLACEPHALON,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.GREEDENT,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.TOXTRICITY,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.FALINKS,
    Species.STONJOURNER,
    Species.DRACOZOLT,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.ZARUDE,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.ENAMORUS,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.BOMBIRDIER,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.ANNIHILAPE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.WO_CHIEN,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.WALKING_WAKE,
    Species.DIPPLIN,
    Species.OGERPON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.TERAPAGOS,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SNEASEL,
    Species.HISUI_LILLIGANT,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_DECIDUEYE,
    [
      Species.PALDEA_TAUROS,
      "combat",
      "blaze",
    ],
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.CRUNCH]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.BLASTOISE,
    Species.RATTATA,
    Species.RATICATE,
    Species.EKANS,
    Species.ARBOK,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.RHYHORN,
    Species.RHYDON,
    Species.KANGASKHAN,
    Species.GYARADOS,
    Species.OMASTAR,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.CROBAT,
    Species.UMBREON,
    Species.GIRAFARIG,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.EXPLOUD,
    Species.MAWILE,
    Species.AGGRON,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.SEVIPER,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.SNORUNT,
    Species.GLALIE,
    Species.WALREIN,
    Species.HUNTAIL,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.CRANIDOS,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CARNIVINE,
    Species.RHYPERIOR,
    Species.YANMEGA,
    Species.GLISCOR,
    Species.FROSLASS,
    Species.HEATRAN,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISAGE,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZOROARK,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.DRUDDIGON,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.CHESNAUGHT,
    Species.LITLEO,
    Species.PYROAR,
    Species.PANCHAM,
    Species.PANGORO,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.ZYGARDE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.SILVALLY,
    Species.BRUXISH,
    Species.SOLGALEO,
    Species.GUZZLORD,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.THIEVUL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.GRIMMSNARL,
    Species.PERRSERKER,
    Species.MORPEKO,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.OVERQWIL,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.CYCLIZAR,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.VELUZA,
    Species.DONDOZO,
    Species.FARIGIRAF,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.IRON_JUGULIS,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.CHIEN_PAO,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.OKIDOGI,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.TERAPAGOS,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.GALAR_MEOWTH,
    Species.GALAR_STUNFISK,
    [
      Species.CALYREX,
      "ice",
      "shadow",
    ],
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_QWILFISH,
    Species.HISUI_ZOROARK,
    Species.HISUI_AVALUGG,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.PSYCH_UP]: [
    Species.BUTTERFREE,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.LICKITUNG,
    Species.CHANSEY,
    Species.TANGELA,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.JYNX,
    Species.PORYGON,
    Species.SNORLAX,
    Species.MEWTWO,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.SUDOWOODO,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.STEELIX,
    Species.SNEASEL,
    Species.PORYGON2,
    Species.STANTLER,
    Species.SMOOCHUM,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.SWABLU,
    Species.ALTARIA,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.BUDEW,
    Species.ROSERADE,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.SPIRITOMB,
    Species.FINNEON,
    Species.LUMINEON,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.TANGROWTH,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.WATCHOG,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.UNFEZANT,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.KELDEO,
    Species.MELOETTA,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.VIVILLON,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.CARBINK,
    Species.KLEFKI,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.HOOPA,
    Species.PRIMARINA,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.COMFEY,
    Species.ORANGURU,
    Species.GOLISOPOD,
    Species.PYUKUMUKU,
    Species.MINIOR,
    Species.KOMALA,
    Species.MIMIKYU,
    Species.DRAMPA,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.MARSHADOW,
    Species.INDEEDEE,
    Species.RABSCA,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_EXEGGUTOR,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
  ],
  [Moves.SHADOW_BALL]: [
    Species.BUTTERFREE,
    Species.RATTATA,
    Species.RATICATE,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.JYNX,
    Species.TAUROS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.SNORLAX,
    Species.MEWTWO,
    Species.MEW,
    Species.TYPHLOSION,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CROBAT,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.AIPOM,
    Species.YANMA,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SNEASEL,
    Species.CORSOLA,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PORYGON2,
    Species.STANTLER,
    Species.SMOOCHUM,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.GOREBYSS,
    Species.METANG,
    Species.METAGROSS,
    Species.LATIAS,
    Species.LATIOS,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.BUDEW,
    Species.ROSERADE,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.SPIRITOMB,
    Species.MUNCHLAX,
    Species.LUCARIO,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.VICTINI,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.WHIMSICOTT,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.GOLETT,
    Species.GOLURK,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.MELOETTA,
    Species.DELPHOX,
    Species.MEOWSTIC,
    Species.AEGISLASH,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAWITZER,
    Species.SYLVEON,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.HOOPA,
    Species.DECIDUEYE,
    Species.PRIMARINA,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.SILVALLY,
    Species.MIMIKYU,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.TAPU_LELE,
    Species.TAPU_FINI,
    Species.LUNALA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.BLACEPHALON,
    Species.CINDERACE,
    Species.INTELEON,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.THIEVUL,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATTERENE,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.INDEEDEE,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ETERNATUS,
    Species.SPECTRIER,
    Species.WYRDEER,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.MEOWSCARADA,
    Species.SKELEDIRGE,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.RABSCA,
    Species.ESPATHRA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.ANNIHILAPE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.FLUTTER_MANE,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.IRON_VALIANT,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.PECHARUNT,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_YAMASK,
    [
      Species.CALYREX,
      "shadow",
    ],
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
  ],
  [Moves.FUTURE_SIGHT]: [
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGUTOR,
    Species.MR_MIME,
    Species.JYNX,
    Species.LAPRAS,
    Species.MEWTWO,
    Species.MEW,
    Species.NOCTOWL,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MARILL,
    Species.AZUMARILL,
    Species.ESPEON,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.DELIBIRD,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SPOINK,
    Species.LUNATONE,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CLAYDOL,
    Species.CASTFORM,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.METANG,
    Species.METAGROSS,
    Species.LATIAS,
    Species.LATIOS,
    Species.JIRACHI,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.TOGEKISS,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.CRESSELIA,
    Species.ARCEUS,
    Species.VICTINI,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DARMANITAN,
    Species.SIGILYPH,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.BEHEEYEM,
    Species.DELPHOX,
    Species.INKAY,
    Species.MALAMAR,
    Species.ORANGURU,
    Species.TAPU_LELE,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NECROZMA,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.HATTERENE,
    Species.MR_RIME,
    Species.INDEEDEE,
    Species.CALYREX,
    Species.IRON_VALIANT,
    Species.MUNKIDORI,
    Species.IRON_CROWN,
    [
      Species.MEOWSTIC,
      "female",
    ],
    Species.ALOLA_RAICHU,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_SLOWKING,
  ],
  [Moves.ROCK_SMASH]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BEEDRILL,
    Species.RATTATA,
    Species.RATICATE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.PARAS,
    Species.PARASECT,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.SLOWBRO,
    Species.MUK,
    Species.GENGAR,
    Species.ONIX,
    Species.KRABBY,
    Species.KINGLER,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.SCYTHER,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.FURRET,
    Species.LEDIAN,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.AIPOM,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PHANPY,
    Species.DONPHAN,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.GULPIN,
    Species.SWALOT,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.CLAYDOL,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.KECLEON,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.ABSOL,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.RELICANTH,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZONG,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZOROARK,
    Species.REUNICLUS,
    Species.SAWSBUCK,
    Species.ESCAVALIER,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.LITLEO,
    Species.PYROAR,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.GOODRA,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.ZYGARDE,
    Species.VOLCANION,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.PASSIMIAN,
    Species.GOLISOPOD,
    Species.TAPU_BULU,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.OBSTAGOON,
    Species.SIRFETCHD,
    Species.FALINKS,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DURALUDON,
    Species.KUBFU,
    Species.URSHIFU,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.ENAMORUS,
    Species.KLAWF,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.KORAIDON,
    Species.ARCHALUDON,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MAROWAK,
    Species.GALAR_FARFETCHD,
    Species.GALAR_ZAPDOS,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.WHIRLPOOL]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.KRABBY,
    Species.KINGLER,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.SNORLAX,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.QWILFISH,
    Species.SNEASEL,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.MANTINE,
    Species.KINGDRA,
    Species.MILTANK,
    Species.SUICUNE,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.WINGULL,
    Species.PELIPPER,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.AGGRON,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.RAYQUAZA,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIBAREL,
    Species.RAMPARDOS,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.PALKIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.BASCULIN,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.WISHIWASHI,
    Species.BRUXISH,
    Species.DHELMISE,
    Species.TAPU_FINI,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.GRAPPLOCT,
    Species.OBSTAGOON,
    Species.CURSOLA,
    Species.EISCUE,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.BASCULEGION,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.PALAFIN,
    Species.TATSUGIRI,
    Species.IRON_BUNDLE,
    Species.WALKING_WAKE,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    [
      Species.URSHIFU,
      "rapid-strike",
    ],
    Species.HISUI_SAMUROTT,
    [
      Species.PALDEA_TAUROS,
      "aqua",
    ],
  ],
  [Moves.BEAT_UP]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.EKANS,
    Species.ARBOK,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.KANGASKHAN,
    Species.MEW,
    Species.AIPOM,
    Species.GIRAFARIG,
    Species.SNEASEL,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.VESPIQUEN,
    Species.AMBIPOM,
    Species.WEAVILE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.VANILLUXE,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.DURANT,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.PANGORO,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.WISHIWASHI,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.PASSIMIAN,
    Species.MIMIKYU,
    Species.NICKIT,
    Species.THIEVUL,
    Species.FALINKS,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.URSHIFU,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.ANNIHILAPE,
    Species.FARIGIRAF,
    Species.KINGAMBIT,
    Species.FEZANDIPITI,
    Species.PIKACHU,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_PERSIAN,
  ],
  [Moves.UPROAR]: [
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.PIKACHU,
    Species.RAICHU,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.SNORLAX,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.CROBAT,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.MURKROW,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.BLISSEY,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.CELEBI,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.WINGULL,
    Species.PELIPPER,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINJASK,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.AZURILL,
    Species.SKITTY,
    Species.DELCATTY,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.ROSELIA,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.SWABLU,
    Species.ALTARIA,
    Species.WHISCASH,
    Species.CHIMECHO,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.KRICKETOT,
    Species.KRICKETUNE,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.WORMADAM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.CHINGLING,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.MUNCHLAX,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.PORYGON_Z,
    Species.ROTOM,
    Species.AZELF,
    Species.HEATRAN,
    Species.PHIONE,
    Species.MANAPHY,
    Species.VICTINI,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.STUNFISK,
    Species.BOUFFALANT,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.MELOETTA,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.HAWLUCHA,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.HOOPA,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.WISHIWASHI,
    Species.PASSIMIAN,
    Species.TURTONATOR,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.BLACEPHALON,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.YAMPER,
    Species.BOLTUND,
    Species.CRAMORANT,
    Species.TOXTRICITY,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.PERRSERKER,
    Species.MR_RIME,
    Species.FALINKS,
    Species.MORPEKO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.WYRDEER,
    Species.BASCULEGION,
    Species.ENAMORUS,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.SQUAWKABILLY,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.ANNIHILAPE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.SCREAM_TAIL,
    Species.KORAIDON,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.HYDRAPPLE,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.GALAR_MEOWTH,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_STUNFISK,
    [
      Species.CALYREX,
      "ice",
      "shadow",
    ],
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.HEAT_WAVE]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.SPEAROW,
    Species.FEAROW,
    Species.VULPIX,
    Species.NINETALES,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.FARFETCHD,
    Species.WEEZING,
    Species.MAGMAR,
    Species.FLAREON,
    Species.AERODACTYL,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRAGONITE,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CROBAT,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MURKROW,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.MAGBY,
    Species.ENTEI,
    Species.HO_OH,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.SWABLU,
    Species.ALTARIA,
    Species.SOLROCK,
    Species.SALAMENCE,
    Species.GROUDON,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.HONCHKROW,
    Species.CHATOT,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.HEATRAN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.SIGILYPH,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.DRUDDIGON,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.TORNADUS,
    Species.RESHIRAM,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.LITLEO,
    Species.PYROAR,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.VOLCANION,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.SILVALLY,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.LUNALA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.NAGANADEL,
    Species.BLACEPHALON,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.SQUAWKABILLY,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.BOMBIRDIER,
    Species.SLITHER_WING,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.FEZANDIPITI,
    Species.GOUGING_FIRE,
    Species.ALOLA_MAROWAK,
    Species.GALAR_WEEZING,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_BRAVIARY,
  ],
  [Moves.HAIL]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.KRABBY,
    Species.KINGLER,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.JYNX,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.QWILFISH,
    Species.SNEASEL,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.KINGDRA,
    Species.SMOOCHUM,
    Species.BLISSEY,
    Species.SUICUNE,
    Species.LUGIA,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.WINGULL,
    Species.PELIPPER,
    Species.AZURILL,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.LUNATONE,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.REGICE,
    Species.KYOGRE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.HAPPINY,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.GLACEON,
    Species.MAMOSWINE,
    Species.FROSLASS,
    Species.PALKIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.BASCULIN,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.KYUREM,
    Species.KELDEO,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.AMAURA,
    Species.AURORUS,
    Species.CARBINK,
    Species.GOODRA,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.CRABOMINABLE,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.PYUKUMUKU,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.FROSMOTH,
    Species.EISCUE,
    Species.ARCTOZOLT,
    Species.ARCTOVISH,
    Species.GLASTRIER,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    [
      Species.CALYREX,
      "ice",
    ],
  ],
  [Moves.TORMENT]: [
    Species.EKANS,
    Species.ARBOK,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.DODRIO,
    Species.GRIMER,
    Species.MUK,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.KOFFING,
    Species.WEEZING,
    Species.MR_MIME,
    Species.JYNX,
    Species.GYARADOS,
    Species.AERODACTYL,
    Species.MEWTWO,
    Species.MEW,
    Species.CROBAT,
    Species.SUDOWOODO,
    Species.UMBREON,
    Species.MURKROW,
    Species.MISDREAVUS,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.NOSEPASS,
    Species.SABLEYE,
    Species.MAWILE,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.GLALIE,
    Species.DEOXYS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.FLOATZEL,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.MIME_JR,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.GLISCOR,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.AZELF,
    Species.HEATRAN,
    Species.DARKRAI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.DRUDDIGON,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.HAWLUCHA,
    Species.KLEFKI,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.HOOPA,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.BRUXISH,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.PHEROMOSA,
    Species.BLACEPHALON,
    Species.NICKIT,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.MORPEKO,
    Species.GLASTRIER,
    Species.ENAMORUS,
    Species.SQUAWKABILLY,
    Species.BOMBIRDIER,
    Species.VAROOM,
    Species.KINGAMBIT,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
  ],
  [Moves.WILL_O_WISP]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.VULPIX,
    Species.NINETALES,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.KOFFING,
    Species.WEEZING,
    Species.MAGMAR,
    Species.FLAREON,
    Species.MOLTRES,
    Species.MEWTWO,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.MISDREAVUS,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.MAGBY,
    Species.ENTEI,
    Species.HO_OH,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.SHIFTRY,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SHEDINJA,
    Species.SABLEYE,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.ALTARIA,
    Species.SOLROCK,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.ABSOL,
    Species.GROUDON,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.SPIRITOMB,
    Species.MAGMORTAR,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.HEATRAN,
    Species.GIRATINA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.VICTINI,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.HEATMOR,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.RESHIRAM,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.LITLEO,
    Species.PYROAR,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.VOLCANION,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.TURTONATOR,
    Species.MIMIKYU,
    Species.LUNALA,
    Species.MARSHADOW,
    Species.BLACEPHALON,
    Species.CINDERACE,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.CENTISKORCH,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.CURSOLA,
    Species.RUNERIGUS,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.SPECTRIER,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.SCOVILLAIN,
    Species.HOUNDSTONE,
    Species.SLITHER_WING,
    Species.CHI_YU,
    Species.ALOLA_MAROWAK,
    Species.MAROWAK,
    Species.GALAR_WEEZING,
    Species.GALAR_CORSOLA,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    [
      Species.CALYREX,
      "shadow",
    ],
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    [
      Species.PALDEA_TAUROS,
      "blaze",
    ],
  ],
  [Moves.FACADE]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.NICKIT,
    Species.THIEVUL,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.SNOM,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.FOCUS_PUNCH]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.SLOWBRO,
    Species.MUK,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.TOGETIC,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.AIPOM,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.DELIBIRD,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.TYRANITAR,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.LUDICOLO,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SABLEYE,
    Species.MAWILE,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.KECLEON,
    Species.DUSCLOPS,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.GROUDON,
    Species.DEOXYS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.BIBAREL,
    Species.RAMPARDOS,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MIME_JR,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.PALKIA,
    Species.REGIGIGAS,
    Species.DARKRAI,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.WATCHOG,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.REUNICLUS,
    Species.EELEKTROSS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.GOLETT,
    Species.GOLURK,
    Species.HEATMOR,
    Species.ZEKROM,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.HAWLUCHA,
    Species.GOODRA,
    Species.HOOPA,
    Species.INCINEROAR,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.PASSIMIAN,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_BULU,
    Species.BUZZWOLE,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.RILLABOOM,
    Species.GRIMMSNARL,
    Species.MR_RIME,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.PAWMO,
    Species.PAWMOT,
    Species.GARGANACL,
    Species.PALAFIN,
    Species.ANNIHILAPE,
    Species.IRON_HANDS,
    Species.GHOLDENGO,
    Species.KORAIDON,
    Species.OKIDOGI,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.GALAR_MR_MIME,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SNEASEL,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_DECIDUEYE,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.NATURE_POWER]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.ONIX,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.TANGELA,
    Species.KABUTOPS,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.BELLOSSOM,
    Species.SUDOWOODO,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.STEELIX,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.CORSOLA,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.ROSELIA,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.CACNEA,
    Species.CACTURNE,
    Species.CRAWDAUNT,
    Species.TROPIUS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.BONSLY,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.TANGROWTH,
    Species.LEAFEON,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.SHAYMIN,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.VIRIZION,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.AMAURA,
    Species.AURORUS,
    Species.CARBINK,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.RIBOMBEE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.DRAMPA,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.XURKITREE,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.CURSOLA,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_EXEGGUTOR,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_CORSOLA,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.CHARGE]: [
    Species.PIKACHU,
    Species.RAICHU,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.ELECTABUZZ,
    Species.JOLTEON,
    Species.ZAPDOS,
    Species.MEW,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.ELEKID,
    Species.RAIKOU,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.PACHIRISU,
    Species.MAGNEZONE,
    Species.ELECTIVIRE,
    Species.ROTOM,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.EMOLGA,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.TYNAMO,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.STUNFISK,
    Species.THUNDURUS,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.DEDENNE,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.TOGEDEMARU,
    Species.TAPU_KOKO,
    Species.XURKITREE,
    Species.ZERAORA,
    Species.YAMPER,
    Species.BOLTUND,
    Species.TOXTRICITY,
    Species.PINCURCHIN,
    Species.MORPEKO,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.REGIELEKI,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.SANDY_SHOCKS,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.MIRAIDON,
    Species.RAGING_BOLT,
    Species.ALOLA_RAICHU,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
  ],
  [Moves.TAUNT]: [
    Species.RATTATA,
    Species.RATICATE,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.DODRIO,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.KOFFING,
    Species.WEEZING,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.GYARADOS,
    Species.AERODACTYL,
    Species.MEWTWO,
    Species.MEW,
    Species.CROBAT,
    Species.SUDOWOODO,
    Species.AIPOM,
    Species.UMBREON,
    Species.MURKROW,
    Species.MISDREAVUS,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.SHIFTRY,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.SABLEYE,
    Species.MAWILE,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.VOLBEAT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.GLALIE,
    Species.DEOXYS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.VESPIQUEN,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.MIME_JR,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.GLISCOR,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.AZELF,
    Species.HEATRAN,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.THROH,
    Species.SAWK,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.EMOLGA,
    Species.ESCAVALIER,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.LANDORUS,
    Species.KELDEO,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.LITLEO,
    Species.PYROAR,
    Species.PANCHAM,
    Species.PANGORO,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.HAWLUCHA,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.HOOPA,
    Species.VOLCANION,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.ORICORIO,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.PYUKUMUKU,
    Species.TURTONATOR,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.INTELEON,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.NICKIT,
    Species.THIEVUL,
    Species.TOXTRICITY,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.MORPEKO,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.QUAQUAVAL,
    Species.SPIDOPS,
    Species.LOKIX,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.SQUAWKABILLY,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.BOMBIRDIER,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.FLAMIGO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.IRON_BUNDLE,
    Species.IRON_JUGULIS,
    Species.IRON_THORNS,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.IRON_LEAVES,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.GALAR_MEOWTH,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    [
      Species.CALYREX,
      "ice",
      "shadow",
    ],
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_DECIDUEYE,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.HELPING_HAND]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.DIGLETT,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.DROWZEE,
    Species.HYPNO,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TYPHLOSION,
    Species.SENTRET,
    Species.FURRET,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PHANPY,
    Species.DONPHAN,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.GULPIN,
    Species.SWALOT,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.MILOTIC,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.SNORUNT,
    Species.GLALIE,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.VICTINI,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.THROH,
    Species.SAWK,
    Species.LEAVANNY,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.MARACTUS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.ALOMOMOLA,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.GOLETT,
    Species.GOLURK,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.DURANT,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.DIANCIE,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.PYUKUMUKU,
    Species.TOGEDEMARU,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.KOMMO_O,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.MAGEARNA,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.ZERAORA,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.YAMPER,
    Species.BOLTUND,
    Species.APPLETUN,
    Species.TOXTRICITY,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.FALINKS,
    Species.FROSMOTH,
    Species.INDEEDEE,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.ORTHWORM,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.CETODDLE,
    Species.CETITAN,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.SCREAM_TAIL,
    Species.FLUTTER_MANE,
    Species.IRON_BUNDLE,
    Species.IRON_MOTH,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.IRON_LEAVES,
    Species.MUNKIDORI,
    Species.OGERPON,
    Species.ALOLA_RAICHU,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.TRICK]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.STARMIE,
    Species.MR_MIME,
    Species.JYNX,
    Species.PORYGON,
    Species.MEWTWO,
    Species.MEW,
    Species.SENTRET,
    Species.FURRET,
    Species.CLEFFA,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.ESPEON,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PORYGON2,
    Species.STANTLER,
    Species.SMOOCHUM,
    Species.BLISSEY,
    Species.LUGIA,
    Species.CELEBI,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SHEDINJA,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CHIMECHO,
    Species.METANG,
    Species.METAGROSS,
    Species.LATIAS,
    Species.LATIOS,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.SPIRITOMB,
    Species.TOGEKISS,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.CRESSELIA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.VICTINI,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DARMANITAN,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.GOLURK,
    Species.MELOETTA,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FLOETTE,
    Species.FLORGES,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.HOOPA,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.COMFEY,
    Species.ORANGURU,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.MIMIKYU,
    Species.TAPU_FINI,
    Species.LUNALA,
    Species.MAGEARNA,
    Species.BLACEPHALON,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.INDEEDEE,
    Species.CALYREX,
    Species.WYRDEER,
    Species.MEOWSCARADA,
    Species.ARMAROUGE,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FARIGIRAF,
    Species.SCREAM_TAIL,
    Species.GHOLDENGO,
    Species.IRON_VALIANT,
    Species.MUNKIDORI,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_SLOWKING,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_YAMASK,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
  ],
  [Moves.SUPERPOWER]: [
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.ARCANINE,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.KRABBY,
    Species.KINGLER,
    Species.HITMONLEE,
    Species.RHYHORN,
    Species.RHYDON,
    Species.PINSIR,
    Species.FLAREON,
    Species.KABUTOPS,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SCIZOR,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.PHANPY,
    Species.DONPHAN,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.BRELOOM,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.TORKOAL,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACTURNE,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.ARMALDO,
    Species.ABSOL,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.LUXRAY,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.HONCHKROW,
    Species.MUNCHLAX,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.RHYPERIOR,
    Species.MAMOSWINE,
    Species.REGIGIGAS,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.SAMUROTT,
    Species.STOUTLAND,
    Species.SIMISAGE,
    Species.SIMISEAR,
    Species.SIMIPOUR,
    Species.GIGALITH,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.THROH,
    Species.SAWK,
    Species.SCOLIPEDE,
    Species.BASCULIN,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.CARRACOSTA,
    Species.REUNICLUS,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.LANDORUS,
    Species.KELDEO,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.DIGGERSBY,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.INKAY,
    Species.MALAMAR,
    Species.BARBARACLE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.HAWLUCHA,
    Species.GOODRA,
    Species.AVALUGG,
    Species.ZYGARDE,
    Species.VOLCANION,
    Species.INCINEROAR,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.LURANTIS,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.PASSIMIAN,
    Species.KOMALA,
    Species.DRAMPA,
    Species.KOMMO_O,
    Species.TAPU_BULU,
    Species.SOLGALEO,
    Species.BUZZWOLE,
    Species.CELESTEELA,
    Species.MARSHADOW,
    Species.STAKATAKA,
    Species.ZERAORA,
    Species.MELMETAL,
    Species.RILLABOOM,
    Species.GREEDENT,
    Species.DREDNAW,
    Species.APPLETUN,
    Species.CRAMORANT,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.GRIMMSNARL,
    Species.SIRFETCHD,
    Species.FALINKS,
    Species.STONJOURNER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.GLASTRIER,
    Species.ENAMORUS,
    Species.CETODDLE,
    Species.SLITHER_WING,
    Species.OKIDOGI,
    Species.OGERPON,
    [
      Species.DEOXYS,
      "attack",
    ],
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_EXEGGUTOR,
    Species.GALAR_FARFETCHD,
    Species.GALAR_ZAPDOS,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_BRAVIARY,
  ],
  [Moves.RECYCLE]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.DROWZEE,
    Species.HYPNO,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.CHANSEY,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.JYNX,
    Species.PORYGON,
    Species.SNORLAX,
    Species.MEWTWO,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.DELIBIRD,
    Species.PORYGON2,
    Species.SMOOCHUM,
    Species.BLISSEY,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.KECLEON,
    Species.CHIMECHO,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.MUNCHLAX,
    Species.MAGNEZONE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.CRESSELIA,
    Species.ARCEUS,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.HEATMOR,
    Species.MELOETTA,
    Species.GENESECT,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.DEDENNE,
    Species.KLEFKI,
    Species.HOOPA,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.PYUKUMUKU,
    Species.NECROZMA,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.APPLIN,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.MR_RIME,
    Species.FARIGIRAF,
    Species.DIPPLIN,
    Species.HYDRAPPLE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.GALAR_MR_MIME,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
  ],
  [Moves.REVENGE]: [
    Species.RATTATA,
    Species.RATICATE,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.FARFETCHD,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.PINSIR,
    Species.TAUROS,
    Species.MEW,
    Species.AIPOM,
    Species.PINECO,
    Species.FORRETRESS,
    Species.QWILFISH,
    Species.HERACROSS,
    Species.HITMONTOP,
    Species.TYRANITAR,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.SHIFTRY,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.CRAWDAUNT,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.AMBIPOM,
    Species.VESPIQUEN,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.REGIGIGAS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.THROH,
    Species.SAWK,
    Species.BASCULIN,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.COFAGRIGUS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.ESCAVALIER,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.KELDEO,
    Species.PANGORO,
    Species.HAWLUCHA,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.MUDSDALE,
    Species.BEWEAR,
    Species.PASSIMIAN,
    Species.TURTONATOR,
    Species.KOMMO_O,
    Species.TAPU_BULU,
    Species.BUZZWOLE,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.CINDERACE,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.RUNERIGUS,
    Species.FALINKS,
    Species.MORPEKO,
    Species.COPPERAJAH,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.BASCULEGION,
    Species.ANNIHILAPE,
    Species.KINGAMBIT,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.GALAR_FARFETCHD,
    Species.GALAR_ZAPDOS,
    Species.HISUI_SAMUROTT,
    Species.GALAR_STUNFISK,
  ],
  [Moves.BRICK_BREAK]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BEEDRILL,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PARAS,
    Species.PARASECT,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.SLOWBRO,
    Species.MUK,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.KABUTOPS,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.TOGETIC,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.AIPOM,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.GLIGAR,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.DELIBIRD,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SABLEYE,
    Species.MAWILE,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.SWALOT,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.ANORITH,
    Species.ARMALDO,
    Species.KECLEON,
    Species.DUSCLOPS,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.DEOXYS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.KRICKETUNE,
    Species.RAMPARDOS,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.BONSLY,
    Species.MIME_JR,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.GLISCOR,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.DIALGA,
    Species.PALKIA,
    Species.REGIGIGAS,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.VICTINI,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.SIMISAGE,
    Species.SIMISEAR,
    Species.SIMIPOUR,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ZOROARK,
    Species.GOTHITELLE,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.LANDORUS,
    Species.KELDEO,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.HAWLUCHA,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.ZYGARDE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.INCINEROAR,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.LYCANROC,
    Species.LURANTIS,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.GOLISOPOD,
    Species.KOMALA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_BULU,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.MELMETAL,
    Species.RILLABOOM,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXTRICITY,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.FALINKS,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DURALUDON,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.MEOWSCARADA,
    Species.QUAQUAVAL,
    Species.SPIDOPS,
    Species.LOKIX,
    Species.PAWMOT,
    Species.GARGANACL,
    Species.CERULEDGE,
    Species.KLAWF,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.ANNIHILAPE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SLITHER_WING,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.CHIEN_PAO,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.IRON_LEAVES,
    Species.OKIDOGI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_MR_MIME,
    Species.GALAR_ZAPDOS,
    Species.GALAR_SLOWKING,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZOROARK,
    Species.HISUI_DECIDUEYE,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.KNOCK_OFF]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.BEEDRILL,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PARAS,
    Species.PARASECT,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.LICKITUNG,
    Species.TANGELA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.SCYTHER,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.MEWTWO,
    Species.MEW,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.SENTRET,
    Species.FURRET,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.AIPOM,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.PHANPY,
    Species.DONPHAN,
    Species.ELEKID,
    Species.TYRANITAR,
    Species.BLAZIKEN,
    Species.SWAMPERT,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.SABLEYE,
    Species.MAWILE,
    Species.SWALOT,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.ANORITH,
    Species.ARMALDO,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.METAGROSS,
    Species.DEOXYS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.EMPOLEON,
    Species.KRICKETUNE,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.LEAFEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.GALLADE,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.REGIGIGAS,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.WATCHOG,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.LEAVANNY,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.REUNICLUS,
    Species.SWANNA,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.ALOMOMOLA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.TYNAMO,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.CRYOGONAL,
    Species.ACCELGOR,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.LANDORUS,
    Species.MELOETTA,
    Species.CHESNAUGHT,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.INKAY,
    Species.MALAMAR,
    Species.GOODRA,
    Species.TREVENANT,
    Species.YVELTAL,
    Species.HOOPA,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.INCINEROAR,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.LURANTIS,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.GOLISOPOD,
    Species.KOMALA,
    Species.DHELMISE,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.NIHILEGO,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MARSHADOW,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.GREEDENT,
    Species.NICKIT,
    Species.SIZZLIPEDE,
    Species.PERRSERKER,
    Species.SIRFETCHD,
    Species.FALINKS,
    Species.MORPEKO,
    Species.COPPERAJAH,
    Species.ZARUDE,
    Species.MEOWSCARADA,
    Species.QUAQUAVAL,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.LOKIX,
    Species.PAWMO,
    Species.PAWMOT,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.BOMBIRDIER,
    Species.CYCLIZAR,
    Species.CETODDLE,
    Species.CETITAN,
    Species.GREAT_TUSK,
    Species.IRON_TREADS,
    Species.IRON_JUGULIS,
    Species.WO_CHIEN,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.WALKING_WAKE,
    Species.OKIDOGI,
    Species.OGERPON,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.GALAR_MEOWTH,
    Species.GALAR_FARFETCHD,
    Species.GALAR_ZAPDOS,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.HISUI_SAMUROTT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_GOODRA,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.ENDEAVOR]: [
    Species.BEEDRILL,
    Species.RATTATA,
    Species.RATICATE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.DODUO,
    Species.DODRIO,
    Species.DEWGONG,
    Species.DROWZEE,
    Species.HYPNO,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.TAUROS,
    Species.GYARADOS,
    Species.FLAREON,
    Species.MEW,
    Species.MEGANIUM,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.HERACROSS,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.DELIBIRD,
    Species.HOUNDOOM,
    Species.PHANPY,
    Species.DONPHAN,
    Species.HITMONTOP,
    Species.BLISSEY,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.LUVDISC,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.KRICKETOT,
    Species.KRICKETUNE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.WORMADAM,
    Species.COMBEE,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.HONCHKROW,
    Species.SKUNTANK,
    Species.HAPPINY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.TOGEKISS,
    Species.MAMOSWINE,
    Species.AZELF,
    Species.SHAYMIN,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.PATRAT,
    Species.WATCHOG,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.BASCULIN,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.STUNFISK,
    Species.BOUFFALANT,
    Species.DURANT,
    Species.KYUREM,
    Species.KELDEO,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.PASSIMIAN,
    Species.ORANGURU,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.DRAMPA,
    Species.KOMMO_O,
    Species.SOLGALEO,
    Species.BUZZWOLE,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.FLAPPLE,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.PERRSERKER,
    Species.ALCREMIE,
    Species.FALINKS,
    Species.STONJOURNER,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.BASCULEGION,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SQUAWKABILLY,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.BOMBIRDIER,
    Species.PALAFIN,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.VELUZA,
    Species.ANNIHILAPE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.GREAT_TUSK,
    Species.IRON_TREADS,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_ZAPDOS,
    Species.HISUI_TYPHLOSION,
    Species.PALDEA_TAUROS,
  ],
  [Moves.SKILL_SWAP]: [
    Species.BUTTERFREE,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CHANSEY,
    Species.STARMIE,
    Species.MR_MIME,
    Species.JYNX,
    Species.MEWTWO,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.NATU,
    Species.XATU,
    Species.ESPEON,
    Species.UMBREON,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.STANTLER,
    Species.SMOOCHUM,
    Species.BLISSEY,
    Species.LUGIA,
    Species.CELEBI,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.PLUSLE,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CHIMECHO,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.SPIRITOMB,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.CRESSELIA,
    Species.MANAPHY,
    Species.VICTINI,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.ALOMOMOLA,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.MELOETTA,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FLOETTE,
    Species.FLORGES,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SYLVEON,
    Species.CARBINK,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.DIANCIE,
    Species.HOOPA,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ORANGURU,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.TAPU_LELE,
    Species.MAGEARNA,
    Species.STAKATAKA,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.INDEEDEE,
    Species.CALYREX,
    Species.WYRDEER,
    Species.MEOWSCARADA,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.FARIGIRAF,
    Species.IRON_VALIANT,
    Species.ALOLA_RAICHU,
    Species.ALOLA_EXEGGUTOR,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_SLOWKING,
    Species.GALAR_YAMASK,
  ],
  [Moves.IMPRISON]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.MEWTWO,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.ESPEON,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.STANTLER,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.SHIFTRY,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.MILOTIC,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CHIMECHO,
    Species.JIRACHI,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.SPIRITOMB,
    Species.TOGEKISS,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.ARCEUS,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.GOLETT,
    Species.GOLURK,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.MEOWSTIC,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.DECIDUEYE,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ORANGURU,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.RUNERIGUS,
    Species.ALCREMIE,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.INDEEDEE,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.CALYREX,
    Species.WYRDEER,
    Species.ENAMORUS,
    Species.SKELEDIRGE,
    Species.RABSCA,
    Species.FARIGIRAF,
    Species.SCREAM_TAIL,
    Species.FLUTTER_MANE,
    Species.IRON_VALIANT,
    Species.IRON_LEAVES,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.MUNKIDORI,
    Species.PECHARUNT,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_ARTICUNO,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_YAMASK,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
  ],
  [Moves.DIVE]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.KRABBY,
    Species.KINGLER,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTOPS,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.QWILFISH,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.MANTINE,
    Species.KINGDRA,
    Species.SUICUNE,
    Species.LUGIA,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CRAWDAUNT,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.RAYQUAZA,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIBAREL,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.PALKIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.SEISMITOAD,
    Species.BASCULIN,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.BEARTIC,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.WISHIWASHI,
    Species.ARAQUANID,
    Species.GOLISOPOD,
    Species.TAPU_FINI,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.EISCUE,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.DONDOZO,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    [
      Species.URSHIFU,
      "rapid-strike",
    ],
  ],
  [Moves.FEATHER_DANCE]: [
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.SPEAROW,
    Species.FEAROW,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.ARTICUNO,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.NATU,
    Species.XATU,
    Species.MURKROW,
    Species.DELIBIRD,
    Species.LUGIA,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.WINGULL,
    Species.PELIPPER,
    Species.SWABLU,
    Species.ALTARIA,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.HONCHKROW,
    Species.CHATOT,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.HAWLUCHA,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.ORICORIO,
    Species.CRAMORANT,
    Species.FROSMOTH,
    Species.EISCUE,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.SQUAWKABILLY,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.ESPATHRA,
    Species.BOMBIRDIER,
    Species.FLAMIGO,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.BLAZE_KICK]: [
    Species.CHARIZARD,
    Species.HITMONLEE,
    Species.MEW,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.RIOLU,
    Species.LUCARIO,
    Species.VICTINI,
    Species.MIENSHAO,
    Species.GENESECT,
    Species.INCINEROAR,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.GALAR_ZAPDOS,
  ],
  [Moves.HYPER_VOICE]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.ARCANINE,
    Species.CHANSEY,
    Species.JYNX,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.SNORLAX,
    Species.MEW,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.ESPEON,
    Species.UMBREON,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PHANPY,
    Species.DONPHAN,
    Species.BLISSEY,
    Species.LUGIA,
    Species.HO_OH,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.AZURILL,
    Species.SKITTY,
    Species.DELCATTY,
    Species.MANECTRIC,
    Species.WAILMER,
    Species.WAILORD,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.SWABLU,
    Species.ALTARIA,
    Species.CHIMECHO,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.RAYQUAZA,
    Species.TORTERRA,
    Species.KRICKETUNE,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.HAPPINY,
    Species.CHATOT,
    Species.MUNCHLAX,
    Species.HIPPOWDON,
    Species.TOGEKISS,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GALLADE,
    Species.ROTOM,
    Species.DIALGA,
    Species.PALKIA,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.AUDINO,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.MARACTUS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.MELOETTA,
    Species.DELPHOX,
    Species.LITLEO,
    Species.PYROAR,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.SALAZZLE,
    Species.ORANGURU,
    Species.SILVALLY,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.SOLGALEO,
    Species.NECROZMA,
    Species.RILLABOOM,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.BOLTUND,
    Species.TOXTRICITY,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.INDEEDEE,
    Species.ARCTOZOLT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ZARUDE,
    Species.URSALUNA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.MABOSSTIFF,
    Species.ESPATHRA,
    Species.BOMBIRDIER,
    Species.PALAFIN,
    Species.CYCLIZAR,
    Species.CETODDLE,
    Species.CETITAN,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.SCREAM_TAIL,
    Species.FLUTTER_MANE,
    Species.IRON_JUGULIS,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.RAGING_BOLT,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.GALAR_MEOWTH,
    Species.GALAR_ARTICUNO,
    Species.GALAR_MOLTRES,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.HISUI_ARCANINE,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.BLAST_BURN]: [
    Species.CHARIZARD,
    Species.MEW,
    Species.TYPHLOSION,
    Species.BLAZIKEN,
    Species.INFERNAPE,
    Species.EMBOAR,
    Species.DELPHOX,
    Species.INCINEROAR,
    Species.CINDERACE,
    Species.SKELEDIRGE,
    Species.HISUI_TYPHLOSION,
  ],
  [Moves.HYDRO_CANNON]: [
    Species.BLASTOISE,
    Species.MEW,
    Species.FERALIGATR,
    Species.SWAMPERT,
    Species.EMPOLEON,
    Species.SAMUROTT,
    Species.GRENINJA,
    Species.PRIMARINA,
    Species.INTELEON,
    Species.QUAQUAVAL,
    Species.HISUI_SAMUROTT,
  ],
  [Moves.WEATHER_BALL]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.VULPIX,
    Species.NINETALES,
    Species.VILEPLUME,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACRUEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.CLOYSTER,
    Species.HORSEA,
    Species.SEADRA,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.MEGANIUM,
    Species.BELLOSSOM,
    Species.POLITOED,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.ESPEON,
    Species.UMBREON,
    Species.SLOWKING,
    Species.DELIBIRD,
    Species.KINGDRA,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.SWAMPERT,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.PELIPPER,
    Species.MASQUERAIN,
    Species.ROSELIA,
    Species.WAILMER,
    Species.WAILORD,
    Species.TORKOAL,
    Species.ALTARIA,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.WHISCASH,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.SNORUNT,
    Species.GLALIE,
    Species.LATIAS,
    Species.LATIOS,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.GASTRODON,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BRONZONG,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.LEAFEON,
    Species.GLACEON,
    Species.FROSLASS,
    Species.PHIONE,
    Species.MANAPHY,
    Species.GIGALITH,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.LILLIGANT,
    Species.MARACTUS,
    Species.SWANNA,
    Species.VANILLUXE,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.GRENINJA,
    Species.VIVILLON,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOLISK,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.GOODRA,
    Species.VOLCANION,
    Species.PRIMARINA,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.SHIINOTIC,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.ELDEGOSS,
    Species.CRAMORANT,
    Species.FROSMOTH,
    Species.EISCUE,
    Species.ENAMORUS,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.ARMAROUGE,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.RELLOR,
    Species.RABSCA,
    Species.WALKING_WAKE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.TERAPAGOS,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.HISUI_LILLIGANT,
    Species.HISUI_GOODRA,
  ],
  [Moves.FAKE_TEARS]: [
    Species.PIKACHU,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.JYNX,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.MEW,
    Species.TOTODILE,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.ESPEON,
    Species.UMBREON,
    Species.MISDREAVUS,
    Species.SNUBBULL,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SMOOCHUM,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.AZURILL,
    Species.SKITTY,
    Species.MAWILE,
    Species.PLUSLE,
    Species.MINUN,
    Species.ILLUMISE,
    Species.SPINDA,
    Species.CHIMECHO,
    Species.SNORUNT,
    Species.GLALIE,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.PACHIRISU,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.GLAMEOW,
    Species.BONSLY,
    Species.WEAVILE,
    Species.LEAFEON,
    Species.GLACEON,
    Species.FROSLASS,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.MELOETTA,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.SYLVEON,
    Species.DIANCIE,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.SALAZZLE,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.NICKIT,
    Species.THIEVUL,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.ALCREMIE,
    Species.MORPEKO,
    Species.URSALUNA,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.SQUAWKABILLY,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.SCREAM_TAIL,
    Species.FLUTTER_MANE,
    Species.PECHARUNT,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.GALAR_MEOWTH,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_YAMASK,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
  ],
  [Moves.AIR_CUTTER]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.SPEAROW,
    Species.FEAROW,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.VENOMOTH,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SCYTHER,
    Species.AERODACTYL,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRAGONITE,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.CROBAT,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.YANMA,
    Species.MURKROW,
    Species.SCIZOR,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.LUGIA,
    Species.HO_OH,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.MASQUERAIN,
    Species.NINJASK,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.SWABLU,
    Species.ALTARIA,
    Species.TROPIUS,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.MOTHIM,
    Species.COMBEE,
    Species.VESPIQUEN,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.HONCHKROW,
    Species.CHATOT,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.GIRATINA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SIGILYPH,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.VOLCARONA,
    Species.TORNADUS,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.ORICORIO,
    Species.KARTANA,
    Species.NAGANADEL,
    Species.INTELEON,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.CRAMORANT,
    Species.KLEAVOR,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.SQUAWKABILLY,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.BOMBIRDIER,
    Species.FLAMIGO,
    Species.IRON_BUNDLE,
    Species.IRON_JUGULIS,
    Species.FEZANDIPITI,
    Species.SHAYMIN,
    Species.GALAR_ARTICUNO,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.OVERHEAT]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.VULPIX,
    Species.NINETALES,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.MAGMAR,
    Species.FLAREON,
    Species.MOLTRES,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.MAGBY,
    Species.ENTEI,
    Species.HO_OH,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MANECTRIC,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SOLROCK,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.MAGMORTAR,
    Species.DIALGA,
    Species.HEATRAN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.ZEBSTRIKA,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.HEATMOR,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.RESHIRAM,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.LITLEO,
    Species.PYROAR,
    Species.VOLCANION,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.TOUCANNON,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.TURTONATOR,
    Species.BLACEPHALON,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.CENTISKORCH,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.SCOVILLAIN,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ANNIHILAPE,
    Species.IRON_MOTH,
    Species.CHI_YU,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.GOUGING_FIRE,
    [
      Species.ROTOM,
      "heat",
    ],
    Species.GALAR_WEEZING,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    [
      Species.PALDEA_TAUROS,
      "blaze",
    ],
  ],
  [Moves.ROCK_TOMB]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.EKANS,
    Species.ARBOK,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.GRIMER,
    Species.MUK,
    Species.ONIX,
    Species.KRABBY,
    Species.KINGLER,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.PINSIR,
    Species.TAUROS,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SUDOWOODO,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.GRANBULL,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.MANTINE,
    Species.SKARMORY,
    Species.PHANPY,
    Species.DONPHAN,
    Species.MILTANK,
    Species.BLISSEY,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.ZANGOOSE,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.KECLEON,
    Species.DUSCLOPS,
    Species.ABSOL,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.HUNTAIL,
    Species.RELICANTH,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.DEOXYS,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.ABOMASNOW,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SCOLIPEDE,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.HYDREIGON,
    Species.TERRAKION,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.HAWLUCHA,
    Species.CARBINK,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.PASSIMIAN,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_BULU,
    Species.SOLGALEO,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MARSHADOW,
    Species.STAKATAKA,
    Species.MELMETAL,
    Species.DREDNAW,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CURSOLA,
    Species.RUNERIGUS,
    Species.FALINKS,
    Species.STONJOURNER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.SPIDOPS,
    Species.PAWMOT,
    Species.GARGANACL,
    Species.KLAWF,
    Species.RELLOR,
    Species.RABSCA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.BOMBIRDIER,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.IRON_TREADS,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_THORNS,
    Species.TING_LU,
    Species.OKIDOGI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.IRON_BOULDER,
    [
      Species.WORMADAM,
      "sandy",
      "trash",
    ],
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.GALAR_CORSOLA,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.METAL_SOUND]: [
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.ELECTABUZZ,
    Species.JOLTEON,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.ZAPDOS,
    Species.MEW,
    Species.FORRETRESS,
    Species.SKARMORY,
    Species.ELEKID,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.REGISTEEL,
    Species.JIRACHI,
    Species.EMPOLEON,
    Species.SHIELDON,
    Species.BASTIODON,
    [
      Species.WORMADAM,
      "trash",
    ],
    Species.BRONZOR,
    Species.BRONZONG,
    Species.LUCARIO,
    Species.MAGNEZONE,
    Species.ELECTIVIRE,
    Species.PROBOPASS,
    Species.DIALGA,
    Species.HEATRAN,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.DURANT,
    Species.COBALION,
    Species.GENESECT,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.KLEFKI,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.DHELMISE,
    Species.KOMMO_O,
    Species.SOLGALEO,
    Species.CELESTEELA,
    Species.MAGEARNA,
    Species.CORVIKNIGHT,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.PERRSERKER,
    Species.DURALUDON,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.ORTHWORM,
    Species.KINGAMBIT,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.GHOLDENGO,
    Species.MIRAIDON,
    Species.IRON_LEAVES,
    Species.ARCHALUDON,
    Species.IRON_CROWN,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.GALAR_MEOWTH,
    Species.GALAR_STUNFISK,
  ],
  [Moves.COSMIC_POWER]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.STARYU,
    Species.STARMIE,
    Species.MEW,
    Species.NATU,
    Species.XATU,
    Species.SKITTY,
    Species.DELCATTY,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.CASTFORM,
    Species.CHIMECHO,
    Species.METANG,
    Species.METAGROSS,
    Species.RAYQUAZA,
    Species.JIRACHI,
    [
      Species.DEOXYS,
      "",
      "attack",
    ],
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.CHINGLING,
    Species.ARCEUS,
    Species.SIGILYPH,
    Species.GOTHITELLE,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.MINIOR,
    Species.COSMOEM,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NECROZMA,
    Species.ETERNATUS,
    Species.RELLOR,
    Species.RABSCA,
  ],
  [Moves.SIGNAL_BEAM]: [
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.SEEL,
    Species.DEWGONG,
    Species.CLOYSTER,
    Species.DROWZEE,
    Species.HYPNO,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.PORYGON,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MEWTWO,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.YANMA,
    Species.ESPEON,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.FORRETRESS,
    Species.QWILFISH,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.KINGDRA,
    Species.PORYGON2,
    Species.STANTLER,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.RAIKOU,
    Species.SUICUNE,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.CHIMECHO,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.GOREBYSS,
    Species.METANG,
    Species.METAGROSS,
    Species.REGICE,
    Species.KYOGRE,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.MAGNEZONE,
    Species.ELECTIVIRE,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.GLACEON,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.ARCEUS,
    Species.VICTINI,
    Species.WATCHOG,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.SIGILYPH,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.GOLETT,
    Species.GOLURK,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.ZEKROM,
    Species.KYUREM,
    Species.MELOETTA,
    Species.GENESECT,
    Species.DELPHOX,
    Species.VIVILLON,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.MALAMAR,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.DEDENNE,
    Species.HOOPA,
    Species.VIKAVOLT,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.LUNALA,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.WYRDEER,
    Species.FARIGIRAF,
    Species.ALOLA_RAICHU,
  ],
  [Moves.SAND_TOMB]: [
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.ONIX,
    Species.MEW,
    Species.SUDOWOODO,
    Species.PINECO,
    Species.FORRETRESS,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.SKARMORY,
    Species.PHANPY,
    Species.DONPHAN,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.NOSEPASS,
    Species.LAIRON,
    Species.AGGRON,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.WHISCASH,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.REGIROCK,
    Species.REGISTEEL,
    Species.GROUDON,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.GASTRODON,
    Species.BONSLY,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.DRAPION,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PROBOPASS,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.LANDORUS,
    Species.DIGGERSBY,
    Species.CARBINK,
    Species.DIANCIE,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.DREDNAW,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.RUNERIGUS,
    Species.STONJOURNER,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.SANDY_SHOCKS,
    Species.IRON_THORNS,
    Species.TING_LU,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
  ],
  [Moves.MUDDY_WATER]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.LICKITUNG,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.KINGDRA,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.WINGULL,
    Species.PELIPPER,
    Species.AZURILL,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CLAMPERL,
    Species.RELICANTH,
    Species.KYOGRE,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.LICKILICKY,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.BASCULIN,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.JELLICENT,
    Species.STUNFISK,
    Species.KELDEO,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.GOLISOPOD,
    Species.DHELMISE,
    Species.TAPU_FINI,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.DREDNAW,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.PINCURCHIN,
    Species.BASCULEGION,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.TATSUGIRI,
    Species.CLODSIRE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.GALAR_STUNFISK,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
  ],
  [Moves.BULLET_SEED]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.TANGELA,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.BELLOSSOM,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.HERACROSS,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.MANTINE,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CACNEA,
    Species.CACTURNE,
    Species.LILEEP,
    Species.CRADILY,
    Species.TROPIUS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.CARNIVINE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.TANGROWTH,
    Species.LEAFEON,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.PATRAT,
    Species.WATCHOG,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.LEAVANNY,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.MARACTUS,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.TAPU_BULU,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.MORPEKO,
    Species.ZARUDE,
    Species.CALYREX,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.BRUTE_BONNET,
    Species.WO_CHIEN,
    Species.DIPPLIN,
    Species.OGERPON,
    Species.HYDRAPPLE,
    [
      Species.WORMADAM,
      "plant",
    ],
    Species.ALOLA_EXEGGUTOR,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.AERIAL_ACE]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.SPEAROW,
    Species.FEAROW,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.PARAS,
    Species.PARASECT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.SLOWBRO,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.CUBONE,
    Species.MAROWAK,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.PORYGON,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.CROBAT,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.YANMA,
    Species.MURKROW,
    Species.MISDREAVUS,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.PORYGON2,
    Species.HITMONTOP,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.MASQUERAIN,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.SABLEYE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.FLYGON,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.ANORITH,
    Species.ARMALDO,
    Species.KECLEON,
    Species.TROPIUS,
    Species.ABSOL,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.KRICKETUNE,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHATOT,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.RIOLU,
    Species.LUCARIO,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.MANTYKE,
    Species.WEAVILE,
    Species.TANGROWTH,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLISCOR,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.DIALGA,
    Species.PALKIA,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.LEAVANNY,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SIGILYPH,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FERROTHORN,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.KELDEO,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.LURANTIS,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.PASSIMIAN,
    Species.GOLISOPOD,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.BRUXISH,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.LUNALA,
    Species.KARTANA,
    Species.NECROZMA,
    Species.NAGANADEL,
    Species.ZERAORA,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.FLAPPLE,
    Species.CRAMORANT,
    Species.DRACOZOLT,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.SPIDOPS,
    Species.LOKIX,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.SQUAWKABILLY,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.ESPATHRA,
    Species.BOMBIRDIER,
    Species.CYCLIZAR,
    Species.FLAMIGO,
    Species.KINGAMBIT,
    Species.SLITHER_WING,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.CHIEN_PAO,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.IRON_LEAVES,
    Species.FEZANDIPITI,
    Species.IRON_BOULDER,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.ICICLE_SPEAR]: [
    Species.SEEL,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.JYNX,
    Species.LAPRAS,
    Species.ARTICUNO,
    Species.MEW,
    Species.SNEASEL,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.DELIBIRD,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SEALEO,
    Species.WALREIN,
    Species.REGICE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.GLACEON,
    Species.MAMOSWINE,
    Species.FROSLASS,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.KYUREM,
    Species.AURORUS,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.INTELEON,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.SNOM,
    Species.FROSMOTH,
    Species.EISCUE,
    Species.ARCTOZOLT,
    Species.ARCTOVISH,
    Species.GLASTRIER,
    Species.CETODDLE,
    Species.CETITAN,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.GALAR_MR_MIME,
    Species.GALAR_CORSOLA,
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_AVALUGG,
  ],
  [Moves.IRON_DEFENSE]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.METAPOD,
    Species.BUTTERFREE,
    Species.KAKUNA,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.KRABBY,
    Species.KINGLER,
    Species.CUBONE,
    Species.MAROWAK,
    Species.RHYDON,
    Species.MR_MIME,
    Species.PINSIR,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.MEW,
    Species.SUDOWOODO,
    Species.SLOWKING,
    Species.PINECO,
    Species.FORRETRESS,
    Species.STEELIX,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.CORSOLA,
    Species.SKARMORY,
    Species.DONPHAN,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.SILCOON,
    Species.CASCOON,
    Species.NOSEPASS,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.TORKOAL,
    Species.SOLROCK,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.CLAYDOL,
    Species.ANORITH,
    Species.ARMALDO,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.BELDUM,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGISTEEL,
    Species.JIRACHI,
    Species.TORTERRA,
    Species.EMPOLEON,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.RIOLU,
    Species.LUCARIO,
    Species.DRAPION,
    Species.MAGNEZONE,
    Species.RHYPERIOR,
    Species.PROBOPASS,
    Species.DIALGA,
    Species.HEATRAN,
    Species.ARCEUS,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.DARMANITAN,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.CRYOGONAL,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.DURANT,
    Species.COBALION,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.SPEWPA,
    Species.VIVILLON,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.CARBINK,
    Species.KLEFKI,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.DIANCIE,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.TURTONATOR,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.STAKATAKA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.DREDNAW,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SANDACONDA,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.FALINKS,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.URSHIFU,
    Species.GLASTRIER,
    Species.ENAMORUS,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.KLAWF,
    Species.RELLOR,
    Species.RABSCA,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.KINGAMBIT,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.IRON_LEAVES,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.ARCHALUDON,
    Species.IRON_CROWN,
    [
      Species.DEOXYS,
      "defense",
    ],
    [
      Species.WORMADAM,
      "trash",
    ],
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_AVALUGG,
  ],
  [Moves.DRAGON_CLAW]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.AERODACTYL,
    Species.DRAGONITE,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.TYRANITAR,
    Species.SCEPTILE,
    Species.AGGRON,
    Species.FLYGON,
    Species.ALTARIA,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.DIALGA,
    Species.PALKIA,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.DRUDDIGON,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.CHESNAUGHT,
    Species.PANGORO,
    Species.BARBARACLE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.GOODRA,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.BEWEAR,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.GUZZLORD,
    Species.NAGANADEL,
    Species.DRACOZOLT,
    Species.DURALUDON,
    Species.DRAGAPULT,
    Species.REGIDRAGO,
    Species.CERULEDGE,
    Species.CYCLIZAR,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.ARCHALUDON,
    Species.GOUGING_FIRE,
    Species.HISUI_GOODRA,
  ],
  [Moves.FRENZY_PLANT]: [
    Species.VENUSAUR,
    Species.MEW,
    Species.MEGANIUM,
    Species.SCEPTILE,
    Species.TORTERRA,
    Species.SERPERIOR,
    Species.CHESNAUGHT,
    Species.DECIDUEYE,
    Species.RILLABOOM,
    Species.MEOWSCARADA,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.BULK_UP]: [
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.ELECTABUZZ,
    Species.PINSIR,
    Species.MEWTWO,
    Species.MEW,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.HERACROSS,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.SWAMPERT,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.ELECTIVIRE,
    Species.GALLADE,
    Species.DIALGA,
    Species.PALKIA,
    Species.ARCEUS,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.THROH,
    Species.SAWK,
    Species.KROOKODILE,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.EELEKTROSS,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.LANDORUS,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.TALONFLAME,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.BARBARACLE,
    Species.HAWLUCHA,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.LYCANROC,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.PASSIMIAN,
    Species.GOLISOPOD,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_BULU,
    Species.BUZZWOLE,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.RILLABOOM,
    Species.RABOOT,
    Species.CINDERACE,
    Species.CORVIKNIGHT,
    Species.BOLTUND,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.FALINKS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.QUAQUAVAL,
    Species.PAWMOT,
    Species.CERULEDGE,
    Species.PALAFIN,
    Species.FLAMIGO,
    Species.ANNIHILAPE,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.SLITHER_WING,
    Species.KORAIDON,
    Species.OKIDOGI,
    Species.ALOLA_RATICATE,
    Species.GALAR_ZAPDOS,
    Species.GALAR_DARMANITAN,
    Species.HISUI_SNEASEL,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
  ],
  [Moves.BOUNCE]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.HITMONLEE,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.MAGIKARP,
    Species.GYARADOS,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.IGGLYBUFF,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.QWILFISH,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.KINGDRA,
    Species.DONPHAN,
    Species.STANTLER,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.SHIFTRY,
    Species.AZURILL,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.ABSOL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.PHIONE,
    Species.MANAPHY,
    Species.VICTINI,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.BASCULIN,
    Species.MARACTUS,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.COBALION,
    Species.VIRIZION,
    Species.KELDEO,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.PYROAR,
    Species.GOGOAT,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HAWLUCHA,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.TOGEDEMARU,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.DUBWOOL,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.REGIELEKI,
    Species.LOKIX,
    Species.FINIZEN,
    Species.CETODDLE,
    Species.CETITAN,
    Species.CHI_YU,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_ZAPDOS,
    Species.GALAR_STUNFISK,
  ],
  [Moves.MUD_SHOT]: [
    Species.EKANS,
    Species.ARBOK,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.KRABBY,
    Species.KINGLER,
    Species.RHYHORN,
    Species.RHYDON,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.MEW,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.AIPOM,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.QWILFISH,
    Species.SHUCKLE,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PHANPY,
    Species.DONPHAN,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.SABLEYE,
    Species.GULPIN,
    Species.SWALOT,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.GRUMPIG,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.RELICANTH,
    Species.GROUDON,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.PACHIRISU,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.BONSLY,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.RHYPERIOR,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.BOUFFALANT,
    Species.LANDORUS,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.AMAURA,
    Species.AURORUS,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.VOLCANION,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDSDALE,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.NICKIT,
    Species.THIEVUL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.OBSTAGOON,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.ZARUDE,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.BASCULEGION,
    Species.OVERQWIL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.RELLOR,
    Species.RABSCA,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.CLODSIRE,
    Species.DUDUNSPARCE,
    Species.GREAT_TUSK,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.WO_CHIEN,
    Species.TING_LU,
    Species.KORAIDON,
    Species.WALKING_WAKE,
    Species.PIKACHU,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_STUNFISK,
    Species.HISUI_QWILFISH,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.POISON_TAIL]: [
    Species.EKANS,
    Species.ARBOK,
    Species.NIDORAN_F,
    Species.NIDORAN_M,
    Species.MEW,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.QWILFISH,
    Species.SEVIPER,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.SKORUPI,
    Species.GLISCOR,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.DRUDDIGON,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.GOOMY,
    Species.GOODRA,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.TOXTRICITY,
    Species.ETERNATUS,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.GRAFAIAI,
    Species.CLODSIRE,
    Species.DUDUNSPARCE,
    Species.OKIDOGI,
    Species.FEZANDIPITI,
    Species.PIKACHU,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.PALDEA_WOOPER,
  ],
  [Moves.COVET]: [
    Species.RATTATA,
    Species.RATICATE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.FARFETCHD,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.SNORLAX,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.SENTRET,
    Species.FURRET,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.AIPOM,
    Species.ESPEON,
    Species.UMBREON,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SHUCKLE,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.BLISSEY,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.AZURILL,
    Species.SKITTY,
    Species.DELCATTY,
    Species.PLUSLE,
    Species.MINUN,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.LATIAS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.BUDEW,
    Species.ROSERADE,
    Species.PACHIRISU,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.MUNCHLAX,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.LICKILICKY,
    Species.TOGEKISS,
    Species.LEAFEON,
    Species.GLACEON,
    Species.PHIONE,
    Species.MANAPHY,
    Species.SHAYMIN,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.AUDINO,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.EMOLGA,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.KELDEO,
    Species.MELOETTA,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.PANCHAM,
    Species.PANGORO,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.SYLVEON,
    Species.DEDENNE,
    Species.CARBINK,
    Species.KLEFKI,
    Species.DIANCIE,
    Species.HOOPA,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.POIPOLE,
    Species.GREEDENT,
    Species.PERRSERKER,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.URSALUNA,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.ANNIHILAPE,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.GALAR_MEOWTH,
    Species.GALAR_FARFETCHD,
    Species.GALAR_MR_MIME,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
    Species.ETERNAL_FLOETTE,
  ],
  [Moves.MAGICAL_LEAF]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.EXEGGUTOR,
    Species.MR_MIME,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CLEFFA,
    Species.TOGETIC,
    Species.BELLOSSOM,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.ESPEON,
    Species.MISDREAVUS,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.ROSELIA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.TROPIUS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.ROSERADE,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.MISMAGIUS,
    Species.CARNIVINE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.TOGEKISS,
    Species.LEAFEON,
    Species.GALLADE,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.SNIVY,
    Species.PANSAGE,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.VIRIZION,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.SYLVEON,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.ALCREMIE,
    Species.INDEEDEE,
    Species.ZARUDE,
    Species.CALYREX,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.WO_CHIEN,
    Species.IRON_VALIANT,
    Species.IRON_LEAVES,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OGERPON,
    Species.HYDRAPPLE,
    [
      Species.MEOWSTIC,
      "female",
    ],
    Species.ALOLA_EXEGGUTOR,
    Species.ETERNAL_FLOETTE,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.CALM_MIND]: [
    Species.PIKACHU,
    Species.RAICHU,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGUTOR,
    Species.CHANSEY,
    Species.MR_MIME,
    Species.JYNX,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.MEWTWO,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CLEFFA,
    Species.NATU,
    Species.XATU,
    Species.SUDOWOODO,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.SNEASEL,
    Species.CORSOLA,
    Species.STANTLER,
    Species.SMOOCHUM,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.RELICANTH,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.INFERNAPE,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.SPIRITOMB,
    Species.LUCARIO,
    Species.WEAVILE,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.ALOMOMOLA,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.LANDORUS,
    Species.KELDEO,
    Species.MELOETTA,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.VIVILLON,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.CARBINK,
    Species.KLEFKI,
    Species.TREVENANT,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.HOOPA,
    Species.PRIMARINA,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.COMFEY,
    Species.ORANGURU,
    Species.MINIOR,
    Species.KOMALA,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.XURKITREE,
    Species.KARTANA,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.ALCREMIE,
    Species.FROSMOTH,
    Species.INDEEDEE,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.SNEASLER,
    Species.ENAMORUS,
    Species.ARMAROUGE,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.SCREAM_TAIL,
    Species.FLUTTER_MANE,
    Species.IRON_VALIANT,
    Species.MIRAIDON,
    Species.IRON_LEAVES,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.RAGING_BOLT,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.ALOLA_RAICHU,
    Species.ALOLA_NINETALES,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_YAMASK,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SNEASEL,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.LEAF_BLADE]: [
    Species.VICTREEBEL,
    Species.FARFETCHD,
    Species.MEW,
    Species.BELLOSSOM,
    Species.CELEBI,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TROPIUS,
    Species.LEAFEON,
    Species.GALLADE,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.LEAVANNY,
    Species.LILLIGANT,
    Species.VIRIZION,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.KARTANA,
    Species.SIRFETCHD,
    Species.IRON_VALIANT,
    Species.IRON_LEAVES,
    Species.GALAR_FARFETCHD,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.DRAGON_DANCE]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.ONIX,
    Species.HORSEA,
    Species.SEADRA,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.AERODACTYL,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.STEELIX,
    Species.KINGDRA,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.SCEPTILE,
    Species.FLYGON,
    Species.ALTARIA,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.MILOTIC,
    Species.TROPIUS,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.RAYQUAZA,
    Species.ARCEUS,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.HYDREIGON,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.NOIVERN,
    Species.ZYGARDE,
    Species.SALAZZLE,
    Species.DRAMPA,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.NECROZMA,
    Species.NAGANADEL,
    Species.FLAPPLE,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ETERNATUS,
    Species.REGIDRAGO,
    Species.TATSUGIRI,
    Species.IRON_THORNS,
    Species.BAXCALIBUR,
    Species.ROARING_MOON,
    Species.WALKING_WAKE,
    Species.GOUGING_FIRE,
  ],
  [Moves.ROCK_BLAST]: [
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.ONIX,
    Species.RHYHORN,
    Species.RHYDON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.MEW,
    Species.SUDOWOODO,
    Species.PINECO,
    Species.FORRETRESS,
    Species.STEELIX,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.MANTINE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.NOSEPASS,
    Species.LAIRON,
    Species.AGGRON,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.RELICANTH,
    Species.REGIROCK,
    Species.GROUDON,
    Species.TORTERRA,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.GASTRODON,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.RHYPERIOR,
    Species.MAMOSWINE,
    Species.PROBOPASS,
    Species.HEATRAN,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.EXCADRILL,
    Species.CONKELDURR,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.CINCCINO,
    Species.TERRAKION,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.CARBINK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.LYCANROC,
    Species.MINIOR,
    Species.NECROZMA,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.DREDNAW,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CURSOLA,
    Species.RUNERIGUS,
    Species.STONJOURNER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.KLEAVOR,
    Species.GARGANACL,
    Species.KLAWF,
    Species.BOMBIRDIER,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.IRON_THORNS,
    Species.IRON_BOULDER,
    [
      Species.WORMADAM,
      "sandy",
    ],
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.GALAR_SLOWBRO,
    Species.GALAR_CORSOLA,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_AVALUGG,
  ],
  [Moves.WATER_PULSE]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.KRABBY,
    Species.KINGLER,
    Species.LICKITUNG,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.JYNX,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.AIPOM,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.DUNSPARCE,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SNEASEL,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.KINGDRA,
    Species.SMOOCHUM,
    Species.MILTANK,
    Species.BLISSEY,
    Species.SUICUNE,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.CELEBI,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.WINGULL,
    Species.PELIPPER,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.AZURILL,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.SPINDA,
    Species.ZANGOOSE,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIBAREL,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.HAPPINY,
    Species.SPIRITOMB,
    Species.MUNCHLAX,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.TOGEKISS,
    Species.GLACEON,
    Species.FROSLASS,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.PALKIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.BASCULIN,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.STUNFISK,
    Species.KELDEO,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.AMAURA,
    Species.AURORUS,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.VOLCANION,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.GOLISOPOD,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.KOMMO_O,
    Species.TAPU_FINI,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.EISCUE,
    Species.BASCULEGION,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.CLODSIRE,
    Species.SCREAM_TAIL,
    Species.IRON_BUNDLE,
    Species.WALKING_WAKE,
    Species.TERAPAGOS,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.HISUI_QWILFISH,
    Species.HISUI_SAMUROTT,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    [
      Species.PALDEA_TAUROS,
      "aqua",
    ],
    Species.PALDEA_WOOPER,
  ],
  [Moves.ROOST]: [
    Species.CHARIZARD,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.SPEAROW,
    Species.FEAROW,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.VENOMOTH,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SCYTHER,
    Species.AERODACTYL,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRAGONITE,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.CROBAT,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.YANMA,
    Species.MURKROW,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.MANTINE,
    Species.SKARMORY,
    Species.LUGIA,
    Species.HO_OH,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.MASQUERAIN,
    Species.NINJASK,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.SWABLU,
    Species.ALTARIA,
    Species.TROPIUS,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.HONCHKROW,
    Species.CHATOT,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.GLISCOR,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SIGILYPH,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.EMOLGA,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HYDREIGON,
    Species.VOLCARONA,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.HAWLUCHA,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.VIKAVOLT,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.DRAMPA,
    Species.TAPU_KOKO,
    Species.LUNALA,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.CRAMORANT,
    Species.KLEAVOR,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.SQUAWKABILLY,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.BOMBIRDIER,
    Species.FLAMIGO,
    Species.DUDUNSPARCE,
    Species.ROARING_MOON,
    Species.FEZANDIPITI,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.GRAVITY]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CHANSEY,
    Species.STARYU,
    Species.STARMIE,
    Species.PORYGON,
    Species.MEWTWO,
    Species.MEW,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.ESPEON,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.PORYGON2,
    Species.STANTLER,
    Species.BLISSEY,
    Species.GARDEVOIR,
    Species.NOSEPASS,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CHIMECHO,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.HAPPINY,
    Species.MAGNEZONE,
    Species.GLACEON,
    Species.PORYGON_Z,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.DIALGA,
    Species.PALKIA,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.ARCEUS,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.AUDINO,
    Species.SIGILYPH,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.GOLETT,
    Species.GOLURK,
    Species.LANDORUS,
    Species.MELOETTA,
    Species.GENESECT,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.CARBINK,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.HOOPA,
    Species.ORANGURU,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.MINIOR,
    Species.TOGEDEMARU,
    Species.TAPU_LELE,
    Species.TAPU_FINI,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.STAKATAKA,
    Species.HATTERENE,
    Species.STONJOURNER,
    Species.INDEEDEE,
    Species.ETERNATUS,
    Species.CALYREX,
    Species.WYRDEER,
    Species.GARGANACL,
    Species.RABSCA,
    Species.FARIGIRAF,
    Species.SANDY_SHOCKS,
    Species.IRON_LEAVES,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.ALOLA_EXEGGUTOR,
  ],
  [Moves.GYRO_BALL]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.ONIX,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.KOFFING,
    Species.WEEZING,
    Species.STARYU,
    Species.STARMIE,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.MEW,
    Species.TYPHLOSION,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.STEELIX,
    Species.QWILFISH,
    Species.SHUCKLE,
    Species.MAGCARGO,
    Species.DONPHAN,
    Species.HITMONTOP,
    Species.MILTANK,
    Species.SABLEYE,
    Species.TORKOAL,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.GLALIE,
    Species.METANG,
    Species.METAGROSS,
    Species.RAYQUAZA,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.GOLETT,
    Species.GOLURK,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.CARBINK,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.DIANCIE,
    Species.VOLCANION,
    Species.PASSIMIAN,
    Species.MINIOR,
    Species.TOGEDEMARU,
    Species.DHELMISE,
    Species.SOLGALEO,
    Species.BUZZWOLE,
    Species.CELESTEELA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.STAKATAKA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.APPLETUN,
    Species.PERRSERKER,
    Species.DURALUDON,
    Species.OVERQWIL,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.DUDUNSPARCE,
    Species.SCREAM_TAIL,
    Species.IRON_TREADS,
    Species.DIPPLIN,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.TERAPAGOS,
    [
      Species.WORMADAM,
      "trash",
    ],
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.GALAR_MEOWTH,
    Species.GALAR_WEEZING,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
  ],
  [Moves.BRINE]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.KRABBY,
    Species.KINGLER,
    Species.HORSEA,
    Species.SEADRA,
    Species.STARYU,
    Species.STARMIE,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.MEW,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.SLOWKING,
    Species.QWILFISH,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.MANTINE,
    Species.KINGDRA,
    Species.SUICUNE,
    Species.LUGIA,
    Species.WINGULL,
    Species.PELIPPER,
    Species.HARIYAMA,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.KYOGRE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.FINNEON,
    Species.LUMINEON,
    Species.PALKIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.PANPOUR,
    Species.BASCULIN,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.DHELMISE,
    Species.TAPU_FINI,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.CURSOLA,
    Species.PINCURCHIN,
    Species.EISCUE,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.OVERQWIL,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    [
      Species.URSHIFU,
      "rapid-strike",
    ],
    Species.HISUI_QWILFISH,
  ],
  [Moves.PLUCK]: [
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CROBAT,
    Species.NATU,
    Species.XATU,
    Species.MURKROW,
    Species.DELIBIRD,
    Species.SKARMORY,
    Species.HO_OH,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.SWABLU,
    Species.ALTARIA,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.HONCHKROW,
    Species.CHATOT,
    Species.TOGEKISS,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SIGILYPH,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.INKAY,
    Species.MALAMAR,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.ORICORIO,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.CRAMORANT,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.BOMBIRDIER,
    Species.VELUZA,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.GALAR_ZAPDOS,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.TAILWIND]: [
    Species.CHARIZARD,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.SPEAROW,
    Species.FEAROW,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.VENOMOTH,
    Species.FARFETCHD,
    Species.SCYTHER,
    Species.AERODACTYL,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRAGONITE,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.CROBAT,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.YANMA,
    Species.MURKROW,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.SUICUNE,
    Species.LUGIA,
    Species.HO_OH,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.MASQUERAIN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.SWABLU,
    Species.ALTARIA,
    Species.CASTFORM,
    Species.TROPIUS,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.RAYQUAZA,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.MOTHIM,
    Species.COMBEE,
    Species.VESPIQUEN,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.HONCHKROW,
    Species.CHATOT,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.GLISCOR,
    Species.ARCEUS,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.SIGILYPH,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.EMOLGA,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HYDREIGON,
    Species.VOLCARONA,
    Species.TORNADUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.HAWLUCHA,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.COMFEY,
    Species.SILVALLY,
    Species.DRAMPA,
    Species.LUNALA,
    Species.KARTANA,
    Species.NAGANADEL,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.CRAMORANT,
    Species.FROSMOTH,
    Species.KLEAVOR,
    Species.ENAMORUS,
    Species.SQUAWKABILLY,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.BOMBIRDIER,
    Species.FLAMIGO,
    Species.DUDUNSPARCE,
    Species.IRON_JUGULIS,
    Species.ROARING_MOON,
    Species.FEZANDIPITI,
    Species.SHAYMIN,
    Species.GIRATINA,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.U_TURN]: [
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.VENOMOTH,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.FARFETCHD,
    Species.SCYTHER,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.MEW,
    Species.SENTRET,
    Species.FURRET,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.CROBAT,
    Species.NATU,
    Species.XATU,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.YANMA,
    Species.MURKROW,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.CELEBI,
    Species.BLAZIKEN,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.MASQUERAIN,
    Species.NINJASK,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.TROPIUS,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.AMBIPOM,
    Species.LOPUNNY,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHATOT,
    Species.FINNEON,
    Species.LUMINEON,
    Species.YANMEGA,
    Species.GLISCOR,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.PHIONE,
    Species.MANAPHY,
    Species.VICTINI,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.WHIMSICOTT,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.EMOLGA,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ACCELGOR,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.LANDORUS,
    Species.MELOETTA,
    Species.GENESECT,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.FURFROU,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.WISHIWASHI,
    Species.TSAREENA,
    Species.COMFEY,
    Species.PASSIMIAN,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TOGEDEMARU,
    Species.TAPU_KOKO,
    Species.PHEROMOSA,
    Species.NAGANADEL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.ORBEETLE,
    Species.THIEVUL,
    Species.FLAPPLE,
    Species.PERRSERKER,
    Species.FROSMOTH,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.KLEAVOR,
    Species.SNEASLER,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.QUAQUAVAL,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.SQUAWKABILLY,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.BOMBIRDIER,
    Species.CYCLIZAR,
    Species.FLAMIGO,
    Species.ANNIHILAPE,
    Species.SLITHER_WING,
    Species.IRON_BUNDLE,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.GALAR_MEOWTH,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.CLOSE_COMBAT]: [
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.FARFETCHD,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.SCYTHER,
    Species.PINSIR,
    Species.TAUROS,
    Species.MEW,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.HITMONTOP,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.BRELOOM,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.SHARPEDO,
    Species.ZANGOOSE,
    Species.CRAWDAUNT,
    Species.ABSOL,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.STARAPTOR,
    Species.LOPUNNY,
    Species.RIOLU,
    Species.LUCARIO,
    Species.TOXICROAK,
    Species.GALLADE,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SAWK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ESCAVALIER,
    Species.EELEKTROSS,
    Species.HAXORUS,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.GOLURK,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.KELDEO,
    Species.MELOETTA,
    Species.CHESNAUGHT,
    Species.PANGORO,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.HAWLUCHA,
    Species.XERNEAS,
    Species.INCINEROAR,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.LYCANROC,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.BEWEAR,
    Species.PASSIMIAN,
    Species.GOLISOPOD,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_BULU,
    Species.SOLGALEO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.SIRFETCHD,
    Species.FALINKS,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.GLASTRIER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.QUAQUAVAL,
    Species.PAWMOT,
    Species.CERULEDGE,
    Species.PALAFIN,
    Species.FLAMIGO,
    Species.ANNIHILAPE,
    Species.GREAT_TUSK,
    Species.BRUTE_BONNET,
    Species.SLITHER_WING,
    Species.IRON_HANDS,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.IRON_LEAVES,
    Species.OKIDOGI,
    Species.IRON_BOULDER,
    Species.GALAR_FARFETCHD,
    Species.GALAR_ZAPDOS,
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_SNEASEL,
    Species.HISUI_LILLIGANT,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
  ],
  [Moves.PAYBACK]: [
    Species.BEEDRILL,
    Species.EKANS,
    Species.ARBOK,
    Species.VULPIX,
    Species.NINETALES,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.DODRIO,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.MR_MIME,
    Species.JYNX,
    Species.TAUROS,
    Species.GYARADOS,
    Species.AERODACTYL,
    Species.MEW,
    Species.CROBAT,
    Species.POLITOED,
    Species.AIPOM,
    Species.UMBREON,
    Species.MURKROW,
    Species.MISDREAVUS,
    Species.PINECO,
    Species.FORRETRESS,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.OCTILLERY,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.SMOOCHUM,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.PELIPPER,
    Species.HARIYAMA,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.AGGRON,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.ABSOL,
    Species.GLALIE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.SPIRITOMB,
    Species.RIOLU,
    Species.LUCARIO,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.WEAVILE,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.GLISCOR,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.AZELF,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HYDREIGON,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.LITLEO,
    Species.PYROAR,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.HAWLUCHA,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.STEENEE,
    Species.TSAREENA,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.GOLISOPOD,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_BULU,
    Species.BUZZWOLE,
    Species.GUZZLORD,
    Species.MARSHADOW,
    Species.BLACEPHALON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.APPLETUN,
    Species.TOXTRICITY,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.MORPEKO,
    Species.COPPERAJAH,
    Species.ARCTOZOLT,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.URSALUNA,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.BOMBIRDIER,
    Species.FLAMIGO,
    Species.BRUTE_BONNET,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.GALAR_MEOWTH,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    [
      Species.CALYREX,
      "ice",
      "shadow",
    ],
  ],
  [Moves.ASSURANCE]: [
    Species.BEEDRILL,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.MACHAMP,
    Species.DODUO,
    Species.KOFFING,
    Species.WEEZING,
    Species.KANGASKHAN,
    Species.SCYTHER,
    Species.TAUROS,
    Species.AERODACTYL,
    Species.MEW,
    Species.CROBAT,
    Species.UMBREON,
    Species.MURKROW,
    Species.GIRAFARIG,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.DONPHAN,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.MAWILE,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SEVIPER,
    Species.ABSOL,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.VESPIQUEN,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.AZELF,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.PATRAT,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SCOLIPEDE,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.MARACTUS,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.MIENSHAO,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.GENESECT,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.HAWLUCHA,
    Species.GOODRA,
    Species.INCINEROAR,
    Species.LYCANROC,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.TOGEDEMARU,
    Species.DHELMISE,
    Species.TAPU_KOKO,
    Species.PHEROMOSA,
    Species.MARSHADOW,
    Species.NAGANADEL,
    Species.ZERAORA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.NICKIT,
    Species.THIEVUL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.SIRFETCHD,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.STONJOURNER,
    Species.MORPEKO,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ETERNATUS,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.ANNIHILAPE,
    Species.FARIGIRAF,
    Species.KINGAMBIT,
    Species.IRON_JUGULIS,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GRIMER,
    Species.GALAR_MEOWTH,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    [
      Species.CALYREX,
      "ice",
      "shadow",
    ],
    [
      Species.PALDEA_TAUROS,
      "combat",
    ],
  ],
  [Moves.EMBARGO]: [
    Species.PERSIAN,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.MEWTWO,
    Species.MEW,
    Species.MURKROW,
    Species.MISDREAVUS,
    Species.SNEASEL,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.SPIRITOMB,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.PORYGON_Z,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.DARKRAI,
    Species.VICTINI,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.MELOETTA,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.PANGORO,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.YVELTAL,
    Species.HOOPA,
    Species.INCINEROAR,
    Species.ORICORIO,
    Species.ORANGURU,
    Species.PALOSSAND,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DHELMISE,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
  ],
  [Moves.FLING]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.GLIGAR,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.DELIBIRD,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.TYRANITAR,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SABLEYE,
    Species.MAWILE,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.GULPIN,
    Species.SWALOT,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.KECLEON,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIBAREL,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.GLISCOR,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.PALKIA,
    Species.REGIGIGAS,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.VICTINI,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.WHIMSICOTT,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.REUNICLUS,
    Species.EMOLGA,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.HEATMOR,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.INCINEROAR,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MARSHADOW,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.CINDERACE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.TOXTRICITY,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.MR_RIME,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.QUAQUAVAL,
    Species.SPIDOPS,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.ARBOLIVA,
    Species.GARGANACL,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.KLAWF,
    Species.RELLOR,
    Species.RABSCA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.FLAMIGO,
    Species.ANNIHILAPE,
    Species.KINGAMBIT,
    Species.SCREAM_TAIL,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.GHOLDENGO,
    Species.IRON_VALIANT,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.OGERPON,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.GASTRO_ACID]: [
    Species.EKANS,
    Species.ARBOK,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.SNORLAX,
    Species.MEW,
    Species.BELLOSSOM,
    Species.SHUCKLE,
    Species.GULPIN,
    Species.SWALOT,
    Species.SEVIPER,
    Species.LILEEP,
    Species.CRADILY,
    Species.MUNCHLAX,
    Species.CARNIVINE,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.HEATMOR,
    Species.DIGGERSBY,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.PYUKUMUKU,
    Species.GUZZLORD,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
  ],
  [Moves.POWER_SWAP]: [
    Species.VULPIX,
    Species.NINETALES,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.TANGELA,
    Species.MR_MIME,
    Species.MAGMAR,
    Species.PORYGON,
    Species.MEWTWO,
    Species.MEW,
    Species.NATU,
    Species.XATU,
    Species.ESPEON,
    Species.GIRAFARIG,
    Species.PORYGON2,
    Species.MAGBY,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.GARDEVOIR,
    Species.MEDITITE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.TANGROWTH,
    Species.MAGMORTAR,
    Species.PORYGON_Z,
    Species.CRESSELIA,
    Species.VICTINI,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.DARMANITAN,
    Species.SIGILYPH,
    Species.COFAGRIGUS,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.ACCELGOR,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.MAGEARNA,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.HATTERENE,
    Species.GRIMMSNARL,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.INDEEDEE,
    Species.ZAMAZENTA,
    Species.CALYREX,
    Species.RABSCA,
    Species.FARIGIRAF,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_EXEGGUTOR,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
  ],
  [Moves.GUARD_SWAP]: [
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.DROWZEE,
    Species.MR_MIME,
    Species.PORYGON,
    Species.MEWTWO,
    Species.MEW,
    Species.NATU,
    Species.XATU,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.UMBREON,
    Species.GIRAFARIG,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SKARMORY,
    Species.PORYGON2,
    Species.GARDEVOIR,
    Species.MAWILE,
    Species.MEDITITE,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.CASTFORM,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.PORYGON_Z,
    Species.CRESSELIA,
    Species.VICTINI,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.DARMANITAN,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.INKAY,
    Species.MALAMAR,
    Species.CARBINK,
    Species.DIANCIE,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.MAGEARNA,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.HATTERENE,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.ZAMAZENTA,
    Species.CALYREX,
    Species.RABSCA,
    Species.FARIGIRAF,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    [
      Species.INDEEDEE,
      "female",
    ],
  ],
  [Moves.WORRY_SEED]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.TANGELA,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.BELLOSSOM,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.ROSELIA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.LILEEP,
    Species.CRADILY,
    Species.TROPIUS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.BUDEW,
    Species.ROSERADE,
    Species.WORMADAM,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.CARNIVINE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.TANGROWTH,
    Species.LEAFEON,
    Species.SHAYMIN,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.MARACTUS,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.VIRIZION,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.TAPU_BULU,
    Species.NIHILEGO,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.ALOLA_EXEGGUTOR,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
    Species.ETERNAL_FLOETTE,
  ],
  [Moves.TOXIC_SPIKES]: [
    Species.BEEDRILL,
    Species.EKANS,
    Species.ARBOK,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.HAUNTER,
    Species.GENGAR,
    Species.KOFFING,
    Species.WEEZING,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.QUAGSIRE,
    Species.PINECO,
    Species.FORRETRESS,
    Species.GLIGAR,
    Species.QWILFISH,
    Species.SHIFTRY,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ROSERADE,
    Species.VESPIQUEN,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.SKORUPI,
    Species.DRAPION,
    Species.GLISCOR,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.FROAKIE,
    Species.FROGADIER,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.SKRELP,
    Species.DRAGALGE,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.NIHILEGO,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.TOXTRICITY,
    Species.RUNERIGUS,
    Species.PINCURCHIN,
    Species.ETERNATUS,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.MEOWSCARADA,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.CLODSIRE,
    Species.IRON_MOTH,
    Species.GALAR_WEEZING,
    Species.GALAR_SLOWKING,
    Species.GALAR_YAMASK,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.PALDEA_WOOPER,
  ],
  [Moves.FLARE_BLITZ]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.VULPIX,
    Species.NINETALES,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.MAGMAR,
    Species.FLAREON,
    Species.MOLTRES,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.MAGCARGO,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.MAGBY,
    Species.ENTEI,
    Species.HO_OH,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SOLROCK,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.MAGMORTAR,
    Species.HEATRAN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.HEATMOR,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.RESHIRAM,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.LITLEO,
    Species.PYROAR,
    Species.VOLCANION,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.SOLGALEO,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.CENTISKORCH,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.SLITHER_WING,
    Species.IRON_MOTH,
    Species.CHI_YU,
    Species.KORAIDON,
    Species.GOUGING_FIRE,
    Species.TERAPAGOS,
    Species.ALOLA_MAROWAK,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    [
      Species.PALDEA_TAUROS,
      "blaze",
    ],
  ],
  [Moves.AURA_SPHERE]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.MEWTWO,
    Species.MEW,
    Species.RAIKOU,
    Species.CELEBI,
    Species.BLAZIKEN,
    Species.GARDEVOIR,
    Species.MEDICHAM,
    Species.ZANGOOSE,
    Species.LATIAS,
    Species.LATIOS,
    Species.JIRACHI,
    Species.INFERNAPE,
    Species.LOPUNNY,
    Species.LUCARIO,
    Species.TOGEKISS,
    Species.GALLADE,
    Species.DIALGA,
    Species.PALKIA,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.KELDEO,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.KOMMO_O,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.URSHIFU,
    Species.MEOWSCARADA,
    Species.ARMAROUGE,
    Species.PALAFIN,
    Species.IRON_VALIANT,
    Species.ARCHALUDON,
    Species.TERAPAGOS,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.ROCK_POLISH]: [
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.ONIX,
    Species.RHYHORN,
    Species.RHYDON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.MEW,
    Species.SUDOWOODO,
    Species.FORRETRESS,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SHUCKLE,
    Species.MAGCARGO,
    Species.CORSOLA,
    Species.DONPHAN,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.NOSEPASS,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.CAMERUPT,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.RELICANTH,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.GROUDON,
    Species.TORTERRA,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.RHYPERIOR,
    Species.GLISCOR,
    Species.PROBOPASS,
    Species.REGIGIGAS,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.GARBODOR,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.DURANT,
    Species.COBALION,
    Species.TERRAKION,
    Species.LANDORUS,
    Species.GENESECT,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.CARBINK,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.DIANCIE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.MINIOR,
    Species.KOMMO_O,
    Species.NECROZMA,
    Species.STAKATAKA,
    Species.DREDNAW,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.STONJOURNER,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
  ],
  [Moves.POISON_JAB]: [
    Species.BEEDRILL,
    Species.EKANS,
    Species.ARBOK,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.RAPIDASH,
    Species.FARFETCHD,
    Species.GRIMER,
    Species.MUK,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.HITMONLEE,
    Species.RHYHORN,
    Species.RHYDON,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.MEWTWO,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.QWILFISH,
    Species.SNEASEL,
    Species.DONPHAN,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.SHARPEDO,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.DEOXYS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.ROSERADE,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.GARCHOMP,
    Species.RIOLU,
    Species.LUCARIO,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.GLISCOR,
    Species.GALLADE,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CRYOGONAL,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.KELDEO,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.PANGORO,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.HAWLUCHA,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.GOLISOPOD,
    Species.TOGEDEMARU,
    Species.KOMMO_O,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.GUZZLORD,
    Species.MARSHADOW,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXTRICITY,
    Species.SIRFETCHD,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.ZACIAN,
    Species.ETERNATUS,
    Species.URSHIFU,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.CERULEDGE,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.IRON_VALIANT,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.IRON_BOULDER,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_SLOWKING,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_LILLIGANT,
    Species.PALDEA_WOOPER,
  ],
  [Moves.DARK_PULSE]: [
    Species.BLASTOISE,
    Species.EKANS,
    Species.ARBOK,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.KOFFING,
    Species.WEEZING,
    Species.GYARADOS,
    Species.MEWTWO,
    Species.MEW,
    Species.CROBAT,
    Species.UMBREON,
    Species.MURKROW,
    Species.MISDREAVUS,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNEASEL,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.AGGRON,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SEVIPER,
    Species.CRAWDAUNT,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.ABSOL,
    Species.GLALIE,
    Species.DEOXYS,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.SPIRITOMB,
    Species.LUCARIO,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.GLISCOR,
    Species.PORYGON_Z,
    Species.DUSKNOIR,
    Species.ROTOM,
    Species.HEATRAN,
    Species.GIRATINA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.DRUDDIGON,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.GENESECT,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.LITLEO,
    Species.PYROAR,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.INKAY,
    Species.MALAMAR,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.HOOPA,
    Species.INCINEROAR,
    Species.GOLISOPOD,
    Species.MIMIKYU,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.NAGANADEL,
    Species.BLACEPHALON,
    Species.INTELEON,
    Species.THIEVUL,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.PERRSERKER,
    Species.RUNERIGUS,
    Species.MORPEKO,
    Species.DURALUDON,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.SPECTRIER,
    Species.OVERQWIL,
    Species.MEOWSCARADA,
    Species.LOKIX,
    Species.ARMAROUGE,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.BOMBIRDIER,
    Species.KINGAMBIT,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.IRON_JUGULIS,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.FEZANDIPITI,
    Species.ARCHALUDON,
    Species.TERAPAGOS,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_WEEZING,
    Species.GALAR_MOLTRES,
    Species.GALAR_YAMASK,
    [
      Species.CALYREX,
      "shadow",
    ],
    Species.HISUI_QWILFISH,
    Species.HISUI_SAMUROTT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
  ],
  [Moves.AQUA_TAIL]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.EKANS,
    Species.ARBOK,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.KANGASKHAN,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.LANTURN,
    Species.MARILL,
    Species.AZUMARILL,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.QWILFISH,
    Species.MANTINE,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.AGGRON,
    Species.SEVIPER,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.ARMALDO,
    Species.MILOTIC,
    Species.KECLEON,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.SALAMENCE,
    Species.KYOGRE,
    Species.RAYQUAZA,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.GARCHOMP,
    Species.SKORUPI,
    Species.DRAPION,
    Species.FINNEON,
    Species.LUMINEON,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.GLACEON,
    Species.GLISCOR,
    Species.PALKIA,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.SCOLIPEDE,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.STUNFISK,
    Species.DRUDDIGON,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.KELDEO,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.AMAURA,
    Species.AURORUS,
    Species.GOODRA,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.WISHIWASHI,
    Species.BRUXISH,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.BASCULEGION,
    Species.OVERQWIL,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.CYCLIZAR,
    Species.DONDOZO,
    Species.DUDUNSPARCE,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.HISUI_QWILFISH,
    Species.HISUI_SAMUROTT,
  ],
  [Moves.SEED_BOMB]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.EKANS,
    Species.ARBOK,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.TANGELA,
    Species.SNORLAX,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.SENTRET,
    Species.FURRET,
    Species.BELLOSSOM,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.PINECO,
    Species.FORRETRESS,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.PHANPY,
    Species.DONPHAN,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.PELIPPER,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.GRUMPIG,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LILEEP,
    Species.CRADILY,
    Species.TROPIUS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.BUDEW,
    Species.ROSERADE,
    Species.WORMADAM,
    Species.PACHIRISU,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.AMBIPOM,
    Species.MUNCHLAX,
    Species.CARNIVINE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.TANGROWTH,
    Species.LEAFEON,
    Species.SHAYMIN,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.PATRAT,
    Species.WATCHOG,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.MARACTUS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.VIRIZION,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.DEDENNE,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.PASSIMIAN,
    Species.KOMALA,
    Species.TAPU_BULU,
    Species.CELESTEELA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ELDEGOSS,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.MORPEKO,
    Species.ZARUDE,
    Species.CALYREX,
    Species.URSALUNA,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.ANNIHILAPE,
    Species.BRUTE_BONNET,
    Species.WO_CHIEN,
    Species.DIPPLIN,
    Species.OGERPON,
    Species.HYDRAPPLE,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_EXEGGUTOR,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.AIR_SLASH]: [
    Species.CHARIZARD,
    Species.BUTTERFREE,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.VENOMOTH,
    Species.FARFETCHD,
    Species.SCYTHER,
    Species.ARTICUNO,
    Species.MOLTRES,
    Species.DRAGONITE,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.CROBAT,
    Species.NATU,
    Species.XATU,
    Species.YANMA,
    Species.MURKROW,
    Species.DUNSPARCE,
    Species.SCIZOR,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.SUICUNE,
    Species.LUGIA,
    Species.HO_OH,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.MASQUERAIN,
    Species.NINJASK,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.TROPIUS,
    Species.ABSOL,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.RAYQUAZA,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.DRIFBLIM,
    Species.HONCHKROW,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.GALLADE,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.SIGILYPH,
    Species.ARCHEOPS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.EMOLGA,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.KELDEO,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.AEGISLASH,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.VIKAVOLT,
    Species.ORICORIO,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.LUNALA,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.NAGANADEL,
    Species.INTELEON,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.FLAPPLE,
    Species.CRAMORANT,
    Species.FROSMOTH,
    Species.ZACIAN,
    Species.KLEAVOR,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.SQUAWKABILLY,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.BOMBIRDIER,
    Species.FLAMIGO,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.ROARING_MOON,
    Species.IRON_LEAVES,
    Species.FEZANDIPITI,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.SHAYMIN,
    [
      Species.ROTOM,
      "fan",
    ],
    Species.GALAR_ARTICUNO,
    Species.GALAR_MOLTRES,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.X_SCISSOR]: [
    Species.BEEDRILL,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.PARAS,
    Species.PARASECT,
    Species.KRABBY,
    Species.KINGLER,
    Species.SCYTHER,
    Species.PINSIR,
    Species.KABUTOPS,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.SNEASEL,
    Species.SKARMORY,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.SHIFTRY,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.SABLEYE,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.ANORITH,
    Species.ARMALDO,
    Species.ABSOL,
    Species.KRICKETUNE,
    Species.VESPIQUEN,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.LEAFEON,
    Species.GLISCOR,
    Species.GALLADE,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.LEAVANNY,
    Species.SCOLIPEDE,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.DURANT,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.KELDEO,
    Species.GENESECT,
    Species.PANGORO,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.HAWLUCHA,
    Species.TREVENANT,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.GOLISOPOD,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MIMIKYU,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.KARTANA,
    Species.NECROZMA,
    Species.NAGANADEL,
    Species.CENTISKORCH,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.KLEAVOR,
    Species.SNEASLER,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.CERULEDGE,
    Species.GRAFAIAI,
    Species.KLAWF,
    Species.RELLOR,
    Species.RABSCA,
    Species.KINGAMBIT,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.IRON_LEAVES,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.GALAR_MEOWTH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
  ],
  [Moves.BUG_BUZZ]: [
    Species.BUTTERFREE,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.SCYTHER,
    Species.MEW,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.YANMA,
    Species.PINECO,
    Species.FORRETRESS,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.KRICKETUNE,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.COMBEE,
    Species.VESPIQUEN,
    Species.SKORUPI,
    Species.DRAPION,
    Species.YANMEGA,
    Species.ARCEUS,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.GENESECT,
    Species.VIVILLON,
    Species.VIKAVOLT,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.PHEROMOSA,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.SNOM,
    Species.FROSMOTH,
    Species.KLEAVOR,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.RELLOR,
    Species.RABSCA,
    Species.SLITHER_WING,
    Species.IRON_MOTH,
    Species.TERAPAGOS,
  ],
  [Moves.DRAGON_PULSE]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.ARCANINE,
    Species.ONIX,
    Species.RHYHORN,
    Species.RHYDON,
    Species.HORSEA,
    Species.SEADRA,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.AERODACTYL,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEW,
    Species.FERALIGATR,
    Species.AMPHAROS,
    Species.STEELIX,
    Species.KINGDRA,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.SCEPTILE,
    Species.AGGRON,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.SWABLU,
    Species.ALTARIA,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.TROPIUS,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.LUCARIO,
    Species.RHYPERIOR,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.SERPERIOR,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.DRUDDIGON,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.ZYGARDE,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.RUNERIGUS,
    Species.DRACOZOLT,
    Species.DRACOVISH,
    Species.DURALUDON,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ETERNATUS,
    Species.REGIDRAGO,
    Species.ARMAROUGE,
    Species.CYCLIZAR,
    Species.TATSUGIRI,
    Species.IRON_JUGULIS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.DIPPLIN,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.TERAPAGOS,
    Species.ALOLA_EXEGGUTOR,
    Species.HISUI_ARCANINE,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
  ],
  [Moves.POWER_GEM]: [
    Species.MEOWTH,
    Species.PERSIAN,
    Species.GOLDUCK,
    Species.STARYU,
    Species.STARMIE,
    Species.MEWTWO,
    Species.MEW,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.SUDOWOODO,
    Species.ESPEON,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.CORSOLA,
    Species.TYRANITAR,
    Species.NOSEPASS,
    Species.SABLEYE,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.LUNATONE,
    Species.VESPIQUEN,
    Species.MISMAGIUS,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.GABITE,
    Species.GARCHOMP,
    Species.PROBOPASS,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.CRESSELIA,
    Species.ARCEUS,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.CARBINK,
    Species.DIANCIE,
    Species.MINIOR,
    Species.NIHILEGO,
    Species.NECROZMA,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.CURSOLA,
    Species.STONJOURNER,
    Species.MEOWSCARADA,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.KLAWF,
    Species.RABSCA,
    Species.BOMBIRDIER,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.FLUTTER_MANE,
    Species.SANDY_SHOCKS,
    Species.IRON_THORNS,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.MIRAIDON,
    Species.TERAPAGOS,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
  ],
  [Moves.DRAIN_PUNCH]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWBRO,
    Species.GRIMER,
    Species.MUK,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.HITMONCHAN,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.JYNX,
    Species.MEWTWO,
    Species.MEW,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.TOGETIC,
    Species.BELLOSSOM,
    Species.SUDOWOODO,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.BLISSEY,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.KECLEON,
    Species.REGIROCK,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.TOGEKISS,
    Species.GALLADE,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.REGIGIGAS,
    Species.DARKRAI,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.MARACTUS,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.REUNICLUS,
    Species.EELEKTROSS,
    Species.ACCELGOR,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.GOLETT,
    Species.GOLURK,
    Species.HEATMOR,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.AROMATISSE,
    Species.SLURPUFF,
    Species.HAWLUCHA,
    Species.TREVENANT,
    Species.HOOPA,
    Species.INCINEROAR,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.SHIINOTIC,
    Species.BEWEAR,
    Species.PASSIMIAN,
    Species.MIMIKYU,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.BUZZWOLE,
    Species.GUZZLORD,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.TOXTRICITY,
    Species.GRAPPLOCT,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.MR_RIME,
    Species.ALCREMIE,
    Species.INDEEDEE,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.URSALUNA,
    Species.PALAFIN,
    Species.ANNIHILAPE,
    Species.SCREAM_TAIL,
    Species.IRON_HANDS,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.OKIDOGI,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
  ],
  [Moves.VACUUM_WAVE]: [
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.SCYTHER,
    Species.MEW,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.SHIFTRY,
    Species.GARDEVOIR,
    Species.BRELOOM,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.FLYGON,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.EMPOLEON,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.GALLADE,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.MIENSHAO,
    Species.COBALION,
    Species.VIRIZION,
    Species.KELDEO,
    Species.PASSIMIAN,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.KARTANA,
    Species.INTELEON,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.CERULEDGE,
    Species.ANNIHILAPE,
    Species.IRON_VALIANT,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_BRAVIARY,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.FOCUS_BLAST]: [
    Species.CHARMANDER,
    Species.CHARIZARD,
    Species.BLASTOISE,
    Species.RAICHU,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFABLE,
    Species.WIGGLYTUFF,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWRATH,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GRAVELER,
    Species.GOLEM,
    Species.SLOWBRO,
    Species.MUK,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TYPHLOSION,
    Species.FERALIGATR,
    Species.FURRET,
    Species.LEDIAN,
    Species.AMPHAROS,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.GRANBULL,
    Species.HERACROSS,
    Species.URSARING,
    Species.HITMONTOP,
    Species.MILTANK,
    Species.BLISSEY,
    Species.TYRANITAR,
    Species.SCEPTILE,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.SWAMPERT,
    Species.LUDICOLO,
    Species.SHIFTRY,
    Species.GARDEVOIR,
    Species.BRELOOM,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.MAWILE,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.GRUMPIG,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.DEOXYS,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.RAMPARDOS,
    Species.FLOATZEL,
    Species.LOPUNNY,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.DIALGA,
    Species.PALKIA,
    Species.REGIGIGAS,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.VICTINI,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.WATCHOG,
    Species.SIMISAGE,
    Species.SIMISEAR,
    Species.SIMIPOUR,
    Species.EXCADRILL,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.KROOKODILE,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.CARRACOSTA,
    Species.ARCHEOPS,
    Species.GARBODOR,
    Species.ZOROARK,
    Species.CINCCINO,
    Species.GOTHITELLE,
    Species.REUNICLUS,
    Species.ESCAVALIER,
    Species.HAXORUS,
    Species.BEARTIC,
    Species.ACCELGOR,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.BISHARP,
    Species.HEATMOR,
    Species.HYDREIGON,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.CHESNAUGHT,
    Species.DELPHOX,
    Species.PANGORO,
    Species.BARBARACLE,
    Species.DRAGALGE,
    Species.CLAWITZER,
    Species.HELIOLISK,
    Species.HAWLUCHA,
    Species.GOODRA,
    Species.TREVENANT,
    Species.GOURGEIST,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.INCINEROAR,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.MUDSDALE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.GOLISOPOD,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.PHEROMOSA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.RILLABOOM,
    Species.CINDERACE,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.GRIMMSNARL,
    Species.MR_RIME,
    Species.FALINKS,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.URSHIFU,
    Species.SNEASLER,
    Species.ENAMORUS,
    Species.PAWMOT,
    Species.ARMAROUGE,
    Species.PALAFIN,
    Species.ANNIHILAPE,
    Species.KINGAMBIT,
    Species.SCREAM_TAIL,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_THORNS,
    Species.GHOLDENGO,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.IRON_LEAVES,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.IRON_CROWN,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.GALAR_DARMANITAN,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SNEASEL,
    Species.HISUI_ZOROARK,
    Species.HISUI_DECIDUEYE,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.ENERGY_BALL]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.BUTTERFREE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.TANGELA,
    Species.MR_MIME,
    Species.JYNX,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.BELLOSSOM,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.OCTILLERY,
    Species.STANTLER,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.GARDEVOIR,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SABLEYE,
    Species.MEDICHAM,
    Species.ROSELIA,
    Species.GRUMPIG,
    Species.CACNEA,
    Species.CACTURNE,
    Species.LILEEP,
    Species.CRADILY,
    Species.CASTFORM,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.LATIAS,
    Species.LATIOS,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.BUDEW,
    Species.ROSERADE,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.MISMAGIUS,
    Species.CHINGLING,
    Species.CARNIVINE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.TANGROWTH,
    Species.LEAFEON,
    Species.GALLADE,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.MANAPHY,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.MARACTUS,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.DURANT,
    Species.VIRIZION,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.VIVILLON,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.HOOPA,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.PRIMARINA,
    Species.VIKAVOLT,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.MAGEARNA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.ALCREMIE,
    Species.INDEEDEE,
    Species.ZARUDE,
    Species.CALYREX,
    Species.WYRDEER,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.OINKOLOGNE,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.ARMAROUGE,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RABSCA,
    Species.ESPATHRA,
    Species.GLIMMORA,
    Species.FARIGIRAF,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.IRON_MOTH,
    Species.WO_CHIEN,
    Species.IRON_VALIANT,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OGERPON,
    Species.HYDRAPPLE,
    Species.TERAPAGOS,
    Species.ALOLA_EXEGGUTOR,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MR_MIME,
    Species.GALAR_YAMASK,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.BRAVE_BIRD]: [
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CROBAT,
    Species.MURKROW,
    Species.DELIBIRD,
    Species.SKARMORY,
    Species.LUGIA,
    Species.HO_OH,
    Species.BLAZIKEN,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.SWABLU,
    Species.ALTARIA,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.HONCHKROW,
    Species.UNFEZANT,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.HAWLUCHA,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.TAPU_KOKO,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.CRAMORANT,
    Species.SIRFETCHD,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.SQUAWKABILLY,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.ESPATHRA,
    Species.BOMBIRDIER,
    Species.FLAMIGO,
    Species.FEZANDIPITI,
    Species.GALAR_FARFETCHD,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.EARTH_POWER]: [
    Species.VENUSAUR,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.ONIX,
    Species.CUBONE,
    Species.MAROWAK,
    Species.RHYHORN,
    Species.RHYDON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.MEWTWO,
    Species.MEW,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SHUCKLE,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.STANTLER,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.NOSEPASS,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.GRUMPIG,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.RELICANTH,
    Species.REGIROCK,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.BONSLY,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.ABOMASNOW,
    Species.RHYPERIOR,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PROBOPASS,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.STUNFISK,
    Species.GOLETT,
    Species.GOLURK,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.TERRAKION,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.DIGGERSBY,
    Species.BARBARACLE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.CARBINK,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.VOLCANION,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.MINIOR,
    Species.NECROZMA,
    Species.RILLABOOM,
    Species.DREDNAW,
    Species.COALOSSAL,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CURSOLA,
    Species.RUNERIGUS,
    Species.STONJOURNER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.DRACOVISH,
    Species.REGIDRAGO,
    Species.WYRDEER,
    Species.URSALUNA,
    Species.ENAMORUS,
    Species.SKELEDIRGE,
    Species.OINKOLOGNE,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.RABSCA,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.ORTHWORM,
    Species.GLIMMORA,
    Species.CLODSIRE,
    Species.DUDUNSPARCE,
    Species.GREAT_TUSK,
    Species.BRUTE_BONNET,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_JUGULIS,
    Species.IRON_THORNS,
    Species.TING_LU,
    Species.HYDRAPPLE,
    Species.TERAPAGOS,
    [
      Species.WORMADAM,
      "sandy",
    ],
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_MAROWAK,
    Species.GALAR_CORSOLA,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.GIGA_IMPACT]: [
    Species.VENUSAUR,
    Species.CHARIZARD,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEOT,
    Species.RATICATE,
    Species.FEAROW,
    Species.ARBOK,
    Species.RAICHU,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFABLE,
    Species.NINETALES,
    Species.WIGGLYTUFF,
    Species.GOLBAT,
    Species.VILEPLUME,
    Species.PARASECT,
    Species.VENOMOTH,
    Species.DUGTRIO,
    Species.PERSIAN,
    Species.GOLDUCK,
    Species.PRIMEAPE,
    Species.ARCANINE,
    Species.POLIWRATH,
    Species.ALAKAZAM,
    Species.MACHAMP,
    Species.VICTREEBEL,
    Species.TENTACRUEL,
    Species.GOLEM,
    Species.RAPIDASH,
    Species.SLOWBRO,
    Species.MAGNETON,
    Species.DODRIO,
    Species.DEWGONG,
    Species.MUK,
    Species.CLOYSTER,
    Species.GENGAR,
    Species.HYPNO,
    Species.KINGLER,
    Species.ELECTRODE,
    Species.EXEGGUTOR,
    Species.MAROWAK,
    Species.LICKITUNG,
    Species.WEEZING,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.SEADRA,
    Species.SEAKING,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMASTAR,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.MEGANIUM,
    Species.TYPHLOSION,
    Species.FERALIGATR,
    Species.FURRET,
    Species.NOCTOWL,
    Species.LEDIAN,
    Species.ARIADOS,
    Species.CROBAT,
    Species.LANTURN,
    Species.TOGETIC,
    Species.XATU,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.JUMPLUFF,
    Species.SUNFLORA,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.STEELIX,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.URSARING,
    Species.MAGCARGO,
    Species.PILOSWINE,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.SCEPTILE,
    Species.BLAZIKEN,
    Species.SWAMPERT,
    Species.MIGHTYENA,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LUDICOLO,
    Species.SHIFTRY,
    Species.SWELLOW,
    Species.PELIPPER,
    Species.GARDEVOIR,
    Species.MASQUERAIN,
    Species.BRELOOM,
    Species.SLAKING,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.EXPLOUD,
    Species.HARIYAMA,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.AGGRON,
    Species.MEDICHAM,
    Species.MANECTRIC,
    Species.SWALOT,
    Species.SHARPEDO,
    Species.WAILORD,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.GRUMPIG,
    Species.FLYGON,
    Species.CACTURNE,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.WHISCASH,
    Species.CRAWDAUNT,
    Species.CLAYDOL,
    Species.CRADILY,
    Species.ARMALDO,
    Species.MILOTIC,
    Species.BANETTE,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.ABSOL,
    Species.GLALIE,
    Species.WALREIN,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TORTERRA,
    Species.INFERNAPE,
    Species.EMPOLEON,
    Species.STARAPTOR,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.LUXRAY,
    Species.ROSERADE,
    Species.RAMPARDOS,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.FLOATZEL,
    Species.CHERRIM,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFBLIM,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.PURUGLY,
    Species.SKUNTANK,
    Species.BRONZONG,
    Species.SPIRITOMB,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.LUCARIO,
    Species.HIPPOWDON,
    Species.DRAPION,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.LUMINEON,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SERPERIOR,
    Species.EMBOAR,
    Species.SAMUROTT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.LIEPARD,
    Species.SIMISAGE,
    Species.SIMISEAR,
    Species.SIMIPOUR,
    Species.MUSHARNA,
    Species.UNFEZANT,
    Species.ZEBSTRIKA,
    Species.GIGALITH,
    Species.SWOOBAT,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.LEAVANNY,
    Species.SCOLIPEDE,
    Species.WHIMSICOTT,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.KROOKODILE,
    Species.DARMANITAN,
    Species.CRUSTLE,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.COFAGRIGUS,
    Species.CARRACOSTA,
    Species.ARCHEOPS,
    Species.GARBODOR,
    Species.ZOROARK,
    Species.CINCCINO,
    Species.GOTHITELLE,
    Species.REUNICLUS,
    Species.SWANNA,
    Species.VANILLUXE,
    Species.SAWSBUCK,
    Species.ESCAVALIER,
    Species.AMOONGUSS,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.GALVANTULA,
    Species.FERROTHORN,
    Species.KLINKLANG,
    Species.EELEKTROSS,
    Species.BEHEEYEM,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.ACCELGOR,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLURK,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.BRAVIARY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.HYDREIGON,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESNAUGHT,
    Species.DELPHOX,
    Species.GRENINJA,
    Species.DIGGERSBY,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.PYROAR,
    Species.FLORGES,
    Species.GOGOAT,
    Species.PANGORO,
    Species.FURFROU,
    Species.MEOWSTIC,
    Species.AEGISLASH,
    Species.AROMATISSE,
    Species.SLURPUFF,
    Species.MALAMAR,
    Species.BARBARACLE,
    Species.DRAGALGE,
    Species.CLAWITZER,
    Species.HELIOLISK,
    Species.TYRANTRUM,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOODRA,
    Species.KLEFKI,
    Species.TREVENANT,
    Species.GOURGEIST,
    Species.AVALUGG,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.DECIDUEYE,
    Species.INCINEROAR,
    Species.PRIMARINA,
    Species.GUMSHOOS,
    Species.VIKAVOLT,
    Species.CRABOMINABLE,
    Species.RIBOMBEE,
    Species.LYCANROC,
    Species.TOXAPEX,
    Species.MUDSDALE,
    Species.LURANTIS,
    Species.SHIINOTIC,
    Species.SALAZZLE,
    Species.BEWEAR,
    Species.TSAREENA,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.GOLISOPOD,
    Species.PALOSSAND,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.NAGANADEL,
    Species.STAKATAKA,
    Species.ZERAORA,
    Species.MELMETAL,
    Species.RILLABOOM,
    Species.CINDERACE,
    Species.INTELEON,
    Species.GREEDENT,
    Species.CORVIKNIGHT,
    Species.ORBEETLE,
    Species.THIEVUL,
    Species.ELDEGOSS,
    Species.DUBWOOL,
    Species.DREDNAW,
    Species.BOLTUND,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.BARRASKEWDA,
    Species.TOXTRICITY,
    Species.CENTISKORCH,
    Species.GRAPPLOCT,
    Species.POLTEAGEIST,
    Species.HATTERENE,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.ALCREMIE,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.MEOWSCARADA,
    Species.SKELEDIRGE,
    Species.QUAQUAVAL,
    Species.OINKOLOGNE,
    Species.SPIDOPS,
    Species.LOKIX,
    Species.PAWMOT,
    Species.MAUSHOLD,
    Species.DACHSBUN,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.BELLIBOLT,
    Species.KILOWATTREL,
    Species.MABOSSTIFF,
    Species.GRAFAIAI,
    Species.BRAMBLEGHAST,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.SCOVILLAIN,
    Species.RABSCA,
    Species.ESPATHRA,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.PALAFIN,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GLIMMORA,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.BAXCALIBUR,
    Species.GHOLDENGO,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_LINOONE,
    Species.GALAR_DARMANITAN,
    Species.HISUI_ARCANINE,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.NASTY_PLOT]: [
    Species.PIKACHU,
    Species.RAICHU,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.ALAKAZAM,
    Species.SLOWBRO,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.MR_MIME,
    Species.JYNX,
    Species.MEWTWO,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CROBAT,
    Species.PICHU,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.AIPOM,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.SNEASEL,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.SMOOCHUM,
    Species.CELEBI,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.PLUSLE,
    Species.MINUN,
    Species.GRUMPIG,
    Species.CACNEA,
    Species.CACTURNE,
    Species.LUNATONE,
    Species.CRAWDAUNT,
    Species.CLAYDOL,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DEOXYS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.AMBIPOM,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.MIME_JR,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.TOGEKISS,
    Species.PORYGON_Z,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DARKRAI,
    Species.PATRAT,
    Species.WATCHOG,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.LANDORUS,
    Species.DELPHOX,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.INKAY,
    Species.MALAMAR,
    Species.GOURGEIST,
    Species.HOOPA,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.ORANGURU,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.NICKIT,
    Species.THIEVUL,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.PERRSERKER,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.MORPEKO,
    Species.ZARUDE,
    Species.SPECTRIER,
    Species.SNEASLER,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BOMBIRDIER,
    Species.TATSUGIRI,
    Species.FARIGIRAF,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.CHI_YU,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.HYDRAPPLE,
    Species.PECHARUNT,
    Species.ALOLA_RAICHU,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_YAMASK,
    [
      Species.CALYREX,
      "shadow",
    ],
    Species.HISUI_SNEASEL,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.AVALANCHE]: [
    Species.BLASTOISE,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.RHYDON,
    Species.KANGASKHAN,
    Species.STARMIE,
    Species.JYNX,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.ARTICUNO,
    Species.MEWTWO,
    Species.MEW,
    Species.FERALIGATR,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.DELIBIRD,
    Species.SMOOCHUM,
    Species.BLISSEY,
    Species.SUICUNE,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.EXPLOUD,
    Species.AGGRON,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.CRAWDAUNT,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.SNORUNT,
    Species.GLALIE,
    Species.WALREIN,
    Species.REGICE,
    Species.KYOGRE,
    Species.RAYQUAZA,
    Species.DEOXYS,
    Species.EMPOLEON,
    Species.RAMPARDOS,
    Species.BASTIODON,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.RHYPERIOR,
    Species.GLACEON,
    Species.MAMOSWINE,
    Species.FROSLASS,
    Species.PALKIA,
    Species.REGIGIGAS,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.AMAURA,
    Species.AURORUS,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.CRABOMINABLE,
    Species.MR_RIME,
    Species.FROSMOTH,
    Species.EISCUE,
    Species.ARCTOZOLT,
    Species.ARCTOVISH,
    Species.GLASTRIER,
    Species.URSALUNA,
    Species.GARGANACL,
    Species.CETODDLE,
    Species.CETITAN,
    Species.DONDOZO,
    Species.IRON_BUNDLE,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.CHIEN_PAO,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_NINETALES,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_SAMUROTT,
    Species.HISUI_AVALUGG,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.SHADOW_CLAW]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.HAUNTER,
    Species.GENGAR,
    Species.RHYDON,
    Species.KANGASKHAN,
    Species.MEW,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.AIPOM,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.TYRANITAR,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.LINOONE,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.SHEDINJA,
    Species.SABLEYE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.ZANGOOSE,
    Species.ARMALDO,
    Species.KECLEON,
    Species.BANETTE,
    Species.ABSOL,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METAGROSS,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.AMBIPOM,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.RHYPERIOR,
    Species.GALLADE,
    Species.DIALGA,
    Species.PALKIA,
    Species.GIRATINA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.LEAVANNY,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.COFAGRIGUS,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.FERROTHORN,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.DRUDDIGON,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.HEATMOR,
    Species.DURANT,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.BEWEAR,
    Species.GOLISOPOD,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.KOMALA,
    Species.MIMIKYU,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.LUNALA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MARSHADOW,
    Species.NAGANADEL,
    Species.BLACEPHALON,
    Species.THIEVUL,
    Species.HATTERENE,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.RUNERIGUS,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.SKELEDIRGE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.CERULEDGE,
    Species.GRAFAIAI,
    Species.KLAWF,
    Species.ANNIHILAPE,
    Species.KINGAMBIT,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.GALAR_MEOWTH,
    Species.GALAR_LINOONE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SNEASEL,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.THUNDER_FANG]: [
    Species.ARBOK,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.RHYHORN,
    Species.RHYDON,
    Species.JOLTEON,
    Species.AERODACTYL,
    Species.MEW,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.DONPHAN,
    Species.RAIKOU,
    Species.TYRANITAR,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.EXPLOUD,
    Species.MAWILE,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.SEVIPER,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.PACHIRISU,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.DRAPION,
    Species.RHYPERIOR,
    Species.GLISCOR,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.DRUDDIGON,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.ZEKROM,
    Species.LITLEO,
    Species.PYROAR,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.VOLCANION,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.SILVALLY,
    Species.GREEDENT,
    Species.THIEVUL,
    Species.YAMPER,
    Species.BOLTUND,
    Species.SANDACONDA,
    Species.TOXTRICITY,
    Species.CENTISKORCH,
    Species.MORPEKO,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.REGIDRAGO,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.CYCLIZAR,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.IRON_TREADS,
    Species.IRON_THORNS,
    Species.BAXCALIBUR,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.OKIDOGI,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
  ],
  [Moves.ICE_FANG]: [
    Species.ARBOK,
    Species.RHYHORN,
    Species.RHYDON,
    Species.GYARADOS,
    Species.AERODACTYL,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.DONPHAN,
    Species.SUICUNE,
    Species.TYRANITAR,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.EXPLOUD,
    Species.MAWILE,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.SEVIPER,
    Species.SNORUNT,
    Species.GLALIE,
    Species.WALREIN,
    Species.HUNTAIL,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.DRAPION,
    Species.RHYPERIOR,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.FROSLASS,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.BASCULIN,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.SILVALLY,
    Species.BRUXISH,
    Species.GREEDENT,
    Species.THIEVUL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.MORPEKO,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.REGIDRAGO,
    Species.BASCULEGION,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.IRON_TREADS,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.CHIEN_PAO,
    Species.KORAIDON,
    Species.OKIDOGI,
    Species.GALAR_SLOWBRO,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_STUNFISK,
    Species.HISUI_AVALUGG,
  ],
  [Moves.FIRE_FANG]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.EKANS,
    Species.ARBOK,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.RHYHORN,
    Species.RHYDON,
    Species.FLAREON,
    Species.AERODACTYL,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.DONPHAN,
    Species.ENTEI,
    Species.TYRANITAR,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.EXPLOUD,
    Species.MAWILE,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.SEVIPER,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.GROUDON,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.DRAPION,
    Species.RHYPERIOR,
    Species.GLISCOR,
    Species.HEATRAN,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.DRUDDIGON,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.RESHIRAM,
    Species.LITLEO,
    Species.PYROAR,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.VOLCANION,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.SILVALLY,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.GREEDENT,
    Species.THIEVUL,
    Species.YAMPER,
    Species.BOLTUND,
    Species.SANDACONDA,
    Species.CENTISKORCH,
    Species.MORPEKO,
    Species.DRACOZOLT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.REGIDRAGO,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SCOVILLAIN,
    Species.CYCLIZAR,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.IRON_JUGULIS,
    Species.IRON_THORNS,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.WALKING_WAKE,
    Species.OKIDOGI,
    Species.GOUGING_FIRE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
  ],
  [Moves.PSYCHO_CUT]: [
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGUTOR,
    Species.STARMIE,
    Species.SCYTHER,
    Species.JYNX,
    Species.KABUTOPS,
    Species.MEWTWO,
    Species.MEW,
    Species.SCIZOR,
    Species.SNEASEL,
    Species.CELEBI,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.SPINDA,
    Species.ABSOL,
    Species.METANG,
    Species.METAGROSS,
    Species.LATIAS,
    Species.LATIOS,
    Species.WEAVILE,
    Species.GALLADE,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.CRESSELIA,
    Species.LIEPARD,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SIGILYPH,
    Species.HAXORUS,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.INKAY,
    Species.MALAMAR,
    Species.DECIDUEYE,
    Species.LURANTIS,
    Species.TAPU_LELE,
    Species.LUNALA,
    Species.KARTANA,
    Species.NECROZMA,
    Species.ORBEETLE,
    Species.HATTERENE,
    Species.ZACIAN,
    Species.SPECTRIER,
    Species.KLEAVOR,
    Species.CERULEDGE,
    Species.VELUZA,
    Species.IRON_VALIANT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.GALAR_RAPIDASH,
    Species.GALAR_ARTICUNO,
    [
      Species.CALYREX,
      "shadow",
    ],
    Species.HISUI_SAMUROTT,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.ZEN_HEADBUTT]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.RATTATA,
    Species.RATICATE,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.GRIMER,
    Species.MUK,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGUTOR,
    Species.LICKITUNG,
    Species.CHANSEY,
    Species.MR_MIME,
    Species.JYNX,
    Species.TAUROS,
    Species.LAPRAS,
    Species.PORYGON,
    Species.SNORLAX,
    Species.MEWTWO,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CROBAT,
    Species.CLEFFA,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.ESPEON,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.PORYGON2,
    Species.STANTLER,
    Species.SMOOCHUM,
    Species.MILTANK,
    Species.BLISSEY,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.RELICANTH,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.BELDUM,
    Species.METANG,
    Species.METAGROSS,
    Species.LATIAS,
    Species.LATIOS,
    Species.GROUDON,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.HAPPINY,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.LICKILICKY,
    Species.TOGEKISS,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.REGIGIGAS,
    Species.CRESSELIA,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.PATRAT,
    Species.WATCHOG,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.THROH,
    Species.SAWK,
    Species.BASCULIN,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.ALOMOMOLA,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.GOLURK,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.HAWLUCHA,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.HOOPA,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.ORANGURU,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TOGEDEMARU,
    Species.TAPU_BULU,
    Species.SOLGALEO,
    Species.NIHILEGO,
    Species.CELESTEELA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.CINDERACE,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.DUBWOOL,
    Species.APPLETUN,
    Species.SANDACONDA,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.FALINKS,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.KUBFU,
    Species.URSHIFU,
    Species.GLASTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.ENAMORUS,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.VELUZA,
    Species.DONDOZO,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.SLITHER_WING,
    Species.IRON_TREADS,
    Species.IRON_JUGULIS,
    Species.BAXCALIBUR,
    Species.WO_CHIEN,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.OGERPON,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_BRAVIARY,
    Species.PALDEA_TAUROS,
  ],
  [Moves.FLASH_CANNON]: [
    Species.BLASTOISE,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.ONIX,
    Species.HORSEA,
    Species.SEADRA,
    Species.STARYU,
    Species.STARMIE,
    Species.MEW,
    Species.FORRETRESS,
    Species.STEELIX,
    Species.SCIZOR,
    Species.OCTILLERY,
    Species.SKARMORY,
    Species.KINGDRA,
    Species.NOSEPASS,
    Species.MAWILE,
    Species.AGGRON,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.ARMALDO,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.EMPOLEON,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.LUCARIO,
    Species.MAGNEZONE,
    Species.RHYPERIOR,
    Species.PROBOPASS,
    Species.DIALGA,
    Species.HEATRAN,
    Species.ARCEUS,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.SIGILYPH,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.BEHEEYEM,
    Species.CRYOGONAL,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.DURANT,
    Species.HYDREIGON,
    Species.COBALION,
    Species.THUNDURUS,
    Species.ZEKROM,
    Species.KYUREM,
    Species.GENESECT,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.AMAURA,
    Species.AURORUS,
    Species.CARBINK,
    Species.KLEFKI,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.VOLCANION,
    Species.TOUCANNON,
    Species.VIKAVOLT,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.SILVALLY,
    Species.TURTONATOR,
    Species.DHELMISE,
    Species.KOMMO_O,
    Species.SOLGALEO,
    Species.CELESTEELA,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.STAKATAKA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.CORVIKNIGHT,
    Species.PERRSERKER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DURALUDON,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.ARMAROUGE,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.ORTHWORM,
    Species.GLIMMORA,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.GHOLDENGO,
    Species.MIRAIDON,
    Species.ARCHALUDON,
    Species.IRON_CROWN,
    [
      Species.WORMADAM,
      "trash",
    ],
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.GALAR_MEOWTH,
    Species.GALAR_STUNFISK,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
  ],
  [Moves.ROCK_CLIMB]: [
    Species.VENUSAUR,
    Species.BLASTOISE,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.ARCANINE,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.ONIX,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.OMASTAR,
    Species.KABUTOPS,
    Species.SNORLAX,
    Species.MEWTWO,
    Species.MEW,
    Species.MEGANIUM,
    Species.TYPHLOSION,
    Species.FERALIGATR,
    Species.AMPHAROS,
    Species.GLIGAR,
    Species.STEELIX,
    Species.GRANBULL,
    Species.URSARING,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.TYRANITAR,
    Species.SCEPTILE,
    Species.BLAZIKEN,
    Species.SWAMPERT,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LUDICOLO,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AGGRON,
    Species.ZANGOOSE,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.GROUDON,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.EMPOLEON,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.LUCARIO,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.ABOMASNOW,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.DRUDDIGON,
    Species.BOUFFALANT,
    Species.DURANT,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.OBSTAGOON,
    Species.URSALUNA,
    Species.ANNIHILAPE,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_MAROWAK,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.PALDEA_TAUROS,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.DEFOG]: [
    Species.CHARIZARD,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.SPEAROW,
    Species.FEAROW,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.VENOMOTH,
    Species.FARFETCHD,
    Species.SCYTHER,
    Species.AERODACTYL,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRAGONITE,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDIAN,
    Species.CROBAT,
    Species.TOGETIC,
    Species.XATU,
    Species.YANMA,
    Species.MURKROW,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.LUGIA,
    Species.HO_OH,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.MASQUERAIN,
    Species.NINJASK,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.SWABLU,
    Species.ALTARIA,
    Species.CASTFORM,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.RAYQUAZA,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.HONCHKROW,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.CHATOT,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.GLISCOR,
    Species.ROTOM,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.SIGILYPH,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.EMOLGA,
    Species.CRYOGONAL,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HYDREIGON,
    Species.VOLCARONA,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.FLORGES,
    Species.HAWLUCHA,
    Species.KLEFKI,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.COMFEY,
    Species.SILVALLY,
    Species.DRAMPA,
    Species.TAPU_KOKO,
    Species.TAPU_FINI,
    Species.LUNALA,
    Species.KARTANA,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.CRAMORANT,
    Species.SIRFETCHD,
    Species.FROSMOTH,
    Species.KLEAVOR,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.HISUI_LILLIGANT,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.TRICK_ROOM]: [
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.STARMIE,
    Species.MR_MIME,
    Species.JYNX,
    Species.PORYGON,
    Species.MEWTWO,
    Species.MEW,
    Species.NATU,
    Species.XATU,
    Species.ESPEON,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PORYGON2,
    Species.STANTLER,
    Species.SMOOCHUM,
    Species.CELEBI,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CHIMECHO,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.SPIRITOMB,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.CRESSELIA,
    Species.ARCEUS,
    Species.VICTINI,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.WHIMSICOTT,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.KLINKLANG,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.MELOETTA,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.INKAY,
    Species.MALAMAR,
    Species.CARBINK,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.DIANCIE,
    Species.HOOPA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.STAKATAKA,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.INDEEDEE,
    Species.CALYREX,
    Species.WYRDEER,
    Species.MEOWSCARADA,
    Species.ARMAROUGE,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.FARIGIRAF,
    Species.SCREAM_TAIL,
    Species.FLUTTER_MANE,
    Species.IRON_VALIANT,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.ALOLA_EXEGGUTOR,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_SLOWKING,
    Species.GALAR_YAMASK,
  ],
  [Moves.DRACO_METEOR]: [
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEW,
    Species.KINGDRA,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.ALTARIA,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.RAYQUAZA,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.DIALGA,
    Species.PALKIA,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.DRUDDIGON,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.DRAGALGE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.ZYGARDE,
    Species.SILVALLY,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.GUZZLORD,
    Species.NAGANADEL,
    Species.APPLIN,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.DRACOZOLT,
    Species.DRACOVISH,
    Species.DURALUDON,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ETERNATUS,
    Species.REGIDRAGO,
    Species.CYCLIZAR,
    Species.TATSUGIRI,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.DIPPLIN,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.ALOLA_EXEGGUTOR,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
  ],
  [Moves.LEAF_STORM]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.TANGELA,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.BELLOSSOM,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.BRELOOM,
    Species.ROSELIA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.TROPIUS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.BUDEW,
    Species.ROSERADE,
    Species.WORMADAM,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.TANGROWTH,
    Species.LEAFEON,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.LEAVANNY,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.MARACTUS,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.VIRIZION,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.TREVENANT,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.ZARUDE,
    Species.CALYREX,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.BRUTE_BONNET,
    Species.WO_CHIEN,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OGERPON,
    Species.HYDRAPPLE,
    Species.SHAYMIN,
    [
      Species.ROTOM,
      "mow",
    ],
    Species.ALOLA_EXEGGUTOR,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.POWER_WHIP]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.EXEGGUTOR,
    Species.LICKITUNG,
    Species.TANGELA,
    Species.GYARADOS,
    Species.MEW,
    Species.ROSELIA,
    Species.CRADILY,
    Species.ROSERADE,
    Species.CARNIVINE,
    Species.LICKILICKY,
    Species.TANGROWTH,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.FERROTHORN,
    Species.GOODRA,
    Species.GOURGEIST,
    Species.TSAREENA,
    Species.DHELMISE,
    Species.XURKITREE,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.HATTERENE,
    Species.GRIMMSNARL,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.ZARUDE,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.CYCLIZAR,
    Species.WO_CHIEN,
    Species.OGERPON,
    Species.ALOLA_EXEGGUTOR,
  ],
  [Moves.CROSS_POISON]: [
    Species.PARAS,
    Species.PARASECT,
    Species.MACHAMP,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SCYTHER,
    Species.KABUTOPS,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.SCEPTILE,
    Species.ANORITH,
    Species.ARMALDO,
    Species.VESPIQUEN,
    Species.SKORUPI,
    Species.DRAPION,
    Species.TOXICROAK,
    Species.GLISCOR,
    Species.SCOLIPEDE,
    Species.GARBODOR,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.TOXAPEX,
    Species.LURANTIS,
    Species.SALAZZLE,
    Species.NIHILEGO,
    Species.NAGANADEL,
    Species.OBSTAGOON,
    Species.ETERNATUS,
    Species.KLEAVOR,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.FEZANDIPITI,
  ],
  [Moves.GUNK_SHOT]: [
    Species.EKANS,
    Species.ARBOK,
    Species.SANDSLASH,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.KOFFING,
    Species.WEEZING,
    Species.SNORLAX,
    Species.MEW,
    Species.AIPOM,
    Species.GLIGAR,
    Species.QWILFISH,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.PHANPY,
    Species.DONPHAN,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.PELIPPER,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.GULPIN,
    Species.SWALOT,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.SHUPPET,
    Species.BANETTE,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PACHIRISU,
    Species.AMBIPOM,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.MUNCHLAX,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.GLISCOR,
    Species.ARCEUS,
    Species.PATRAT,
    Species.WATCHOG,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.KROOKODILE,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.DRUDDIGON,
    Species.GENESECT,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.HOOPA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.PASSIMIAN,
    Species.KOMALA,
    Species.NIHILEGO,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.TOXTRICITY,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.ETERNATUS,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.RELLOR,
    Species.RABSCA,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.PECHARUNT,
    [
      Species.WORMADAM,
      "trash",
    ],
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_SLOWKING,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.IRON_HEAD]: [
    Species.ARCANINE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.ONIX,
    Species.CUBONE,
    Species.MAROWAK,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.FORRETRESS,
    Species.STEELIX,
    Species.SCIZOR,
    Species.MANTINE,
    Species.SKARMORY,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.MILTANK,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.HARIYAMA,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.MILOTIC,
    Species.GLALIE,
    Species.WALREIN,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.BELDUM,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.HIPPOWDON,
    Species.MAGNEZONE,
    Species.RHYPERIOR,
    Species.MAMOSWINE,
    Species.PROBOPASS,
    Species.DIALGA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.EMBOAR,
    Species.STOUTLAND,
    Species.GIGALITH,
    Species.EXCADRILL,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.CARRACOSTA,
    Species.ESCAVALIER,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.DRUDDIGON,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.BRAVIARY,
    Species.DURANT,
    Species.COBALION,
    Species.TERRAKION,
    Species.KYUREM,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.HAWLUCHA,
    Species.CARBINK,
    Species.AVALUGG,
    Species.INCINEROAR,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.PASSIMIAN,
    Species.GOLISOPOD,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.SOLGALEO,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.CELESTEELA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.STAKATAKA,
    Species.MELMETAL,
    Species.CINDERACE,
    Species.CORVIKNIGHT,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.APPLETUN,
    Species.SANDACONDA,
    Species.PERRSERKER,
    Species.FALINKS,
    Species.EISCUE,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ENAMORUS,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CERULEDGE,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.IRON_TREADS,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_THORNS,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.GHOLDENGO,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.OKIDOGI,
    Species.ARCHALUDON,
    Species.GOUGING_FIRE,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    [
      Species.WORMADAM,
      "trash",
    ],
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GOLEM,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_DARMANITAN,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.PALDEA_TAUROS,
  ],
  [Moves.STONE_EDGE]: [
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.ONIX,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.RHYHORN,
    Species.RHYDON,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.SUDOWOODO,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.GRANBULL,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.HITMONTOP,
    Species.ENTEI,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.BLAZIKEN,
    Species.SWAMPERT,
    Species.BRELOOM,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.MAWILE,
    Species.LAIRON,
    Species.AGGRON,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CLAYDOL,
    Species.CRADILY,
    Species.ARMALDO,
    Species.ABSOL,
    Species.RELICANTH,
    Species.SALAMENCE,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.TORTERRA,
    Species.INFERNAPE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.BONSLY,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.TOXICROAK,
    Species.RHYPERIOR,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.THROH,
    Species.SAWK,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARMANITAN,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.BEARTIC,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.DURANT,
    Species.HYDREIGON,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.HAWLUCHA,
    Species.CARBINK,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.VOLCANION,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.MINIOR,
    Species.TURTONATOR,
    Species.TAPU_BULU,
    Species.SOLGALEO,
    Species.BUZZWOLE,
    Species.CELESTEELA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MARSHADOW,
    Species.STAKATAKA,
    Species.DREDNAW,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CURSOLA,
    Species.RUNERIGUS,
    Species.STONJOURNER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.ZAMAZENTA,
    Species.URSHIFU,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.KLAWF,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.BOMBIRDIER,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.IRON_TREADS,
    Species.IRON_THORNS,
    Species.TING_LU,
    Species.ROARING_MOON,
    Species.ARCHALUDON,
    Species.GOUGING_FIRE,
    Species.IRON_BOULDER,
    Species.TERAPAGOS,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.GALAR_CORSOLA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_AVALUGG,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.STEALTH_ROCK]: [
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.PRIMEAPE,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.ONIX,
    Species.CUBONE,
    Species.MAROWAK,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.PINSIR,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.MEW,
    Species.SUDOWOODO,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SHUCKLE,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.SKARMORY,
    Species.PHANPY,
    Species.DONPHAN,
    Species.MILTANK,
    Species.BLISSEY,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.CELEBI,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.NOSEPASS,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.KECLEON,
    Species.RELICANTH,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGISTEEL,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.RHYPERIOR,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PROBOPASS,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.HEATRAN,
    Species.ARCEUS,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.STUNFISK,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.HYDREIGON,
    Species.COBALION,
    Species.TERRAKION,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.CARBINK,
    Species.DIANCIE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.MINIOR,
    Species.KOMMO_O,
    Species.NIHILEGO,
    Species.NECROZMA,
    Species.STAKATAKA,
    Species.DREDNAW,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.RUNERIGUS,
    Species.STONJOURNER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DURALUDON,
    Species.KLEAVOR,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.KLAWF,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.BOMBIRDIER,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_THORNS,
    Species.TING_LU,
    Species.ARCHALUDON,
    Species.TERAPAGOS,
    [
      Species.WORMADAM,
      "sandy",
      "trash",
    ],
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_CORSOLA,
    Species.GALAR_STUNFISK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_AVALUGG,
    Species.PALDEA_WOOPER,
  ],
  [Moves.GRASS_KNOT]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.RATTATA,
    Species.RATICATE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.GOLDUCK,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CHANSEY,
    Species.TANGELA,
    Species.STARMIE,
    Species.MR_MIME,
    Species.JYNX,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.SENTRET,
    Species.FURRET,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.ESPEON,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.SMOOCHUM,
    Species.BLISSEY,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SKITTY,
    Species.DELCATTY,
    Species.MAWILE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.PLUSLE,
    Species.MINUN,
    Species.ROSELIA,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.KECLEON,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.METANG,
    Species.METAGROSS,
    Species.LATIAS,
    Species.LATIOS,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.BUDEW,
    Species.ROSERADE,
    Species.WORMADAM,
    Species.PACHIRISU,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CARNIVINE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.TANGROWTH,
    Species.TOGEKISS,
    Species.LEAFEON,
    Species.GALLADE,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.COFAGRIGUS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.REUNICLUS,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FERROTHORN,
    Species.EELEKTROSS,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.LANDORUS,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.XERNEAS,
    Species.ZYGARDE,
    Species.HOOPA,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.PASSIMIAN,
    Species.TOGEDEMARU,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.NIHILEGO,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.THIEVUL,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.OBSTAGOON,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.ZARUDE,
    Species.CALYREX,
    Species.SNEASLER,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.PALAFIN,
    Species.FARIGIRAF,
    Species.KINGAMBIT,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.WO_CHIEN,
    Species.IRON_VALIANT,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.MUNKIDORI,
    Species.OGERPON,
    Species.HYDRAPPLE,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_EXEGGUTOR,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZOROARK,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.BUG_BITE]: [
    Species.CATERPIE,
    Species.METAPOD,
    Species.BUTTERFREE,
    Species.WEEDLE,
    Species.KAKUNA,
    Species.BEEDRILL,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.SCYTHER,
    Species.PINSIR,
    Species.MEW,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.YANMA,
    Species.PINECO,
    Species.FORRETRESS,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.WURMPLE,
    Species.SILCOON,
    Species.BEAUTIFLY,
    Species.CASCOON,
    Species.DUSTOX,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.ANORITH,
    Species.ARMALDO,
    Species.KRICKETOT,
    Species.KRICKETUNE,
    Species.BURMY,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.COMBEE,
    Species.VESPIQUEN,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CARNIVINE,
    Species.YANMEGA,
    Species.GLISCOR,
    Species.HEATRAN,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.HEATMOR,
    Species.DURANT,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.GENESECT,
    Species.SCATTERBUG,
    Species.SPEWPA,
    Species.VIVILLON,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.GOLISOPOD,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.SNOM,
    Species.FROSMOTH,
    Species.KLEAVOR,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.RELLOR,
    Species.RABSCA,
    Species.SLITHER_WING,
    Species.DIPPLIN,
    Species.HYDRAPPLE,
  ],
  [Moves.CHARGE_BEAM]: [
    Species.RATTATA,
    Species.RATICATE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.CHANSEY,
    Species.MR_MIME,
    Species.ELECTABUZZ,
    Species.JOLTEON,
    Species.PORYGON,
    Species.ZAPDOS,
    Species.MEWTWO,
    Species.MEW,
    Species.SENTRET,
    Species.FURRET,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.PORYGON2,
    Species.STANTLER,
    Species.ELEKID,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SKITTY,
    Species.DELCATTY,
    Species.MAWILE,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.PACHIRISU,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.MAGNEZONE,
    Species.ELECTIVIRE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.VICTINI,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.SIGILYPH,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.EMOLGA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.TYNAMO,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.DRUDDIGON,
    Species.GOLURK,
    Species.HYDREIGON,
    Species.THUNDURUS,
    Species.ZEKROM,
    Species.MELOETTA,
    Species.GENESECT,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.AMAURA,
    Species.AURORUS,
    Species.DEDENNE,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.HOOPA,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.SHIINOTIC,
    Species.ORANGURU,
    Species.MINIOR,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.TAPU_LELE,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.XURKITREE,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.TOXTRICITY,
    Species.PINCURCHIN,
    Species.MORPEKO,
    Species.REGIELEKI,
    Species.WYRDEER,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.FARIGIRAF,
    Species.FLUTTER_MANE,
    Species.SANDY_SHOCKS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.GHOLDENGO,
    Species.IRON_VALIANT,
    Species.MIRAIDON,
    Species.RAGING_BOLT,
    Species.ALOLA_RAICHU,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
  ],
  [Moves.HONE_CLAWS]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.PARAS,
    Species.PARASECT,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.KRABBY,
    Species.KINGLER,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.DRAGONITE,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.AIPOM,
    Species.GLIGAR,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.TYRANITAR,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.SABLEYE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.FLYGON,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.ANORITH,
    Species.ARMALDO,
    Species.KECLEON,
    Species.ABSOL,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.KRICKETUNE,
    Species.VESPIQUEN,
    Species.AMBIPOM,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.LUCARIO,
    Species.SKORUPI,
    Species.DRAPION,
    Species.WEAVILE,
    Species.GLISCOR,
    Species.DIALGA,
    Species.PALKIA,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.LEAVANNY,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.HEATMOR,
    Species.DURANT,
    Species.COBALION,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.MELOETTA,
    Species.GENESECT,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.TALONFLAME,
    Species.PANGORO,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.HAWLUCHA,
    Species.TREVENANT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.MIMIKYU,
    Species.ZERAORA,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.NICKIT,
    Species.THIEVUL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.DURALUDON,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.BOMBIRDIER,
    Species.KINGAMBIT,
    Species.WALKING_WAKE,
    Species.ARCHALUDON,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.GALAR_MEOWTH,
    Species.GALAR_LINOONE,
    Species.HISUI_SNEASEL,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
  ],
  [Moves.WONDER_ROOM]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.STARMIE,
    Species.MR_MIME,
    Species.JYNX,
    Species.PORYGON,
    Species.MEWTWO,
    Species.MEW,
    Species.CLEFFA,
    Species.UMBREON,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.PORYGON2,
    Species.SMOOCHUM,
    Species.LUGIA,
    Species.CELEBI,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SABLEYE,
    Species.ALTARIA,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.KECLEON,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.LATIOS,
    Species.DEOXYS,
    Species.MISMAGIUS,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.SPIRITOMB,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DARKRAI,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.MELOETTA,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.CARBINK,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.HOOPA,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.ORANGURU,
    Species.BRUXISH,
    Species.TAPU_LELE,
    Species.TAPU_FINI,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.STAKATAKA,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATTERENE,
    Species.GRIMMSNARL,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.ALCREMIE,
    Species.STONJOURNER,
    Species.INDEEDEE,
    Species.CALYREX,
    Species.ALOLA_NINETALES,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.GALAR_YAMASK,
  ],
  [Moves.PSYSHOCK]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.STARMIE,
    Species.MR_MIME,
    Species.JYNX,
    Species.PORYGON,
    Species.MEWTWO,
    Species.MEW,
    Species.CLEFFA,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.ESPEON,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PORYGON2,
    Species.STANTLER,
    Species.SMOOCHUM,
    Species.LUGIA,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.CHIMECHO,
    Species.METANG,
    Species.METAGROSS,
    Species.LATIAS,
    Species.LATIOS,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.MISMAGIUS,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.SPIRITOMB,
    Species.TOGEKISS,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.CRESSELIA,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.VICTINI,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.SIGILYPH,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.MELOETTA,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.AROMATISSE,
    Species.INKAY,
    Species.MALAMAR,
    Species.SYLVEON,
    Species.KLEFKI,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.HOOPA,
    Species.ORANGURU,
    Species.BRUXISH,
    Species.TAPU_LELE,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.BLACEPHALON,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.MR_RIME,
    Species.ALCREMIE,
    Species.INDEEDEE,
    Species.CALYREX,
    Species.WYRDEER,
    Species.ARMAROUGE,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.FARIGIRAF,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.FLUTTER_MANE,
    Species.GHOLDENGO,
    Species.IRON_VALIANT,
    Species.MUNKIDORI,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.ALOLA_RAICHU,
    Species.ALOLA_NINETALES,
    Species.ALOLA_EXEGGUTOR,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_SLOWKING,
    Species.HISUI_BRAVIARY,
  ],
  [Moves.VENOSHOCK]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.EKANS,
    Species.ARBOK,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.KOFFING,
    Species.WEEZING,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.BELLOSSOM,
    Species.PINECO,
    Species.FORRETRESS,
    Species.GLIGAR,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SEVIPER,
    Species.BUDEW,
    Species.ROSERADE,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.GLISCOR,
    Species.SEISMITOAD,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.GOLISOPOD,
    Species.TURTONATOR,
    Species.BRUXISH,
    Species.NIHILEGO,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.TOXTRICITY,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.PINCURCHIN,
    Species.ETERNATUS,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.CLODSIRE,
    Species.BRUTE_BONNET,
    Species.IRON_MOTH,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.PECHARUNT,
    Species.ALOLA_RATICATE,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_SLOWKING,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.PALDEA_WOOPER,
  ],
  [Moves.MAGIC_ROOM]: [
    Species.WIGGLYTUFF,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.DROWZEE,
    Species.HYPNO,
    Species.MR_MIME,
    Species.JYNX,
    Species.MEWTWO,
    Species.MEW,
    Species.NATU,
    Species.XATU,
    Species.ESPEON,
    Species.MISDREAVUS,
    Species.STANTLER,
    Species.SMOOCHUM,
    Species.CELEBI,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.LUNATONE,
    Species.SHUPPET,
    Species.BANETTE,
    Species.LATIAS,
    Species.JIRACHI,
    Species.MISMAGIUS,
    Species.MIME_JR,
    Species.GALLADE,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.CRESSELIA,
    Species.SIGILYPH,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.MELOETTA,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.KLEFKI,
    Species.HOOPA,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.ORANGURU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.TAPU_LELE,
    Species.TAPU_FINI,
    Species.LUNALA,
    Species.STAKATAKA,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.HATTERENE,
    Species.MR_RIME,
    Species.ALCREMIE,
    Species.INDEEDEE,
    Species.CALYREX,
    Species.ALOLA_RAICHU,
    Species.GALAR_RAPIDASH,
    Species.GALAR_MR_MIME,
  ],
  [Moves.SMACK_DOWN]: [
    Species.BLASTOISE,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.ONIX,
    Species.CUBONE,
    Species.MAROWAK,
    Species.RHYHORN,
    Species.RHYDON,
    Species.PINSIR,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.MEW,
    Species.SUDOWOODO,
    Species.AIPOM,
    Species.STEELIX,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.PHANPY,
    Species.DONPHAN,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.SLAKING,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.AGGRON,
    Species.CAMERUPT,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.RELICANTH,
    Species.REGIROCK,
    Species.GROUDON,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.AMBIPOM,
    Species.BONSLY,
    Species.RHYPERIOR,
    Species.MAMOSWINE,
    Species.PROBOPASS,
    Species.REGIGIGAS,
    Species.EMBOAR,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.KROOKODILE,
    Species.DARMANITAN,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.GARBODOR,
    Species.DRUDDIGON,
    Species.TERRAKION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.LANDORUS,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.CARBINK,
    Species.DIANCIE,
    Species.VOLCANION,
    Species.DECIDUEYE,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.PASSIMIAN,
    Species.TURTONATOR,
    Species.BUZZWOLE,
    Species.CELESTEELA,
    Species.GUZZLORD,
    Species.MARSHADOW,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.CINDERACE,
    Species.INTELEON,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.STONJOURNER,
    Species.COPPERAJAH,
    Species.KLEAVOR,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.KLAWF,
    Species.TINKATON,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.ANNIHILAPE,
    Species.GREAT_TUSK,
    Species.IRON_THORNS,
    Species.ARCHALUDON,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_MAROWAK,
    Species.GALAR_SLOWBRO,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_DECIDUEYE,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.SLUDGE_WAVE]: [
    Species.EKANS,
    Species.ARBOK,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.VILEPLUME,
    Species.VENOMOTH,
    Species.DUGTRIO,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.KOFFING,
    Species.WEEZING,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.QWILFISH,
    Species.SHUCKLE,
    Species.OCTILLERY,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.GULPIN,
    Species.SWALOT,
    Species.SEVIPER,
    Species.CRAWDAUNT,
    Species.CRADILY,
    Species.GASTRODON,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.STUNFISK,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.LANDORUS,
    Species.GRENINJA,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.ZYGARDE,
    Species.VOLCANION,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.GOLISOPOD,
    Species.DHELMISE,
    Species.NIHILEGO,
    Species.GUZZLORD,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.TOXTRICITY,
    Species.ETERNATUS,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.CLODSIRE,
    Species.IRON_MOTH,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.PECHARUNT,
    Species.ALOLA_RATICATE,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_SLOWKING,
    Species.GALAR_STUNFISK,
    Species.HISUI_SNEASEL,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.PALDEA_WOOPER,
  ],
  [Moves.HEAVY_SLAM]: [
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GRAVELER,
    Species.GOLEM,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.ONIX,
    Species.RHYHORN,
    Species.RHYDON,
    Species.SNORLAX,
    Species.MEW,
    Species.FORRETRESS,
    Species.STEELIX,
    Species.PHANPY,
    Species.DONPHAN,
    Species.MILTANK,
    Species.TYRANITAR,
    Species.SLAKING,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.WALREIN,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.KYOGRE,
    Species.GROUDON,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.HIPPOWDON,
    Species.MAGNEZONE,
    Species.RHYPERIOR,
    Species.MAMOSWINE,
    Species.PROBOPASS,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.ARCEUS,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.CRUSTLE,
    Species.FERROTHORN,
    Species.EELEKTROSS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.GOLETT,
    Species.GOLURK,
    Species.COBALION,
    Species.CARBINK,
    Species.AVALUGG,
    Species.VOLCANION,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.TURTONATOR,
    Species.DHELMISE,
    Species.SOLGALEO,
    Species.CELESTEELA,
    Species.GUZZLORD,
    Species.MAGEARNA,
    Species.STAKATAKA,
    Species.MELMETAL,
    Species.CORVIKNIGHT,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.PERRSERKER,
    Species.STONJOURNER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DURALUDON,
    Species.ZAMAZENTA,
    Species.GLASTRIER,
    Species.URSALUNA,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.TINKATON,
    Species.REVAVROOM,
    Species.ORTHWORM,
    Species.CETODDLE,
    Species.CETITAN,
    Species.DONDOZO,
    Species.CLODSIRE,
    Species.DUDUNSPARCE,
    Species.GREAT_TUSK,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.GHOLDENGO,
    Species.TING_LU,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.RAGING_BOLT,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.ALOLA_GOLEM,
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.ELECTRO_BALL]: [
    Species.PIKACHU,
    Species.RAICHU,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.ELECTABUZZ,
    Species.JOLTEON,
    Species.ZAPDOS,
    Species.MEWTWO,
    Species.MEW,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.ELEKID,
    Species.RAIKOU,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.PACHIRISU,
    Species.MAGNEZONE,
    Species.ELECTIVIRE,
    Species.ROTOM,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.EMOLGA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.THUNDURUS,
    Species.ZEKROM,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.DEDENNE,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.TOGEDEMARU,
    Species.TAPU_KOKO,
    Species.XURKITREE,
    Species.MAGEARNA,
    Species.ZERAORA,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.YAMPER,
    Species.BOLTUND,
    Species.TOXTRICITY,
    Species.PINCURCHIN,
    Species.MORPEKO,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.REGIELEKI,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.RABSCA,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_THORNS,
    Species.GHOLDENGO,
    Species.MIRAIDON,
    Species.RAGING_BOLT,
    Species.ALOLA_RAICHU,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
  ],
  [Moves.FLAME_CHARGE]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.VULPIX,
    Species.NINETALES,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.MAGMAR,
    Species.FLAREON,
    Species.MOLTRES,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.MAGBY,
    Species.ENTEI,
    Species.HO_OH,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.MAGMORTAR,
    Species.HEATRAN,
    Species.VICTINI,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.RESHIRAM,
    Species.GENESECT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.LITLEO,
    Species.PYROAR,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.VOLCANION,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.TURTONATOR,
    Species.SOLGALEO,
    Species.CELESTEELA,
    Species.BLACEPHALON,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.YAMPER,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.SLITHER_WING,
    Species.IRON_MOTH,
    Species.CHI_YU,
    Species.KORAIDON,
    Species.GOUGING_FIRE,
    Species.ALOLA_MAROWAK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    [
      Species.PALDEA_TAUROS,
      "blaze",
    ],
  ],
  [Moves.LOW_SWEEP]: [
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.DROWZEE,
    Species.HYPNO,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.MEWTWO,
    Species.MEW,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.AIPOM,
    Species.SNEASEL,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.BRELOOM,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.GRUMPIG,
    Species.ZANGOOSE,
    Species.DEOXYS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.GALLADE,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.THROH,
    Species.SAWK,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ZOROARK,
    Species.GOTHITELLE,
    Species.HAXORUS,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.PANCHAM,
    Species.PANGORO,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.HAWLUCHA,
    Species.DECIDUEYE,
    Species.INCINEROAR,
    Species.GUMSHOOS,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.LURANTIS,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.STEENEE,
    Species.TSAREENA,
    Species.PASSIMIAN,
    Species.KOMALA,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.GRIMMSNARL,
    Species.STONJOURNER,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.SNEASLER,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LOKIX,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.GRAFAIAI,
    Species.FLAMIGO,
    Species.ANNIHILAPE,
    Species.KINGAMBIT,
    Species.SLITHER_WING,
    Species.IRON_HANDS,
    Species.GHOLDENGO,
    Species.KORAIDON,
    Species.OKIDOGI,
    Species.OGERPON,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.GALAR_ZAPDOS,
    Species.GALAR_SLOWKING,
    Species.HISUI_SNEASEL,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZOROARK,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.ACID_SPRAY]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.EKANS,
    Species.ARBOK,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.KOFFING,
    Species.WEEZING,
    Species.MAGMAR,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.BELLOSSOM,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.QWILFISH,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.MAGBY,
    Species.GULPIN,
    Species.SWALOT,
    Species.SEVIPER,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.MAGMORTAR,
    Species.ARCEUS,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ACCELGOR,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.NIHILEGO,
    Species.FLAPPLE,
    Species.TOXTRICITY,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ARMAROUGE,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.CLODSIRE,
    Species.IRON_MOTH,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.PECHARUNT,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_SLOWKING,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.PALDEA_WOOPER,
  ],
  [Moves.FOUL_PLAY]: [
    Species.VULPIX,
    Species.NINETALES,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.MR_MIME,
    Species.PORYGON,
    Species.MEWTWO,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.XATU,
    Species.SUDOWOODO,
    Species.AIPOM,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.SNEASEL,
    Species.DELIBIRD,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PORYGON2,
    Species.TYRANITAR,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.MASQUERAIN,
    Species.SABLEYE,
    Species.MAWILE,
    Species.CACNEA,
    Species.CACTURNE,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.ABSOL,
    Species.GLALIE,
    Species.AMBIPOM,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BONSLY,
    Species.SPIRITOMB,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.PORYGON_Z,
    Species.ROTOM,
    Species.UXIE,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ZORUA,
    Species.ZOROARK,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.STUNFISK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.INKAY,
    Species.MALAMAR,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.YVELTAL,
    Species.HOOPA,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.ORANGURU,
    Species.NIHILEGO,
    Species.PHEROMOSA,
    Species.MARSHADOW,
    Species.BLACEPHALON,
    Species.NICKIT,
    Species.THIEVUL,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.PERRSERKER,
    Species.MR_RIME,
    Species.MORPEKO,
    Species.DURALUDON,
    Species.URSHIFU,
    Species.SPECTRIER,
    Species.MEOWSCARADA,
    Species.SQUAWKABILLY,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.FARIGIRAF,
    Species.KINGAMBIT,
    Species.WO_CHIEN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.ARCHALUDON,
    Species.PECHARUNT,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_MUK,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_STUNFISK,
    [
      Species.CALYREX,
      "shadow",
    ],
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
  ],
  [Moves.ROUND]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.NICKIT,
    Species.THIEVUL,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.YAMPER,
    Species.BOLTUND,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.SNOM,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DURALUDON,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_YAMASK,
    Species.GALAR_STUNFISK,
  ],
  [Moves.ECHOED_VOICE]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SPEAROW,
    Species.FEAROW,
    Species.PIKACHU,
    Species.RAICHU,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.CUBONE,
    Species.MAROWAK,
    Species.CHANSEY,
    Species.JYNX,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.POLITOED,
    Species.ESPEON,
    Species.UMBREON,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PHANPY,
    Species.DONPHAN,
    Species.SMOOCHUM,
    Species.MILTANK,
    Species.BLISSEY,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.SKITTY,
    Species.DELCATTY,
    Species.PLUSLE,
    Species.MINUN,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.SWABLU,
    Species.ALTARIA,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.RAYQUAZA,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.MISMAGIUS,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.HAPPINY,
    Species.CHATOT,
    Species.TOGEKISS,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GALLADE,
    Species.DIALGA,
    Species.PALKIA,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.AUDINO,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.HYDREIGON,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.MELOETTA,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.COMFEY,
    Species.DRAMPA,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.NIHILEGO,
    Species.PHEROMOSA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.ZERAORA,
    Species.ARCTOZOLT,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.CETODDLE,
    Species.CETITAN,
    Species.ALOLA_RAICHU,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GOLEM,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
  ],
  [Moves.STORED_POWER]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CHANSEY,
    Species.MR_MIME,
    Species.JYNX,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.MEWTWO,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CLEFFA,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.ESPEON,
    Species.UMBREON,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.STANTLER,
    Species.SMOOCHUM,
    Species.BLISSEY,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.CLAYDOL,
    Species.CHIMECHO,
    Species.LATIAS,
    Species.LATIOS,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.SPIRITOMB,
    Species.TOGEKISS,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GALLADE,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.CRESSELIA,
    Species.MANAPHY,
    Species.ARCEUS,
    Species.VICTINI,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SIGILYPH,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.MEOWSTIC,
    Species.INKAY,
    Species.MALAMAR,
    Species.SYLVEON,
    Species.KLEFKI,
    Species.DIANCIE,
    Species.PRIMARINA,
    Species.RIBOMBEE,
    Species.COMFEY,
    Species.ORANGURU,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.BLACEPHALON,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.TOXTRICITY,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.MR_RIME,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.INDEEDEE,
    Species.CALYREX,
    Species.WYRDEER,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.VELUZA,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.SCREAM_TAIL,
    Species.FLUTTER_MANE,
    Species.IRON_VALIANT,
    Species.MUNKIDORI,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.ALOLA_RAICHU,
    Species.ALOLA_VULPIX,
    Species.ETERNAL_FLOETTE,
    Species.ALOLA_NINETALES,
    Species.ALOLA_EXEGGUTOR,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_SLOWKING,
    Species.HISUI_BRAVIARY,
  ],
  [Moves.ALLY_SWITCH]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.MAROWAK,
    Species.CHANSEY,
    Species.STARMIE,
    Species.MR_MIME,
    Species.JYNX,
    Species.PORYGON,
    Species.MEWTWO,
    Species.MEW,
    Species.NATU,
    Species.XATU,
    Species.ESPEON,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.FORRETRESS,
    Species.PORYGON2,
    Species.TYROGUE,
    Species.BLISSEY,
    Species.CELEBI,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SHEDINJA,
    Species.SABLEYE,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.CHIMECHO,
    Species.METANG,
    Species.METAGROSS,
    Species.LATIAS,
    Species.LATIOS,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.WORMADAM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.SPIRITOMB,
    Species.MAGNEZONE,
    Species.TOGEKISS,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.CRESSELIA,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.ZEBSTRIKA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.AUDINO,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.KLANG,
    Species.KLINKLANG,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.GOLETT,
    Species.GOLURK,
    Species.MELOETTA,
    Species.GENESECT,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.INKAY,
    Species.MALAMAR,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.DIANCIE,
    Species.HOOPA,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.COMFEY,
    Species.ORANGURU,
    Species.BRUXISH,
    Species.DHELMISE,
    Species.TAPU_LELE,
    Species.NIHILEGO,
    Species.NECROZMA,
    Species.NAGANADEL,
    Species.STAKATAKA,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.MR_RIME,
    Species.RUNERIGUS,
    Species.INDEEDEE,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.CALYREX,
    Species.SPRIGATITO,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.FLITTLE,
    Species.GREAVARD,
    Species.IRON_LEAVES,
    Species.ALOLA_RAICHU,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_YAMASK,
  ],
  [Moves.SCALD]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.KRABBY,
    Species.KINGLER,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.GYARADOS,
    Species.VAPOREON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.QWILFISH,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.MANTINE,
    Species.KINGDRA,
    Species.RAIKOU,
    Species.SUICUNE,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.WINGULL,
    Species.PELIPPER,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.AZURILL,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.KYOGRE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIBAREL,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.PHIONE,
    Species.MANAPHY,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.BASCULIN,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.STUNFISK,
    Species.KELDEO,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.GOODRA,
    Species.VOLCANION,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.BRUXISH,
    Species.TAPU_FINI,
    Species.INTELEON,
    Species.DREDNAW,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.CURSOLA,
    Species.PINCURCHIN,
    Species.DRACOVISH,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.WALKING_WAKE,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_STUNFISK,
    [
      Species.URSHIFU,
      "rapid-strike",
    ],
  ],
  [Moves.HEX]: [
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.VULPIX,
    Species.NINETALES,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.HYPNO,
    Species.MEWTWO,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.MURKROW,
    Species.MISDREAVUS,
    Species.DUNSPARCE,
    Species.QWILFISH,
    Species.SHIFTRY,
    Species.SHEDINJA,
    Species.SABLEYE,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.CASTFORM,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.VESPIQUEN,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.SPIRITOMB,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.EELEKTROSS,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.DELPHOX,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.DECIDUEYE,
    Species.TOXAPEX,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.MIMIKYU,
    Species.DHELMISE,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.MARSHADOW,
    Species.NAGANADEL,
    Species.TOXTRICITY,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.CURSOLA,
    Species.RUNERIGUS,
    Species.PINCURCHIN,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.SPECTRIER,
    Species.BASCULEGION,
    Species.SKELEDIRGE,
    Species.CERULEDGE,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.ESPATHRA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.DUDUNSPARCE,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.IRON_VALIANT,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.PECHARUNT,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.MAROWAK,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_YAMASK,
    [
      Species.CALYREX,
      "shadow",
    ],
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
  ],
  [Moves.SKY_DROP]: [
    Species.CHARIZARD,
    Species.AERODACTYL,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRAGONITE,
    Species.MEW,
    Species.SKARMORY,
    Species.LUGIA,
    Species.HO_OH,
    Species.PELIPPER,
    Species.RAYQUAZA,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.HAWLUCHA,
    Species.YVELTAL,
    Species.VIKAVOLT,
    Species.TAPU_KOKO,
    Species.LUNALA,
    Species.NAGANADEL,
  ],
  [Moves.INCINERATE]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.GRIMER,
    Species.MUK,
    Species.CUBONE,
    Species.MAROWAK,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MAGMAR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.FLAREON,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.SLOWKING,
    Species.DUNSPARCE,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.MAGBY,
    Species.BLISSEY,
    Species.ENTEI,
    Species.HO_OH,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.SABLEYE,
    Species.MAWILE,
    Species.AGGRON,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.FLYGON,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SOLROCK,
    Species.CASTFORM,
    Species.KECLEON,
    Species.ABSOL,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.HONCHKROW,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.HAPPINY,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.VICTINI,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.AUDINO,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ZORUA,
    Species.ZOROARK,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.DRUDDIGON,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.LITLEO,
    Species.PYROAR,
    Species.GOODRA,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.VOLCANION,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.TURTONATOR,
    Species.BLACEPHALON,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.DUDUNSPARCE,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.GOUGING_FIRE,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_SLOWKING,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_GOODRA,
    Species.PALDEA_TAUROS,
  ],
  [Moves.QUASH]: [
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.KINGLER,
    Species.MEW,
    Species.MURKROW,
    Species.SLOWKING,
    Species.KINGDRA,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.SLAKING,
    Species.SABLEYE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.VESPIQUEN,
    Species.HONCHKROW,
    Species.SPIRITOMB,
    Species.ARCEUS,
    Species.PANCHAM,
    Species.PANGORO,
    Species.HOOPA,
    Species.INCINEROAR,
    Species.ORICORIO,
    Species.ORANGURU,
    Species.PALOSSAND,
    Species.PYUKUMUKU,
    Species.KOMALA,
    Species.BLACEPHALON,
    Species.HATENNA,
    Species.MORPEKO,
    Species.TINKATINK,
    Species.IRON_LEAVES,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
  ],
  [Moves.ACROBATICS]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.VENOMOTH,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.FARFETCHD,
    Species.SCYTHER,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.CROBAT,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.MURKROW,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.BLAZIKEN,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.WINGULL,
    Species.PELIPPER,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.NINJASK,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.LOPUNNY,
    Species.HONCHKROW,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.GLISCOR,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.SWANNA,
    Species.EMOLGA,
    Species.ALOMOMOLA,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.CRYOGONAL,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.MANDIBUZZ,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.MELOETTA,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.HAWLUCHA,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.SALAZZLE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.PASSIMIAN,
    Species.MINIOR,
    Species.KOMALA,
    Species.TAPU_KOKO,
    Species.LUNALA,
    Species.CELESTEELA,
    Species.MARSHADOW,
    Species.NAGANADEL,
    Species.ZERAORA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.INTELEON,
    Species.THIEVUL,
    Species.FLAPPLE,
    Species.CRAMORANT,
    Species.FROSMOTH,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.KLEAVOR,
    Species.SNEASLER,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BOMBIRDIER,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.CYCLIZAR,
    Species.FLAMIGO,
    Species.ANNIHILAPE,
    Species.SLITHER_WING,
    Species.IRON_BUNDLE,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.CHIEN_PAO,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.FEZANDIPITI,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.HISUI_LILLIGANT,
    Species.HISUI_BRAVIARY,
  ],
  [Moves.RETALIATE]: [
    Species.RATTATA,
    Species.RATICATE,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.FARFETCHD,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.TAUROS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.SNORLAX,
    Species.MEW,
    Species.SENTRET,
    Species.FURRET,
    Species.TOGETIC,
    Species.AIPOM,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.MILTANK,
    Species.BLISSEY,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.SPINDA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.CRAWDAUNT,
    Species.CASTFORM,
    Species.KECLEON,
    Species.ABSOL,
    Species.LATIAS,
    Species.LATIOS,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.SPIRITOMB,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.TOGEKISS,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GALLADE,
    Species.REGIGIGAS,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.THROH,
    Species.SAWK,
    Species.LEAVANNY,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.DURANT,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.KELDEO,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FROAKIE,
    Species.LITLEO,
    Species.PYROAR,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.INKAY,
    Species.MALAMAR,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.ZYGARDE,
    Species.PASSIMIAN,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.DUBWOOL,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.SIRFETCHD,
    Species.FALINKS,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.KUBFU,
    Species.URSHIFU,
    Species.MASCHIFF,
    Species.KINGAMBIT,
    Species.IRON_LEAVES,
    Species.OGERPON,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_MAROWAK,
    Species.GALAR_MEOWTH,
    Species.GALAR_FARFETCHD,
    Species.GALAR_ZAPDOS,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_SAMUROTT,
  ],
  [Moves.WATER_PLEDGE]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.SILVALLY,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.HISUI_SAMUROTT,
  ],
  [Moves.FIRE_PLEDGE]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.SILVALLY,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.HISUI_TYPHLOSION,
  ],
  [Moves.GRASS_PLEDGE]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.SILVALLY,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.VOLT_SWITCH]: [
    Species.PIKACHU,
    Species.RAICHU,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.ELECTABUZZ,
    Species.JOLTEON,
    Species.ZAPDOS,
    Species.MEW,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.FORRETRESS,
    Species.ELEKID,
    Species.RAIKOU,
    Species.NOSEPASS,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.PACHIRISU,
    Species.MAGNEZONE,
    Species.ELECTIVIRE,
    Species.PROBOPASS,
    Species.ROTOM,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.EMOLGA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.COBALION,
    Species.THUNDURUS,
    Species.ZEKROM,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.DEDENNE,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.TOGEDEMARU,
    Species.TAPU_KOKO,
    Species.XURKITREE,
    Species.MAGEARNA,
    Species.ZERAORA,
    Species.YAMPER,
    Species.BOLTUND,
    Species.TOXTRICITY,
    Species.MORPEKO,
    Species.REGIELEKI,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.MIRAIDON,
    Species.RAGING_BOLT,
    Species.IRON_CROWN,
    Species.ALOLA_RAICHU,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
  ],
  [Moves.STRUGGLE_BUG]: [
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.SCYTHER,
    Species.PINSIR,
    Species.MEW,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.YANMA,
    Species.PINECO,
    Species.FORRETRESS,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.ANORITH,
    Species.ARMALDO,
    Species.STARAPTOR,
    Species.KRICKETOT,
    Species.KRICKETUNE,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.COMBEE,
    Species.VESPIQUEN,
    Species.SKORUPI,
    Species.DRAPION,
    Species.YANMEGA,
    Species.GLISCOR,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.DURANT,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.GENESECT,
    Species.SCATTERBUG,
    Species.SPEWPA,
    Species.VIVILLON,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.BLIPBUG,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.SIZZLIPEDE,
    Species.SNOM,
    Species.FROSMOTH,
    Species.KLEAVOR,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.RELLOR,
    Species.RABSCA,
    Species.IRON_MOTH,
  ],
  [Moves.BULLDOZE]: [
    Species.VENUSAUR,
    Species.CHARIZARD,
    Species.BLASTOISE,
    Species.EKANS,
    Species.ARBOK,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.ONIX,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.MEGANIUM,
    Species.TYPHLOSION,
    Species.FERALIGATR,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.MANTINE,
    Species.PHANPY,
    Species.DONPHAN,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.SCEPTILE,
    Species.BLAZIKEN,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.BRELOOM,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.SWALOT,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.GRUMPIG,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ALTARIA,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.CRADILY,
    Species.ARMALDO,
    Species.MILOTIC,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.RELICANTH,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.INFERNAPE,
    Species.EMPOLEON,
    Species.BIBAREL,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.PURUGLY,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.MANTYKE,
    Species.ABOMASNOW,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.SAMUROTT,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.CONKELDURR,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SCOLIPEDE,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARMANITAN,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.FERROTHORN,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.STUNFISK,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.BOUFFALANT,
    Species.HYDREIGON,
    Species.TERRAKION,
    Species.LANDORUS,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.LITLEO,
    Species.PYROAR,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.GOODRA,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.VOLCANION,
    Species.INCINEROAR,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.SOLGALEO,
    Species.BUZZWOLE,
    Species.CELESTEELA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.STAKATAKA,
    Species.RILLABOOM,
    Species.GREEDENT,
    Species.DREDNAW,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CURSOLA,
    Species.RUNERIGUS,
    Species.STONJOURNER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.WYRDEER,
    Species.URSALUNA,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.KLAWF,
    Species.TINKATON,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.ORTHWORM,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.CETODDLE,
    Species.CETITAN,
    Species.DONDOZO,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.GREAT_TUSK,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.BAXCALIBUR,
    Species.TING_LU,
    Species.KORAIDON,
    Species.GOUGING_FIRE,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    [
      Species.WORMADAM,
      "sandy",
      "trash",
    ],
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_DARMANITAN,
    Species.GALAR_STUNFISK,
    [
      Species.CALYREX,
      "ice",
      "shadow",
    ],
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_SAMUROTT,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.FROST_BREATH]: [
    Species.DEWGONG,
    Species.CLOYSTER,
    Species.JYNX,
    Species.LAPRAS,
    Species.ARTICUNO,
    Species.MEW,
    Species.DELIBIRD,
    Species.SMOOCHUM,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.REGICE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.GLACEON,
    Species.FROSLASS,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.AMAURA,
    Species.AURORUS,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.GOLISOPOD,
    Species.BRUXISH,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
  ],
  [Moves.DRAGON_TAIL]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.BLASTOISE,
    Species.ARBOK,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.ONIX,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.GYARADOS,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEW,
    Species.MEGANIUM,
    Species.FERALIGATR,
    Species.AMPHAROS,
    Species.SLOWKING,
    Species.STEELIX,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.AGGRON,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.SEVIPER,
    Species.MILOTIC,
    Species.TROPIUS,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.RAMPARDOS,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.DIALGA,
    Species.PALKIA,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.SERPERIOR,
    Species.SAMUROTT,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ARCHEOPS,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.DRUDDIGON,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.GOODRA,
    Species.NOIVERN,
    Species.ZYGARDE,
    Species.SALAZZLE,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.GUZZLORD,
    Species.NAGANADEL,
    Species.CHEWTLE,
    Species.APPLETUN,
    Species.DRACOZOLT,
    Species.DURALUDON,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ETERNATUS,
    Species.CYCLIZAR,
    Species.DUDUNSPARCE,
    Species.IRON_JUGULIS,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.DIPPLIN,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.RAGING_BOLT,
    Species.ALOLA_EXEGGUTOR,
    Species.HISUI_GOODRA,
  ],
  [Moves.WORK_UP]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.TAUROS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.SNORLAX,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.MARILL,
    Species.AZUMARILL,
    Species.AIPOM,
    Species.ESPEON,
    Species.UMBREON,
    Species.GIRAFARIG,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.HERACROSS,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.MILTANK,
    Species.BLISSEY,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.SKITTY,
    Species.DELCATTY,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.SPINDA,
    Species.ZANGOOSE,
    Species.CASTFORM,
    Species.KECLEON,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.HAPPINY,
    Species.CHATOT,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.LICKILICKY,
    Species.TOGEKISS,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GALLADE,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.THROH,
    Species.SAWK,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.KELDEO,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.LITLEO,
    Species.PYROAR,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.DRAMPA,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_BULU,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.BUZZWOLE,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.SIRFETCHD,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.KUBFU,
    Species.URSHIFU,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.IRON_JUGULIS,
    Species.IRON_LEAVES,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    [
      Species.LYCANROC,
      "dusk",
    ],
    Species.GALAR_MEOWTH,
    Species.GALAR_FARFETCHD,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
    Species.PALDEA_TAUROS,
  ],
  [Moves.ELECTROWEB]: [
    Species.CATERPIE,
    Species.METAPOD,
    Species.BUTTERFREE,
    Species.WEEDLE,
    Species.KAKUNA,
    Species.BEEDRILL,
    Species.PIKACHU,
    Species.RAICHU,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.ELECTABUZZ,
    Species.PORYGON,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.PICHU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.PORYGON2,
    Species.ELEKID,
    Species.WURMPLE,
    Species.SILCOON,
    Species.BEAUTIFLY,
    Species.CASCOON,
    Species.DUSTOX,
    Species.PLUSLE,
    Species.MINUN,
    Species.BURMY,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.PACHIRISU,
    Species.MAGNEZONE,
    Species.ELECTIVIRE,
    Species.PORYGON_Z,
    Species.ROTOM,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.EMOLGA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.STUNFISK,
    Species.THUNDURUS,
    Species.GENESECT,
    Species.SPEWPA,
    Species.VIVILLON,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.DEDENNE,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.PASSIMIAN,
    Species.TOGEDEMARU,
    Species.TAPU_KOKO,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.MAGEARNA,
    Species.ZERAORA,
    Species.MORPEKO,
    Species.REGIELEKI,
    Species.SPIDOPS,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.SANDY_SHOCKS,
    Species.IRON_THORNS,
    Species.RAGING_BOLT,
    Species.ALOLA_RAICHU,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
  ],
  [Moves.WILD_CHARGE]: [
    Species.RATTATA,
    Species.RATICATE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.CHANSEY,
    Species.ELECTABUZZ,
    Species.TAUROS,
    Species.JOLTEON,
    Species.SNORLAX,
    Species.ZAPDOS,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.IGGLYBUFF,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.DUNSPARCE,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.STANTLER,
    Species.ELEKID,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.SLAKING,
    Species.SKITTY,
    Species.DELCATTY,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.SPINDA,
    Species.RAYQUAZA,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.PACHIRISU,
    Species.MAGNEZONE,
    Species.ELECTIVIRE,
    Species.ARCEUS,
    Species.VICTINI,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.AUDINO,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.BOUFFALANT,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.THUNDURUS,
    Species.ZEKROM,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.LITLEO,
    Species.PYROAR,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.FURFROU,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.DEDENNE,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.VOLCANION,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.TOGEDEMARU,
    Species.TAPU_KOKO,
    Species.SOLGALEO,
    Species.XURKITREE,
    Species.ZERAORA,
    Species.GREEDENT,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.YAMPER,
    Species.BOLTUND,
    Species.TOXTRICITY,
    Species.PINCURCHIN,
    Species.MORPEKO,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.REGIELEKI,
    Species.WYRDEER,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.MABOSSTIFF,
    Species.CYCLIZAR,
    Species.DUDUNSPARCE,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.IRON_LEAVES,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.TERAPAGOS,
    Species.ALOLA_RAICHU,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.PALDEA_TAUROS,
  ],
  [Moves.DRILL_RUN]: [
    Species.BEEDRILL,
    Species.SPEAROW,
    Species.FEAROW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.RAPIDASH,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.CLOYSTER,
    Species.ONIX,
    Species.RHYHORN,
    Species.RHYDON,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.LAPRAS,
    Species.MEW,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.STEELIX,
    Species.SKARMORY,
    Species.DELIBIRD,
    Species.HITMONTOP,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.RHYPERIOR,
    Species.SAMUROTT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    [
      Species.LYCANROC,
      "midday",
      "dusk",
    ],
    Species.GOLISOPOD,
    Species.PHEROMOSA,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.BOMBIRDIER,
    Species.VELUZA,
    Species.DUDUNSPARCE,
    Species.ALOLA_SANDSLASH,
    Species.GALAR_RAPIDASH,
    Species.HISUI_SAMUROTT,
    Species.PALDEA_TAUROS,
  ],
  [Moves.SACRED_SWORD]: [
    Species.GALLADE,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.KELDEO,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.KARTANA,
    Species.ZACIAN,
    Species.CHIEN_PAO,
    Species.IRON_LEAVES,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.HISUI_SAMUROTT,
  ],
  [Moves.RAZOR_SHELL]: [
    Species.SLOWBRO,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.KRABBY,
    Species.KINGLER,
    Species.KABUTOPS,
    Species.MEW,
    Species.SLOWKING,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.CARRACOSTA,
    Species.ESCAVALIER,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.GOLISOPOD,
    Species.DREDNAW,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.HISUI_SAMUROTT,
  ],
  [Moves.HEAT_CRASH]: [
    Species.CHARIZARD,
    Species.ARCANINE,
    Species.RHYDON,
    Species.SNORLAX,
    Species.MEW,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.BLAZIKEN,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.GROUDON,
    Species.RHYPERIOR,
    Species.MAGMORTAR,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.GOLURK,
    Species.RESHIRAM,
    Species.VOLCANION,
    Species.INCINEROAR,
    Species.TURTONATOR,
    Species.SOLGALEO,
    Species.GUZZLORD,
    Species.STAKATAKA,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.STONJOURNER,
    Species.COPPERAJAH,
    Species.SKELEDIRGE,
    Species.SLITHER_WING,
    Species.KORAIDON,
    Species.GOUGING_FIRE,
    Species.TERAPAGOS,
    Species.HISUI_ARCANINE,
  ],
  [Moves.TAIL_SLAP]: [
    Species.VULPIX,
    Species.NINETALES,
    Species.MEW,
    Species.AIPOM,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.MEOWSTIC,
    [
      Species.LYCANROC,
      "midday",
      "dusk",
    ],
    Species.SKWOVET,
    Species.GREEDENT,
    Species.NICKIT,
    Species.THIEVUL,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.FEZANDIPITI,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
  ],
  [Moves.HURRICANE]: [
    Species.CHARIZARD,
    Species.BUTTERFREE,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.GYARADOS,
    Species.AERODACTYL,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CROBAT,
    Species.MURKROW,
    Species.MANTINE,
    Species.KINGDRA,
    Species.LUGIA,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.MASQUERAIN,
    Species.SWABLU,
    Species.ALTARIA,
    Species.CASTFORM,
    Species.TROPIUS,
    Species.SALAMENCE,
    Species.RAYQUAZA,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.VESPIQUEN,
    Species.HONCHKROW,
    Species.ARCEUS,
    Species.UNFEZANT,
    Species.WHIMSICOTT,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.MANDIBUZZ,
    Species.VOLCARONA,
    Species.TORNADUS,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.DECIDUEYE,
    Species.ORICORIO,
    Species.DRAMPA,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.FROSMOTH,
    Species.QUAQUAVAL,
    Species.SQUAWKABILLY,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.BOMBIRDIER,
    Species.FLAMIGO,
    Species.DUDUNSPARCE,
    Species.SLITHER_WING,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.ROARING_MOON,
    Species.WALKING_WAKE,
    Species.FEZANDIPITI,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.HISUI_LILLIGANT,
    Species.HISUI_BRAVIARY,
  ],
  [Moves.SNARL]: [
    Species.EKANS,
    Species.ARBOK,
    Species.VULPIX,
    Species.NINETALES,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.MEW,
    Species.UMBREON,
    Species.MURKROW,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SNEASEL,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.SABLEYE,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SEVIPER,
    Species.CRAWDAUNT,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.FLOATZEL,
    Species.HONCHKROW,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.SPIRITOMB,
    Species.DRAPION,
    Species.WEAVILE,
    Species.DARKRAI,
    Species.ARCEUS,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ZORUA,
    Species.ZOROARK,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.DRUDDIGON,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.THUNDURUS,
    Species.LITLEO,
    Species.PYROAR,
    Species.PANGORO,
    Species.FURFROU,
    Species.YVELTAL,
    Species.INCINEROAR,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.GOLISOPOD,
    Species.SILVALLY,
    Species.DRAMPA,
    Species.TAPU_BULU,
    Species.SOLGALEO,
    Species.GUZZLORD,
    Species.NAGANADEL,
    Species.ZERAORA,
    Species.RILLABOOM,
    Species.CINDERACE,
    Species.NICKIT,
    Species.THIEVUL,
    Species.YAMPER,
    Species.BOLTUND,
    Species.TOXTRICITY,
    Species.OBSTAGOON,
    Species.MORPEKO,
    Species.COPPERAJAH,
    Species.DURALUDON,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.BOMBIRDIER,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.KINGAMBIT,
    Species.IRON_JUGULIS,
    Species.IRON_THORNS,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.OKIDOGI,
    Species.ARCHALUDON,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.HISUI_ARCANINE,
    Species.HISUI_SAMUROTT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.PHANTOM_FORCE]: [
    Species.HAUNTER,
    Species.GENGAR,
    Species.MEW,
    Species.MISDREAVUS,
    Species.SHEDINJA,
    Species.SABLEYE,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.MISMAGIUS,
    Species.SPIRITOMB,
    Species.DUSKNOIR,
    Species.GIRATINA,
    Species.ARCEUS,
    Species.COFAGRIGUS,
    Species.GOLETT,
    Species.GOLURK,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.GOURGEIST,
    Species.YVELTAL,
    Species.HOOPA,
    Species.DECIDUEYE,
    Species.MIMIKYU,
    Species.DHELMISE,
    Species.LUNALA,
    Species.MARSHADOW,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.RUNERIGUS,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.SPECTRIER,
    Species.BASCULEGION,
    Species.CERULEDGE,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.ANNIHILAPE,
    Species.FLUTTER_MANE,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.PECHARUNT,
    [
      Species.CALYREX,
      "shadow",
    ],
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
  ],
  [Moves.PETAL_BLIZZARD]: [
    Species.VENUSAUR,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.MEW,
    Species.MEGANIUM,
    Species.BELLOSSOM,
    Species.SUNFLORA,
    Species.SHIFTRY,
    Species.ROSELIA,
    Species.TROPIUS,
    Species.ROSERADE,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHAYMIN,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.LILLIGANT,
    Species.MARACTUS,
    Species.SAWSBUCK,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ZARUDE,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.ARBOLIVA,
    Species.ETERNAL_FLOETTE,
    Species.HISUI_LILLIGANT,
  ],
  [Moves.DISARMING_VOICE]: [
    Species.PIKACHU,
    Species.RAICHU,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.CHANSEY,
    Species.MEW,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.MARILL,
    Species.AZUMARILL,
    Species.BLISSEY,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.WHISMUR,
    Species.SKITTY,
    Species.DELCATTY,
    Species.ILLUMISE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.MILOTIC,
    Species.CHIMECHO,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.HAPPINY,
    Species.GALLADE,
    Species.PANSAGE,
    Species.PANSEAR,
    Species.PANPOUR,
    Species.AUDINO,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.MELOETTA,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SYLVEON,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.TOGEDEMARU,
    Species.TAPU_FINI,
    Species.MAGEARNA,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.INDEEDEE,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.FLUTTER_MANE,
    Species.FEZANDIPITI,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ETERNAL_FLOETTE,
  ],
  [Moves.DRAINING_KISS]: [
    Species.BUTTERFREE,
    Species.PIKACHU,
    Species.RAICHU,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.DROWZEE,
    Species.HYPNO,
    Species.JYNX,
    Species.MEW,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.MARILL,
    Species.AZUMARILL,
    Species.ESPEON,
    Species.MISDREAVUS,
    Species.SMOOCHUM,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.AZURILL,
    Species.MAWILE,
    Species.ILLUMISE,
    Species.MILOTIC,
    Species.CHIMECHO,
    Species.GOREBYSS,
    Species.LUVDISC,
    Species.LATIAS,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.MISMAGIUS,
    Species.TOGEKISS,
    Species.GALLADE,
    Species.FROSLASS,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.AUDINO,
    Species.VIVILLON,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.SYLVEON,
    Species.DEDENNE,
    Species.KLEFKI,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.MIMIKYU,
    Species.TAPU_LELE,
    Species.TAPU_FINI,
    Species.MAGEARNA,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.INDEEDEE,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.ENAMORUS,
    Species.DACHSBUN,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.FLUTTER_MANE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ETERNAL_FLOETTE,
  ],
  [Moves.GRASSY_TERRAIN]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.TANGELA,
    Species.MEW,
    Species.CHIKORITA,
    Species.BELLOSSOM,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.CACNEA,
    Species.CACTURNE,
    Species.CRADILY,
    Species.TROPIUS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.ROSERADE,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.TANGROWTH,
    Species.ARCEUS,
    Species.SNIVY,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.LILLIGANT,
    Species.MARACTUS,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.TAPU_BULU,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.ZARUDE,
    Species.CALYREX,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.BRUTE_BONNET,
    Species.WO_CHIEN,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OGERPON,
    Species.HYDRAPPLE,
    Species.ALOLA_EXEGGUTOR,
    Species.ETERNAL_FLOETTE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.MISTY_TERRAIN]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MR_MIME,
    Species.MEW,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.MARILL,
    Species.AZUMARILL,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.MAWILE,
    Species.MIME_JR,
    Species.GALLADE,
    Species.ARCEUS,
    Species.AUDINO,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.ALOMOMOLA,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.MEOWSTIC,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SYLVEON,
    Species.DEDENNE,
    Species.CARBINK,
    Species.KLEFKI,
    Species.XERNEAS,
    Species.VOLCANION,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.MIMIKYU,
    Species.TAPU_FINI,
    Species.MAGEARNA,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.MR_RIME,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.ZACIAN,
    Species.ENAMORUS,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SCREAM_TAIL,
    Species.FLUTTER_MANE,
    Species.IRON_VALIANT,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_RAPIDASH,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
  ],
  [Moves.PLAY_ROUGH]: [
    Species.PIKACHU,
    Species.RAICHU,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.DEWGONG,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.SENTRET,
    Species.FURRET,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.PHANPY,
    Species.DONPHAN,
    Species.MILTANK,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.LINOONE,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.SKITTY,
    Species.DELCATTY,
    Species.MAWILE,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ABSOL,
    Species.JIRACHI,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.PACHIRISU,
    Species.CHERRIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.TOGEKISS,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.SHAYMIN,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.WHIMSICOTT,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.ALOMOMOLA,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.MELOETTA,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.SYLVEON,
    Species.DEDENNE,
    Species.KLEFKI,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.KOMALA,
    Species.MIMIKYU,
    Species.DRAMPA,
    Species.TAPU_LELE,
    Species.TAPU_FINI,
    Species.MAGEARNA,
    Species.ZERAORA,
    Species.NICKIT,
    Species.THIEVUL,
    Species.YAMPER,
    Species.BOLTUND,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.PERRSERKER,
    Species.ALCREMIE,
    Species.FROSMOTH,
    Species.INDEEDEE,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.URSALUNA,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.CETODDLE,
    Species.CETITAN,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ALOLA_RAICHU,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.GALAR_MEOWTH,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_WEEZING,
    Species.HISUI_TYPHLOSION,
  ],
  [Moves.CONFIDE]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.PYUKUMUKU,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
  ],
  [Moves.MYSTICAL_FIRE]: [
    Species.CHARIZARD,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.MR_MIME,
    Species.FLAREON,
    Species.MOLTRES,
    Species.MEW,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.HO_OH,
    Species.RALTS,
    Species.GARDEVOIR,
    Species.LATIAS,
    Species.LATIOS,
    Species.MISMAGIUS,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.VICTINI,
    Species.DARMANITAN,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.VOLCARONA,
    Species.RESHIRAM,
    Species.DELPHOX,
    Species.SYLVEON,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.DIANCIE,
    Species.SOLGALEO,
    Species.BLACEPHALON,
    Species.CENTISKORCH,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.ALCREMIE,
    Species.INDEEDEE,
    Species.ETERNATUS,
    Species.ENAMORUS,
    Species.ARMAROUGE,
    Species.FLUTTER_MANE,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
  ],
  [Moves.EERIE_IMPULSE]: [
    Species.PIKACHU,
    Species.RAICHU,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.JOLTEON,
    Species.PORYGON,
    Species.ZAPDOS,
    Species.MEW,
    Species.LANTURN,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.PORYGON2,
    Species.RAIKOU,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.PACHIRISU,
    Species.MAGNEZONE,
    Species.PORYGON_Z,
    Species.ROTOM,
    Species.EMOLGA,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.STUNFISK,
    Species.THUNDURUS,
    Species.HELIOLISK,
    Species.DEDENNE,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.TOGEDEMARU,
    Species.TAPU_KOKO,
    Species.XURKITREE,
    Species.MAGEARNA,
    Species.BOLTUND,
    Species.TOXTRICITY,
    Species.MORPEKO,
    Species.REGIELEKI,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.SANDY_SHOCKS,
    Species.IRON_THORNS,
    Species.MIRAIDON,
    Species.RAGING_BOLT,
    Species.ALOLA_RAICHU,
  ],
  [Moves.VENOM_DRENCH]: [
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.TENTACRUEL,
    Species.KOFFING,
    Species.WEEZING,
    Species.MEW,
    Species.CROBAT,
    Species.QWILFISH,
    Species.ROSERADE,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ACCELGOR,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.PYUKUMUKU,
    Species.NIHILEGO,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.PINCURCHIN,
    Species.ETERNATUS,
    Species.GALAR_WEEZING,
    Species.GALAR_SLOWKING,
    [
      Species.TOXTRICITY,
      "low-key",
    ],
  ],
  [Moves.ELECTRIC_TERRAIN]: [
    Species.PIKACHU,
    Species.RAICHU,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.CHANSEY,
    Species.JOLTEON,
    Species.ZAPDOS,
    Species.MEW,
    Species.PICHU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.MANECTRIC,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.PACHIRISU,
    Species.MAGNEZONE,
    Species.ELECTIVIRE,
    Species.ROTOM,
    Species.ARCEUS,
    Species.KLINKLANG,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.STUNFISK,
    Species.THUNDURUS,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.DEDENNE,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.TOGEDEMARU,
    Species.TAPU_KOKO,
    Species.XURKITREE,
    Species.ZERAORA,
    Species.MELMETAL,
    Species.BOLTUND,
    Species.TOXTRICITY,
    Species.PINCURCHIN,
    Species.MORPEKO,
    Species.REGIELEKI,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.IRON_VALIANT,
    Species.MIRAIDON,
    Species.IRON_LEAVES,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.ALOLA_RAICHU,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
  ],
  [Moves.DAZZLING_GLEAM]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.CHANSEY,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.MEW,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.SUNFLORA,
    Species.ESPEON,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.BLISSEY,
    Species.CELEBI,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.NOSEPASS,
    Species.SABLEYE,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SWABLU,
    Species.ALTARIA,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.SHUPPET,
    Species.BANETTE,
    Species.CHIMECHO,
    Species.JIRACHI,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.MISMAGIUS,
    Species.CHINGLING,
    Species.MIME_JR,
    Species.FINNEON,
    Species.LUMINEON,
    Species.TOGEKISS,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.AUDINO,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.SIGILYPH,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.MELOETTA,
    Species.DELPHOX,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.SYLVEON,
    Species.DEDENNE,
    Species.CARBINK,
    Species.KLEFKI,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.PRIMARINA,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.MINIOR,
    Species.MIMIKYU,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.XURKITREE,
    Species.MAGEARNA,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.MR_RIME,
    Species.MILCERY,
    Species.ALCREMIE,
    Species.FROSMOTH,
    Species.INDEEDEE,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ENAMORUS,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.ARBOLIVA,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.RABSCA,
    Species.ESPATHRA,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.FARIGIRAF,
    Species.SCREAM_TAIL,
    Species.FLUTTER_MANE,
    Species.IRON_MOTH,
    Species.GHOLDENGO,
    Species.IRON_VALIANT,
    Species.MIRAIDON,
    Species.FEZANDIPITI,
    Species.TERAPAGOS,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_WEEZING,
    Species.GALAR_MR_MIME,
    Species.HISUI_BRAVIARY,
  ],
  [Moves.INFESTATION]: [
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.EKANS,
    Species.ARBOK,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GRIMER,
    Species.MUK,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.KOFFING,
    Species.WEEZING,
    Species.TANGELA,
    Species.MR_MIME,
    Species.MEW,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.BELLOSSOM,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SHUCKLE,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.GULPIN,
    Species.SWALOT,
    Species.SEVIPER,
    Species.LILEEP,
    Species.CRADILY,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.KRICKETUNE,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.VESPIQUEN,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.MIME_JR,
    Species.SPIRITOMB,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CARNIVINE,
    Species.TANGROWTH,
    Species.DUSKNOIR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.DURANT,
    Species.GENESECT,
    Species.VIVILLON,
    Species.PANGORO,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.MIMIKYU,
    Species.STAKATAKA,
    Species.BLIPBUG,
    Species.FROSMOTH,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.DIPPLIN,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
  ],
  [Moves.POWER_UP_PUNCH]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.GRIMER,
    Species.MUK,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.CHANSEY,
    Species.KANGASKHAN,
    Species.MR_MIME,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.AIPOM,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.DELIBIRD,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.SABLEYE,
    Species.MAWILE,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.GULPIN,
    Species.SWALOT,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.ZANGOOSE,
    Species.KECLEON,
    Species.DUSCLOPS,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.GROUDON,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.KRICKETUNE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.GALLADE,
    Species.DUSKNOIR,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.REGIGIGAS,
    Species.DARKRAI,
    Species.VICTINI,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.WATCHOG,
    Species.SIMISAGE,
    Species.SIMISEAR,
    Species.SIMIPOUR,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.GOTHITELLE,
    Species.REUNICLUS,
    Species.EELEKTROSS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.HEATMOR,
    Species.MELOETTA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    Species.GRENINJA,
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.PANCHAM,
    Species.PANGORO,
    Species.MEOWSTIC,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.HAWLUCHA,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.HOOPA,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.BUZZWOLE,
    Species.ZERAORA,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.GRIMMSNARL,
    Species.URSALUNA,
    Species.ANNIHILAPE,
    Species.KINGAMBIT,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_MAROWAK,
    Species.GALAR_DARUMAKA,
    Species.GALAR_DARMANITAN,
  ],
  [Moves.DARKEST_LARIAT]: [
    Species.POLIWRATH,
    Species.MACHAMP,
    Species.SNORLAX,
    Species.MEW,
    Species.SWAMPERT,
    Species.ELECTIVIRE,
    Species.DUSKNOIR,
    Species.REGIGIGAS,
    Species.KROOKODILE,
    Species.GOLURK,
    Species.PANGORO,
    Species.INCINEROAR,
    Species.BEWEAR,
    Species.TAPU_BULU,
    Species.BUZZWOLE,
    Species.MELMETAL,
    Species.RILLABOOM,
    Species.GRIMMSNARL,
    Species.URSHIFU,
    Species.ZARUDE,
  ],
  [Moves.HIGH_HORSEPOWER]: [
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.DUGTRIO,
    Species.POLIWRATH,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.ONIX,
    Species.KINGLER,
    Species.RHYHORN,
    Species.RHYDON,
    Species.PINSIR,
    Species.TAUROS,
    Species.SNORLAX,
    Species.MEW,
    Species.SUDOWOODO,
    Species.QUAGSIRE,
    Species.GIRAFARIG,
    Species.GLIGAR,
    Species.STEELIX,
    Species.HERACROSS,
    Species.URSARING,
    Species.SLUGMA,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.PHANPY,
    Species.DONPHAN,
    Species.MILTANK,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.SWAMPERT,
    Species.SLAKING,
    Species.NOSEPASS,
    Species.AGGRON,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.GROUDON,
    Species.TORTERRA,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.RHYPERIOR,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PROBOPASS,
    Species.REGIGIGAS,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.ZEBSTRIKA,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.KROOKODILE,
    Species.SAWSBUCK,
    Species.GOLURK,
    Species.BOUFFALANT,
    Species.TERRAKION,
    Species.CHESNAUGHT,
    Species.DIGGERSBY,
    Species.GOGOAT,
    Species.TYRANTRUM,
    Species.AVALUGG,
    Species.ZYGARDE,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.BEWEAR,
    Species.TAPU_BULU,
    Species.BUZZWOLE,
    Species.GUZZLORD,
    Species.STAKATAKA,
    Species.MELMETAL,
    Species.RILLABOOM,
    Species.GREEDENT,
    Species.DREDNAW,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.APPLETUN,
    Species.SANDACONDA,
    Species.FALINKS,
    Species.STONJOURNER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.GLASTRIER,
    Species.WYRDEER,
    Species.URSALUNA,
    Species.OINKOLOGNE,
    Species.KLAWF,
    Species.REVAVROOM,
    Species.ORTHWORM,
    Species.CETODDLE,
    Species.CETITAN,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.GREAT_TUSK,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_THORNS,
    Species.BAXCALIBUR,
    Species.OKIDOGI,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_AVALUGG,
    Species.PALDEA_TAUROS,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.SOLAR_BLADE]: [
    Species.PONYTA,
    Species.RAPIDASH,
    Species.FARFETCHD,
    Species.MEW,
    Species.CELEBI,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TROPIUS,
    Species.CHERRIM,
    Species.TANGROWTH,
    Species.LEAFEON,
    Species.GALLADE,
    Species.LILLIGANT,
    Species.CRUSTLE,
    Species.VIRIZION,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.DECIDUEYE,
    Species.LURANTIS,
    Species.TSAREENA,
    Species.DHELMISE,
    Species.KARTANA,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SIRFETCHD,
    Species.ZACIAN,
    Species.ZARUDE,
    Species.CALYREX,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.CERULEDGE,
    Species.WO_CHIEN,
    Species.IRON_LEAVES,
    Species.OGERPON,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.GALAR_FARFETCHD,
    Species.HISUI_LILLIGANT,
  ],
  [Moves.THROAT_CHOP]: [
    Species.BEEDRILL,
    Species.RATICATE,
    Species.FEAROW,
    Species.ARBOK,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.PARASECT,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PRIMEAPE,
    Species.POLIWRATH,
    Species.MACHAMP,
    Species.RAPIDASH,
    Species.FARFETCHD,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.PINSIR,
    Species.TAUROS,
    Species.MEW,
    Species.TYPHLOSION,
    Species.ARIADOS,
    Species.UMBREON,
    Species.GLIGAR,
    Species.QWILFISH,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.URSARING,
    Species.CORSOLA,
    Species.HOUNDOOM,
    Species.STANTLER,
    Species.RAIKOU,
    Species.SCEPTILE,
    Species.MIGHTYENA,
    Species.LINOONE,
    Species.SHIFTRY,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.HARIYAMA,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.BANETTE,
    Species.ABSOL,
    Species.DEOXYS,
    Species.EMPOLEON,
    Species.KRICKETUNE,
    Species.LUXRAY,
    Species.PURUGLY,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.DRAPION,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.WEAVILE,
    Species.GLISCOR,
    Species.GALLADE,
    Species.DARKRAI,
    Species.LIEPARD,
    Species.SIMISAGE,
    Species.SIMISEAR,
    Species.SIMIPOUR,
    Species.GIGALITH,
    Species.AUDINO,
    Species.SAWK,
    Species.LEAVANNY,
    Species.SCOLIPEDE,
    Species.KROOKODILE,
    Species.MARACTUS,
    Species.SCRAFTY,
    Species.ZOROARK,
    Species.GALVANTULA,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.BEARTIC,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.HEATMOR,
    Species.HYDREIGON,
    Species.PANGORO,
    Species.MALAMAR,
    Species.HAWLUCHA,
    Species.HOOPA,
    Species.INCINEROAR,
    Species.GOLISOPOD,
    Species.PHEROMOSA,
    Species.MARSHADOW,
    Species.NAGANADEL,
    Species.ZERAORA,
    Species.DREDNAW,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXTRICITY,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.CURSOLA,
    Species.SIRFETCHD,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.GLASTRIER,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.LOKIX,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.FLAMIGO,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.ROARING_MOON,
    Species.OGERPON,
    Species.IRON_BOULDER,
    Species.ALOLA_RATICATE,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_MAROWAK,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.GALAR_MEOWTH,
    Species.GALAR_RAPIDASH,
    Species.GALAR_FARFETCHD,
    Species.GALAR_ZAPDOS,
    Species.GALAR_CORSOLA,
    Species.GALAR_LINOONE,
    [
      Species.CALYREX,
      "ice",
    ],
  ],
  [Moves.POLLEN_PUFF]: [
    Species.BUTTERFREE,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.MEW,
    Species.BELLOSSOM,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.CELEBI,
    Species.VESPIQUEN,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.LEAVANNY,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.VIVILLON,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.COMFEY,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.CALYREX,
    Species.MEOWSCARADA,
    Species.ARBOLIVA,
    Species.BRUTE_BONNET,
    Species.WO_CHIEN,
    Species.DIPPLIN,
    Species.HYDRAPPLE,
    Species.ETERNAL_FLOETTE,
    Species.HISUI_LILLIGANT,
  ],
  [Moves.PSYCHIC_TERRAIN]: [
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.DROWZEE,
    Species.HYPNO,
    Species.MR_MIME,
    Species.JYNX,
    Species.MEWTWO,
    Species.MEW,
    Species.ESPEON,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.CELEBI,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MIME_JR,
    Species.GALLADE,
    Species.CRESSELIA,
    Species.ARCEUS,
    Species.MUSHARNA,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.BEHEEYEM,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.MEOWSTIC,
    Species.HOOPA,
    Species.ORANGURU,
    Species.BRUXISH,
    Species.TAPU_LELE,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.MR_RIME,
    Species.INDEEDEE,
    Species.CALYREX,
    Species.ARMAROUGE,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.VELUZA,
    Species.FARIGIRAF,
    Species.SCREAM_TAIL,
    Species.IRON_VALIANT,
    Species.IRON_LEAVES,
    Species.MUNKIDORI,
    Species.ALOLA_RAICHU,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_SLOWKING,
    Species.HISUI_BRAVIARY,
  ],
  [Moves.LUNGE]: [
    Species.VENONAT,
    Species.VENOMOTH,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.DODUO,
    Species.DODRIO,
    Species.MUK,
    Species.SCYTHER,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.YANMA,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.STANTLER,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.VOLBEAT,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.CACTURNE,
    Species.KRICKETOT,
    Species.KRICKETUNE,
    Species.MOTHIM,
    Species.COMBEE,
    Species.VESPIQUEN,
    Species.YANMEGA,
    Species.GLISCOR,
    Species.HEATRAN,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.JOLTIK,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.HAWLUCHA,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.RIBOMBEE,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.FALINKS,
    Species.SNOM,
    Species.FROSMOTH,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.LOKIX,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLAMIGO,
    Species.TATSUGIRI,
    Species.DUDUNSPARCE,
    Species.SLITHER_WING,
    Species.IRON_MOTH,
  ],
  [Moves.SPEED_SWAP]: [
    Species.RAICHU,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.PORYGON,
    Species.MEWTWO,
    Species.MEW,
    Species.PORYGON2,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.PORYGON_Z,
    Species.VICTINI,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SIGILYPH,
    Species.EMOLGA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.TAPU_LELE,
    Species.PHEROMOSA,
    Species.MAGEARNA,
    Species.CALYREX,
    Species.RABSCA,
    Species.ALOLA_RAICHU,
  ],
  [Moves.SMART_STRIKE]: [
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.RAPIDASH,
    Species.SEEL,
    Species.DEWGONG,
    Species.CLOYSTER,
    Species.RHYHORN,
    Species.RHYDON,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.TAUROS,
    Species.LAPRAS,
    Species.MEW,
    Species.ARIADOS,
    Species.TOGETIC,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.HERACROSS,
    Species.DONPHAN,
    Species.AGGRON,
    Species.RHYPERIOR,
    Species.TOGEKISS,
    Species.SAMUROTT,
    Species.EXCADRILL,
    Species.SCOLIPEDE,
    Species.SAWSBUCK,
    Species.ESCAVALIER,
    Species.BOUFFALANT,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.THUNDURUS,
    Species.KELDEO,
    Species.XERNEAS,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.NECROZMA,
    Species.NAGANADEL,
    Species.DREDNAW,
    Species.FALINKS,
    Species.GLASTRIER,
    Species.OVERQWIL,
    Species.DUDUNSPARCE,
    Species.GREAT_TUSK,
    Species.IRON_TREADS,
    Species.IRON_LEAVES,
    Species.GOUGING_FIRE,
    Species.IRON_CROWN,
    Species.GALAR_RAPIDASH,
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_SAMUROTT,
    Species.PALDEA_TAUROS,
  ],
  [Moves.BRUTAL_SWING]: [
    Species.CHARIZARD,
    Species.BEEDRILL,
    Species.EKANS,
    Species.ARBOK,
    Species.RAICHU,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.FARFETCHD,
    Species.ONIX,
    Species.KINGLER,
    Species.CUBONE,
    Species.MAROWAK,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.SCYTHER,
    Species.PINSIR,
    Species.GYARADOS,
    Species.AERODACTYL,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.SENTRET,
    Species.FURRET,
    Species.AMPHAROS,
    Species.MARILL,
    Species.AZUMARILL,
    Species.STEELIX,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.DELIBIRD,
    Species.DONPHAN,
    Species.HITMONTOP,
    Species.TYRANITAR,
    Species.SCEPTILE,
    Species.SHIFTRY,
    Species.AZURILL,
    Species.MAWILE,
    Species.AGGRON,
    Species.FLYGON,
    Species.SEVIPER,
    Species.ARMALDO,
    Species.MILOTIC,
    Species.TROPIUS,
    Species.ABSOL,
    Species.SALAMENCE,
    Species.METAGROSS,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.DEOXYS,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.LOPUNNY,
    Species.GARCHOMP,
    Species.DRAPION,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.GLISCOR,
    Species.GIRATINA,
    Species.SERPERIOR,
    Species.EXCADRILL,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.ESCAVALIER,
    Species.FERROTHORN,
    Species.HAXORUS,
    Species.MIENSHAO,
    Species.HEATMOR,
    Species.HYDREIGON,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.GRENINJA,
    Species.DIGGERSBY,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.MALAMAR,
    Species.BARBARACLE,
    Species.HELIOLISK,
    Species.TYRANTRUM,
    Species.GOODRA,
    Species.TREVENANT,
    Species.GOURGEIST,
    Species.INCINEROAR,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.TURTONATOR,
    Species.DHELMISE,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_BULU,
    Species.NIHILEGO,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.STAKATAKA,
    Species.ZERAORA,
    Species.MELMETAL,
    Species.RILLABOOM,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.GRAPPLOCT,
    Species.HATTREM,
    Species.HATTERENE,
    Species.SIRFETCHD,
    Species.RUNERIGUS,
    Species.STONJOURNER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.DRACOVISH,
    Species.ZACIAN,
    Species.ETERNATUS,
    Species.ZARUDE,
    Species.KLEAVOR,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.OKIDOGI,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.GALAR_SLOWBRO,
    Species.GALAR_FARFETCHD,
    Species.GALAR_WEEZING,
    Species.GALAR_YAMASK,
  ],
  [Moves.AURORA_VEIL]: [
    Species.JYNX,
    Species.ARTICUNO,
    Species.MEW,
    Species.DELIBIRD,
    Species.SMOOCHUM,
    Species.REGICE,
    Species.ABOMASNOW,
    Species.GLACEON,
    Species.FROSLASS,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.CRYOGONAL,
    Species.AMAURA,
    Species.AURORUS,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.EISCUE,
    Species.ARCTOVISH,
    Species.IRON_BUNDLE,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.HISUI_AVALUGG,
  ],
  [Moves.PSYCHIC_FANGS]: [
    Species.EKANS,
    Species.ARBOK,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.AERODACTYL,
    Species.MEW,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.ESPEON,
    Species.GIRAFARIG,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.MAWILE,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.SEVIPER,
    Species.SALAMENCE,
    Species.METAGROSS,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.GLISCOR,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.SWOOBAT,
    Species.BASCULIN,
    Species.LITLEO,
    Species.PYROAR,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.SILVALLY,
    Species.BRUXISH,
    Species.SOLGALEO,
    Species.NECROZMA,
    Species.GREEDENT,
    Species.BOLTUND,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.MORPEKO,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.BASCULEGION,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.VELUZA,
    Species.FARIGIRAF,
    Species.SCREAM_TAIL,
    Species.CHIEN_PAO,
    Species.OKIDOGI,
    Species.GOUGING_FIRE,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
  ],
  [Moves.STOMPING_TANTRUM]: [
    Species.VENUSAUR,
    Species.RATICATE,
    Species.ARBOK,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.DODRIO,
    Species.ONIX,
    Species.KINGLER,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.LICKITUNG,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TAUROS,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.MEGANIUM,
    Species.TYPHLOSION,
    Species.ARIADOS,
    Species.AMPHAROS,
    Species.SUDOWOODO,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.GIRAFARIG,
    Species.DUNSPARCE,
    Species.STEELIX,
    Species.GRANBULL,
    Species.URSARING,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.MILTANK,
    Species.BLISSEY,
    Species.ENTEI,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.SWAMPERT,
    Species.LINOONE,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.DELCATTY,
    Species.LAIRON,
    Species.AGGRON,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.CACTURNE,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.ARMALDO,
    Species.TROPIUS,
    Species.WALREIN,
    Species.RELICANTH,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.GROUDON,
    Species.DEOXYS,
    Species.TORTERRA,
    Species.BIBAREL,
    Species.RAMPARDOS,
    Species.BASTIODON,
    Species.GASTRODON,
    Species.PURUGLY,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.DRAPION,
    Species.ABOMASNOW,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.MAMOSWINE,
    Species.PROBOPASS,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.ARCEUS,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.WATCHOG,
    Species.STOUTLAND,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.CONKELDURR,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SCOLIPEDE,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.CRUSTLE,
    Species.GARBODOR,
    Species.SAWSBUCK,
    Species.AMOONGUSS,
    Species.EELEKTROSS,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.STUNFISK,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.BOUFFALANT,
    Species.HEATMOR,
    Species.DURANT,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.TERRAKION,
    Species.LANDORUS,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.DIGGERSBY,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANGORO,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.CARBINK,
    Species.GOODRA,
    Species.AVALUGG,
    Species.ZYGARDE,
    Species.VOLCANION,
    Species.INCINEROAR,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.KOMMO_O,
    Species.BUZZWOLE,
    Species.CELESTEELA,
    Species.GUZZLORD,
    Species.STAKATAKA,
    Species.RILLABOOM,
    Species.GREEDENT,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.APPLETUN,
    Species.GRAPPLOCT,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.CURSOLA,
    Species.MR_RIME,
    Species.STONJOURNER,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.DURALUDON,
    Species.ZARUDE,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.URSALUNA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.OINKOLOGNE,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.ORTHWORM,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.CETODDLE,
    Species.CETITAN,
    Species.DONDOZO,
    Species.ANNIHILAPE,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.BAXCALIBUR,
    Species.TING_LU,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.OKIDOGI,
    Species.OGERPON,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.ALOLA_RATICATE,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.GALAR_MR_MIME,
    Species.GALAR_ZAPDOS,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    Species.GALAR_LINOONE,
    Species.GALAR_STUNFISK,
    [
      Species.CALYREX,
      "ice",
      "shadow",
    ],
    Species.HISUI_TYPHLOSION,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.LIQUIDATION]: [
    Species.BLASTOISE,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.KRABBY,
    Species.KINGLER,
    Species.HORSEA,
    Species.SEADRA,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.MEW,
    Species.FERALIGATR,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.QWILFISH,
    Species.CORSOLA,
    Species.OCTILLERY,
    Species.MANTINE,
    Species.KINGDRA,
    Species.SUICUNE,
    Species.SWAMPERT,
    Species.WINGULL,
    Species.PELIPPER,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILORD,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.ARMALDO,
    Species.WALREIN,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.KYOGRE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BIBAREL,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.GARCHOMP,
    Species.PALKIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.SEISMITOAD,
    Species.BASCULIN,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.ALOMOMOLA,
    Species.EELEKTROSS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.KELDEO,
    Species.FROAKIE,
    Species.FROGADIER,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.VOLCANION,
    Species.PRIMARINA,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.GOLISOPOD,
    Species.BRUXISH,
    Species.DHELMISE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.CURSOLA,
    Species.PINCURCHIN,
    Species.EISCUE,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.BASCULEGION,
    Species.OVERQWIL,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.CLODSIRE,
    Species.IRON_VALIANT,
    Species.WALKING_WAKE,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    Species.GALAR_CORSOLA,
    [
      Species.URSHIFU,
      "rapid-strike",
    ],
    Species.HISUI_QWILFISH,
    Species.HISUI_SAMUROTT,
    [
      Species.PALDEA_TAUROS,
      "aqua",
    ],
    Species.PALDEA_WOOPER,
  ],
  [Moves.BODY_PRESS]: [
    Species.BLASTOISE,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.GRAVELER,
    Species.GOLEM,
    Species.SLOWBRO,
    Species.ONIX,
    Species.HYPNO,
    Species.LICKITUNG,
    Species.RHYDON,
    Species.LAPRAS,
    Species.SNORLAX,
    Species.DRAGONITE,
    Species.MEW,
    Species.SUDOWOODO,
    Species.QUAGSIRE,
    Species.FORRETRESS,
    Species.STEELIX,
    Species.MANTINE,
    Species.SKARMORY,
    Species.DONPHAN,
    Species.MILTANK,
    Species.TYRANITAR,
    Species.SWAMPERT,
    Species.SLAKING,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.NOSEPASS,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.SWALOT,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.GRUMPIG,
    Species.CLAYDOL,
    Species.TROPIUS,
    Species.WALREIN,
    Species.RELICANTH,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGISTEEL,
    Species.GROUDON,
    Species.TORTERRA,
    Species.BRONZONG,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.ABOMASNOW,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.MAMOSWINE,
    Species.PROBOPASS,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.ARCEUS,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.DARMANITAN,
    Species.CRUSTLE,
    Species.COFAGRIGUS,
    Species.GARBODOR,
    Species.FERROTHORN,
    Species.EELEKTROSS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.GOLURK,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.CHESNAUGHT,
    Species.HAWLUCHA,
    Species.CARBINK,
    Species.GOODRA,
    Species.AVALUGG,
    Species.DIANCIE,
    Species.VOLCANION,
    Species.CRABOMINABLE,
    Species.MUDSDALE,
    Species.BEWEAR,
    Species.TURTONATOR,
    Species.DHELMISE,
    Species.KOMMO_O,
    Species.GUZZLORD,
    Species.STAKATAKA,
    Species.MELMETAL,
    Species.RILLABOOM,
    Species.GREEDENT,
    Species.CORVIKNIGHT,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.DUBWOOL,
    Species.DREDNAW,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.APPLETUN,
    Species.SANDACONDA,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.RUNERIGUS,
    Species.FALINKS,
    Species.STONJOURNER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DURALUDON,
    Species.ZAMAZENTA,
    Species.URSHIFU,
    Species.GLASTRIER,
    [
      Species.CALYREX,
      "",
      "ice",
    ],
    Species.URSALUNA,
    Species.OINKOLOGNE,
    Species.PAWMOT,
    Species.DACHSBUN,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.ORTHWORM,
    Species.HOUNDSTONE,
    Species.CETODDLE,
    Species.CETITAN,
    Species.DONDOZO,
    Species.CLODSIRE,
    Species.DUDUNSPARCE,
    Species.GREAT_TUSK,
    Species.BRUTE_BONNET,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.BAXCALIBUR,
    Species.WO_CHIEN,
    Species.TING_LU,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.OKIDOGI,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.RAGING_BOLT,
    Species.TERAPAGOS,
    Species.ALOLA_GOLEM,
    Species.GALAR_SLOWBRO,
    Species.GALAR_LINOONE,
    Species.GALAR_DARMANITAN,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.BREAKING_SWIPE]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.ARBOK,
    Species.ONIX,
    Species.RHYDON,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.AMPHAROS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.KINGDRA,
    Species.TYRANITAR,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.FLYGON,
    Species.ALTARIA,
    Species.SEVIPER,
    Species.MILOTIC,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.RAYQUAZA,
    Species.RAMPARDOS,
    Species.GABITE,
    Species.GARCHOMP,
    Species.RHYPERIOR,
    Species.GLISCOR,
    Species.DIALGA,
    Species.PALKIA,
    Species.GIRATINA,
    Species.SERPERIOR,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.HYDREIGON,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.HELIOLISK,
    Species.TYRANTRUM,
    Species.GOODRA,
    Species.NOIVERN,
    Species.ZYGARDE,
    Species.SALAZZLE,
    Species.DRAMPA,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.NECROZMA,
    Species.NAGANADEL,
    Species.INTELEON,
    Species.DRACOZOLT,
    Species.DURALUDON,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.REGIDRAGO,
    Species.CYCLIZAR,
    Species.DUDUNSPARCE,
    Species.IRON_THORNS,
    Species.BAXCALIBUR,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.WALKING_WAKE,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.ALOLA_EXEGGUTOR,
    Species.HISUI_GOODRA,
  ],
  [Moves.STEEL_BEAM]: [
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.MEW,
    Species.FORRETRESS,
    Species.STEELIX,
    Species.SCIZOR,
    Species.SKARMORY,
    Species.NOSEPASS,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.BELDUM,
    Species.METANG,
    Species.METAGROSS,
    Species.REGISTEEL,
    Species.JIRACHI,
    Species.EMPOLEON,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.LUCARIO,
    Species.MAGNEZONE,
    Species.PROBOPASS,
    Species.DIALGA,
    Species.HEATRAN,
    Species.ARCEUS,
    Species.EXCADRILL,
    Species.ESCAVALIER,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.DURANT,
    Species.COBALION,
    Species.GENESECT,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.KLEFKI,
    Species.SILVALLY,
    Species.TOGEDEMARU,
    Species.SOLGALEO,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.MAGEARNA,
    Species.STAKATAKA,
    Species.MELTAN,
    Species.MELMETAL,
    Species.CORVIKNIGHT,
    Species.PERRSERKER,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DURALUDON,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.ORTHWORM,
    Species.KINGAMBIT,
    Species.IRON_TREADS,
    Species.GHOLDENGO,
    Species.ARCHALUDON,
    Species.IRON_CROWN,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.GALAR_MEOWTH,
    Species.GALAR_STUNFISK,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
  ],
  [Moves.EXPANDING_FORCE]: [
    Species.WIGGLYTUFF,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGUTOR,
    Species.STARMIE,
    Species.MR_MIME,
    Species.JYNX,
    Species.MEWTWO,
    Species.MEW,
    Species.NATU,
    Species.XATU,
    Species.ESPEON,
    Species.SLOWKING,
    Species.GIRAFARIG,
    Species.CELEBI,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.CHIMECHO,
    Species.METANG,
    Species.METAGROSS,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.GALLADE,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.CRESSELIA,
    Species.VICTINI,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DARMANITAN,
    Species.SIGILYPH,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.DELPHOX,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.INKAY,
    Species.MALAMAR,
    Species.HOOPA,
    Species.ORANGURU,
    Species.BRUXISH,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NECROZMA,
    Species.BLACEPHALON,
    Species.DOTTLER,
    Species.ORBEETLE,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.MR_RIME,
    Species.INDEEDEE,
    Species.CALYREX,
    Species.WYRDEER,
    Species.ARMAROUGE,
    Species.RABSCA,
    Species.ESPATHRA,
    Species.VELUZA,
    Species.FARIGIRAF,
    Species.SCREAM_TAIL,
    Species.IRON_VALIANT,
    Species.IRON_CROWN,
    Species.ALOLA_RAICHU,
    Species.GALAR_PONYTA,
    Species.GALAR_RAPIDASH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_MR_MIME,
    Species.GALAR_ARTICUNO,
    Species.GALAR_SLOWKING,
    Species.HISUI_BRAVIARY,
  ],
  [Moves.STEEL_ROLLER]: [
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.CLOYSTER,
    Species.LICKITUNG,
    Species.SNORLAX,
    Species.MEW,
    Species.MARILL,
    Species.AZUMARILL,
    Species.STEELIX,
    Species.QWILFISH,
    Species.SHUCKLE,
    Species.MILTANK,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.WAILMER,
    Species.WAILORD,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.METANG,
    Species.METAGROSS,
    Species.REGISTEEL,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.HEATRAN,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.TOGEDEMARU,
    Species.DHELMISE,
    Species.SOLGALEO,
    Species.CELESTEELA,
    Species.GUZZLORD,
    Species.MAGEARNA,
    Species.STAKATAKA,
    Species.MELMETAL,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DURALUDON,
    Species.IRON_TREADS,
    Species.ARCHALUDON,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
  ],
  [Moves.SCALE_SHOT]: [
    Species.CHARIZARD,
    Species.EKANS,
    Species.ARBOK,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.GYARADOS,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEW,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.QWILFISH,
    Species.KINGDRA,
    Species.LUGIA,
    Species.SCEPTILE,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.FLYGON,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.LATIAS,
    Species.LATIOS,
    Species.RAYQUAZA,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.DIALGA,
    Species.PALKIA,
    Species.BASCULIN,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.ALOMOMOLA,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.DRUDDIGON,
    Species.HYDREIGON,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.ZYGARDE,
    Species.WISHIWASHI,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.NAGANADEL,
    Species.INTELEON,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.REGIDRAGO,
    Species.BASCULEGION,
    Species.OVERQWIL,
    Species.CYCLIZAR,
    Species.VELUZA,
    Species.DUDUNSPARCE,
    Species.BAXCALIBUR,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.GOUGING_FIRE,
    Species.HISUI_QWILFISH,
  ],
  [Moves.METEOR_BEAM]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.ONIX,
    Species.RHYDON,
    Species.STARMIE,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.MEW,
    Species.AMPHAROS,
    Species.SUDOWOODO,
    Species.STEELIX,
    Species.SHUCKLE,
    Species.CORSOLA,
    Species.NOSEPASS,
    Species.AGGRON,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.RELICANTH,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGISTEEL,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.BASTIODON,
    Species.BRONZONG,
    Species.RHYPERIOR,
    Species.PROBOPASS,
    Species.ARCEUS,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.CRUSTLE,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.BARBARACLE,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.CARBINK,
    Species.DIANCIE,
    Species.MINIOR,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.CELESTEELA,
    Species.NECROZMA,
    Species.STAKATAKA,
    Species.DREDNAW,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.CURSOLA,
    Species.STONJOURNER,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.DRACOVISH,
    Species.ARCTOVISH,
    Species.ETERNATUS,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.ARMAROUGE,
    Species.KLAWF,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.KORAIDON,
    Species.ARCHALUDON,
    Species.IRON_BOULDER,
    Species.TERAPAGOS,
    Species.ALOLA_GOLEM,
    Species.GALAR_CORSOLA,
    Species.HISUI_AVALUGG,
  ],
  [Moves.MISTY_EXPLOSION]: [
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MEW,
    Species.MARILL,
    Species.AZUMARILL,
    Species.GARDEVOIR,
    Species.MUSHARNA,
    Species.FLORGES,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.SYLVEON,
    Species.CARBINK,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.PRIMARINA,
    Species.MAGEARNA,
    Species.HATTERENE,
    Species.ALCREMIE,
    Species.ENAMORUS,
    Species.SCREAM_TAIL,
    Species.GALAR_WEEZING,
  ],
  [Moves.GRASSY_GLIDE]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.TANGELA,
    Species.MEW,
    Species.BELLOSSOM,
    Species.SUNFLORA,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.ROSELIA,
    Species.CACNEA,
    Species.CACTURNE,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.TANGROWTH,
    Species.LEAFEON,
    Species.SHAYMIN,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.MARACTUS,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.VIRIZION,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.DHELMISE,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.GOSSIFLEUR,
    Species.ELDEGOSS,
    Species.WOOLOO,
    Species.DUBWOOL,
    Species.APPLIN,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SIRFETCHD,
    Species.ZARUDE,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.DIPPLIN,
    Species.OGERPON,
    Species.HYDRAPPLE,
    Species.ALOLA_EXEGGUTOR,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.RISING_VOLTAGE]: [
    Species.PIKACHU,
    Species.RAICHU,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.ELECTABUZZ,
    Species.JOLTEON,
    Species.ZAPDOS,
    Species.MEW,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.RAIKOU,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.MAGNEZONE,
    Species.ELECTIVIRE,
    Species.ROTOM,
    Species.EMOLGA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.THUNDURUS,
    Species.ZEKROM,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.DEDENNE,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.TOGEDEMARU,
    Species.XURKITREE,
    Species.ZERAORA,
    Species.YAMPER,
    Species.BOLTUND,
    Species.TOXTRICITY,
    Species.PINCURCHIN,
    Species.MORPEKO,
    Species.DRACOZOLT,
    Species.ARCTOZOLT,
    Species.REGIELEKI,
    Species.RAGING_BOLT,
    Species.ALOLA_RAICHU,
  ],
  [Moves.TERRAIN_PULSE]: [
    Species.VENUSAUR,
    Species.BLASTOISE,
    Species.EXEGGUTOR,
    Species.LICKITUNG,
    Species.KANGASKHAN,
    Species.SNORLAX,
    Species.MEW,
    Species.DUNSPARCE,
    Species.EXPLOUD,
    Species.LUCARIO,
    Species.LICKILICKY,
    Species.REGIGIGAS,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.CARBINK,
    Species.XERNEAS,
    Species.DIANCIE,
    Species.ORANGURU,
    Species.PALOSSAND,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.INDEEDEE,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.DUDUNSPARCE,
    Species.ALOLA_EXEGGUTOR,
    Species.GALAR_STUNFISK,
  ],
  [Moves.SKITTER_SMACK]: [
    Species.EKANS,
    Species.ARBOK,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.PERSIAN,
    Species.TENTACRUEL,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.SCYTHER,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.YANMA,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.OCTILLERY,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.SABLEYE,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SEVIPER,
    Species.MILOTIC,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.KRICKETOT,
    Species.KRICKETUNE,
    Species.COMBEE,
    Species.VESPIQUEN,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.YANMEGA,
    Species.GLISCOR,
    Species.DUSKNOIR,
    Species.GIRATINA,
    Species.LIEPARD,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.ZORUA,
    Species.ZOROARK,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.DURANT,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.VIVILLON,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.ZYGARDE,
    Species.HOOPA,
    Species.DECIDUEYE,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.PHEROMOSA,
    Species.MARSHADOW,
    Species.INTELEON,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.GRAPPLOCT,
    Species.SNOM,
    Species.FROSMOTH,
    Species.KLEAVOR,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.RELLOR,
    Species.RABSCA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.DUDUNSPARCE,
    Species.SLITHER_WING,
    Species.ALOLA_PERSIAN,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
  ],
  [Moves.BURNING_JEALOUSY]: [
    Species.VULPIX,
    Species.NINETALES,
    Species.MAGMAR,
    Species.FLAREON,
    Species.MOLTRES,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.MISDREAVUS,
    Species.MAGCARGO,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.TORKOAL,
    Species.BANETTE,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.MISMAGIUS,
    Species.SKUNTANK,
    Species.SPIRITOMB,
    Species.MAGMORTAR,
    Species.HEATRAN,
    Species.LIEPARD,
    Species.DARMANITAN,
    Species.ZORUA,
    Species.ZOROARK,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.HEATMOR,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.PYROAR,
    Species.TREVENANT,
    Species.INCINEROAR,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.TURTONATOR,
    Species.MIMIKYU,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.THIEVUL,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.CURSOLA,
    Species.SCOVILLAIN,
    Species.CHI_YU,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_MAROWAK,
    Species.GALAR_DARMANITAN,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
  ],
  [Moves.LASH_OUT]: [
    Species.EKANS,
    Species.ARBOK,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.MUK,
    Species.TAUROS,
    Species.GYARADOS,
    Species.MEWTWO,
    Species.MEW,
    Species.UMBREON,
    Species.MURKROW,
    Species.SNEASEL,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.HARIYAMA,
    Species.SABLEYE,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.CACTURNE,
    Species.SEVIPER,
    Species.CRAWDAUNT,
    Species.SHUPPET,
    Species.BANETTE,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.EMPOLEON,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.SPIRITOMB,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.DARKRAI,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARMANITAN,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.ZORUA,
    Species.ZOROARK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.STUNFISK,
    Species.DRUDDIGON,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.PANCHAM,
    Species.PANGORO,
    Species.INKAY,
    Species.MALAMAR,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.YVELTAL,
    Species.HOOPA,
    Species.INCINEROAR,
    Species.MUDSDALE,
    Species.TURTONATOR,
    Species.DRAMPA,
    Species.GUZZLORD,
    Species.NICKIT,
    Species.THIEVUL,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.OBSTAGOON,
    Species.PERRSERKER,
    Species.MORPEKO,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.MEOWSCARADA,
    Species.OINKOLOGNE,
    Species.LOKIX,
    Species.SQUAWKABILLY,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SCOVILLAIN,
    Species.BOMBIRDIER,
    Species.REVAVROOM,
    Species.ANNIHILAPE,
    Species.KINGAMBIT,
    Species.BRUTE_BONNET,
    Species.IRON_JUGULIS,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.IRON_BOULDER,
    Species.IRON_CROWN,
    Species.PECHARUNT,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_MUK,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.GALAR_MEOWTH,
    Species.GALAR_MOLTRES,
    Species.GALAR_ZIGZAGOON,
    Species.GALAR_LINOONE,
    Species.GALAR_DARMANITAN,
    Species.GALAR_STUNFISK,
    [
      Species.CALYREX,
      "ice",
      "shadow",
    ],
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_GOODRA,
    Species.PALDEA_TAUROS,
  ],
  [Moves.POLTERGEIST]: [
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.MEW,
    Species.MISDREAVUS,
    Species.SHEDINJA,
    Species.SABLEYE,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.MISMAGIUS,
    Species.SPIRITOMB,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.GIRATINA,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.GOLETT,
    Species.GOLURK,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.DECIDUEYE,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.DHELMISE,
    Species.LUNALA,
    Species.MARSHADOW,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.CURSOLA,
    Species.RUNERIGUS,
    Species.SPECTRIER,
    Species.SKELEDIRGE,
    Species.CERULEDGE,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.RABSCA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FLUTTER_MANE,
    Species.GHOLDENGO,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.MUNKIDORI,
    Species.PECHARUNT,
    Species.ALOLA_MAROWAK,
    Species.GALAR_YAMASK,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_ZOROARK,
  ],
  [Moves.CORROSIVE_GAS]: [
    Species.VILEPLUME,
    Species.TENTACRUEL,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.KOFFING,
    Species.WEEZING,
    Species.MEW,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.TOXICROAK,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.SALAZZLE,
    Species.NIHILEGO,
    Species.GUZZLORD,
    Species.GALAR_WEEZING,
  ],
  [Moves.COACHING]: [
    Species.POLIWRATH,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.MEW,
    Species.HERACROSS,
    Species.HITMONTOP,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.INFERNAPE,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.GALLADE,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.THROH,
    Species.SAWK,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.KELDEO,
    Species.MELOETTA,
    Species.CHESNAUGHT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.HAWLUCHA,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.PASSIMIAN,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.MARSHADOW,
    Species.ZERAORA,
    Species.CINDERACE,
    Species.CLOBBOPUS,
    Species.GRAPPLOCT,
    Species.SIRFETCHD,
    Species.FALINKS,
    Species.ZAMAZENTA,
    Species.KUBFU,
    Species.URSHIFU,
    Species.SNEASLER,
    Species.QUAQUAVAL,
    Species.PAWMO,
    Species.PAWMOT,
    Species.ANNIHILAPE,
    Species.IRON_VALIANT,
    Species.IRON_LEAVES,
    Species.GALAR_ZAPDOS,
    Species.HISUI_SNEASEL,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.FLIP_TURN]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SEEL,
    Species.DEWGONG,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.VAPOREON,
    Species.KABUTOPS,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.QWILFISH,
    Species.KINGDRA,
    Species.SWAMPERT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.MILOTIC,
    Species.LUVDISC,
    Species.LATIOS,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.FINNEON,
    Species.LUMINEON,
    Species.PHIONE,
    Species.MANAPHY,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.BASCULIN,
    Species.SWANNA,
    Species.ALOMOMOLA,
    Species.KELDEO,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.WISHIWASHI,
    Species.BRUXISH,
    Species.INTELEON,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.EISCUE,
    Species.BASCULEGION,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.PALAFIN,
    Species.VELUZA,
    Species.IRON_BUNDLE,
    Species.WALKING_WAKE,
    Species.HISUI_SAMUROTT,
  ],
  [Moves.TRIPLE_AXEL]: [
    Species.SEEL,
    Species.DEWGONG,
    Species.JYNX,
    Species.ARTICUNO,
    Species.MEW,
    Species.BELLOSSOM,
    Species.SNEASEL,
    Species.DELIBIRD,
    Species.HITMONTOP,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.MILOTIC,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.AMBIPOM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.WEAVILE,
    Species.GLACEON,
    Species.GALLADE,
    Species.FROSLASS,
    Species.LEAVANNY,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.CRYOGONAL,
    Species.MIENSHAO,
    Species.MELOETTA,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.STEENEE,
    Species.TSAREENA,
    Species.PHEROMOSA,
    Species.MR_RIME,
    Species.FROSMOTH,
    Species.MEOWSCARADA,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_NINETALES,
    Species.GALAR_MR_MIME,
    Species.HISUI_LILLIGANT,
  ],
  [Moves.DUAL_WINGBEAT]: [
    Species.CHARIZARD,
    Species.BUTTERFREE,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.FARFETCHD,
    Species.SCYTHER,
    Species.AERODACTYL,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRAGONITE,
    Species.MEW,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.CROBAT,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MURKROW,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.SCIZOR,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.WINGULL,
    Species.PELIPPER,
    Species.MASQUERAIN,
    Species.NINJASK,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.SWABLU,
    Species.ALTARIA,
    Species.TROPIUS,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.COMBEE,
    Species.VESPIQUEN,
    Species.HONCHKROW,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.GLISCOR,
    Species.PALKIA,
    Species.GIRATINA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.SIGILYPH,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.EMOLGA,
    Species.DRUDDIGON,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HYDREIGON,
    Species.VOLCARONA,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.HAWLUCHA,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.YVELTAL,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.VIKAVOLT,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.LUNALA,
    Species.BUZZWOLE,
    Species.NAGANADEL,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.FLAPPLE,
    Species.CRAMORANT,
    Species.SIRFETCHD,
    Species.FROSMOTH,
    Species.KLEAVOR,
    Species.SQUAWKABILLY,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.BOMBIRDIER,
    Species.FLAMIGO,
    Species.DUDUNSPARCE,
    Species.SLITHER_WING,
    Species.IRON_JUGULIS,
    Species.KORAIDON,
    Species.FEZANDIPITI,
    Species.GALAR_FARFETCHD,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.HISUI_BRAVIARY,
    Species.HISUI_DECIDUEYE,
  ],
  [Moves.SCORCHING_SANDS]: [
    Species.CHARIZARD,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDOQUEEN,
    Species.NIDOKING,
    Species.NINETALES,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.ARCANINE,
    Species.RAPIDASH,
    Species.ONIX,
    Species.CUBONE,
    Species.MAROWAK,
    Species.RHYHORN,
    Species.RHYDON,
    Species.MAGMAR,
    Species.FLAREON,
    Species.MOLTRES,
    Species.MEW,
    Species.TYPHLOSION,
    Species.STEELIX,
    Species.MAGCARGO,
    Species.ENTEI,
    Species.HO_OH,
    Species.BLAZIKEN,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.GROUDON,
    Species.INFERNAPE,
    Species.TORTERRA,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.RHYPERIOR,
    Species.MAGMORTAR,
    Species.HEATRAN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.GOLETT,
    Species.GOLURK,
    Species.HEATMOR,
    Species.RESHIRAM,
    Species.LANDORUS,
    Species.DELPHOX,
    Species.DIGGERSBY,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.VOLCANION,
    Species.INCINEROAR,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.MINIOR,
    Species.TURTONATOR,
    Species.CINDERACE,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.SIZZLIPEDE,
    Species.CENTISKORCH,
    Species.SKELEDIRGE,
    Species.ARMAROUGE,
    Species.SANDY_SHOCKS,
    Species.GOUGING_FIRE,
    Species.TERAPAGOS,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MAROWAK,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
  ],
  [Moves.TERA_BLAST]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.BUTTERFREE,
    Species.BEEDRILL,
    Species.PIDGEY,
    Species.PIDGEOTTO,
    Species.PIDGEOT,
    Species.RATTATA,
    Species.RATICATE,
    Species.SPEAROW,
    Species.FEAROW,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.SANDSHREW,
    Species.SANDSLASH,
    Species.NIDORAN_F,
    Species.NIDORINA,
    Species.NIDOQUEEN,
    Species.NIDORAN_M,
    Species.NIDORINO,
    Species.NIDOKING,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.VULPIX,
    Species.NINETALES,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ZUBAT,
    Species.GOLBAT,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.PARAS,
    Species.PARASECT,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.DIGLETT,
    Species.DUGTRIO,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.MANKEY,
    Species.PRIMEAPE,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.ABRA,
    Species.KADABRA,
    Species.ALAKAZAM,
    Species.MACHOP,
    Species.MACHOKE,
    Species.MACHAMP,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.GEODUDE,
    Species.GRAVELER,
    Species.GOLEM,
    Species.PONYTA,
    Species.RAPIDASH,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.MAGNEMITE,
    Species.MAGNETON,
    Species.FARFETCHD,
    Species.DODUO,
    Species.DODRIO,
    Species.SEEL,
    Species.DEWGONG,
    Species.GRIMER,
    Species.MUK,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.GASTLY,
    Species.HAUNTER,
    Species.GENGAR,
    Species.ONIX,
    Species.DROWZEE,
    Species.HYPNO,
    Species.KRABBY,
    Species.KINGLER,
    Species.VOLTORB,
    Species.ELECTRODE,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.CUBONE,
    Species.MAROWAK,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.LICKITUNG,
    Species.KOFFING,
    Species.WEEZING,
    Species.RHYHORN,
    Species.RHYDON,
    Species.CHANSEY,
    Species.TANGELA,
    Species.KANGASKHAN,
    Species.HORSEA,
    Species.SEADRA,
    Species.GOLDEEN,
    Species.SEAKING,
    Species.STARYU,
    Species.STARMIE,
    Species.MR_MIME,
    Species.SCYTHER,
    Species.JYNX,
    Species.ELECTABUZZ,
    Species.MAGMAR,
    Species.PINSIR,
    Species.TAUROS,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.PORYGON,
    Species.OMANYTE,
    Species.OMASTAR,
    Species.KABUTO,
    Species.KABUTOPS,
    Species.AERODACTYL,
    Species.SNORLAX,
    Species.ARTICUNO,
    Species.ZAPDOS,
    Species.MOLTRES,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.HOOTHOOT,
    Species.NOCTOWL,
    Species.LEDYBA,
    Species.LEDIAN,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.CROBAT,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.PICHU,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.TOGEPI,
    Species.TOGETIC,
    Species.NATU,
    Species.XATU,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.POLITOED,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.YANMA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.GLIGAR,
    Species.STEELIX,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.QWILFISH,
    Species.SCIZOR,
    Species.SHUCKLE,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.CORSOLA,
    Species.REMORAID,
    Species.OCTILLERY,
    Species.DELIBIRD,
    Species.MANTINE,
    Species.SKARMORY,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.KINGDRA,
    Species.PHANPY,
    Species.DONPHAN,
    Species.PORYGON2,
    Species.STANTLER,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.SMOOCHUM,
    Species.ELEKID,
    Species.MAGBY,
    Species.MILTANK,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.LARVITAR,
    Species.PUPITAR,
    Species.TYRANITAR,
    Species.LUGIA,
    Species.HO_OH,
    Species.CELEBI,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.ZIGZAGOON,
    Species.LINOONE,
    Species.BEAUTIFLY,
    Species.DUSTOX,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.TAILLOW,
    Species.SWELLOW,
    Species.WINGULL,
    Species.PELIPPER,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.NINCADA,
    Species.NINJASK,
    Species.SHEDINJA,
    Species.WHISMUR,
    Species.LOUDRED,
    Species.EXPLOUD,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.AZURILL,
    Species.NOSEPASS,
    Species.SKITTY,
    Species.DELCATTY,
    Species.SABLEYE,
    Species.MAWILE,
    Species.ARON,
    Species.LAIRON,
    Species.AGGRON,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ELECTRIKE,
    Species.MANECTRIC,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.ROSELIA,
    Species.GULPIN,
    Species.SWALOT,
    Species.CARVANHA,
    Species.SHARPEDO,
    Species.WAILMER,
    Species.WAILORD,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.SPINDA,
    Species.TRAPINCH,
    Species.VIBRAVA,
    Species.FLYGON,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.ZANGOOSE,
    Species.SEVIPER,
    Species.LUNATONE,
    Species.SOLROCK,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.BALTOY,
    Species.CLAYDOL,
    Species.LILEEP,
    Species.CRADILY,
    Species.ANORITH,
    Species.ARMALDO,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.CASTFORM,
    Species.KECLEON,
    Species.SHUPPET,
    Species.BANETTE,
    Species.DUSKULL,
    Species.DUSCLOPS,
    Species.TROPIUS,
    Species.CHIMECHO,
    Species.ABSOL,
    Species.SNORUNT,
    Species.GLALIE,
    Species.SPHEAL,
    Species.SEALEO,
    Species.WALREIN,
    Species.CLAMPERL,
    Species.HUNTAIL,
    Species.GOREBYSS,
    Species.RELICANTH,
    Species.LUVDISC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.BELDUM,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGICE,
    Species.REGISTEEL,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.GROUDON,
    Species.RAYQUAZA,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.STARLY,
    Species.STARAVIA,
    Species.STARAPTOR,
    Species.BIDOOF,
    Species.BIBAREL,
    Species.KRICKETOT,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.BUDEW,
    Species.ROSERADE,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.BURMY,
    Species.WORMADAM,
    Species.MOTHIM,
    Species.COMBEE,
    Species.VESPIQUEN,
    Species.PACHIRISU,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.CHERUBI,
    Species.CHERRIM,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.BUNEARY,
    Species.LOPUNNY,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.GLAMEOW,
    Species.PURUGLY,
    Species.CHINGLING,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.BONSLY,
    Species.MIME_JR,
    Species.HAPPINY,
    Species.CHATOT,
    Species.SPIRITOMB,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.HIPPOPOTAS,
    Species.HIPPOWDON,
    Species.SKORUPI,
    Species.DRAPION,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.CARNIVINE,
    Species.FINNEON,
    Species.LUMINEON,
    Species.MANTYKE,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.MAGNEZONE,
    Species.LICKILICKY,
    Species.RHYPERIOR,
    Species.TANGROWTH,
    Species.ELECTIVIRE,
    Species.MAGMORTAR,
    Species.TOGEKISS,
    Species.YANMEGA,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GLISCOR,
    Species.MAMOSWINE,
    Species.PORYGON_Z,
    Species.GALLADE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.FROSLASS,
    Species.ROTOM,
    Species.UXIE,
    Species.MESPRIT,
    Species.AZELF,
    Species.DIALGA,
    Species.PALKIA,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.GIRATINA,
    Species.CRESSELIA,
    Species.PHIONE,
    Species.MANAPHY,
    Species.DARKRAI,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.VICTINI,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.PATRAT,
    Species.WATCHOG,
    Species.LILLIPUP,
    Species.HERDIER,
    Species.STOUTLAND,
    Species.PURRLOIN,
    Species.LIEPARD,
    Species.PANSAGE,
    Species.SIMISAGE,
    Species.PANSEAR,
    Species.SIMISEAR,
    Species.PANPOUR,
    Species.SIMIPOUR,
    Species.MUNNA,
    Species.MUSHARNA,
    Species.PIDOVE,
    Species.TRANQUILL,
    Species.UNFEZANT,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.ROGGENROLA,
    Species.BOLDORE,
    Species.GIGALITH,
    Species.WOOBAT,
    Species.SWOOBAT,
    Species.DRILBUR,
    Species.EXCADRILL,
    Species.AUDINO,
    Species.TIMBURR,
    Species.GURDURR,
    Species.CONKELDURR,
    Species.TYMPOLE,
    Species.PALPITOAD,
    Species.SEISMITOAD,
    Species.THROH,
    Species.SAWK,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.VENIPEDE,
    Species.WHIRLIPEDE,
    Species.SCOLIPEDE,
    Species.COTTONEE,
    Species.WHIMSICOTT,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.BASCULIN,
    Species.SANDILE,
    Species.KROKOROK,
    Species.KROOKODILE,
    Species.DARUMAKA,
    Species.DARMANITAN,
    Species.MARACTUS,
    Species.DWEBBLE,
    Species.CRUSTLE,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.SIGILYPH,
    Species.YAMASK,
    Species.COFAGRIGUS,
    Species.TIRTOUGA,
    Species.CARRACOSTA,
    Species.ARCHEN,
    Species.ARCHEOPS,
    Species.TRUBBISH,
    Species.GARBODOR,
    Species.ZORUA,
    Species.ZOROARK,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.SOLOSIS,
    Species.DUOSION,
    Species.REUNICLUS,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.VANILLITE,
    Species.VANILLISH,
    Species.VANILLUXE,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.EMOLGA,
    Species.KARRABLAST,
    Species.ESCAVALIER,
    Species.FOONGUS,
    Species.AMOONGUSS,
    Species.FRILLISH,
    Species.JELLICENT,
    Species.ALOMOMOLA,
    Species.JOLTIK,
    Species.GALVANTULA,
    Species.FERROSEED,
    Species.FERROTHORN,
    Species.KLINK,
    Species.KLANG,
    Species.KLINKLANG,
    Species.TYNAMO,
    Species.EELEKTRIK,
    Species.EELEKTROSS,
    Species.ELGYEM,
    Species.BEHEEYEM,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.SHELMET,
    Species.ACCELGOR,
    Species.STUNFISK,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.DRUDDIGON,
    Species.GOLETT,
    Species.GOLURK,
    Species.PAWNIARD,
    Species.BISHARP,
    Species.BOUFFALANT,
    Species.RUFFLET,
    Species.BRAVIARY,
    Species.VULLABY,
    Species.MANDIBUZZ,
    Species.HEATMOR,
    Species.DURANT,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.TORNADUS,
    Species.THUNDURUS,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.LANDORUS,
    Species.KYUREM,
    Species.KELDEO,
    Species.MELOETTA,
    Species.GENESECT,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FENNEKIN,
    Species.BRAIXEN,
    Species.DELPHOX,
    Species.FROAKIE,
    Species.FROGADIER,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.BUNNELBY,
    Species.DIGGERSBY,
    Species.FLETCHLING,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.SCATTERBUG,
    Species.SPEWPA,
    Species.VIVILLON,
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    [
      Species.FLOETTE,
      "red",
      "yellow",
      "orange",
      "blue",
      "white",
    ],
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.PANCHAM,
    Species.PANGORO,
    Species.FURFROU,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.HONEDGE,
    Species.DOUBLADE,
    Species.AEGISLASH,
    Species.SPRITZEE,
    Species.AROMATISSE,
    Species.SWIRLIX,
    Species.SLURPUFF,
    Species.INKAY,
    Species.MALAMAR,
    Species.BINACLE,
    Species.BARBARACLE,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.HELIOPTILE,
    Species.HELIOLISK,
    Species.TYRUNT,
    Species.TYRANTRUM,
    Species.AMAURA,
    Species.AURORUS,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.CARBINK,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.KLEFKI,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.PUMPKABOO,
    Species.GOURGEIST,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.NOIBAT,
    Species.NOIVERN,
    Species.XERNEAS,
    Species.YVELTAL,
    Species.ZYGARDE,
    Species.DIANCIE,
    Species.HOOPA,
    Species.VOLCANION,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.PIKIPEK,
    Species.TRUMBEAK,
    Species.TOUCANNON,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.WISHIWASHI,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MUDBRAY,
    Species.MUDSDALE,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.MORELULL,
    Species.SHIINOTIC,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.STUFFUL,
    Species.BEWEAR,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.WIMPOD,
    Species.GOLISOPOD,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.TYPE_NULL,
    Species.SILVALLY,
    Species.MINIOR,
    Species.KOMALA,
    Species.TURTONATOR,
    Species.TOGEDEMARU,
    Species.MIMIKYU,
    Species.BRUXISH,
    Species.DRAMPA,
    Species.DHELMISE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.TAPU_KOKO,
    Species.TAPU_LELE,
    Species.TAPU_BULU,
    Species.TAPU_FINI,
    Species.SOLGALEO,
    Species.LUNALA,
    Species.NIHILEGO,
    Species.BUZZWOLE,
    Species.PHEROMOSA,
    Species.XURKITREE,
    Species.CELESTEELA,
    Species.KARTANA,
    Species.GUZZLORD,
    Species.NECROZMA,
    Species.MAGEARNA,
    Species.MARSHADOW,
    Species.POIPOLE,
    Species.NAGANADEL,
    Species.STAKATAKA,
    Species.BLACEPHALON,
    Species.ZERAORA,
    Species.ALOLA_RATTATA,
    Species.ALOLA_RATICATE,
    Species.ALOLA_RAICHU,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_DIGLETT,
    Species.ALOLA_DUGTRIO,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.ALOLA_GRIMER,
    Species.ALOLA_MUK,
    Species.ALOLA_EXEGGUTOR,
    Species.ALOLA_MAROWAK,
    Species.ETERNAL_FLOETTE,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.ROOKIDEE,
    Species.CORVISQUIRE,
    Species.CORVIKNIGHT,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.APPLIN,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.SILICOBRA,
    Species.SANDACONDA,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.TOXEL,
    Species.TOXTRICITY,
    Species.SINISTEA,
    Species.POLTEAGEIST,
    Species.HATENNA,
    Species.HATTREM,
    Species.HATTERENE,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.PERRSERKER,
    Species.FALINKS,
    Species.PINCURCHIN,
    Species.SNOM,
    Species.FROSMOTH,
    Species.STONJOURNER,
    Species.EISCUE,
    Species.INDEEDEE,
    Species.MORPEKO,
    Species.CUFANT,
    Species.COPPERAJAH,
    Species.DREEPY,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.ETERNATUS,
    Species.KUBFU,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.REGIELEKI,
    Species.REGIDRAGO,
    Species.GLASTRIER,
    Species.SPECTRIER,
    Species.CALYREX,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.BASCULEGION,
    Species.SNEASLER,
    Species.OVERQWIL,
    Species.ENAMORUS,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.PAWMI,
    Species.PAWMO,
    Species.PAWMOT,
    Species.TANDEMAUS,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.SQUAWKABILLY,
    Species.NACLI,
    Species.NACLSTACK,
    Species.GARGANACL,
    Species.CHARCADET,
    Species.ARMAROUGE,
    Species.CERULEDGE,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WATTREL,
    Species.KILOWATTREL,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.BOMBIRDIER,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.VAROOM,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.ORTHWORM,
    Species.GLIMMET,
    Species.GLIMMORA,
    Species.GREAVARD,
    Species.HOUNDSTONE,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.DUDUNSPARCE,
    Species.KINGAMBIT,
    Species.GREAT_TUSK,
    Species.SCREAM_TAIL,
    Species.BRUTE_BONNET,
    Species.FLUTTER_MANE,
    Species.SLITHER_WING,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_BUNDLE,
    Species.IRON_HANDS,
    Species.IRON_JUGULIS,
    Species.IRON_MOTH,
    Species.IRON_THORNS,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.GIMMIGHOUL,
    Species.GHOLDENGO,
    Species.WO_CHIEN,
    Species.CHIEN_PAO,
    Species.TING_LU,
    Species.CHI_YU,
    Species.ROARING_MOON,
    Species.IRON_VALIANT,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.IRON_LEAVES,
    Species.DIPPLIN,
    Species.POLTCHAGEIST,
    Species.SINISTCHA,
    Species.OKIDOGI,
    Species.MUNKIDORI,
    Species.FEZANDIPITI,
    Species.OGERPON,
    Species.GALAR_MEOWTH,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_WEEZING,
    Species.GALAR_ARTICUNO,
    Species.GALAR_ZAPDOS,
    Species.GALAR_MOLTRES,
    Species.GALAR_SLOWKING,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_VOLTORB,
    Species.HISUI_ELECTRODE,
    Species.HISUI_TYPHLOSION,
    Species.HISUI_QWILFISH,
    Species.HISUI_SNEASEL,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_BRAVIARY,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.ICE_SPINNER]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.SEEL,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.ARTICUNO,
    Species.DRAGONITE,
    Species.MEW,
    Species.MARILL,
    Species.AZUMARILL,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.DELIBIRD,
    Species.DONPHAN,
    Species.HITMONTOP,
    Species.LUDICOLO,
    Species.SNORUNT,
    Species.GLALIE,
    Species.REGICE,
    Species.REGISTEEL,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.FROSLASS,
    Species.CINCCINO,
    Species.CRYOGONAL,
    Species.MIENSHAO,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.CRABOMINABLE,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.KOMALA,
    Species.MAGEARNA,
    Species.DREDNAW,
    Species.FROSMOTH,
    Species.EISCUE,
    Species.QUAQUAVAL,
    Species.CYCLIZAR,
    Species.CETODDLE,
    Species.CETITAN,
    Species.DUDUNSPARCE,
    Species.GREAT_TUSK,
    Species.IRON_TREADS,
    Species.IRON_BUNDLE,
    Species.CHIEN_PAO,
    Species.TERAPAGOS,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    [
      Species.URSHIFU,
      "rapid-strike",
    ],
    Species.HISUI_LILLIGANT,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
  ],
  [Moves.SNOWSCAPE]: [
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.CHANSEY,
    Species.LAPRAS,
    Species.ARTICUNO,
    Species.DRAGONITE,
    Species.MEW,
    Species.MARILL,
    Species.AZUMARILL,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.SNEASEL,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.DELIBIRD,
    Species.BLISSEY,
    Species.SUICUNE,
    Species.WINGULL,
    Species.PELIPPER,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.ALTARIA,
    Species.SNORUNT,
    Species.GLALIE,
    Species.LUVDISC,
    Species.REGICE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    [
      Species.SHELLOS,
      "east",
      "west",
    ],
    [
      Species.GASTRODON,
      "east",
      "west",
    ],
    Species.MISMAGIUS,
    Species.HAPPINY,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.GLACEON,
    Species.MAMOSWINE,
    Species.FROSLASS,
    Species.PALKIA,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    Species.BASCULIN,
    Species.ALOMOMOLA,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    [
      Species.TORNADUS,
      "incarnate",
      "therian",
    ],
    [
      Species.KYUREM,
      "",
      "black",
      "white",
    ],
    Species.FROAKIE,
    Species.FROGADIER,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.SKRELP,
    Species.DRAGALGE,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.DIANCIE,
    Species.PRIMARINA,
    Species.CRABOMINABLE,
    [
      Species.MAGEARNA,
      "",
      "original",
    ],
    Species.INTELEON,
    Species.FROSMOTH,
    Species.EISCUE,
    Species.GLASTRIER,
    Species.BASCULEGION,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.SCREAM_TAIL,
    Species.IRON_BUNDLE,
    Species.FRIGIBAX,
    Species.ARCTIBAX,
    Species.BAXCALIBUR,
    Species.CHIEN_PAO,
    Species.ALOLA_SANDSHREW,
    Species.ALOLA_SANDSLASH,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_ARTICUNO,
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_SAMUROTT,
    Species.HISUI_ZORUA,
    Species.HISUI_ZOROARK,
    Species.HISUI_AVALUGG,
  ],
  [Moves.POUNCE]: [
    Species.VENONAT,
    Species.VENOMOTH,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.SCYTHER,
    Species.MEW,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.YANMA,
    Species.PINECO,
    Species.FORRETRESS,
    Species.DUNSPARCE,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SHROOMISH,
    Species.BRELOOM,
    Species.SLAKING,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.SEVIPER,
    Species.SHUPPET,
    Species.BANETTE,
    Species.KRICKETUNE,
    Species.VESPIQUEN,
    Species.YANMEGA,
    Species.HEATRAN,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.SCATTERBUG,
    Species.SPEWPA,
    Species.VIVILLON,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.GRUBBIN,
    Species.CHARJABUG,
    Species.VIKAVOLT,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.MIMIKYU,
    Species.APPLIN,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.CRAMORANT,
    Species.SNOM,
    Species.FROSMOTH,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.KLEAVOR,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.SQUAWKABILLY,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.RELLOR,
    Species.RABSCA,
    Species.FLITTLE,
    Species.ESPATHRA,
    Species.TINKATINK,
    Species.TINKATUFF,
    Species.TINKATON,
    Species.FLAMIGO,
    Species.DUDUNSPARCE,
    Species.IRON_MOTH,
    Species.DIPPLIN,
    Species.HYDRAPPLE,
  ],
  [Moves.TRAILBLAZE]: [
    Species.BULBASAUR,
    Species.IVYSAUR,
    Species.VENUSAUR,
    Species.EKANS,
    Species.ARBOK,
    Species.PIKACHU,
    Species.RAICHU,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.ODDISH,
    Species.GLOOM,
    Species.VILEPLUME,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.BELLSPROUT,
    Species.WEEPINBELL,
    Species.VICTREEBEL,
    Species.DODRIO,
    Species.DROWZEE,
    Species.HYPNO,
    Species.HITMONCHAN,
    Species.CHANSEY,
    Species.SCYTHER,
    Species.TAUROS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.SNORLAX,
    Species.MEWTWO,
    Species.MEW,
    Species.CHIKORITA,
    Species.BAYLEEF,
    Species.MEGANIUM,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.SPINARAK,
    Species.ARIADOS,
    Species.PICHU,
    Species.IGGLYBUFF,
    Species.MAREEP,
    Species.FLAAFFY,
    Species.AMPHAROS,
    Species.BELLOSSOM,
    Species.MARILL,
    Species.AZUMARILL,
    Species.SUDOWOODO,
    Species.HOPPIP,
    Species.SKIPLOOM,
    Species.JUMPLUFF,
    Species.AIPOM,
    Species.SUNKERN,
    Species.SUNFLORA,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.ESPEON,
    Species.UMBREON,
    Species.GIRAFARIG,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SCIZOR,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TEDDIURSA,
    Species.URSARING,
    Species.SWINUB,
    Species.PILOSWINE,
    Species.DELIBIRD,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.PHANPY,
    Species.DONPHAN,
    Species.STANTLER,
    Species.ELEKID,
    Species.BLISSEY,
    Species.RAIKOU,
    Species.ENTEI,
    Species.SUICUNE,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.POOCHYENA,
    Species.MIGHTYENA,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.SEEDOT,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.PLUSLE,
    Species.MINUN,
    Species.VOLBEAT,
    Species.ILLUMISE,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.CACNEA,
    Species.CACTURNE,
    Species.SWABLU,
    Species.ALTARIA,
    Species.SEVIPER,
    Species.BANETTE,
    Species.TROPIUS,
    Species.SNORUNT,
    Species.GLALIE,
    Species.METANG,
    Species.METAGROSS,
    Species.TURTWIG,
    Species.GROTLE,
    Species.TORTERRA,
    Species.KRICKETUNE,
    Species.SHINX,
    Species.LUXIO,
    Species.LUXRAY,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.PACHIRISU,
    Species.AMBIPOM,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.BONSLY,
    Species.MUNCHLAX,
    Species.RIOLU,
    Species.LUCARIO,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.ELECTIVIRE,
    Species.LEAFEON,
    Species.GLACEON,
    Species.MAMOSWINE,
    Species.FROSLASS,
    Species.SHAYMIN,
    Species.ARCEUS,
    Species.SNIVY,
    Species.SERVINE,
    Species.SERPERIOR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.SEWADDLE,
    Species.SWADLOON,
    Species.LEAVANNY,
    Species.PETILIL,
    Species.LILLIGANT,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.DUCKLETT,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.SWANNA,
    Species.DEERLING,
    Species.SAWSBUCK,
    Species.CHANDELURE,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.LARVESTA,
    Species.VOLCARONA,
    Species.CHESPIN,
    Species.QUILLADIN,
    Species.CHESNAUGHT,
    Species.FROAKIE,
    Species.FROGADIER,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.LITLEO,
    Species.PYROAR,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.SKIDDO,
    Species.GOGOAT,
    Species.MEOWSTIC,
    Species.MALAMAR,
    Species.SYLVEON,
    Species.HAWLUCHA,
    Species.DEDENNE,
    Species.PHANTUMP,
    Species.TREVENANT,
    Species.ROWLET,
    Species.DARTRIX,
    Species.DECIDUEYE,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.ORICORIO,
    Species.CUTIEFLY,
    Species.RIBOMBEE,
    Species.ROCKRUFF,
    Species.LYCANROC,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.FOMANTIS,
    Species.LURANTIS,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.BOUNSWEET,
    Species.STEENEE,
    Species.TSAREENA,
    Species.COMFEY,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.KOMALA,
    Species.MIMIKYU,
    Species.GROOKEY,
    Species.THWACKEY,
    Species.RILLABOOM,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.SKWOVET,
    Species.GREEDENT,
    Species.FLAPPLE,
    Species.APPLETUN,
    Species.TOXTRICITY,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.PERRSERKER,
    Species.FALINKS,
    Species.ZACIAN,
    Species.ZAMAZENTA,
    Species.URSHIFU,
    Species.ZARUDE,
    Species.GLASTRIER,
    Species.WYRDEER,
    Species.KLEAVOR,
    Species.URSALUNA,
    Species.SNEASLER,
    Species.SPRIGATITO,
    Species.FLORAGATO,
    Species.MEOWSCARADA,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.TAROUNTULA,
    Species.SPIDOPS,
    Species.NYMBLE,
    Species.LOKIX,
    Species.MAUSHOLD,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.SMOLIV,
    Species.DOLLIV,
    Species.ARBOLIVA,
    Species.MASCHIFF,
    Species.MABOSSTIFF,
    Species.SHROODLE,
    Species.GRAFAIAI,
    Species.BRAMBLIN,
    Species.BRAMBLEGHAST,
    Species.TOEDSCOOL,
    Species.TOEDSCRUEL,
    Species.KLAWF,
    Species.CAPSAKID,
    Species.SCOVILLAIN,
    Species.CYCLIZAR,
    Species.CLODSIRE,
    Species.FARIGIRAF,
    Species.BRUTE_BONNET,
    Species.SLITHER_WING,
    Species.WO_CHIEN,
    Species.IRON_LEAVES,
    Species.MUNKIDORI,
    Species.OGERPON,
    Species.ALOLA_RAICHU,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_MEOWTH,
    Species.GALAR_ZAPDOS,
    [
      Species.CALYREX,
      "ice",
    ],
    Species.HISUI_SNEASEL,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
    Species.PALDEA_TAUROS,
    Species.PALDEA_WOOPER,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.CHILLING_WATER]: [
    Species.SQUIRTLE,
    Species.WARTORTLE,
    Species.BLASTOISE,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.MEOWTH,
    Species.PERSIAN,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.POLIWAG,
    Species.POLIWHIRL,
    Species.POLIWRATH,
    Species.TENTACOOL,
    Species.TENTACRUEL,
    Species.SLOWPOKE,
    Species.SLOWBRO,
    Species.SEEL,
    Species.DEWGONG,
    Species.SHELLDER,
    Species.CLOYSTER,
    Species.CHANSEY,
    Species.HORSEA,
    Species.SEADRA,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.VAPOREON,
    Species.SNORLAX,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEWTWO,
    Species.MEW,
    Species.TOTODILE,
    Species.CROCONAW,
    Species.FERALIGATR,
    Species.SENTRET,
    Species.FURRET,
    Species.CHINCHOU,
    Species.LANTURN,
    Species.CLEFFA,
    Species.MARILL,
    Species.AZUMARILL,
    Species.POLITOED,
    Species.AIPOM,
    Species.WOOPER,
    Species.QUAGSIRE,
    Species.SLOWKING,
    Species.DUNSPARCE,
    Species.QWILFISH,
    Species.DELIBIRD,
    Species.KINGDRA,
    Species.BLISSEY,
    Species.SUICUNE,
    Species.LUGIA,
    Species.MUDKIP,
    Species.MARSHTOMP,
    Species.SWAMPERT,
    Species.LOTAD,
    Species.LOMBRE,
    Species.LUDICOLO,
    Species.NUZLEAF,
    Species.SHIFTRY,
    Species.WINGULL,
    Species.PELIPPER,
    Species.SURSKIT,
    Species.MASQUERAIN,
    Species.SLAKOTH,
    Species.VIGOROTH,
    Species.SLAKING,
    Species.MAKUHITA,
    Species.HARIYAMA,
    Species.VOLBEAT,
    Species.SPOINK,
    Species.GRUMPIG,
    Species.BARBOACH,
    Species.WHISCASH,
    Species.CORPHISH,
    Species.CRAWDAUNT,
    Species.FEEBAS,
    Species.MILOTIC,
    Species.SNORUNT,
    Species.GLALIE,
    Species.LATIAS,
    Species.LATIOS,
    Species.KYOGRE,
    Species.PIPLUP,
    Species.PRINPLUP,
    Species.EMPOLEON,
    Species.BUIZEL,
    Species.FLOATZEL,
    Species.SHELLOS,
    Species.GASTRODON,
    Species.AMBIPOM,
    Species.HONCHKROW,
    Species.MUNCHLAX,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.FINNEON,
    Species.LUMINEON,
    Species.SNOVER,
    Species.ABOMASNOW,
    Species.WEAVILE,
    Species.GLACEON,
    Species.FROSLASS,
    [
      Species.PALKIA,
      "",
      "origin",
    ],
    Species.PHIONE,
    Species.MANAPHY,
    Species.ARCEUS,
    Species.OSHAWOTT,
    Species.DEWOTT,
    Species.SAMUROTT,
    [
      Species.BASCULIN,
      "red-striped",
      "blue-striped",
      "white-striped",
    ],
    Species.MINCCINO,
    Species.CINCCINO,
    Species.DUCKLETT,
    Species.SWANNA,
    Species.ALOMOMOLA,
    Species.CUBCHOO,
    Species.BEARTIC,
    Species.CRYOGONAL,
    Species.TORNADUS,
    Species.KELDEO,
    Species.FROAKIE,
    Species.FROGADIER,
    [
      Species.GRENINJA,
      "",
      "battle-bond",
      "ash",
    ],
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.SKRELP,
    Species.DRAGALGE,
    Species.CLAUNCHER,
    Species.CLAWITZER,
    Species.GOOMY,
    Species.SLIGGOO,
    Species.GOODRA,
    Species.BERGMITE,
    Species.AVALUGG,
    Species.POPPLIO,
    Species.BRIONNE,
    Species.PRIMARINA,
    Species.YUNGOOS,
    Species.GUMSHOOS,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    Species.MAREANIE,
    Species.TOXAPEX,
    Species.DEWPIDER,
    Species.ARAQUANID,
    Species.ORANGURU,
    Species.PASSIMIAN,
    Species.SANDYGAST,
    Species.PALOSSAND,
    Species.BRUXISH,
    Species.SOBBLE,
    Species.DRIZZILE,
    Species.INTELEON,
    Species.CHEWTLE,
    Species.DREDNAW,
    Species.CRAMORANT,
    Species.ARROKUDA,
    Species.BARRASKEWDA,
    Species.IMPIDIMP,
    Species.MORGREM,
    Species.GRIMMSNARL,
    Species.PERRSERKER,
    Species.PINCURCHIN,
    Species.EISCUE,
    Species.BASCULEGION,
    Species.OVERQWIL,
    Species.MEOWSCARADA,
    Species.QUAXLY,
    Species.QUAXWELL,
    Species.QUAQUAVAL,
    Species.LECHONK,
    Species.OINKOLOGNE,
    Species.MAUSHOLD,
    Species.TADBULB,
    Species.BELLIBOLT,
    Species.WIGLETT,
    Species.WUGTRIO,
    Species.FINIZEN,
    Species.PALAFIN,
    Species.FLAMIGO,
    Species.CETODDLE,
    Species.CETITAN,
    Species.VELUZA,
    Species.DONDOZO,
    Species.TATSUGIRI,
    Species.CLODSIRE,
    Species.DUDUNSPARCE,
    Species.IRON_BUNDLE,
    Species.WALKING_WAKE,
    Species.ALOLA_VULPIX,
    Species.ALOLA_NINETALES,
    Species.ALOLA_MEOWTH,
    Species.ALOLA_PERSIAN,
    Species.ETERNAL_FLOETTE,
    Species.GALAR_SLOWPOKE,
    Species.GALAR_SLOWBRO,
    Species.GALAR_SLOWKING,
    [
      Species.URSHIFU,
      "rapid-strike",
    ],
    Species.HISUI_QWILFISH,
    Species.HISUI_SAMUROTT,
    Species.HISUI_SLIGGOO,
    Species.HISUI_GOODRA,
    Species.HISUI_AVALUGG,
    [
      Species.PALDEA_TAUROS,
      "aqua",
    ],
    Species.PALDEA_WOOPER,
  ],
  [Moves.HARD_PRESS]: [
    Species.GRAVELER,
    Species.GOLEM,
    Species.SNORLAX,
    Species.MEW,
    Species.FORRETRESS,
    Species.SCIZOR,
    Species.TYRANITAR,
    Species.SWAMPERT,
    Species.SLAKING,
    Species.CRAWDAUNT,
    Species.METANG,
    Species.METAGROSS,
    Species.REGIROCK,
    Species.REGISTEEL,
    Species.TORTERRA,
    Species.SHIELDON,
    Species.BASTIODON,
    Species.BRONZONG,
    Species.HIPPOWDON,
    Species.ABOMASNOW,
    Species.MAGNEZONE,
    Species.MAMOSWINE,
    Species.PROBOPASS,
    Species.DUSKNOIR,
    Species.HEATRAN,
    Species.REGIGIGAS,
    Species.EMBOAR,
    Species.CONKELDURR,
    Species.BEARTIC,
    Species.GOLURK,
    Species.CRABOMINABLE,
    Species.STONJOURNER,
    Species.COPPERAJAH,
    Species.URSALUNA,
    Species.GARGANACL,
    Species.TINKATON,
    Species.PALAFIN,
    Species.REVAVROOM,
    Species.CETITAN,
    Species.IRON_TREADS,
    Species.IRON_HANDS,
    Species.OKIDOGI,
    Species.ARCHALUDON,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.HISUI_AVALUGG,
    Species.BLOODMOON_URSALUNA,
  ],
  [Moves.DRAGON_CHEER]: [
    Species.CHARIZARD,
    Species.GYARADOS,
    Species.LAPRAS,
    Species.DRATINI,
    Species.DRAGONAIR,
    Species.DRAGONITE,
    Species.MEW,
    Species.AMPHAROS,
    Species.SCEPTILE,
    Species.FLYGON,
    Species.SWABLU,
    Species.ALTARIA,
    Species.MILOTIC,
    Species.BAGON,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.LATIAS,
    Species.LATIOS,
    Species.RAYQUAZA,
    Species.CRANIDOS,
    Species.RAMPARDOS,
    Species.GIBLE,
    Species.GABITE,
    Species.GARCHOMP,
    Species.AXEW,
    Species.FRAXURE,
    Species.HAXORUS,
    Species.DEINO,
    Species.ZWEILOUS,
    Species.HYDREIGON,
    Species.RESHIRAM,
    Species.ZEKROM,
    Species.KYUREM,
    Species.GOODRA,
    Species.NOIVERN,
    Species.SALAZZLE,
    Species.JANGMO_O,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.DURALUDON,
    Species.DRAKLOAK,
    Species.DRAGAPULT,
    Species.REGIDRAGO,
    Species.CYCLIZAR,
    Species.TATSUGIRI,
    Species.IRON_JUGULIS,
    Species.BAXCALIBUR,
    Species.ROARING_MOON,
    Species.KORAIDON,
    Species.MIRAIDON,
    Species.WALKING_WAKE,
    Species.DIPPLIN,
    Species.ARCHALUDON,
    Species.HYDRAPPLE,
    Species.GOUGING_FIRE,
    Species.RAGING_BOLT,
    Species.ALOLA_EXEGGUTOR,
    Species.HISUI_GOODRA,
  ],
  [Moves.ALLURING_VOICE]: [
    Species.PIKACHU,
    Species.RAICHU,
    Species.CLEFAIRY,
    Species.CLEFABLE,
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.DEWGONG,
    Species.LAPRAS,
    Species.EEVEE,
    Species.VAPOREON,
    Species.JOLTEON,
    Species.FLAREON,
    Species.MEW,
    Species.CLEFFA,
    Species.IGGLYBUFF,
    Species.MARILL,
    Species.AZUMARILL,
    Species.ESPEON,
    Species.UMBREON,
    Species.BLISSEY,
    Species.RALTS,
    Species.KIRLIA,
    Species.GARDEVOIR,
    Species.AZURILL,
    Species.PLUSLE,
    Species.MINUN,
    Species.FLYGON,
    Species.ALTARIA,
    Species.MILOTIC,
    Species.LATIAS,
    Species.PACHIRISU,
    Species.FINNEON,
    Species.LUMINEON,
    Species.LEAFEON,
    Species.GLACEON,
    Species.GALLADE,
    Species.PHIONE,
    Species.MANAPHY,
    Species.LILLIGANT,
    Species.MINCCINO,
    Species.CINCCINO,
    Species.SWANNA,
    Species.ALOMOMOLA,
    Species.MELOETTA,
    Species.FLABEBE,
    Species.FLOETTE,
    Species.FLORGES,
    Species.MEOWSTIC,
    Species.SYLVEON,
    Species.PRIMARINA,
    Species.ORICORIO,
    Species.RIBOMBEE,
    Species.COMFEY,
    Species.ALCREMIE,
    Species.ENAMORUS,
    Species.SKELEDIRGE,
    Species.FIDOUGH,
    Species.DACHSBUN,
    Species.ARBOLIVA,
    Species.FEZANDIPITI,
    Species.ALOLA_RAICHU,
    Species.ETERNAL_FLOETTE,
  ],
  [Moves.TEMPER_FLARE]: [
    Species.CHARMANDER,
    Species.CHARMELEON,
    Species.CHARIZARD,
    Species.GROWLITHE,
    Species.ARCANINE,
    Species.MAGMAR,
    Species.GYARADOS,
    Species.FLAREON,
    Species.MOLTRES,
    Species.MEW,
    Species.CYNDAQUIL,
    Species.QUILAVA,
    Species.TYPHLOSION,
    Species.SNUBBULL,
    Species.GRANBULL,
    Species.SLUGMA,
    Species.MAGCARGO,
    Species.HOUNDOUR,
    Species.HOUNDOOM,
    Species.MAGBY,
    Species.TORCHIC,
    Species.COMBUSKEN,
    Species.BLAZIKEN,
    Species.NUMEL,
    Species.CAMERUPT,
    Species.TORKOAL,
    Species.SHELGON,
    Species.SALAMENCE,
    Species.CHIMCHAR,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.DRIFLOON,
    Species.DRIFBLIM,
    Species.STUNKY,
    Species.SKUNTANK,
    Species.RHYPERIOR,
    Species.MAGMORTAR,
    Species.TEPIG,
    Species.PIGNITE,
    Species.EMBOAR,
    Species.LITWICK,
    Species.LAMPENT,
    Species.CHANDELURE,
    Species.FLETCHINDER,
    Species.TALONFLAME,
    Species.PYROAR,
    Species.LITTEN,
    Species.TORRACAT,
    Species.INCINEROAR,
    Species.TOUCANNON,
    Species.SALANDIT,
    Species.SALAZZLE,
    Species.SCORBUNNY,
    Species.RABOOT,
    Species.CINDERACE,
    Species.ROLYCOLY,
    Species.CARKOL,
    Species.COALOSSAL,
    Species.FUECOCO,
    Species.CROCALOR,
    Species.SKELEDIRGE,
    Species.KLAWF,
    Species.SCOVILLAIN,
    Species.REVAVROOM,
    Species.CYCLIZAR,
    Species.GREAT_TUSK,
    Species.SLITHER_WING,
    Species.CHI_YU,
    Species.KORAIDON,
    Species.GOUGING_FIRE,
    Species.HISUI_GROWLITHE,
    Species.HISUI_ARCANINE,
    Species.HISUI_TYPHLOSION,
    [
      Species.PALDEA_TAUROS,
      "blaze",
    ],
  ],
  [Moves.SUPERCELL_SLAM]:[
    Species.ELECTRODE,
    Species.RHYHORN,
    Species.RHYDON,
    Species.ELECTABUZZ,
    Species.SNORLAX,
    Species.ZAPDOS,
    Species.MEW,
    Species.AMPHAROS,
    Species.ELEKID,
    Species.RAIKOU,
    Species.MANECTRIC,
    Species.LUXRAY,
    Species.RAMPARDOS,
    Species.MAGNEZONE,
    Species.RHYPERIOR,
    Species.ELECTIVIRE,
    Species.PROBOPASS,
    Species.ARCEUS,
    Species.BLITZLE,
    Species.ZEBSTRIKA,
    Species.EELEKTROSS,
    Species.THUNDURUS,
    Species.ZEKROM,
    Species.VIKAVOLT,
    Species.PINCURCHIN,
    Species.COPPERAJAH,
    Species.REGIELEKI,
    Species.URSALUNA,
    Species.PAWMOT,
    Species.BELLIBOLT,
    Species.KILOWATTREL,
    Species.CYCLIZAR,
    Species.GREAT_TUSK,
    Species.SANDY_SHOCKS,
    Species.IRON_TREADS,
    Species.IRON_HANDS,
    Species.IRON_THORNS,
    Species.MIRAIDON,
    Species.RAGING_BOLT,
    Species.IRON_CROWN,
    Species.TERAPAGOS,
    Species.ALOLA_GEODUDE,
    Species.ALOLA_GRAVELER,
    Species.ALOLA_GOLEM,
    Species.HISUI_ELECTRODE,
  ],
  [Moves.PSYCHIC_NOISE]: [
    Species.JIGGLYPUFF,
    Species.WIGGLYTUFF,
    Species.VENONAT,
    Species.VENOMOTH,
    Species.PSYDUCK,
    Species.GOLDUCK,
    Species.SLOWBRO,
    Species.GENGAR,
    Species.DROWZEE,
    Species.HYPNO,
    Species.EXEGGCUTE,
    Species.EXEGGUTOR,
    Species.LAPRAS,
    Species.MEWTWO,
    Species.MEW,
    Species.NOCTOWL,
    Species.YANMA,
    Species.ESPEON,
    Species.MURKROW,
    Species.SLOWKING,
    Species.MISDREAVUS,
    Species.GIRAFARIG,
    Species.LUGIA,
    Species.GARDEVOIR,
    Species.GRUMPIG,
    Species.FLYGON,
    Species.CHIMECHO,
    Species.METANG,
    Species.METAGROSS,
    Species.LATIOS,
    Species.JIRACHI,
    Species.DEOXYS,
    Species.VESPIQUEN,
    Species.MISMAGIUS,
    Species.HONCHKROW,
    Species.CHINGLING,
    Species.BRONZOR,
    Species.BRONZONG,
    Species.YANMEGA,
    Species.UXIE,
    Species.MESPRIT,
    Species.GOTHITA,
    Species.GOTHORITA,
    Species.GOTHITELLE,
    Species.REUNICLUS,
    Species.DELPHOX,
    Species.FLORGES,
    Species.ESPURR,
    Species.MEOWSTIC,
    Species.MALAMAR,
    Species.TREVENANT,
    Species.NOIVERN,
    Species.HOOPA,
    Species.PRIMARINA,
    Species.RIBOMBEE,
    Species.ORANGURU,
    Species.BRUXISH,
    Species.TOXTRICITY,
    Species.HATTERENE,
    Species.INDEEDEE,
    Species.WYRDEER,
    Species.RABSCA,
    Species.FARIGIRAF,
    Species.SCREAM_TAIL,
    Species.MUNKIDORI,
    Species.IRON_CROWN,
    Species.ALOLA_RAICHU,
    Species.ALOLA_EXEGGUTOR,
    Species.GALAR_ARTICUNO,
    Species.GALAR_SLOWKING,
    Species.HISUI_BRAVIARY,
  ],
  [Moves.UPPER_HAND]: [
    Species.PIKACHU,
    Species.RAICHU,
    Species.POLIWRATH,
    Species.HITMONLEE,
    Species.HITMONCHAN,
    Species.MEW,
    Species.AIPOM,
    Species.HERACROSS,
    Species.SNEASEL,
    Species.TYROGUE,
    Species.HITMONTOP,
    Species.TREECKO,
    Species.GROVYLE,
    Species.SCEPTILE,
    Species.BLAZIKEN,
    Species.SHIFTRY,
    Species.HARIYAMA,
    Species.MEDITITE,
    Species.MEDICHAM,
    Species.ZANGOOSE,
    Species.MONFERNO,
    Species.INFERNAPE,
    Species.AMBIPOM,
    Species.RIOLU,
    Species.LUCARIO,
    Species.CROAGUNK,
    Species.TOXICROAK,
    Species.WEAVILE,
    Species.GALLADE,
    Species.SAMUROTT,
    Species.CONKELDURR,
    Species.SCRAGGY,
    Species.SCRAFTY,
    Species.MIENFOO,
    Species.MIENSHAO,
    Species.COBALION,
    Species.TERRAKION,
    Species.VIRIZION,
    Species.KELDEO,
    Species.GRENINJA,
    Species.TALONFLAME,
    Species.HAWLUCHA,
    Species.CRABRAWLER,
    Species.CRABOMINABLE,
    [
      Species.LYCANROC,
      "midnight",
    ],
    Species.PASSIMIAN,
    Species.HAKAMO_O,
    Species.KOMMO_O,
    Species.FALINKS,
    Species.SNEASLER,
    Species.QUAQUAVAL,
    Species.SPIDOPS,
    Species.PAWMO,
    Species.PAWMOT,
    Species.FLAMIGO,
    Species.OKIDOGI,
    Species.ALOLA_RAICHU,
    Species.HISUI_SAMUROTT,
    Species.HISUI_LILLIGANT,
    Species.HISUI_DECIDUEYE,
  ],
};

interface TmPoolTiers {
    [key: integer]: ModifierTier
}

export const tmPoolTiers: TmPoolTiers = {
  [Moves.MEGA_PUNCH]: ModifierTier.GREAT,
  [Moves.PAY_DAY]: ModifierTier.ULTRA,
  [Moves.FIRE_PUNCH]: ModifierTier.GREAT,
  [Moves.ICE_PUNCH]: ModifierTier.GREAT,
  [Moves.THUNDER_PUNCH]: ModifierTier.GREAT,
  [Moves.SWORDS_DANCE]: ModifierTier.COMMON,
  [Moves.CUT]: ModifierTier.COMMON,
  [Moves.FLY]: ModifierTier.COMMON,
  [Moves.MEGA_KICK]: ModifierTier.GREAT,
  [Moves.BODY_SLAM]: ModifierTier.GREAT,
  [Moves.TAKE_DOWN]: ModifierTier.GREAT,
  [Moves.DOUBLE_EDGE]: ModifierTier.ULTRA,
  [Moves.PIN_MISSILE]: ModifierTier.COMMON,
  [Moves.ROAR]: ModifierTier.COMMON,
  [Moves.FLAMETHROWER]: ModifierTier.ULTRA,
  [Moves.HYDRO_PUMP]: ModifierTier.ULTRA,
  [Moves.SURF]: ModifierTier.ULTRA,
  [Moves.ICE_BEAM]: ModifierTier.ULTRA,
  [Moves.BLIZZARD]: ModifierTier.ULTRA,
  [Moves.PSYBEAM]: ModifierTier.GREAT,
  [Moves.HYPER_BEAM]: ModifierTier.ULTRA,
  [Moves.LOW_KICK]: ModifierTier.COMMON,
  [Moves.COUNTER]: ModifierTier.COMMON,
  [Moves.STRENGTH]: ModifierTier.GREAT,
  [Moves.SOLAR_BEAM]: ModifierTier.ULTRA,
  [Moves.FIRE_SPIN]: ModifierTier.COMMON,
  [Moves.THUNDERBOLT]: ModifierTier.ULTRA,
  [Moves.THUNDER_WAVE]: ModifierTier.COMMON,
  [Moves.THUNDER]: ModifierTier.ULTRA,
  [Moves.EARTHQUAKE]: ModifierTier.ULTRA,
  [Moves.DIG]: ModifierTier.GREAT,
  [Moves.TOXIC]: ModifierTier.GREAT,
  [Moves.PSYCHIC]: ModifierTier.ULTRA,
  [Moves.AGILITY]: ModifierTier.COMMON,
  [Moves.NIGHT_SHADE]: ModifierTier.COMMON,
  [Moves.SCREECH]: ModifierTier.COMMON,
  [Moves.DOUBLE_TEAM]: ModifierTier.COMMON,
  [Moves.CONFUSE_RAY]: ModifierTier.COMMON,
  [Moves.LIGHT_SCREEN]: ModifierTier.COMMON,
  [Moves.HAZE]: ModifierTier.COMMON,
  [Moves.REFLECT]: ModifierTier.COMMON,
  [Moves.FOCUS_ENERGY]: ModifierTier.COMMON,
  [Moves.METRONOME]: ModifierTier.COMMON,
  [Moves.SELF_DESTRUCT]: ModifierTier.GREAT,
  [Moves.FIRE_BLAST]: ModifierTier.ULTRA,
  [Moves.WATERFALL]: ModifierTier.GREAT,
  [Moves.SWIFT]: ModifierTier.COMMON,
  [Moves.AMNESIA]: ModifierTier.COMMON,
  [Moves.DREAM_EATER]: ModifierTier.GREAT,
  [Moves.LEECH_LIFE]: ModifierTier.ULTRA,
  [Moves.FLASH]: ModifierTier.COMMON,
  [Moves.EXPLOSION]: ModifierTier.GREAT,
  [Moves.REST]: ModifierTier.COMMON,
  [Moves.ROCK_SLIDE]: ModifierTier.GREAT,
  [Moves.TRI_ATTACK]: ModifierTier.ULTRA,
  [Moves.SUPER_FANG]: ModifierTier.COMMON,
  [Moves.SUBSTITUTE]: ModifierTier.COMMON,
  [Moves.THIEF]: ModifierTier.GREAT,
  [Moves.SNORE]: ModifierTier.COMMON,
  [Moves.CURSE]: ModifierTier.COMMON,
  [Moves.REVERSAL]: ModifierTier.COMMON,
  [Moves.SPITE]: ModifierTier.COMMON,
  [Moves.PROTECT]: ModifierTier.COMMON,
  [Moves.SCARY_FACE]: ModifierTier.COMMON,
  [Moves.SLUDGE_BOMB]: ModifierTier.GREAT,
  [Moves.MUD_SLAP]: ModifierTier.COMMON,
  [Moves.SPIKES]: ModifierTier.COMMON,
  [Moves.ICY_WIND]: ModifierTier.GREAT,
  [Moves.OUTRAGE]: ModifierTier.ULTRA,
  [Moves.SANDSTORM]: ModifierTier.COMMON,
  [Moves.GIGA_DRAIN]: ModifierTier.ULTRA,
  [Moves.ENDURE]: ModifierTier.COMMON,
  [Moves.CHARM]: ModifierTier.COMMON,
  [Moves.FALSE_SWIPE]: ModifierTier.COMMON,
  [Moves.SWAGGER]: ModifierTier.COMMON,
  [Moves.STEEL_WING]: ModifierTier.GREAT,
  [Moves.ATTRACT]: ModifierTier.COMMON,
  [Moves.SLEEP_TALK]: ModifierTier.COMMON,
  [Moves.HEAL_BELL]: ModifierTier.COMMON,
  [Moves.RETURN]: ModifierTier.ULTRA,
  [Moves.FRUSTRATION]: ModifierTier.COMMON,
  [Moves.SAFEGUARD]: ModifierTier.COMMON,
  [Moves.PAIN_SPLIT]: ModifierTier.COMMON,
  [Moves.MEGAHORN]: ModifierTier.ULTRA,
  [Moves.BATON_PASS]: ModifierTier.COMMON,
  [Moves.ENCORE]: ModifierTier.COMMON,
  [Moves.IRON_TAIL]: ModifierTier.GREAT,
  [Moves.METAL_CLAW]: ModifierTier.COMMON,
  [Moves.SYNTHESIS]: ModifierTier.GREAT,
  [Moves.HIDDEN_POWER]: ModifierTier.GREAT,
  [Moves.RAIN_DANCE]: ModifierTier.COMMON,
  [Moves.SUNNY_DAY]: ModifierTier.COMMON,
  [Moves.CRUNCH]: ModifierTier.GREAT,
  [Moves.PSYCH_UP]: ModifierTier.COMMON,
  [Moves.SHADOW_BALL]: ModifierTier.ULTRA,
  [Moves.FUTURE_SIGHT]: ModifierTier.GREAT,
  [Moves.ROCK_SMASH]: ModifierTier.COMMON,
  [Moves.WHIRLPOOL]: ModifierTier.COMMON,
  [Moves.BEAT_UP]: ModifierTier.COMMON,
  [Moves.UPROAR]: ModifierTier.GREAT,
  [Moves.HEAT_WAVE]: ModifierTier.ULTRA,
  [Moves.HAIL]: ModifierTier.COMMON,
  [Moves.TORMENT]: ModifierTier.COMMON,
  [Moves.WILL_O_WISP]: ModifierTier.COMMON,
  [Moves.FACADE]: ModifierTier.GREAT,
  [Moves.FOCUS_PUNCH]: ModifierTier.COMMON,
  [Moves.NATURE_POWER]: ModifierTier.COMMON,
  [Moves.CHARGE]: ModifierTier.COMMON,
  [Moves.TAUNT]: ModifierTier.COMMON,
  [Moves.HELPING_HAND]: ModifierTier.COMMON,
  [Moves.TRICK]: ModifierTier.COMMON,
  [Moves.SUPERPOWER]: ModifierTier.ULTRA,
  [Moves.RECYCLE]: ModifierTier.COMMON,
  [Moves.REVENGE]: ModifierTier.GREAT,
  [Moves.BRICK_BREAK]: ModifierTier.GREAT,
  [Moves.KNOCK_OFF]: ModifierTier.GREAT,
  [Moves.ENDEAVOR]: ModifierTier.COMMON,
  [Moves.SKILL_SWAP]: ModifierTier.COMMON,
  [Moves.IMPRISON]: ModifierTier.COMMON,
  [Moves.DIVE]: ModifierTier.GREAT,
  [Moves.FEATHER_DANCE]: ModifierTier.COMMON,
  [Moves.BLAZE_KICK]: ModifierTier.GREAT,
  [Moves.HYPER_VOICE]: ModifierTier.ULTRA,
  [Moves.BLAST_BURN]: ModifierTier.ULTRA,
  [Moves.HYDRO_CANNON]: ModifierTier.ULTRA,
  [Moves.WEATHER_BALL]: ModifierTier.COMMON,
  [Moves.FAKE_TEARS]: ModifierTier.COMMON,
  [Moves.AIR_CUTTER]: ModifierTier.GREAT,
  [Moves.OVERHEAT]: ModifierTier.ULTRA,
  [Moves.ROCK_TOMB]: ModifierTier.GREAT,
  [Moves.METAL_SOUND]: ModifierTier.COMMON,
  [Moves.COSMIC_POWER]: ModifierTier.COMMON,
  [Moves.SIGNAL_BEAM]: ModifierTier.GREAT,
  [Moves.SAND_TOMB]: ModifierTier.COMMON,
  [Moves.MUDDY_WATER]: ModifierTier.GREAT,
  [Moves.BULLET_SEED]: ModifierTier.GREAT,
  [Moves.AERIAL_ACE]: ModifierTier.GREAT,
  [Moves.ICICLE_SPEAR]: ModifierTier.GREAT,
  [Moves.IRON_DEFENSE]: ModifierTier.GREAT,
  [Moves.DRAGON_CLAW]: ModifierTier.ULTRA,
  [Moves.FRENZY_PLANT]: ModifierTier.ULTRA,
  [Moves.BULK_UP]: ModifierTier.COMMON,
  [Moves.BOUNCE]: ModifierTier.GREAT,
  [Moves.MUD_SHOT]: ModifierTier.GREAT,
  [Moves.POISON_TAIL]: ModifierTier.GREAT,
  [Moves.COVET]: ModifierTier.GREAT,
  [Moves.MAGICAL_LEAF]: ModifierTier.GREAT,
  [Moves.CALM_MIND]: ModifierTier.GREAT,
  [Moves.LEAF_BLADE]: ModifierTier.ULTRA,
  [Moves.DRAGON_DANCE]: ModifierTier.GREAT,
  [Moves.ROCK_BLAST]: ModifierTier.GREAT,
  [Moves.WATER_PULSE]: ModifierTier.GREAT,
  [Moves.ROOST]: ModifierTier.GREAT,
  [Moves.GRAVITY]: ModifierTier.COMMON,
  [Moves.GYRO_BALL]: ModifierTier.COMMON,
  [Moves.BRINE]: ModifierTier.GREAT,
  [Moves.PLUCK]: ModifierTier.GREAT,
  [Moves.TAILWIND]: ModifierTier.GREAT,
  [Moves.U_TURN]: ModifierTier.GREAT,
  [Moves.CLOSE_COMBAT]: ModifierTier.ULTRA,
  [Moves.PAYBACK]: ModifierTier.COMMON,
  [Moves.ASSURANCE]: ModifierTier.COMMON,
  [Moves.EMBARGO]: ModifierTier.COMMON,
  [Moves.FLING]: ModifierTier.COMMON,
  [Moves.GASTRO_ACID]: ModifierTier.GREAT,
  [Moves.POWER_SWAP]: ModifierTier.COMMON,
  [Moves.GUARD_SWAP]: ModifierTier.COMMON,
  [Moves.WORRY_SEED]: ModifierTier.GREAT,
  [Moves.TOXIC_SPIKES]: ModifierTier.GREAT,
  [Moves.FLARE_BLITZ]: ModifierTier.ULTRA,
  [Moves.AURA_SPHERE]: ModifierTier.GREAT,
  [Moves.ROCK_POLISH]: ModifierTier.COMMON,
  [Moves.POISON_JAB]: ModifierTier.GREAT,
  [Moves.DARK_PULSE]: ModifierTier.GREAT,
  [Moves.AQUA_TAIL]: ModifierTier.GREAT,
  [Moves.SEED_BOMB]: ModifierTier.GREAT,
  [Moves.AIR_SLASH]: ModifierTier.GREAT,
  [Moves.X_SCISSOR]: ModifierTier.GREAT,
  [Moves.BUG_BUZZ]: ModifierTier.GREAT,
  [Moves.DRAGON_PULSE]: ModifierTier.GREAT,
  [Moves.POWER_GEM]: ModifierTier.GREAT,
  [Moves.DRAIN_PUNCH]: ModifierTier.GREAT,
  [Moves.VACUUM_WAVE]: ModifierTier.COMMON,
  [Moves.FOCUS_BLAST]: ModifierTier.GREAT,
  [Moves.ENERGY_BALL]: ModifierTier.GREAT,
  [Moves.BRAVE_BIRD]: ModifierTier.ULTRA,
  [Moves.EARTH_POWER]: ModifierTier.ULTRA,
  [Moves.GIGA_IMPACT]: ModifierTier.GREAT,
  [Moves.NASTY_PLOT]: ModifierTier.COMMON,
  [Moves.AVALANCHE]: ModifierTier.GREAT,
  [Moves.SHADOW_CLAW]: ModifierTier.GREAT,
  [Moves.THUNDER_FANG]: ModifierTier.GREAT,
  [Moves.ICE_FANG]: ModifierTier.GREAT,
  [Moves.FIRE_FANG]: ModifierTier.GREAT,
  [Moves.PSYCHO_CUT]: ModifierTier.GREAT,
  [Moves.ZEN_HEADBUTT]: ModifierTier.GREAT,
  [Moves.FLASH_CANNON]: ModifierTier.GREAT,
  [Moves.ROCK_CLIMB]: ModifierTier.GREAT,
  [Moves.DEFOG]: ModifierTier.COMMON,
  [Moves.TRICK_ROOM]: ModifierTier.COMMON,
  [Moves.DRACO_METEOR]: ModifierTier.ULTRA,
  [Moves.LEAF_STORM]: ModifierTier.ULTRA,
  [Moves.POWER_WHIP]: ModifierTier.ULTRA,
  [Moves.CROSS_POISON]: ModifierTier.GREAT,
  [Moves.GUNK_SHOT]: ModifierTier.ULTRA,
  [Moves.IRON_HEAD]: ModifierTier.GREAT,
  [Moves.STONE_EDGE]: ModifierTier.ULTRA,
  [Moves.STEALTH_ROCK]: ModifierTier.COMMON,
  [Moves.GRASS_KNOT]: ModifierTier.ULTRA,
  [Moves.BUG_BITE]: ModifierTier.GREAT,
  [Moves.CHARGE_BEAM]: ModifierTier.GREAT,
  [Moves.HONE_CLAWS]: ModifierTier.COMMON,
  [Moves.WONDER_ROOM]: ModifierTier.COMMON,
  [Moves.PSYSHOCK]: ModifierTier.GREAT,
  [Moves.VENOSHOCK]: ModifierTier.GREAT,
  [Moves.MAGIC_ROOM]: ModifierTier.COMMON,
  [Moves.SMACK_DOWN]: ModifierTier.COMMON,
  [Moves.SLUDGE_WAVE]: ModifierTier.GREAT,
  [Moves.HEAVY_SLAM]: ModifierTier.GREAT,
  [Moves.ELECTRO_BALL]: ModifierTier.GREAT,
  [Moves.FLAME_CHARGE]: ModifierTier.GREAT,
  [Moves.LOW_SWEEP]: ModifierTier.GREAT,
  [Moves.ACID_SPRAY]: ModifierTier.COMMON,
  [Moves.FOUL_PLAY]: ModifierTier.ULTRA,
  [Moves.ROUND]: ModifierTier.COMMON,
  [Moves.ECHOED_VOICE]: ModifierTier.COMMON,
  [Moves.STORED_POWER]: ModifierTier.COMMON,
  [Moves.ALLY_SWITCH]: ModifierTier.COMMON,
  [Moves.SCALD]: ModifierTier.GREAT,
  [Moves.HEX]: ModifierTier.GREAT,
  [Moves.SKY_DROP]: ModifierTier.GREAT,
  [Moves.INCINERATE]: ModifierTier.GREAT,
  [Moves.QUASH]: ModifierTier.COMMON,
  [Moves.ACROBATICS]: ModifierTier.GREAT,
  [Moves.RETALIATE]: ModifierTier.GREAT,
  [Moves.WATER_PLEDGE]: ModifierTier.GREAT,
  [Moves.FIRE_PLEDGE]: ModifierTier.GREAT,
  [Moves.GRASS_PLEDGE]: ModifierTier.GREAT,
  [Moves.VOLT_SWITCH]: ModifierTier.GREAT,
  [Moves.STRUGGLE_BUG]: ModifierTier.COMMON,
  [Moves.BULLDOZE]: ModifierTier.GREAT,
  [Moves.FROST_BREATH]: ModifierTier.GREAT,
  [Moves.DRAGON_TAIL]: ModifierTier.GREAT,
  [Moves.WORK_UP]: ModifierTier.COMMON,
  [Moves.ELECTROWEB]: ModifierTier.GREAT,
  [Moves.WILD_CHARGE]: ModifierTier.GREAT,
  [Moves.DRILL_RUN]: ModifierTier.GREAT,
  [Moves.SACRED_SWORD]: ModifierTier.ULTRA,
  [Moves.RAZOR_SHELL]: ModifierTier.GREAT,
  [Moves.HEAT_CRASH]: ModifierTier.GREAT,
  [Moves.TAIL_SLAP]: ModifierTier.GREAT,
  [Moves.HURRICANE]: ModifierTier.ULTRA,
  [Moves.SNARL]: ModifierTier.COMMON,
  [Moves.PHANTOM_FORCE]: ModifierTier.ULTRA,
  [Moves.PETAL_BLIZZARD]: ModifierTier.GREAT,
  [Moves.DISARMING_VOICE]: ModifierTier.GREAT,
  [Moves.DRAINING_KISS]: ModifierTier.GREAT,
  [Moves.GRASSY_TERRAIN]: ModifierTier.COMMON,
  [Moves.MISTY_TERRAIN]: ModifierTier.COMMON,
  [Moves.PLAY_ROUGH]: ModifierTier.GREAT,
  [Moves.CONFIDE]: ModifierTier.COMMON,
  [Moves.MYSTICAL_FIRE]: ModifierTier.GREAT,
  [Moves.EERIE_IMPULSE]: ModifierTier.COMMON,
  [Moves.VENOM_DRENCH]: ModifierTier.COMMON,
  [Moves.ELECTRIC_TERRAIN]: ModifierTier.COMMON,
  [Moves.DAZZLING_GLEAM]: ModifierTier.ULTRA,
  [Moves.INFESTATION]: ModifierTier.COMMON,
  [Moves.POWER_UP_PUNCH]: ModifierTier.GREAT,
  [Moves.DARKEST_LARIAT]: ModifierTier.GREAT,
  [Moves.HIGH_HORSEPOWER]: ModifierTier.ULTRA,
  [Moves.SOLAR_BLADE]: ModifierTier.GREAT,
  [Moves.THROAT_CHOP]: ModifierTier.GREAT,
  [Moves.POLLEN_PUFF]: ModifierTier.GREAT,
  [Moves.PSYCHIC_TERRAIN]: ModifierTier.COMMON,
  [Moves.LUNGE]: ModifierTier.GREAT,
  [Moves.SPEED_SWAP]: ModifierTier.COMMON,
  [Moves.SMART_STRIKE]: ModifierTier.GREAT,
  [Moves.BRUTAL_SWING]: ModifierTier.GREAT,
  [Moves.AURORA_VEIL]: ModifierTier.COMMON,
  [Moves.PSYCHIC_FANGS]: ModifierTier.GREAT,
  [Moves.STOMPING_TANTRUM]: ModifierTier.GREAT,
  [Moves.LIQUIDATION]: ModifierTier.ULTRA,
  [Moves.BODY_PRESS]: ModifierTier.ULTRA,
  [Moves.BREAKING_SWIPE]: ModifierTier.GREAT,
  [Moves.STEEL_BEAM]: ModifierTier.ULTRA,
  [Moves.EXPANDING_FORCE]: ModifierTier.GREAT,
  [Moves.STEEL_ROLLER]: ModifierTier.COMMON,
  [Moves.SCALE_SHOT]: ModifierTier.ULTRA,
  [Moves.METEOR_BEAM]: ModifierTier.GREAT,
  [Moves.MISTY_EXPLOSION]: ModifierTier.COMMON,
  [Moves.GRASSY_GLIDE]: ModifierTier.COMMON,
  [Moves.RISING_VOLTAGE]: ModifierTier.COMMON,
  [Moves.TERRAIN_PULSE]: ModifierTier.COMMON,
  [Moves.SKITTER_SMACK]: ModifierTier.GREAT,
  [Moves.BURNING_JEALOUSY]: ModifierTier.GREAT,
  [Moves.LASH_OUT]: ModifierTier.GREAT,
  [Moves.POLTERGEIST]: ModifierTier.ULTRA,
  [Moves.CORROSIVE_GAS]: ModifierTier.COMMON,
  [Moves.COACHING]: ModifierTier.COMMON,
  [Moves.FLIP_TURN]: ModifierTier.COMMON,
  [Moves.TRIPLE_AXEL]: ModifierTier.COMMON,
  [Moves.DUAL_WINGBEAT]: ModifierTier.COMMON,
  [Moves.SCORCHING_SANDS]: ModifierTier.GREAT,
  [Moves.TERA_BLAST]: ModifierTier.GREAT,
  [Moves.ICE_SPINNER]: ModifierTier.GREAT,
  [Moves.SNOWSCAPE]: ModifierTier.COMMON,
  [Moves.POUNCE]: ModifierTier.COMMON,
  [Moves.TRAILBLAZE]: ModifierTier.COMMON,
  [Moves.CHILLING_WATER]: ModifierTier.COMMON,
  [Moves.HARD_PRESS]: ModifierTier.GREAT,
  [Moves.DRAGON_CHEER]: ModifierTier.COMMON,
  [Moves.ALLURING_VOICE]: ModifierTier.GREAT,
  [Moves.TEMPER_FLARE]: ModifierTier.GREAT,
  [Moves.SUPERCELL_SLAM]: ModifierTier.GREAT,
  [Moves.PSYCHIC_NOISE]: ModifierTier.GREAT,
  [Moves.UPPER_HAND]: ModifierTier.COMMON,
};
